 var posterData = {
  "-xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance",
  "-xsi:schemaLocation": "http://www.oracle.com/fmw/poster poster.xsd",
  "-xmlns": "http://www.oracle.com/fmw/poster",
  "title": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
  "description": "Database 12c: INTERACTIVE QUICK REFERENCE",
  "interactives": [
        {
          "-name": "DBA Views", "-style": "dba_views",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "views": [
            {
              "-category": "ADDM",
              "-name": "DBA_ADDM_FDG_BREAKDOWN",
              "-desc": "Automatic Database Diagnostic Monitor (ADDM) is a self-diagnostic software built into Oracle Database. DBA_ADDM_FINDINGS displays the contribution for each finding from the different instances.",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINDING_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATABASE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERC_ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ADDM",
              "-name": "DBA_ADDM_FINDINGS",
              "-desc": "Automatic Database Diagnostic Monitor (ADDM) is a self-diagnostic software built into Oracle Database. DBA_ADDM_FINDINGS displays the addm findings discovered by all advisors.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FINDING_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINDING_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "TYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPACT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "IMPACT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MORE_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTERED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATABASE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERC_ACTIVE_SESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_AGGREGATE",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "METER_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "QUERY_IS_APPROX",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
              ]
            }
            ,{
              "-category": "ADDM",
              "-name": "DBA_ADDM_INSTANCES",
              "-desc": "Automatic Database Diagnostic Monitor (ADDM) is a self-diagnostic software built into Oracle Database. DBA_ADDM_INSTANCES displays the instance-level information for addm tasks that finished executing.",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "HOST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DATABASE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERC_ACTIVE_SESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METER_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "LOCAL_TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ADDM",
              "-name": "DBA_ADDM_SYSTEM_DIRECTIVES",
              "-desc": "Automatic Database Diagnostic Monitor (ADDM) is a self-diagnostic software built into Oracle Database. DBA_ADDM_SYSTEM_DIRECTIVES DISPLAYS Information about global instances for addm system directives.",
              "fields": [
                {
                  "-name": "INSTANCE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DIRECTIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "ADDM",
              "-name": "DBA_ADDM_TASK_DIRECTIVES",
              "-desc": "Automatic Database Diagnostic Monitor (ADDM) is a self-diagnostic software built into Oracle Database. DBA_ADDM_TASK_DIRECTIVES displays information about all addm task directives.",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEQ_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DIRECTIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "ADDM",
              "-name": "DBA_ADDM_TASKS",
              "-desc": "Automatic Database Diagnostic Monitor (ADDM) is a self-diagnostic software built into Oracle Database. DBA_ADDM_TASKS displays information about all addm tasks.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARENT_TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_RXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXECUTION_TYPE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EXECUTION_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTION_END",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STATUS_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PCT_COMPLETION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRESS_METRIC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTIVITY_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOMMENDATION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "HOW_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSTEM_TASK",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DBVERSION",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "ANALYSIS_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "BEGIN_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "END_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "REQUESTED_ANALYSIS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ACTUAL_ANALYSIS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DATABASE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METER_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_ACTIONS",
              "-desc": "Information about the actions associated with all recommendations",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "HOST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DATABASE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERC_ACTIVE_SESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METER_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "LOCAL_TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_COMMANDS",
              "-desc": "Information about the commands used by all advisors for specifying recommendation actions",
              "fields": [
                {
                  "-name": "COMMAND_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_DEF_PARAMETERS",
              "-desc": "All default task parameters and their current values ",
              "fields": [
                {
                  "-name": "ADVISOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_OUTPUT ",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_MODIFIABLE_ANYTIME",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_SYSTEM_TASK_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_DEFINITIONS",
              "-desc": "The properties of all advisors ",
              "fields": [
                {
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER     ADVISOR_NAME,NOT NULL,VARCHAR2(128) PROPERTY,NOT NULL,NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_DIR_DEFINITIONS",
              "-desc": "Definition of the base directive",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DOMAIN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "TASK_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "METADATA",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_DIR_INSTANCES",
              "-desc": "Information about all global instances for a directive",
              "fields": [
                {
                  "-name": "DIRECTIVE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_DIR_TASK_INST",
              "-desc": "Information about all task directive instances",
              "fields": [
                {
                  "-name": "DIRECTIVE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128) TASK_ID,,NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_EXEC_PARAMETERS",
              "-desc": "The parameter values used for past executions of tasks",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_MODIFIABLE_ANYTIME",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_FLAGS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_TYPE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_EXECUTION_TYPES",
              "-desc": "Possible execution action for a given advisor",
              "fields": [
                {
                  "-name": "ADVISOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_EXECUTIONS",
              "-desc": "Metadata information for task executions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTION_LAST_MODIFIED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTION_END",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STATUS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_FDG_BREAKDOWN",
              "-desc": "Breakdown of each finding's impact to database instances",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINDING_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPACT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERC_IMPACT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_FINDING_NAMES",
              "-desc": "List of all finding names registered with the advisor framework",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FINDING_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_FINDINGS",
              "-desc": "The findings discovered by all advisors ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FINDING_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINDING_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "TYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPACT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "IMPACT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MORE_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTERED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_JOURNAL",
              "-desc": "The journal entries for all tasks ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOURNAL_ENTRY_SEQ",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOURNAL_ENTRY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "JOURNAL_ENTRY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_LOG",
              "-desc": "Information about the current state of all tasks , as well as execution-specific data such as progress monitoring and completion status",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTION_END",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STATUS_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PCT_COMPLETION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRESS_METRIC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTIVITY_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOMMENDATION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_OBJECT_TYPES",
              "-desc": "Information about the object types used by all advisors ",
              "fields": [
                {
                  "-name": "OBJECT_TYPE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_OBJECTS",
              "-desc": "Information about the objects currently referenced by all advisors ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR1",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR2",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR3",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR4",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "ATTR5",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR6",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "ATTR7",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTR8",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTR9",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTR10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTR11",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTR16",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR17",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR18",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_PARAMETERS",
              "-desc": "All task parameters and their current values ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_MODIFIABLE_ANYTIME",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_PARAMETERS_PROJ",
              "-desc": " contains a subset of the columns in DBA_advisor_parameters, and uses fewer joins in the view query so performs better",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_MODIFIABLE_ANYTIME",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_SYSTEM_TASK_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_RATIONALE",
              "-desc": "Information about the rationales for all recommendations ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RATIONALE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPACT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "IMPACT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ATTR1",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR2",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR3",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR4",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR5",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_RECOMMENDATIONS",
              "-desc": "The results of an analysis of all recommendations ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REC_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FINDING_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RANK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_REC_IDS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BENEFIT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BENEFIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ANNOTATION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILTERED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_COLVOL",
              "-desc": "Column volatility data for all columns referenced in DMLs statements within the SQL access advisor workload",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPDATE_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_REC_SUM",
              "-desc": "Recommendation rollup information for all workload objects after an access advisor analysis operation",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_STMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PRECOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_POSTCOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_TABLES",
              "-desc": "All tables referenced in the SQL access advisor workload",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "STMT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_TABVOL",
              "-desc": "Table volatility data for all tables referenced in the SQL access advisor workload",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPDATE_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSERT_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETE_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_LOAD_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSERTED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_LOAD_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_WK_MAP",
              "-desc": "The workload references for all tasks ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IS_STS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_WK_STMTS",
              "-desc": "Information about all workload objects after an access advisor analysis operation",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQLSET_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQLSET_NAME",
                  "-null": "",
                  "-type": " VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_SEQ",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_EXECUTION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_STAT_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PRECOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSTCOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPORTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALIDATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLA_WK_SUM",
              "-desc": "A summary of SQL access advisor workload queries",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_SELECT_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_UPDATE_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DELETE_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_INSERT_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MERGE_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLPLANS",
              "-desc": "The different SQL execution plans generated as part of an advisor analysis",
              "fields": [
                {
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REMARKS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "OBJECT_NODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "OBJECT_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIMIZER",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "SEARCH_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OTHER_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "DISTRIBUTION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "IO_COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "ACCESS_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROJECTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "QBLOCK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLSTATS",
              "-desc": "Execution statistics for the test-execution of different SQL plans during the advisor analysis",
              "fields": [
                {
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTR1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "TESTEXEC_TOTAL_EXECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TESTEXEC_FIRST_EXEC_IGNORED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_COLVOL",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPDATE_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_JOURNAL",
              "-desc": "The journal entries for all workload objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": " VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": " NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOURNAL_ENTRY_SEQ",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOURNAL_ENTRY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "JOURNAL_ENTRY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_PARAMETERS",
              "-desc": "All workload parameters and their current values ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_STMTS",
              "-desc": "Rows that correspond to all statements in the workload",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "VALID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_SUM",
              "-desc": "An aggregated picture of all workload objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MODIFY_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NUM_SELECT_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_UPDATE_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DELETE_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_INSERT_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MERGE_STMT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOW_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DATA_SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_TABLES",
              "-desc": "Cross references between the workload statements and the tables referenced in the statement",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_TABVOL",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPDATE_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSERT_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETE_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_LOAD_FREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSERTED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETED_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_LOAD_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_SQLW_TEMPLATES",
              "-desc": "An aggregated picture of all workload template objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKLOAD_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKLOAD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MODIFY_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_TASKS",
              "-desc": "Information about all advisor tasks ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARENT_TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_RXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EXECUTION_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTION_END",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STATUS_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PCT_COMPLETION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRESS_METRIC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTIVITY_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOMMENDATION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOW_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSTEM_TASK",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_TEMPLATES",
              "-desc": "Information about all advisor templates ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_ADVISOR_USAGE",
              "-desc": "The usage information for each type of advisor ",
              "fields": [
                {
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_EXEC_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NUM_EXECS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DB_REPORTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_REPORT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_REPORT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_AUTO_SEGADV_CTL",
              "-desc": "The control information used by the segment advisor",
              "fields": [
                {
                  "-name": "AUTO_TASKID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "REASON_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "PROCESSED_TASKID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_AUTO_SEGADV_SUMMARY",
              "-desc": "Summary of the auto segment advisor task runs",
              "fields": [
                {
                  "-name": "AUTO_TASKID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAPID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENTS_SELECTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENTS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_SELECTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOMMENDATIONS_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Advisor",
              "-name": "DBA_SQL_PATCHES",
              "-desc": "Displays the set of SQL Patches",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FORCE_MATCHING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_EXEC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_OBJ_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_FND_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_AQ_AGENT_PRIVS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_AQ_AGENT_PRIVS provides information about the registered aq agents that are mapped to all users .",
              "fields": [
                {
                  "-name": "AGENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HTTP_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "SMTP_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_AQ_AGENTS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_ATTRIBUTE_TRANSFORMATIONS provides information about all registered aq agents .",
              "fields": [
                {
                  "-name": "AGENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HTTP_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "SMTP_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_ATTRIBUTE_TRANSFORMATIONS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_ATTRIBUTE_TRANSFORMATIONS provides information about the transformation functions for all transformations .",
              "fields": [
                {
                  "-name": "TRANSFORMATION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "TO_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(385)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTRIBUTE_TRANSFORMATION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_QUEUE_PUBLISHERS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_QUEUE_PUBLISHERS provides information on queue publishers .",
              "fields": [
                {
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PUBLISHER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PUBLISHER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PUBLISHER_PROTOCOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PUBLISHER_RULE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "PUBLISHER_RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "PUBLISHER_RULESET",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "PUBLISHER_TRANSFORMATION",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_QUEUE_SCHEDULES",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_QUEUE_SCHEDULES provides information on all propagation schedules .",
              "fields": [
                {
                  "-name": "SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PROPAGATION_WINDOW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEDULE_DISABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(82)"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_RUN_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_RUN_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CURRENT_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CURRENT_START_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "NEXT_RUN_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "NEXT_RUN_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TOTAL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ERROR_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_ERROR_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LAST_ERROR_MSG",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MESSAGE_DELIVERY_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PICKLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_QUEUE_SUBSCRIBERS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_QUEUE_SUBSCRIBERS provides information on queue subscribers .",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_TABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSUMER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PROTOCOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSFORMATION",
                  "-null": "",
                  "-type": "VARCHAR2(61)"
                }
                ,{
                  "-name": "RULE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "DELIVERY_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "IF_NONDURABLE_SUBSCRIBER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "QUEUE_TO_QUEUE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POS_BITMAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_QUEUE_TABLES",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_QUEUE_TABLES provides information on all queue tables created .",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "SORT_ORDER",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "RECIPIENTS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MESSAGE_GROUPING",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "COMPATIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PRIMARY_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SECONDARY_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "SECURE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_QUEUES",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_QUEUES provides information on all database queues.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_TABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "MAX_RETRIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_DELAY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEQUEUE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "SHARDED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_RULE_SET_RULES",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_RULE_SET_RULES provides information on rules in all rule sets .",
              "fields": [
                {
                  "-name": "RULE_SET_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_RULE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "RULE_SET_RULE_EVAL_CTX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_RULE_EVAL_CTX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_RULE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_RULE_SETS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_RULE_SETS provides information on rule sets .",
              "fields": [
                {
                  "-name": "RULE_SET_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_EVAL_CONTEXT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_EVAL_CONTEXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_RULES",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_RULES provides information on rules in the database.",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "RULE_EVALUATION_CONTEXT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_EVALUATION_CONTEXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_ACTION_CONTEXT",
                  "-null": "",
                  "-type": "RE$NV_LIST()"
                }
                ,{
                  "-name": "RULE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_RULESETS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_RULESETS is a synonym of DBA_RULE_SETS; maintained for backward compatibility",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULESET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULESET_STORAGE_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "BASE_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "RULESET_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_SUBSCR_REGISTRATIONS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_SUBSCR_REGISTRATIONS displays all subscription registrations created .",
              "fields": [
                {
                  "-name": "REG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIPTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CONTEXT",
                  "-null": "",
                  "-type": "RAW(128 BYTE)"
                }
                ,{
                  "-name": "CONTEXT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PRESENTATION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ANY_CONTEXT",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "CONTEXT_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QOSFLAGS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PAYLOAD_CALLBACK",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIMEOUT",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "REG_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "NTFN_GROUPING_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "NTFN_GROUPING_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NTFN_GROUPING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NTFN_GROUPING_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "NTFN_GROUPING_REPEAT_COUNT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_SUBSCRIBED_COLUMNS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_SUBSCRIBED_COLUMNS provides information on Change Data Capture subscribed columns.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSCRIPTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_SUBSCRIBED_TABLES",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_SUBSCRIBED_TABLES provides information on Change Data Capture subscribed tables.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHANGE_SET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSCRIPTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_SUBSCRIPTIONS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_SUBSCRIPTIONS provides information on Change Data Capture subscriptions.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EARLIEST_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATEST_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "LAST_PURGED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_EXTENDED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SUBSCRIPTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AQ",
              "-name": "DBA_TRANSFORMATIONS",
              "-desc": "Oracle Database Advanced Queuing (AQ)provides database-integrated message queuing functionality. DBA_TRANSFORMATIONS provides information about all transformations.",
              "fields": [
                {
                  "-name": "TRANSFORMATION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "TO_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(385)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_EXISTS",
              "-desc": "Audit trail entries produced by audit not exists and audit exists",
              "fields": [
                {
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "NEW_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SYS_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_MGMT_CLEAN_EVENTS",
              "-desc": "The history of cleanup events",
              "fields": [
                {
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "RAC_INSTANCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLEANUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DELETE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAS_FORCED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_MGMT_CLEANUP_JOBS",
              "-desc": "The currently configured audit trail purge jobs",
              "fields": [
                {
                  "-name": "JOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "JOB_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "JOB_FREQUENCY",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_MGMT_CONFIG_PARAMS",
              "-desc": "The currently configured audit trail properties defined by the dbms_audit_mgmt PL/SQL package",
              "fields": [
                {
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_MGMT_LAST_ARCH_TS",
              "-desc": "The last archive timestamps set for the audit trail clean up",
              "fields": [
                {
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RAC_INSTANCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ARCHIVE_TS",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_OBJECT",
              "-desc": "Audit trail records for statements concerning objects",
              "fields": [
                {
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "NEW_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SES_ACTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "COMMENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIV_USED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_POLICIES",
              "-desc": "Fine grained auditing policies ",
              "fields": [
                {
                  "-name": "OBJECT_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "POLICY_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PF_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PF_PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PF_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "POLICY_COLUMN_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_POLICY_COLUMNS",
              "-desc": "All fine grained auditing policy columns ",
              "fields": [
                {
                  "-name": "OBJECT_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_SESSION",
              "-desc": "All audit trail records concerning connect and disconnect",
              "fields": [
                {
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "LOGOFF_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOGOFF_LREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_PREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_LWRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_DLOCK",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSION_CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_STATEMENT",
              "-desc": "Audit trail records concerning grant, revoke, audit, noaudit and alter system",
              "fields": [
                {
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SYS_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SES_ACTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "COMMENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIV_USED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_AUDIT_TRAIL",
              "-desc": "All audit trail entries",
              "fields": [
                {
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "NEW_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SYS_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SES_ACTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LOGOFF_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOGOFF_LREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_PREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_LWRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_DLOCK",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "COMMENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIV_USED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_COMMON_AUDIT_TRAIL",
              "-desc": "Combined standard and fine grained audit trail entries",
              "fields": [
                {
                  "-name": "AUDIT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DB_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEW_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "OBJ_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SYS_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OS_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIV_USED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SES_ACTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LOGOFF_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOGOFF_LREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_PREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_LWRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGOFF_DLOCK",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SESSION_CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_FGA_AUDIT_TRAIL",
              "-desc": "All fine grained audit event logs",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DB_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "NVARCHAR2(2000)"
                }
                ,{
                  "-name": "COMMENT$TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATEMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_OBJ_AUDIT_OPTS",
              "-desc": "Auditing options for all tables and views with at least one option set",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "ALT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COM",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "GRA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IND",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LOC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REF",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "EXE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CRE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "WRI",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FBK",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_PRIV_AUDIT_OPTS",
              "-desc": "Current system privileges being audited across the system and by user",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROXY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SUCCESS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Auditing",
              "-name": "DBA_STMT_AUDIT_OPTS",
              "-desc": "Current system auditing options across the system and by user",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROXY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SUCCESS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_ALERT_ARGUMENTS",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_ALERT_ARGUMENTS view provides information on Message id and arguments of outstanding alerts",
              "fields": [
                {
                  "-name": "SEQUENCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_MESSAGE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_ARGUMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_ARGUMENT_1",
                  "-null": "",
                  "-type": "VARCHAR2(581)"
                }
                ,{
                  "-name": "REASON_ARGUMENT_2",
                  "-null": "",
                  "-type": "VARCHAR2(581)"
                }
                ,{
                  "-name": "REASON_ARGUMENT_3",
                  "-null": "",
                  "-type": "VARCHAR2(581)"
                }
                ,{
                  "-name": "REASON_ARGUMENT_4",
                  "-null": "",
                  "-type": "VARCHAR2(581)"
                }
                ,{
                  "-name": "REASON_ARGUMENT_5",
                  "-null": "",
                  "-type": "VARCHAR2(581)"
                }
                ,{
                  "-name": "ACTION_MESSAGE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_ARGUMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_ARGUMENT_1",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_ARGUMENT_2",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_ARGUMENT_3",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_ARGUMENT_4",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_ARGUMENT_5",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_ALERT_HISTORY",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_ALERT_HISTORY view provides information on time-limited history of alerts which are no longer outstanding",
              "fields": [
                {
                  "-name": "SEQUENCE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME_SUGGESTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SUGGESTED_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METRIC_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MESSAGE_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MESSAGE_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOSTING_CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOST_ID",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HOST_NW_ADDR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_CONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(142)"
                }
                ,{
                  "-name": "RESOLUTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_ALERT_HISTORY_DETAIL",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_ALERT_HISTORY_DETAIL view describes a time-limited history of cleared and outstanding alerts.",
              "fields": [
                {
                  "-name": "SEQUENCE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME_SUGGESTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SUGGESTED_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METRIC_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MESSAGE_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MESSAGE_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOSTING_CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOST_ID",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HOST_NW_ADDR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_CONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(142)"
                }
                ,{
                  "-name": "RESOLUTION",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STATE_TRANSITION_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_CLIENT",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_AUTOTASK_CLIENT view provides information on autotask client summary.",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "PRIORITY_OVERRIDE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "WINDOW_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "RESOURCE_PERCENTAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USE_RESOURCE_ESTIMATES",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "MEAN_JOB_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(9)"
                }
                ,{
                  "-name": "MEAN_JOB_CPU",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(9)"
                }
                ,{
                  "-name": "MEAN_JOB_ATTEMPTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_INCOMING_TASKS_7_DAYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_INCOMING_TASKS_30_DAYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_CPU_LAST_7_DAYS",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(9)"
                }
                ,{
                  "-name": "TOTAL_CPU_LAST_30_DAYS",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(9)"
                }
                ,{
                  "-name": "MAX_DURATION_LAST_7_DAYS",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "MAX_DURATION_LAST_30_DAYS",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "WINDOW_DURATION_LAST_7_DAYS",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(9)"
                }
                ,{
                  "-name": "WINDOW_DURATION_LAST_30_DAYS",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(9)"
                }
                ,{
                  "-name": "LAST_CHANGE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_CLIENT_HISTORY",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_AUTOTASK_CLIENT_HISTORY view provides information on autotask client history.",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)         WINDOW_START_TIME,,TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "WINDOW_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(6)"
                }
                ,{
                  "-name": "JOBS_CREATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOBS_STARTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOBS_COMPLETED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WINDOW_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_CLIENT_JOB",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_AUTOTASK_CLIENT_JOB view provides information on current automated maintenance jobs.",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "JOB_SCHEDULER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_TARGET_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_TARGET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TASK_PRIORITY",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TASK_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_JOB_HISTORY",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_AUTOTASK_JOB_HISTORY view provides information on automated maintenance jobs history.",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "WINDOW_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "WINDOW_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(6)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "JOB_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "JOB_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "JOB_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "JOB_ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_OPERATION",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. The DBA_AUTOTASK_OPERATION view provides information on automated maintenance task operation configuration.",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPERATION_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIORITY_OVERRIDE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "USE_RESOURCE_ESTIMATES",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LAST_CHANGE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_SCHEDULE",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.Schedule of maintenance windows for the next 32 days",
              "fields": [
                {
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_STATUS",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. DBA_AUTOTASK_STATUS displays status information for automated maintenance.",
              "fields": [
                {
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LAST_CHANGE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_TASK",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. DBA_AUTOTASK_TASK displays information about current and past autmated maintenance tasks",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_TARGET_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_TARGET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TASK_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIORITY_OVERRIDE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DEFERRED_WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "CURRENT_JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "JOB_SCHEDULER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "ESTIMATE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ESTIMATED_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_IO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_UNDO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_GOOD_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_IO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_UNDO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CPU_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_UNDO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_TEMP_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CONTENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TRY_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_TRY_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_TRY_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_RESULT",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "LAST_TRY_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_IO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_UNDO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CPU_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_UNDO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_TEMP_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CONTENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_UNDO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CPU_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_UNDO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_TEMP_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CONTENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO_FIELD_1",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INFO_FIELD_2",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "INFO_FIELD_3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO_FIELD_4",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_WINDOW_CLIENTS",
              "-desc": "The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes. DBA_AUTOTASK_WINDOW provides description of per-maintenance window activity",
              "fields": [
                {
                  "-name": "WINDOW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOW_NEXT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "WINDOW_ACTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "AUTOTASK_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "OPTIMIZER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SEGMENT_ADVISOR",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SQL_TUNE_ADVISOR",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "HEALTH_MONITOR",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_AUTOTASK_WINDOW_HISTORY",
              "-desc": "Automated maintenance window history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "WINDOW_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "WINDOW_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_FEATURE_USAGE_STATISTICS",
              "-desc": " Database feature usage statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DETECTED_USAGES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SAMPLES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENTLY_USED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "FIRST_USAGE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_USAGE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AUX_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FEATURE_INFO",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LAST_SAMPLE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_SAMPLE_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_INTERVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIGH_WATER_MARK_STATISTICS",
              "-desc": "Database high water mark statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "HIGHWATER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_ACTIVE_SESS_HISTORY",
              "-desc": "Active session historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "IS_SQLID_CURRENT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SQL_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_OPNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TOP_LEVEL_SQL_OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_LINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_PLAN_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_HANGCHAIN_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CURRENT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "REMOTE_INSTANCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_MODEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_CONNECTION_MGMT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_HARD_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_SQL_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_COMPILATION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_JAVA_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_BIND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_CURSOR_CLOSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_SEQUENCE_LOAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CAPTURE_OVERHEAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REPLAY_OVERHEAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_CAPTURED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_REPLAYED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SERVICE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DBREPLAY_FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBREPLAY_CALL_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_DB_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_WRITE_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_WRITE_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_INTERCONNECT_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DBOP_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_APPLY_SUMMARY",
              "-desc": "Displays historical statistics information about each apply process for Oracle Streams, Oracle GoldenGate, and Oracle Xstream. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "READER_TOTAL_MESSAGES_DEQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READER_LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_WAIT_DEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_WAIT_CMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_LWM_LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_TOTAL_MESSAGES_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_ELAPSED_APPLY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLICAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNASSIGNED_COMPLETE_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TRANSACTIONS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_MODULE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_ASH_SNAPSHOT",
              "-desc": "Information about snapshots of active session history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "BEGIN_INTERVAL_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "END_INTERVAL_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "FLUSH_ELAPSED",
                  "-null": "",
                  "-type": "INTERVAL DAY(5) TO SECOND(1)"
                }
                ,{
                  "-name": "SNAP_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BL_MOVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_TIMEZONE",
                  "-null": "",
                  "-type": "INTERVAL DAY(0) TO SECOND(0)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BASELINE",
              "-desc": "Baseline metadata information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASELINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASELINE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BASELINE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "START_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SNAP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "END_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SNAP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "MOVING_WINDOW_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPIRATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LAST_TIME_COMPUTED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BASELINE_DETAILS",
              "-desc": "Baseline statistics on per instance level. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASELINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASELINE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BASELINE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "START_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SNAP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "END_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SNAP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "SHUTDOWN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ERROR_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_TOTAL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TIME_COMPUTED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MOVING_WINDOW_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPIRATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BASELINE_METADATA",
              "-desc": "Baseline metadata information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASELINE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASELINE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BASELINE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "START_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MOVING_WINDOW_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPIRATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LAST_TIME_COMPUTED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BASELINE_TEMPLATE",
              "-desc": "Baseline template information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPLATE_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "BASELINE_NAME_PREFIX",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DAY_OF_WEEK",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "HOUR_IN_DAY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_GENERATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BG_EVENT_SUMMARY",
              "-desc": "Summary of background event historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BUFFER_POOL_STAT",
              "-desc": "Buffer pool historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_MSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_REPL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_WRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUF_GOT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_WRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_SCAN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_BUFFER_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_COMPLETE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_BUSY_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_BUFFER_INSPECTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRTY_BUFFERS_INSPECTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_BLOCK_CHANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_BLOCK_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSISTENT_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BUFFERED_QUEUES",
              "-desc": "Streams buffered queues historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "QUEUE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CSPILL_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_MSGID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "OLDEST_MSG_ENQTM",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "QUEUE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TRANSFORMATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_EVALUATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_BUFFERED_SUBSCRIBERS",
              "-desc": "Streams buffered queue subscribers historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSCRIBER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SUBSCRIBER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_BROWSED_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_BROWSED_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQUEUED_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQUEUED_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ENQ_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_DEQUEUED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SPILLED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "OLDEST_MSGID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "OLDEST_MSG_ENQTM",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_CAPTURE",
              "-desc": "Displays historical statistics information about each capture process for Oracle Streams, Oracle GoldenGate, and XStream capture operations.",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CAPTURED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_REDO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PAUSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTRACT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BYTES_REDO_MINED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_MODULE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_CLUSTER_INTERCON",
              "-desc": "Cluster interconnect historical stats. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "IP_ADDRESS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "IS_PUBLIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_COLORED_SQL",
              "-desc": "Marked SQLs for snapshots. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_COMP_IOSTAT",
              "-desc": "I/o stats aggregated on component level. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FILE_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "IO_TYPE",
                  "-null": "NOT NULL",
                  "-type": "CHAR(5)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "NOT NULL",
                  "-type": "CHAR(5)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_COUNT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_CR_BLOCK_SERVER",
              "-desc": "Consistent read block server historical statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TX_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIVATE_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ZERO_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READ_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIL_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIRNESS_DOWN_CONVERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIRNESS_CLEARS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_GC_ELEMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH_QUEUE_FULL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH_MAX_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LIGHT_WORKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_CURRENT_BLOCK_SERVER",
              "-desc": "Current block server historical statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN100",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN1000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN10000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH100",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH1000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH10000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE100",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE1000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE10000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_DATABASE_INSTANCE",
              "-desc": "Database instance information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "HOST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LAST_ASH_SAMPLE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_DATAFILE",
              "-desc": "Names of datafiles. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_DB_CACHE_ADVICE",
              "-desc": "Db cache advice history information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BPID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFERS_FOR_ESTIMATE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SIZE_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTUAL_PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PHYSICAL_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_DISPATCHER",
              "-desc": "Dispatcher statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTALQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_TOTAL_CONN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_DLM_MISC",
              "-desc": "Distributed lock manager miscellaneous historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(38)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_DYN_REMASTER_STATS",
              "-desc": "Dynamic remastering statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_OPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTERED_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUIESCE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREEZE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLEANUP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIXWRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SYNC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESOURCES_CLEANED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAYED_LOCKS_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAYED_LOCKS_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_ENQUEUE_STAT",
              "-desc": "Enqueue historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EQ_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "REQ_REASON",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUCC_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILED_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUM_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_EVENT_HISTOGRAM",
              "-desc": "Event histogram historical statistics information",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_TIME_MILLI",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_EVENT_NAME",
              "-desc": "Event names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER1",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER2",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER3",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_FILEMETRIC_HISTORY",
              "-desc": "File metrics history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILEID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATIONTIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BEGIN_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVGREADTIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVGWRITETIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICALREAD",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICALWRITE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKREAD",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKWRITE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_FILESTATXS",
              "-desc": "Datafile historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYWRTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITETIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKRD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKWRT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYBLKRD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IC_CLIENT_STATS",
              "-desc": "Historical interconnect client statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IC_DEVICE_STATS",
              "-desc": "Historical interconnect device statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IF_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "IP_ADDR",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NET_MASK",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "MTU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PACKETS_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECEIVE_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECEIVE_DROPPED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECEIVE_BUF_OR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECEIVE_FRAME_ERR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PACKETS_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEND_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SENDS_DROPPED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEND_BUF_OR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEND_CARRIER_LOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_INST_CACHE_TRANSFER",
              "-desc": "Instance cache transfer historical statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "CR_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CONGESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONGESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_2HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_3HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_2HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_3HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BLOCK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUSY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CONGESTED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BUSY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONGESTED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOST_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_2HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_3HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_2HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_3HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_INSTANCE_RECOVERY",
              "-desc": "Instance recovery historical statistics information",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_ESTIMATED_IOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTUAL_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_FILE_SIZE_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_CHKPT_TIMEOUT_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_CHKPT_INTERVAL_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAST_START_IO_TARGET_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_MTTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_MTTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CKPT_BLOCK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_LOGFILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CLUSTER_AVAILABLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_MTTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_LOGFILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_LOG_CHECKPOINT_SETTINGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_OTHER_SETTINGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_AUTOTUNE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_FULL_THREAD_CKPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_INTERCONNECT_PINGS",
              "-desc": "Instance to instance ping stats. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_INSTANCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNT_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITSQ_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNT_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITSQ_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IOSTAT_DETAIL",
              "-desc": "Historical i/o statistics by function and filetype. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILETYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_WAITS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IOSTAT_FILETYPE",
              "-desc": "Historical i/o statistics by file type. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_SYNC_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_SERVICETIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_SERVICETIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_SYNC_READ_LATENCY",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_SERVICETIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_SERVICETIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRIES_ON_ERROR",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IOSTAT_FILETYPE_NAME",
              "-desc": "File type names for historical i/o statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IOSTAT_FUNCTION",
              "-desc": "Historical i/o statistics by function. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_WAITS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_IOSTAT_FUNCTION_NAME",
              "-desc": "Function names for historical i/o statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_JAVA_POOL_ADVICE",
              "-desc": "Java pool advice history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_POOL_SIZE_FOR_ESTIMATE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_POOL_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECT_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LATCH",
              "-desc": "Latch historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LEVEL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPIN_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LATCH_CHILDREN",
              "-desc": "Latch children historical statistics information",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CHILD#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPIN_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LATCH_MISSES_SUMMARY",
              "-desc": "Latch misses summary historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "WHERE_IN_CODE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NWFAIL_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WTR_SLP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LATCH_NAME",
              "-desc": "Latch names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LATCH_PARENT",
              "-desc": "Latch parent historical historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LEVEL#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPIN_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LIBRARYCACHE",
              "-desc": "Library cache historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETHITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINHITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_LOCK_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_PIN_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_PIN_RELEASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_INVALIDATION_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_LOG",
              "-desc": "Log historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMBERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_MEM_DYNAMIC_COMP",
              "-desc": "Historical memory component sizes. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_SPECIFIED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "LAST_OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "LAST_OPER_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GRANULE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_MEMORY_RESIZE_OPS",
              "-desc": "Memory resize operations history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPER_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "INITIAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_MEMORY_TARGET_ADVICE",
              "-desc": "Memory target advice history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMORY_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMORY_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_METRIC_NAME",
              "-desc": "Segment names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_MTTR_TARGET_ADVICE",
              "-desc": "Mean-time-to-recover target advice history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MTTR_TARGET_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DIRTY_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CACHE_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CACHE_WRITE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_WRITE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_IOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_IO_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_MUTEX_SLEEP",
              "-desc": "Mutex sleep summary historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MUTEX_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LOCATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_MVPARAMETER",
              "-desc": "",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ORDINAL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_OPTIMIZER_ENV",
              "-desc": "Optimizer environment information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_OSSTAT",
              "-desc": "Operating system historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_OSSTAT_NAME",
              "-desc": "Operating system statistic names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "BID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PARAMETER",
              "-desc": "Parameter historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PARAMETER_NAME",
              "-desc": "Parameter names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PDB_INSTANCE",
              "-desc": "Displays the pluggable databases (PDB)s and instances in the Workload Repository. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "OPEN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PERSISTENT_QMN_CACHE",
              "-desc": "Displays the historical summary background queue table activity. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TABLE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_SERVICE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "WINDOW_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "TOTAL_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TMGR_ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TMGR_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TMGR_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TMGR_PROCESSING_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "DEQLOG_ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQLOG_PROCESSING_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQLOG_PROCESSING_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQLOG_PROCESSING_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "DEQUEUE_INDEX_BLOCKS_FREED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTORY_INDEX_BLOCKS_FREED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_INDEX_BLOCKS_FREED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDEX_CLEANUP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDEX_CLEANUP_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDEX_CLEANUP_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_INDEX_CLEANUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PERSISTENT_QUEUES",
              "-desc": "Streams aq persistent queues historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_ACTIVITY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSG_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TRANSFORMATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_EVALUATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_EXPIRY_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_DELAY_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_READY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_TM_EXPIRY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_TM_READY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PERSISTENT_SUBS",
              "-desc": "Streams aq persistent queue subscribers historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSCRIBER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SUBSCRIBER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FIRST_ACTIVITY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSG_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PGA_TARGET_ADVICE",
              "-desc": "PGA target advice history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TARGET_FOR_ESTIMATE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TARGET_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BYTES_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_EXTRA_BYTES_RW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PGA_CACHE_HIT_PERCENTAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_OVERALLOC_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PGASTAT",
              "-desc": "PGA historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PLAN_OPERATION_NAME",
              "-desc": "Optimizer explain plan operation names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PLAN_OPTION_NAME",
              "-desc": "Optimizer explain plan option names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_PROCESS_MEM_SUMMARY",
              "-desc": "Process memory historical summary information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "NUM_PROCESSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NON_ZERO_ALLOCS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_AVG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_STDDEV",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_ALLOCATED_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_REPLICATION_TBL_STATS",
              "-desc": "Displays replication table statistics for Oracle GoldenGate and XStream sessions. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSION_MODULE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_INSERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_UPDATES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_DELETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_SUCCESSFUL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_FAILED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPERR_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HANDLE_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_REPLICATION_TXN_STATS",
              "-desc": "Displays replication transaction statistics for Oracle GoldenGate and XStream sessions. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_MODULE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TXN_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FIRST_LCR_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TOTAL_LCRS_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_REPORTS",
              "-desc": "Displays information about XML reports captured into Automatic Workload Repository (AWR)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERIOD_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PERIOD_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GENERATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REPORT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REPORT_PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "KEY1",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY2",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY3",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY4",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "GENERATION_COST_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_SUMMARY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_REPORTS_CONTROL",
              "-desc": "Contains control information about the report capture mechanism that automatically captures XML reports to Automatic Workload Repository (AWR)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_REPORTS_DETAILS",
              "-desc": "Displays details about each report captured in Automatic Workload Repository (AWR)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GENERATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REPORT_COMPRESSED",
                  "-null": "",
                  "-type": "BLOB"
                }
                ,{
                  "-name": "REPORT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_REPORTS_TIMEBANDS",
              "-desc": "Contains bands of time with a new row created every day corresponding to a band of time. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BAND_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BAND_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_GENERATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PERIOD_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PERIOD_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEY1",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY2",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY3",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY4",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_RESOURCE_LIMIT",
              "-desc": "Resource limit historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESOURCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CURRENT_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_ALLOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LIMIT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_ROWCACHE_SUMMARY",
              "-desc": "Row cache historical statistics information summary. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TOTAL_USAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETMISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANMISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANCOMPLETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODIFICATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_CONFLICTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_RELEASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_RSRC_CONSUMER_GROUP",
              "-desc": "Historical resource consumer group statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAIT_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAITS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMED_CPU_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "YIELDS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESS_LIMIT_HIT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_LIMIT_HIT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_CPU_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_CPU_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CANCELED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESS_KILLED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_SESS_KILLED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_BLKR_SESS_KILLED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUED_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TIME_OUTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_WAITS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQUESTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQS_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQS_COMPLETED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_SERVERS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_RSRC_PLAN",
              "-desc": "Historical resource plan statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CPU_MANAGED",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "PARALLEL_EXECUTION_MANAGED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_RULE_SET",
              "-desc": "Rule sets historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_FREE_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SEG_STAT",
              "-desc": "Historical segment statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAOBJ#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_READS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_READS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_BUSY_WAITS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_BUSY_WAITS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_BLOCK_CHANGES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_BLOCK_CHANGES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS_DIRECT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS_DIRECT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES_DIRECT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES_DIRECT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ITL_WAITS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ITL_WAITS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_LOCK_WAITS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_LOCK_WAITS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CR_BLOCKS_SERVED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CR_BLOCKS_SERVED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CU_BLOCKS_SERVED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CU_BLOCKS_SERVED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_BUFFER_BUSY_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_BUFFER_BUSY_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CR_BLOCKS_RECEIVED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CR_BLOCKS_RECEIVED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CU_BLOCKS_RECEIVED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_CU_BLOCKS_RECEIVED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_USED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_USED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_ALLOCATED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_ALLOCATED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_SCANS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_SCANS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_ROW_EXCESS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_ROW_EXCESS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYSICAL_READS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYSICAL_READS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SEG_STAT_OBJ",
              "-desc": "Segment names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAOBJ#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PARTITION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SERVICE_NAME",
              "-desc": "Service names. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SERVICE_STAT",
              "-desc": "Historical service statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SERVICE_WAIT_CLASS",
              "-desc": "Historical service wait class statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SESS_SGA_STATS",
              "-desc": "Displays usage statistics for high utilization Oracle GoldenGate and XStream sessions. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_MODULE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SESS_TIME_STATS",
              "-desc": "Cpu and i/o time for interesting (Streams) sessions. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MIN_LOGON_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SUM_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_SYS_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_USER_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_MODULE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SESSMETRIC_HISTORY",
              "-desc": "System metrics history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BEGIN_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SESSID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INTSIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SGA",
              "-desc": "SGA historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SGA_TARGET_ADVICE",
              "-desc": "SGA target advice history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_SIZE_FACTOR",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SGASTAT",
              "-desc": "SGA pool historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "POOL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SHARED_POOL_ADVICE",
              "-desc": "Shared pool advice history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARED_POOL_SIZE_FOR_ESTIMATE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARED_POOL_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECT_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SHARED_SERVER_SUMMARY",
              "-desc": "Shared server summary statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_SAMPLES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_TOTAL_CONN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_ACTIVE_CONN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_TOTAL_SRV",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_ACTIVE_SRV",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_TOTAL_DISP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLED_ACTIVE_DISP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRV_BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRV_IDLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRV_IN_NET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRV_OUT_NET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRV_MESSAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRV_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CQ_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CQ_TOTALQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DQ_TOTALQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SNAP_ERROR",
              "-desc": "Snapshot error information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SNAPSHOT",
              "-desc": "Snapshot information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "BEGIN_INTERVAL_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "END_INTERVAL_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "FLUSH_ELAPSED",
                  "-null": "",
                  "-type": "interval day(5) TO SECOND(1)"
                }
                ,{
                  "-name": "SNAP_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_TIMEZONE",
                  "-null": "",
                  "-type": "interval day(0) TO SECOND(0)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQL_BIND_METADATA",
              "-desc": "Sql bind metadata information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DUP_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CHARACTER_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQL_PLAN",
              "-desc": "Sql plan information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "OPTIMIZER",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEARCH_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(35)"
                }
                ,{
                  "-name": "PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISTRIBUTION",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CPU_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACCESS_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROJECTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QBLOCK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REMARKS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQL_SUMMARY",
              "-desc": "Summary of SQL statistics. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SQL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SQL_MEM",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLE_USE_SQL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLE_USE_SQL_MEM",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQL_WORKAREA_HSTGRM",
              "-desc": "Sql workarea histogram history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_OPTIMAL_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_OPTIMAL_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONEPASS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MULTIPASSES_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQLBIND",
              "-desc": "Sql bind information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DUP_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CHARACTER_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAS_CAPTURED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LAST_CAPTURED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "VALUE_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VALUE_ANYDATA",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQLCOMMAND_NAME",
              "-desc": "Sql command types. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQLSTAT",
              "-desc": "Sql historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IOWAIT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IOWAIT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLWAIT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLWAIT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APWAIT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APWAIT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CCWAIT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CCWAIT_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSEXEC_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSEXEC_TIME_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVEXEC_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVEXEC_TIME_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_OFFLOAD_ELIG_BYTES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_OFFLOAD_ELIG_BYTES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYSICAL_READS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYSICAL_READS_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CELL_UNCOMPRESSED_BYTES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CELL_UNCOMPRESSED_BYTES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_OFFLOAD_RETURN_BYTES_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_OFFLOAD_RETURN_BYTES_DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SQLTEXT",
              "-desc": "Sql text. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_STAT_NAME",
              "-desc": "Statistic names",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_STREAMS_APPLY_SUM",
              "-desc": "Streams apply historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "READER_TOTAL_MESSAGES_DEQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READER_LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_WAIT_DEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TOTAL_WAIT_CMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_LWM_LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_TOTAL_MESSAGES_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_ELAPSED_APPLY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_STREAMS_CAPTURE",
              "-desc": "Streams capture historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CAPTURED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_REDO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PAUSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_STREAMS_POOL_ADVICE",
              "-desc": "Streams pool advice history",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIZE_FOR_ESTIMATE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_SPILL_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_SPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_UNSPILL_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_UNSPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SYS_TIME_MODEL",
              "-desc": "System time model historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SYSMETRIC_HISTORY",
              "-desc": "System metrics history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BEGIN_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SYSMETRIC_SUMMARY",
              "-desc": "System metrics summary. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BEGIN_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NUM_INTERVAL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINVAL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXVAL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STANDARD_DEVIATION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_SQUARES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SYSSTAT",
              "-desc": "System historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_SYSTEM_EVENT",
              "-desc": "System event historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAITS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_TABLESPACE",
              "-desc": "Displays tablespace information contained in the Workload Repository. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_SPACE_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTENT_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_TABLESPACE_STAT",
              "-desc": "Tablespace historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGMENT_SPACE_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "EXTENT_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IS_BACKUP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_TBSPC_SPACE_USAGE",
              "-desc": "Tablespace usage historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_MAXSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_USEDSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RTIME",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_TEMPFILE",
              "-desc": "Names of temporary datafiles. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_TEMPSTATXS",
              "-desc": "Temporary datafile historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYWRTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITETIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKRD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKWRT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_THREAD",
              "-desc": "Thread historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD_INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CURRENT_GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_TOPLEVELCALL_NAME",
              "-desc": "Oracle top level call type. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_UNDOSTAT",
              "-desc": "Undo historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDOTSN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDOBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXNCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXQUERYLEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXQUERYSQLID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "MAXCONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNXPSTEALCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNXPBLKRELCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNXPBLKREUCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPSTEALCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPBLKRELCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPBLKREUCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SSOLDERRCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOSPACEERRCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVEBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNEXPIREDBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIREDBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TUNED_UNDORETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_WAITCLASSMET_HISTORY",
              "-desc": "Wait class metric history. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BEGIN_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAITER_COUNT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIME_IN_WAIT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_WAITSTAT",
              "-desc": "Wait historical statistics information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_HIST_WR_CONTROL",
              "-desc": "Workload repository control information. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_INTERVAL",
                  "-null": "NOT NULL",
                  "-type": "interval day(5) TO SECOND(1)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "NOT NULL",
                  "-type": "interval day(5) TO SECOND(1)"
                }
                ,{
                  "-name": "TOPNSQL",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_OUTSTANDING_ALERTS",
              "-desc": "All outstanding alerts. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "SEQUENCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME_SUGGESTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SUGGESTED_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METRIC_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MESSAGE_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MESSAGE_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOSTING_CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOST_ID",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HOST_NW_ADDR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_CONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(142)"
                }
                ,{
                  "-name": "STATE_TRANSITION_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_TEMPLATE_REFGROUPS",
              "-desc": "Refresh group information for template. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "REFRESH_GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REFRESH_TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_TEMPLATE_TARGETS",
              "-desc": "Potential target databases for templates. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "TEMPLATE_TARGET_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_DATABASE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TARGET_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CONNECT_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "AWR",
              "-name": "DBA_THRESHOLDS",
              "-desc": "All alert thresholds. (Note: The Automatic Workload Repository (AWR) collects, processes, and maintains performance statistics for problem detection and self-tuning purposes.)",
              "fields": [
                {
                  "-name": "METRICS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WARNING_OPERATOR",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "WARNING_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CRITICAL_OPERATOR",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CRITICAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "OBSERVATION_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSECUTIVE_OCCURRENCES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Change Notification",
              "-name": "DBA_CHANGE_NOTIFICATION_REGS",
              "-desc": "The registrations for change notification",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "REGID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REGFLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLBACK",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "OPERATIONS_FILTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHANGELAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(63)"
                }
              ]
            }
            ,{
              "-category": "Change Notification",
              "-name": "DBA_CQ_NOTIFICATION_QUERIES",
              "-desc": "Registered queries for cq notification",
              "fields": [
                {
                  "-name": "QUERYID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUERYTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "REGID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_EDS_SUPPORTED",
              "-desc": "All tables that could have eds-based replication for logical standby",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_EDS_TABLES",
              "-desc": "All tables that have eds-based replication for logical standby",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_EVENTS",
              "-desc": "Information on logical standby events",
              "fields": [
                {
                  "-name": "EVENT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EVENT_TIMESTAMP",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "STATUS_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "SRC_CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_HISTORY",
              "-desc": "Information on processed, active, and pending log Streams",
              "fields": [
                {
                  "-name": "STREAM_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DGNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "MERGE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESSED_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_LOG",
              "-desc": "Information about received logs from the primary",
              "fields": [
                {
                  "-name": "THREAD#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DICT_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICT_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLIED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_NOT_UNIQUE",
              "-desc": "All tables with out primary or unique key not null constraints",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BAD_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_PARAMETERS",
              "-desc": "Miscellaneous options and settings for logical standby",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SETTING",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DYNAMIC",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_PLSQL_MAP",
              "-desc": "Displays the mapping between a supported user invokable (/external) PL/SQL procedure to the corresponding replicated internal PL/SQL procedure",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PKG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERNAL_PKG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERNAL_PROC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_PLSQL_SUPPORT",
              "-desc": "Displays the PL/SQL packages that are only supported during rolling operations",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PKG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPPORT_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_SKIP",
              "-desc": "Skip settings choosen",
              "fields": [
                {
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STATEMENT_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "USE_LIKE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ESC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PROC",
                  "-null": "",
                  "-type": "VARCHAR2(392)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_SKIP_TRANSACTION",
              "-desc": "The transactions to be skipped",
              "fields": [
                {
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_UNSUPPORTED",
              "-desc": "All columns that are not supported by logical standby",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "VARCHAR2(39)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_LOGSTDBY_UNSUPPORTED_TABLE",
              "-desc": "All data tables that are not supported by logical standby",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_ROLLING_DATABASES",
              "-desc": "Lists all the databases eligible for configuration with rolling operations",
              "fields": [
                {
                  "-name": "RDBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBUN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "OPEN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "PARTICIPANT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENGINE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "RAC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPDATE_PROGRESS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "PROD_RSCN",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PROD_RID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PROD_SCN",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "REDO_SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONS_RSCN",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CONS_RID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CONS_SCN",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_ROLLING_EVENTS",
              "-desc": "Lists all the events reported from the DBMS_ROLLING PL/SQL package",
              "fields": [
                {
                  "-name": "EVENTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REVISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_ROLLING_PARAMETERS",
              "-desc": "Lists the available parameters of the DBMS_ROLLING PL/SQL package",
              "fields": [
                {
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CURVAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "LSTVAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "DEFVAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "MINVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_ROLLING_PLAN",
              "-desc": "Displays the instructions which constitute the active upgrade plan",
              "fields": [
                {
                  "-name": "REVISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BATCHID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PHASE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "PROGRESS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EXEC_STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXEC_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EXEC_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "FINISH_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_ROLLING_STATISTICS",
              "-desc": "Provides a list of rolling operation statistics",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_ROLLING_STATUS",
              "-desc": "Displays the overall status of the rolling operation",
              "fields": [
                {
                  "-name": "REVISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PHASE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "NEXT_INSTRUCTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMAINING_INSTRUCTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORDINATOR_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORDINATOR_PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL_PRIMARY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FUTURE_PRIMARY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TOTAL_DATABASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTICIPATING_DATABASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INIT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "BUILD_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "SWITCH_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "FINISH_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "DBA_SUPPLEMENTAL_LOGGING",
              "-desc": "Provides information about supplemental logging for a pluggable database (PDB) in a multitenant container database (CDB)",
              "fields": [
                {
                  "-name": "MINIMAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIMARY_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UNIQUE_INDEX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOREIGN_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ALL_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PROCEDURAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Data Mining",
              "-name": "DBA_MINING_MODEL_ATTRIBUTES",
              "-desc": "All the model attributes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(106)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ATTRIBUTE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Data Mining",
              "-name": "DBA_MINING_MODEL_SETTINGS",
              "-desc": "All the model settings ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SETTING_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SETTING_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SETTING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Data Mining",
              "-name": "DBA_MINING_MODEL_TABLES",
              "-desc": "All the mining model tables in the system",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
              ]
            }
            ,{
              "-category": "Data Mining",
              "-name": "DBA_MINING_MODELS",
              "-desc": "All the models ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MINING_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ALGORITHM",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUILD_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODEL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Data Redaction",
              "-name": "REDACTION_POLICIES",
              "-desc": "Displays all redaction policies in the database",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXPRESSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENABLE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "POLICY_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Data Redaction",
              "-name": "REDACTION_COLUMNS",
              "-desc": "Describes all redacted columns in the database, giving the owner of the table or view within which the column resides, the object name, the column name, the type of redaction function, the parameters to the redaction function (if any), and an optional description of the redaction policy",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FUNCTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "FUNCTION_PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "REGEXP_PATTERN",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "REGEXP_REPLACE_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REGEXP_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REGEXP_OCCURRENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REGEXP_MATCH_PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "COLUMN_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Data Redaction",
              "-name": "REDACTION_VALUES_FOR_TYPE_FULL",
              "-desc": "Displays all of the current values for full redaction",
              "fields": [
                {
                  "-name": "NUMBER_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BINARY_FLOAT_VALUE",
                  "-null": "NOT NULL",
                  "-type": "BINARY_FLOAT()"
                }
                ,{
                  "-name": "BINARY_DOUBLE_VALUE",
                  "-null": "NOT NULL",
                  "-type": "BINARY_DOUBLE()"
                }
                ,{
                  "-name": "CHAR_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "VARCHAR_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NCHAR_VALUE",
                  "-null": "",
                  "-type": "NCHAR(1)"
                }
                ,{
                  "-name": "NVARCHAR_VALUE",
                  "-null": "",
                  "-type": "NVARCHAR2(1)"
                }
                ,{
                  "-name": "DATE_VALUE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP_VALUE",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "TIMESTAMP_WITH_TIME_ZONE_VALUE",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "BLOB_VALUE",
                  "-null": "",
                  "-type": "BLOB"
                }
                ,{
                  "-name": "CLOB_VALUE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "NCLOB_VALUE",
                  "-null": "",
                  "-type": "NCLOB"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_2PC_NEIGHBORS",
              "-desc": "Information about incoming and outgoing connections for pending transactions",
              "fields": [
                {
                  "-name": "LOCAL_TRAN_ID",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "IN_OUT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBUSER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERFACE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SESS#",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "BRANCH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_2PC_PENDING",
              "-desc": "Information about distributed transactions awaiting recovery",
              "fields": [
                {
                  "-name": "LOCAL_TRAN_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "GLOBAL_TRAN_ID",
                  "-null": "",
                  "-type": "VARCHAR2(169)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "MIXED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ADVICE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TRAN_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "FAIL_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FORCE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RETRY_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OS_TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "HOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMIT#",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_CPOOL_INFO",
              "-desc": "Connection pool information",
              "fields": [
                {
                  "-name": "CONNECTION_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "MINSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCRSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_CACHED_CURSORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INACTIVITY_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_THINK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USE_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_LIFETIME_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CBROK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXCONN_CBROK",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_DB_LINKS",
              "-desc": "All database links ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_LINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOST",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_HOST_ACLS",
              "-desc": "Access control lists assigned to restrict access to network hosts through PL/SQL network utility packages, privileges defined in network access control lists",
              "fields": [
                {
                  "-name": "HOST",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "LOWER_PORT",
                  "-null": "",
                  "-type": "NUMBER(5)"
                }
                ,{
                  "-name": "UPPER_PORT",
                  "-null": "",
                  "-type": "NUMBER(5)"
                }
                ,{
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACLID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "ACL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_PENDING_TRANSACTIONS",
              "-desc": "Information about unresolved global transactions",
              "fields": [
                {
                  "-name": "FORMATID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBALID",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "BRANCHID",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Distributed Txns and Networking",
              "-name": "DBA_PROXIES",
              "-desc": "Information about all proxy connections",
              "fields": [
                {
                  "-name": "PROXY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUTHENTICATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTHORIZATION_CONSTRAINT",
                  "-null": "",
                  "-type": "VARCHAR2(35)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROXY_AUTHORITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITION_COMMENTS",
              "-desc": "Comments on all editions ",
              "fields": [
                {
                  "-name": "EDITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITIONED_TYPES",
              "-desc": "Lists the types that are editioned by default for the current user",
              "fields": [
                {
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITIONING_VIEW_COLS",
              "-desc": "Relationship between columns of all editioning views and the table columns to which they map",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_COLUMN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VIEW_COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_COLUMN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITIONING_VIEW_COLS_AE",
              "-desc": "Describes the relationship between the columns of all editioning views (across all editions) in the database and the table columns to which they map",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_COLUMN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VIEW_COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_COLUMN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITIONING_VIEWS",
              "-desc": "All editioning views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITIONING_VIEWS_AE",
              "-desc": "Describes all editioning views (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_EDITIONS",
              "-desc": "All editions ",
              "fields": [
                {
                  "-name": "EDITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_ERRORS_AE",
              "-desc": "Describes the current errors on all stored objects (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_OBJECTS_AE",
              "-desc": "Describes all objects (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_DDL_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITIONABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_SOURCE_AE",
              "-desc": "Describes the text source of all stored objects (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "LINE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Editions",
              "-name": "DBA_VIEWS_AE",
              "-desc": "Describes all views (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "TYPE_TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OID_TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OID_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VIEW_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPERVIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITIONING_VIEW",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONTAINER_DATA",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BEQUEATH",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_DATAPUMP_JOBS",
              "-desc": "Datapump jobs. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "OWNER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "JOB_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTACHED_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAPUMP_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_DATAPUMP_SESSIONS",
              "-desc": "Datapump sessions attached to a job. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "OWNER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXP_FILES",
              "-desc": "Description of export files. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "EXP_VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(3)"
                }
                ,{
                  "-name": "EXP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXP_OBJECTS",
              "-desc": "Objects that have been incrementally exported. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CUMULATIVE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INCREMENTAL",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPORT_VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(3)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXP_VERSION",
              "-desc": "Version number of the last export session. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "EXP_VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(3)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXPORT_OBJECTS",
              "-desc": "Export include and exclude object type names. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "HET_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "NAMED",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXPORT_PATHS",
              "-desc": "The possible export paths for each export type. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "HET_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXTERNAL_LOCATIONS",
              "-desc": "The external tables locations accessible to the DBA. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DIRECTORY_OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "DIRECTORY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "ETL Methods",
              "-name": "DBA_EXTERNAL_TABLES",
              "-desc": "External tables accessible to the DBA. (Note: ETL stands for extraction, transformation, and loading). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_DIRECTORY_OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "DEFAULT_DIRECTORY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REJECT_LIMIT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ACCESS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACCESS_PARAMETERS",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PROPERTY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Flashback",
              "-name": "DBA_FLASHBACK_ARCHIVE",
              "-desc": "Flashback archives available in the system",
              "fields": [
                {
                  "-name": "OWNER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION_IN_DAYS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
                ,{
                  "-name": "LAST_PURGE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Flashback",
              "-name": "DBA_FLASHBACK_ARCHIVE_TABLES",
              "-desc": "Tables that are enabled for flashback archive",
              "fields": [
                {
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "ARCHIVE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(53)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
              ]
            }
            ,{
              "-category": "Flashback",
              "-name": "DBA_FLASHBACK_ARCHIVE_TS",
              "-desc": "Tablespaces in the flashback archives available in the system",
              "fields": [
                {
                  "-name": "FLASHBACK_ARCHIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUOTA_IN_MB",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "Flashback",
              "-name": "DBA_FLASHBACK_TXN_REPORT",
              "-desc": "Information about all compensating transactions that have been committed ",
              "fields": [
                {
                  "-name": "COMPENSATING_XID",
                  "-null": "NOT NULL",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "COMPENSATING_TXN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMMIT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "XID_REPORT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Flashback",
              "-name": "DBA_FLASHBACK_TXN_STATE",
              "-desc": "Information about the compensating status of all transactions ",
              "fields": [
                {
                  "-name": "COMPENSATING_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "DEPENDENT_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "BACKOUT_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Flashback",
              "-name": "DBA_RECYCLEBIN",
              "-desc": "Description of the recyclebin view accessible to the user",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "TS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATETIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "DROPTIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "DROPSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAN_UNDROP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CAN_PURGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RELATED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_OBJECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PURGE_OBJECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_CATALOG",
              "-desc": "All database tables, views, synonyms, sequences",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_CPU_USAGE_STATISTICS",
              "-desc": "Database cpu usage statistics",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CPU_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_CORE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_SOCKET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_DEPENDENCIES",
              "-desc": "Dependencies between database objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "REFERENCED_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFERENCED_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFERENCED_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "REFERENCED_LINK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEPENDENCY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_DIRECTORIES",
              "-desc": "Information on all directory objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTORY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTORY_PATH",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_ENABLED_AGGREGATIONS",
              "-desc": "Enabled on-demand statistic aggregations for services",
              "fields": [
                {
                  "-name": "AGGREGATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "PRIMARY_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "QUALIFIER_ID1",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "QUALIFIER_ID2",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_ENABLED_TRACES",
              "-desc": "Enabled SQL traces for services",
              "fields": [
                {
                  "-name": "TRACE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "PRIMARY_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "QUALIFIER_ID1",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "QUALIFIER_ID2",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAITS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "BINDS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PLAN_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_INVALID_OBJECTS",
              "-desc": "The invalid objects, such as packages, views, and so on, ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_DDL_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SHARING",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "EDITIONABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_KEEPSIZES",
              "-desc": "The amount of memory PL/SQL objects will occupy in the shared pool when kept using the dbms_shared_pool.keep procedure",
              "fields": [
                {
                  "-name": "TOTSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_LIBRARIES",
              "-desc": "Description of all libraries ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LIBRARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "DYNAMIC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEAF_FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_OBJECTS",
              "-desc": "All objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_DDL_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SHARING",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "EDITIONABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_RESOURCE_INCARNATIONS",
              "-desc": "Resource incarnations that are running or eligible for ha status notification",
              "fields": [
                {
                  "-name": "RESOURCE_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DB_DOMAIN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "HOST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_SEQUENCES",
              "-desc": "All sequences ",
              "fields": [
                {
                  "-name": "SEQUENCE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MIN_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENT_BY",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CYCLE_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ORDER_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CACHE_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_SERVICES",
              "-desc": "All services ",
              "fields": [
                {
                  "-name": "SERVICE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATION_DATE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILOVER_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FAILOVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FAILOVER_RETRIES",
                  "-null": "",
                  "-type": "NUMBER(10)"
                }
                ,{
                  "-name": "FAILOVER_DELAY",
                  "-null": "",
                  "-type": "NUMBER(10)"
                }
                ,{
                  "-name": "MIN_CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DTP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AQ_HA_NOTIFICATIONS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLB_GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMIT_OUTCOME",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_INITIATION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE_CONSISTENCY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GLOBAL_SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PDB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "MAX_LAG_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GSM_FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_SQL_MONITOR_USAGE",
              "-desc": "The enterprise manager and database reports that have been run",
              "fields": [
                {
                  "-name": "NUM_DB_REPORTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_EM_REPORTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_DB_REPORT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_DB_REPORT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_EM_REPORT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_EM_REPORT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_SYNONYMS",
              "-desc": "All synonyms ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYNONYM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_USERS",
              "-desc": "All users of schemas ",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PASSWORD",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACCOUNT_STATUS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LOCK_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPIRY_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEFAULT_TABLESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPORARY_TABLESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PROFILE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INITIAL_RSRC_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PASSWORD_VERSIONS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "EDITIONS_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PROXY_ONLY_CONNECT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LAST_LOGIN",
                  "-null": "",
                  "-type": "TIMESTAMP(9) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "DBA_VIEWS",
              "-desc": "All views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "TYPE_TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OID_TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OID_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VIEW_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPERVIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITIONING_VIEW",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CONTAINER_DATA",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BEQUEATH",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "DBA_GG_INBOUND_PROGRESS",
              "-desc": "Displays information about the progress made by all GoldenGate inbound servers in the database",
              "fields": [
                {
                  "-name": "SERVER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCESSED_LOW_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "APPLIED_LOW_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "APPLIED_HIGH_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SPILL_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLDEST_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "APPLIED_LOW_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "DBA_GOLDENGATE_INBOUND",
              "-desc": "Displays information about all GoldenGate inbound servers in the database",
              "fields": [
                {
                  "-name": "REPLICAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SERVER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "DBA_GOLDENGATE_PRIVILEGES",
              "-desc": "Displays details about Oracle GoldenGate privileges",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GRANT_SELECT_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "DBA_GOLDENGATE_RULES",
              "-desc": "Displays information about all GoldenGate server rules in the database",
              "fields": [
                {
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "COMPONENT_RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_TYPE",
                  "-null": "",
                  "-type": "CHAR(8)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INCLUDE_TAGGED_LCR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUBSETTING_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DML_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SAME_RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_CONTAINER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "DBA_GOLDENGATE_SUPPORT_MODE",
              "-desc": "Displays information about the level of Oracle GoldenGate capture process support for the tables in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPPORT_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_COLUMNS",
              "-desc": "Columns comprising indexes on all tables and clusters",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLUMN_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCEND",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_EXPRESSIONS",
              "-desc": "Functional index expressions on all tables and clusters",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_EXPRESSION",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_PARTITIONS",
              "-desc": "Displays, for each index partition in the database, the partition-level partitioning information, the storage parameters for the partition, and various partition statistics generated by the DBMS_STATS package",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PCT_DIRECT_ACCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DOMIDX_OPSTATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ORPHANED_ENTRIES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_PENDING_STATS",
              "-desc": "Describes pending statistics for all tables, partitions, and subpartitions in the database collected using the DBMS_STATS package",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_STATISTICS",
              "-desc": "Displays optimizer statistics for all indexes in the database collected using the DBMS_STATS package",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHE_HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATTYPE_LOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STALE_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_SUBPARTITIONS",
              "-desc": "Provides information on all index subpartitions. the subpartition-level partitioning information, the storage parameters for the subpartition, and various subpartition statistics generated by the DBMS_STATS package",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_IND_SUBPARTITIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_INDEXES",
              "-desc": "All indexes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "UNIQUENESS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PREFIX_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCLUDE_COLUMN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "PCT_DIRECT_ACCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ITYP_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ITYP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DOMIDX_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DOMIDX_OPSTATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "FUNCIDX_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "JOIN_INDEX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_REDUNDANT_PKEY_ELIM",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VISIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DOMIDX_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ORPHANED_ENTRIES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_INDEXTYPE_ARRAYTYPES",
              "-desc": "All array types specified by the indextype",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEXTYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TYPE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ARRAY_TYPE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ARRAY_TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_INDEXTYPE_COMMENTS",
              "-desc": "Comments for user-defined indextypes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEXTYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_INDEXTYPE_OPERATORS",
              "-desc": "All indextype operators",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEXTYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BINDING#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_INDEXTYPES",
              "-desc": "All indextypes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEXTYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLEMENTATION_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLEMENTATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERFACE_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPLEMENTATION_VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_OPERATORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITIONING",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ARRAY_DML",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MAINTENANCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "Indexes",
              "-name": "DBA_SECONDARY_OBJECTS",
              "-desc": "Information about all secondary objects that are associated with domain indexes ",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECONDARY_OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECONDARY_OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECONDARY_OBJDATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_HEAT_MAP_SEG_HISTOGRAM",
              "-desc": "Displays segment access information for all segments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRACK_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SEGMENT_WRITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FULL_SCAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LOOKUP_SCAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_HEAT_MAP_SEGMENT",
              "-desc": "Displays the latest segment access time for all segments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_WRITE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SEGMENT_READ_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FULL_SCAN",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOOKUP_SCAN",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_HEATMAP_TOP_OBJECTS",
              "-desc": "Displays heat map information for the top 1000 objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_WRITETIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_WRITETIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_WRITETIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_READTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_READTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_READTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_FTSTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_FTSTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_FTSTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_LOOKUPTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_LOOKUPTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_LOOKUPTIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_HEATMAP_TOP_TABLESPACES",
              "-desc": "Displays heat map information for the top 100 tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_WRITETIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_WRITETIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_WRITETIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_READTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_READTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_READTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_FTSTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_FTSTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_FTSTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_LOOKUPTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_LOOKUPTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVG_LOOKUPTIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMDATAMOVEMENTPOLICIES",
              "-desc": "Contains information specific to data movement-related attributes of an Automatic Data Optimization policy in a database",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TIER_TABLESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TIER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CONDITION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "CONDITION_DAYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUSTOM_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMEVALUATIONDETAILS",
              "-desc": "Displays details on evaluation of Automatic Data Optimization policies considered for Automatic Data Optimization tasks",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SELECTED_FOR_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(42)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMOBJECTS",
              "-desc": "Displays all the Automatic Data Optimization policies and objects in the database",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "INHERITED_FROM",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMPARAMETERS",
              "-desc": "Provides information on the Automatic Data Optimization parameters in the database and their values",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMPOLICIES",
              "-desc": "Displays details about Automatic Data Optimization policies in the database",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TABLESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMRESULTS",
              "-desc": "Displays information on data movement-related Automatic Data Optimization jobs in the database",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATISTICS",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Information Lifecycle Management",
              "-name": "DBA_ILMTASKS",
              "-desc": "Displays information on Automatic Data Optimization execution",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_ARGUMENTS",
              "-desc": "Argument information of all stored java class",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "METHOD_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ARGUMENT_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARRAY_DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ARGUMENT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_CLASSES",
              "-desc": "Class level information of all stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MAJOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ACCESSIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "IS_INNER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ABSTRACT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_STATIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_STRICTFP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SYNTHETIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_DEBUG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUPER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_COMPILER_OPTIONS",
              "-desc": "All native-compiler options",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_DERIVATIONS",
              "-desc": "Mappings of java source objects and their derived java class objects and java resource objects for all java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLASS_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_FIELDS",
              "-desc": "Field information of all stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FIELD_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIELD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACCESSIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "IS_STATIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_VOLATILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_TRANSIENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SYNTHETIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ENUM",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ARRAY_DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FIELD_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_IMPLEMENTS",
              "-desc": "Interfaces implemented by the stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INTERFACE_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INTERFACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_INNERS",
              "-desc": "List of inner classes refered by the stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INNER_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIMPLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FULL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACCESSIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "IS_STATIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ABSTRACT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_INTERFACE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_STRICTFP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SYNTHETIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ENUM",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ANNOTATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ALL_QUALIFIERS",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_LAYOUTS",
              "-desc": "Class layout information about stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INTERFACES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INNER_CLASSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIELDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATIC_FIELDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATIC_METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NATIVE_METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_METHODS",
              "-desc": "Method information of all stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "METHOD_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACCESSIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "IS_STATIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SYNCHRONIZED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HAS_VARARGS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_NATIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ABSTRACT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_STRICTFP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SYNTHETIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ARGUMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARRAY_DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RETURN_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "IS_COMPILED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_NCOMPS",
              "-desc": "Ncomp-related information about all java classes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INITIALIZER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LIBRARYFILE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LIBRARY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_POLICY",
              "-desc": "Java security permissions for all users",
              "fields": [
                {
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GRANTEE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_RESOLVERS",
              "-desc": "Resolver of java classes owned by user",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TERM_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATTERN",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_JAVA_THROWS",
              "-desc": "List of exceptions thrown from a method of a class owned by user",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "METHOD_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EXCEPTION_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXCEPTION_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_XML_INDEXES",
              "-desc": "All xml indexes ",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INDEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "PATH_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "ASYNC",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STALE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PEND_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EX_OR_INCLUDE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_XML_SCHEMAS",
              "-desc": "All xml schemas registered",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "LOCAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "INT_OBJNAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "QUAL_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(865)"
                }
                ,{
                  "-name": "HIER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BINARY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCHEMA_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "HIDDEN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_XML_TAB_COLS",
              "-desc": "All columns in xml tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "ANYSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NONSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_XML_TABLES",
              "-desc": "All xml tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "ANYSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NONSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_XML_VIEW_COLS",
              "-desc": "All columns in xml views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "Java",
              "-name": "DBA_XML_VIEWS",
              "-desc": "All xml views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_BLOCKERS",
              "-desc": "Sessions holding a lock on an object for which another session is waiting",
              "fields": [
                {
                  "-name": "HOLDING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_DDL_LOCKS",
              "-desc": "All ddl locks held and all outstanding requests for a ddl lock",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_DML_LOCKS",
              "-desc": "All DML locks held and all outstanding requests for a DML lock",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "LAST_CONVERT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_OTHERS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_KGLLOCK",
              "-desc": "All the locks and pins held on kgl (kernel generic library cache) objects",
              "fields": [
                {
                  "-name": "KGLLKUSE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KGLLKHDL",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KGLLKMOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KGLLKREQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KGLLKTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_LOCK",
              "-desc": "Same information as DBA_lock, but with additional columns on lock conversion and whether a lock held is blocking other sessions",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOCK_ID1",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOCK_ID2",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LAST_CONVERT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_OTHERS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_LOCK_INTERNAL",
              "-desc": "All locks or latches held, and all outstanding requests for a lock or latch",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(56)"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOCK_ID1",
                  "-null": "",
                  "-type": "VARCHAR2(1130)"
                }
                ,{
                  "-name": "LOCK_ID2",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_LOCKS",
              "-desc": "Synonym for DBA_lock",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOCK_ID1",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOCK_ID2",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LAST_CONVERT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_OTHERS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "Locking",
              "-name": "DBA_WAITERS",
              "-desc": "All the sessions that are waiting for a lock",
              "fields": [
                {
                  "-name": "WAITING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOLDING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOCK_ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "DBA_LOG_GROUP_COLUMNS",
              "-desc": "Columns in log group definitions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING_PROPERTY",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "DBA_LOG_GROUPS",
              "-desc": "Og group definitions on all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_GROUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "ALWAYS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "DBA_LOGMNR_LOG",
              "-desc": "All archived logs registered with active logminer persistent sessions ",
              "fields": [
                {
                  "-name": "LOGMNR_SESSION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODIFIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DICTIONARY_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICTIONARY_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUSPECT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "DBA_LOGMNR_PURGED_LOG",
              "-desc": "Archived redo log files that have been applied to the logical standby database and can be deleted because they are no longer needed",
              "fields": [
                {
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "DBA_LOGMNR_SESSION",
              "-desc": "All active logminer persistent sessions ",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_RESETLOGS_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BRANCH_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_FOR_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HOT_MINE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SAFE_PURGE_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_BASE_TABLE_MVIEWS",
              "-desc": "All materialized views with log(s) ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_LAST_REFRESH_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MVIEW_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_AGGREGATES",
              "-desc": "All materialized view aggregates",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION_IN_SELECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINER_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AGG_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DISTINCTFLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MEASURE",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_ANALYSIS",
              "-desc": "All materialized views accessible",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONTAINER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_REFRESH_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_REFRESH_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUMMARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FULLREFRESHTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREFRESHTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINS_VIEWS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNUSABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RESTRICTED_SYNTAX",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INC_REFRESHABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KNOWN_STALE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INVALID",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REWRITE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "QUERY_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "REVISION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_COMMENTS",
              "-desc": "Comments on all materialized views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_DETAIL_PARTITION",
              "-desc": "Freshness information for all materialized views in the database, with respect to a pct detail partition",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FRESHNESS",
                  "-null": "",
                  "-type": "CHAR(5)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_DETAIL_RELATIONS",
              "-desc": "All materialized view detail tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DETAILOBJ_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_PCT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_FRESH_PCT_PARTITIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_STALE_PCT_PARTITIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_DETAIL_SUBPARTITION",
              "-desc": "Freshness information for all materialized views in the database, with respect to a pct detail subpartition",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FRESHNESS",
                  "-null": "",
                  "-type": "CHAR(5)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_JOINS",
              "-desc": "Joins between columns in the where clause of materialized views",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ1_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ1_RELATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ1_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "OPERATOR_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DETAILOBJ2_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ2_RELATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ2_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_KEYS",
              "-desc": "Columns that appear in the group by lists of materialized views",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION_IN_SELECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINER_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DETAILOBJ_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_LOG_FILTER_COLS",
              "-desc": "All filter columns (excluding pk cols) being logged in the materialized view logs",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_LOGS",
              "-desc": "All materialized view logs ",
              "fields": [
                {
                  "-name": "LOG_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROWIDS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIMARY_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FILTER_COLUMNS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCLUDE_NEW_VALUES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGE_ASYNCHRONOUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGE_DEFERRED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGE_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PURGE_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "LAST_PURGE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_PURGE_STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS_PURGED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_SCN_BASED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STAGING_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEW_REFRESH_TIMES",
              "-desc": "All fast refreshable materialized views and their last refresh times for each master table",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_REFRESH",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_MVIEWS",
              "-desc": "All materialized views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONTAINER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "QUERY_LEN",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "UPDATABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UPDATE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REWRITE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REWRITE_CAPABILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REFRESH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "BUILD_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FAST_REFRESHABLE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "LAST_REFRESH_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LAST_REFRESH_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STALENESS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "AFTER_FAST_REFRESH",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "UNKNOWN_PREBUILT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_PLSQL_FUNC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_EXTERNAL_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_CONSIDER_FRESH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_IMPORT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_TRUSTED_FD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPILE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "USE_NO_INDEX",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STALE_SINCE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NUM_PCT_TABLES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FRESH_PCT_REGIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_STALE_PCT_REGIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "EVALUATION_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEFORE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEGINNING",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_RCHILD",
              "-desc": "All the children in any refresh group",
              "fields": [
                {
                  "-name": "REFGROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE#",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REFRESH",
              "-desc": "All the refresh groups",
              "fields": [
                {
                  "-name": "ROWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFGROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPLICIT_DESTROY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PUSH_DEFERRED_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REFRESH_AFTER_ERRORS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "BROKEN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PURGE_OPTION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARALLELISM",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "HEAP_SIZE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REFRESH_CHILDREN",
              "-desc": "All the objects in refresh groups",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFGROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPLICIT_DESTROY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PUSH_DEFERRED_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REFRESH_AFTER_ERRORS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "BROKEN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PURGE_OPTION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARALLELISM",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "HEAP_SIZE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REGISTERED_ARCHIVED_LOG",
              "-desc": "Details about the registered log files",
              "fields": [
                {
                  "-name": "CONSUMER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "MODIFIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DICTIONARY_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICTIONARY_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGEABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESET_TIMESTAMP",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REGISTERED_MVIEW_GROUPS",
              "-desc": "Materialized view repgroup registration information",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MVIEW_SITE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REGISTERED_MVIEWS",
              "-desc": "Remote materialized views of local tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_SITE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAN_USE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPDATABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MVIEW_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "QUERY_TXT",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REGISTERED_SNAPSHOT_GROUPS",
              "-desc": "Snapshot repgroup registration information",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SNAPSHOT_SITE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_REGISTERED_SNAPSHOTS",
              "-desc": "Remote snapshots of local tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SNAPSHOT_SITE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAN_USE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPDATABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SNAPSHOT_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "QUERY_TXT",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_RGROUP",
              "-desc": "All refresh groups",
              "fields": [
                {
                  "-name": "REFGROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLICIT_DESTROY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PUSH_DEFERRED_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REFRESH_AFTER_ERRORS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PURGE_OPTION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARALLELISM",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "HEAP_SIZE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SNAPSHOT_LOG_FILTER_COLS",
              "-desc": "Synonym for DBA_mview_log_filter_cols",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SNAPSHOT_LOGS",
              "-desc": "All snapshot logs ",
              "fields": [
                {
                  "-name": "LOG_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROWIDS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIMARY_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FILTER_COLUMNS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCLUDE_NEW_VALUES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CURRENT_SNAPSHOTS",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SNAPSHOT_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SNAPSHOT_REFRESH_TIMES",
              "-desc": "Synonym for DBA_mview_refresh_times",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_REFRESH",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SNAPSHOTS",
              "-desc": "All snapshots ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_VIEW",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAN_USE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPDATABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "LAST_REFRESH",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FR_OPERATIONS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CR_OPERATIONS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "NEXT",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "START_WITH",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REFRESH_GROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATE_TRIG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPDATE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "MASTER_ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REFRESH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PREBUILT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_GRP_STATUS",
              "-desc": "Provides information on the current refresh operations for the current synchronous refresh groups in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "NUM_TBLS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MVS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_TBLS_REFR_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "NUM_MVS_COMPLETED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MVS_ABORTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PREPARE_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PREPARE_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTE_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTE_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_GRP_STATUS_ALL",
              "-desc": "Provides information on the refresh operations on the synchronous refresh groups in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CURRENT_RUN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CURRENT_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_TBLS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MVS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_TBLS_REFR_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "NUM_MVS_COMPLETED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MVS_ABORTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PREPARE_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PREPARE_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTE_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTE_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_OBJ",
              "-desc": "Provides information on the objects registered for synchronous refresh for current groups",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAGING_LOG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_OBJ_ALL",
              "-desc": "Provides information on the objects registered for synchronous refresh for current and defunct groups",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STAGING_LOG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_OBJ_STATUS",
              "-desc": "Provides information on the status of objects registered for synchronous refresh for the current refresh operations for the current synchronous refresh groups in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LAST_MODIFIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_OBJ_STATUS_ALL",
              "-desc": "Provides information on the status of objects registered for synchronous refresh",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CURRENT_RUN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CURRENT_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LAST_MODIFIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_PARTN_OPS",
              "-desc": "Provides information on the partition operations registered on the base tables of the materialized views registered for synchronous refresh",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_OP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OUTSIDE_TABLE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OUTSIDE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_STLOG_EXCEPTIONS",
              "-desc": "Provides information on the exceptions in the staging logs for the tables processed by DBMS_SYNC_REFRESH.PREPARE_STAGING_LOG",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STAGING_LOG_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BAD_ROWID",
                  "-null": "NOT NULL",
                  "-type": "ROWID()"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_SR_STLOG_STATS",
              "-desc": "Provides information on the statistics in the staging logs for the tables processed by DBMS_SYNC_REFRESH.PREPARE_STAGING_LOG",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STAGING_LOG_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_INSERTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DELETES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_UPDATES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PSL_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
              ]
            }
            ,{
              "-category": "Materialized Views and Snapshots",
              "-name": "DBA_TUNE_MVIEW",
              "-desc": "The result after executing tune_mview() api",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCRIPT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "STATEMENT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_ARGUMENTS",
              "-desc": "All arguments for objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OVERLOAD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARGUMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_LEVEL",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEFAULTED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "DEFAULT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_OUT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RADIX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PLS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAR_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_COLL_TYPES",
              "-desc": "All named collection types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLL_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPPER_BOUND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ELEM_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEM_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "ELEM_STORAGE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NULLS_STORED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_IDENTIFIERS",
              "-desc": "Identifiers in stored objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "USAGE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "USAGE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COL",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_METHOD_PARAMS",
              "-desc": "Method parameters of all types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAM_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAM_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PARAM_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "PARAM_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAM_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_METHOD_RESULTS",
              "-desc": "Method results of all types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESULT_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RESULT_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESULT_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_NESTED_TABLE_COLS",
              "-desc": "Columns of nested tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NULLABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COLUMN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFAULT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_DEFAULT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "CHAR_COL_DECL_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "V80_FMT_IMAGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_UPGRADED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HIDDEN_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VIRTUAL_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_COLUMN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INTERNAL_COLUMN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "QUALIFIED_COL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_NESTED_TABLES",
              "-desc": "Nested tables contained in all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_TABLE_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STORAGE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RETURN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "ELEMENT_SUBSTITUTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OBJ_COLATTRS",
              "-desc": "Object columns and attributes contained in all tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUBSTITUTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OBJECT_TABLES",
              "-desc": "All object tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TABLE_LOCK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OBJECT_ID_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TABLE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ROW_MOVEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SKIP_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLUSTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OBJECTS",
              "-desc": "Describes all objects in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_DDL_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SHARING",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "EDITIONABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OLDIMAGE_COLUMNS",
              "-desc": "All object tables and columns in old (8.0) image format",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OPANCILLARY",
              "-desc": "All ancillary operators",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BINDING#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMOP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIMOP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIMOP_BIND#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OPARGUMENTS",
              "-desc": "All operator arguments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BINDING#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARGUMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(61)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OPBINDINGS",
              "-desc": "All operator binding functiosn or methods",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BINDING#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(92)"
                }
                ,{
                  "-name": "RETURN_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RETURN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLEMENTATION_TYPE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLEMENTATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROPERTY",
                  "-null": "",
                  "-type": "VARCHAR2(43)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OPERATOR_COMMENTS",
              "-desc": "Comments for user-defined operators",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_OPERATORS",
              "-desc": "All operators",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_OF_BINDS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_REFS",
              "-desc": "Ref columns contained in all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "WITH_ROWID",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SCOPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCOPE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_SQLJ_TYPE_ATTRS",
              "-desc": "Attributes of all SQLJ types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTERNAL_ATTR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTR_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ATTR_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "ATTR_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INHERITED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_SQLJ_TYPE_METHODS",
              "-desc": "Methods of all SQLJ types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTERNAL_VAR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "METHOD_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESULTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANTIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OVERRIDING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INHERITED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_SQLJ_TYPES",
              "-desc": "All SQLJ types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_OID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "USING",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "TYPECODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREDEFINED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCOMPLETE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANTIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPERTYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPERTYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCAL_ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCAL_METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_TYPE_ATTRS",
              "-desc": "Attributes of all types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ATTR_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "ATTR_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INHERITED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_TYPE_METHODS",
              "-desc": "Methods of all types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESULTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANTIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OVERRIDING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INHERITED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_TYPE_VERSIONS",
              "-desc": "Type versions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPECODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LINE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "HASHCODE",
                  "-null": "",
                  "-type": "RAW(17 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_TYPES",
              "-desc": "All types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "TYPECODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREDEFINED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCOMPLETE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANTIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPERTYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPERTYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCAL_ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCAL_METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPEID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Objects",
              "-name": "DBA_VARRAYS",
              "-desc": "Varrays in tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_TABLE_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STORAGE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RETURN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "ELEMENT_SUBSTITUTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_AW_OBJ",
              "-desc": "Objects in analytic workspaces . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AW_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_ID",
                  "-null": "",
                  "-type": "NUMBER(20)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "OBJ_TYPE",
                  "-null": "",
                  "-type": "NUMBER(4)"
                }
                ,{
                  "-name": "PART_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_AW_PROP",
              "-desc": "Object properties in analytic workspaces . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AW_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_ID",
                  "-null": "",
                  "-type": "NUMBER(20)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PROPERTY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PROPERTY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROPERTY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FULL_PROPERTY_VALUE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PROPERTY_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_AW_PS",
              "-desc": "Pagespaces in analytic workspaces. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AW_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PSNUMBER",
                  "-null": "",
                  "-type": "NUMBER(10)"
                }
                ,{
                  "-name": "GENERATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXPAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_AWS",
              "-desc": "All analytic workspaces . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AW_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AW_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "PAGESPACES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GENERATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FROZEN",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_ATTR_MAPPINGS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER_MAP_DIMENSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "OWNER_MAP_HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER_MAP_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER_MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTRIBUTE_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LANGUAGE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_ATTR_UNIQUE_KEYS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNIQUE_KEY_LEVEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_ATTR_VISIBILITY",
              "-desc": "OLAP attributes visible for dimensions, hierarchies, and levels. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TO_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_ATTRIBUTES",
              "-desc": "OLAP attributes . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "ATTRIBUTE_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(106)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATE_INDEX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_BUILD_PROCESSES",
              "-desc": "OLAP build processes. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BUILD_PROCESS_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BUILD_PROCESS_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUILD_PROCESS",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_CALCULATED_MEMBERS",
              "-desc": "OLAP calculated members . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEMBER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IS_CUSTOM_AGGREGATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_CLASSIFICATIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(386)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "LANGUAGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "CLASSIFICATION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "ORDER_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DEPENDENCIES",
              "-desc": "",
              "fields": [
                {
                  "-name": "F_TABLE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "F_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "F_GEOMETRY_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "G_TABLE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "G_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GEOMETRY_TYPE",
                  "-null": "",
                  "-type": " NUMBER"
                }
                ,{
                  "-name": "COORD_DIMENSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_PPR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DESCRIPTIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(386)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "DESCRIPTION_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION_VALUE",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "LANGUAGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIM_LEVELS",
              "-desc": "OLAP dimension levels . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIM_MAPPINGS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAPPED_DIMENSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "MAPPED_HIERARCHY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "KEY_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "FROM_CLAUSE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "WHERE_CLAUSE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "JOIN_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LEVEL_ID_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PARENT_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PARENT_LEVEL_ID_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LEVEL_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIM_MODELS",
              "-desc": "OLAP dimension models . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODEL_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIM_VIEW_COLUMNS",
              "-desc": "OLAP dimesion view columns . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIM_VIEWS",
              "-desc": "OLAP dimension views . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIMENSIONALITY",
              "-desc": "OLAP cube dimensionality . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSIONALITY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "DIMENSIONALITY_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORDER_NUM",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_SPARSE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ET_ATTR_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIMENSIONS",
              "-desc": "OLAP cube dimensions . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIMENSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "AW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "HIERARCHY_CONSISTENCY_RULE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ADD_UNIQUE_KEY_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CUSTOM_ORDER",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_DIMNL_MAPPINGS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAPPED_DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAPPED_HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAPPED_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAPPED_DIMENSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "JOIN_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LEVEL_ID_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "DIMENSIONALITY_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_HIER_LEVELS",
              "-desc": "OLAP hierarchy levels . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_LEVEL_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORDER_NUM",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_HIER_VIEW_COLUMNS",
              "-desc": "OLAP hierarchy view columns . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_HIER_VIEWS",
              "-desc": "OLAP hierarchy views . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_HIERARCHIES",
              "-desc": "OLAP hierarchies . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIERARCHY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "IS_RAGGED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_SKIP_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFRESH_MVIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "CUSTOM_ORDER",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_MAPPINGS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "WHERE_CLAUSE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "FROM_CLAUSE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "IS_SOLVED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "AGGREGATION_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_MEAS_MAPPINGS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEASURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_MEASURES",
              "-desc": "OLAP measures . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OVERRIDE_SOLVE_SPEC",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "MEASURE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "EXPRESSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(106)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOOP_VAR_OVERRIDE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "LOOP_DENSE_OVERRIDE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "LOOP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_NAMED_BUILD_SPECS",
              "-desc": "Describes the OLAP cube named build specifications in the database. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAMED_BUILD_SPEC",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_SUB_PARTITION_LEVELS",
              "-desc": "Describes the OLAP secondary partition levels in the database. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUB_PARTITION_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "PRECOMPUTE_PERCENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUB_PARTITION_LEVEL_ORDER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_VIEW_COLUMNS",
              "-desc": "OLAP cube view columns . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBE_VIEWS",
              "-desc": "OLAP cube views . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_CUBES",
              "-desc": "OLAP cubes . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSISTENT_SOLVE_SPEC",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
                ,{
                  "-name": "SPARSE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "PRECOMPUTE_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PRECOMPUTE_PERCENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECOMPUTE_PERCENT_TOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_DIMENSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_MVIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "REWRITE_MVIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "DEFAULT_BUILD_SPEC",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "MEASURE_STORAGE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "SQL_CUBE_STORAGE_TYPE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CUBE_STORAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIM_ATTRIBUTES",
              "-desc": "Representation of the relationship between a dimension level and a functionally dependent column. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INFERRED",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIM_CHILD_OF",
              "-desc": "Representaion of a 1:n hierarchical relationship between a pair of levels in a dimension. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOIN_KEY_ID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PARENT_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIM_HIERARCHIES",
              "-desc": "Representation of a dimension hierarchy. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIM_JOIN_KEY",
              "-desc": "Representation of a join between two dimension tables. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIM_KEY_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIERARCHY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHILD_JOIN_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHILD_JOIN_TABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHILD_JOIN_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHILD_LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIM_LEVEL_KEY",
              "-desc": "Representations of columns of a dimension level. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEY_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIM_LEVELS",
              "-desc": "All dimension levels. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEVEL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DETAILOBJ_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SKIP_WHEN_NULL",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_DIMENSIONS",
              "-desc": "All dimension objects. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVALID",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPILE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "REVISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_MEASURE_FOLDER_CONTENTS",
              "-desc": "OLAP measure folder contents . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_FOLDER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CUBE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORDER_NUM",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_MEASURE_FOLDER_SUBFOLDERS",
              "-desc": "Describes the OLAP measure folders contained within the database OLAP measure folders",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_FOLDER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_SUBFOLDER_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_SUBFOLDER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_MEASURE_FOLDERS",
              "-desc": "OLAP measure folders . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_FOLDER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEASURE_FOLDER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "NVARCHAR2(300)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_METADATA_PROPERTIES",
              "-desc": "Describes OLAP metadata properties in the database. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNING_OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "PROPERTY_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROPERTY_KEY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROPERTY_VALUE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PROPERTY_ORDER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_SUMMARIES",
              "-desc": "Description of all summaries . (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUMMARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONTAINER_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONTAINER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_REFRESH_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_REFRESH_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SUMMARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FULLREFRESHTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREFRESHTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINS_VIEWS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNUSABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RESTRICTED_SYNTAX",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INC_REFRESHABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KNOWN_STALE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "QUERY_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_SUMMARY_AGGREGATES",
              "-desc": "Aggregate column details for each summary. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUMMARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION_IN_SELECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINER_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AGG_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DISTINCTFLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MEASURE",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_SUMMARY_DETAIL_TABLES",
              "-desc": "Detail tables used for each summary table definition. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUMMARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_RELATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DETAIL_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_SUMMARY_JOINS",
              "-desc": "Join conditions for each summary table definition",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUMMARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ1_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ1_RELATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ1_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "DETAILOBJ2_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ2_RELATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ2_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "OLAP",
              "-name": "DBA_SUMMARY_KEYS",
              "-desc": "Columns used for each summary table definition. (Note: OLAP stands for Online Analytical Processing). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUMMARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION_IN_SELECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINER_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAILOBJ_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DETAILOBJ_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_ANALYZE_OBJECTS",
              "-desc": "Objects that have been analyzed",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_ASSOCIATIONS",
              "-desc": "All user-defined statistics ",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATSTYPE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATSTYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEF_SELECTIVITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_CPU_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_IO_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_NET_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INTERFACE_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAINTENANCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_HISTOGRAMS",
              "-desc": "Synonym for DBA_tab_histograms",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_IND_PENDING_STATS",
              "-desc": "Pending statistics of tables, partitions, and subpartitions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_IND_STATISTICS",
              "-desc": "Optimizer statistics for all indexes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHE_HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATTYPE_LOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STALE_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_JOIN_IND_COLUMNS",
              "-desc": "Join index columns comprising the join conditions",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INNER_TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INNER_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INNER_TABLE_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OUTER_TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OUTER_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OUTER_TABLE_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_OPTSTAT_OPERATION_TASKS",
              "-desc": "Displays the history of tasks that are performed as part of statistics operations",
              "fields": [
                {
                  "-name": "OPID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "TARGET_OBJN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(49)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ESTIMATED_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BATCHING_COEFF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_OPTSTAT_OPERATIONS",
              "-desc": "History of statistics operations performed at the schema and database level using the dbms_stats package",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(49)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_OUTLINE_HINTS",
              "-desc": "Hints stored in outlines",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOIN_POS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HINT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_OUTLINES",
              "-desc": "Stored outlines",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "COMPATIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "MIGRATED",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_PARALLEL_EXECUTE_CHUNKS",
              "-desc": "All parallel execution chunks",
              "fields": [
                {
                  "-name": "CHUNK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "START_ROWID",
                  "-null": "",
                  "-type": "ROWID()"
                }
                ,{
                  "-name": "END_ROWID",
                  "-null": "",
                  "-type": "ROWID()"
                }
                ,{
                  "-name": "START_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "START_TS",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_TS",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_PARALLEL_EXECUTE_TASKS",
              "-desc": "All parallel tasks ",
              "fields": [
                {
                  "-name": "TASK_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHUNK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "JOB_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_STMT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LANGUAGE_FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(130)"
                }
                ,{
                  "-name": "APPLY_CROSSEDITION_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(130)"
                }
                ,{
                  "-name": "FIRE_APPLY_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "PARALLEL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_REWRITE_EQUIVALENCES",
              "-desc": "Description of rewrite equivalences",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_STMT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "DESTINATION_STMT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "REWRITE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQL_MANAGEMENT_CONFIG",
              "-desc": "Configuration parameters of the SQL management base",
              "fields": [
                {
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFIED_BY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQL_PLAN_BASELINES",
              "-desc": "Set of plan baselines",
              "fields": [
                {
                  "-name": "SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_HANDLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PLAN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGIN",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_EXECUTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_VERIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ACCEPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FIXED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REPRODUCED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTOPURGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ADAPTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQL_PLAN_DIR_OBJECTS",
              "-desc": "Displays the objects created in the SQL plan directive",
              "fields": [
                {
                  "-name": "DIRECTIVE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQL_PLAN_DIRECTIVES",
              "-desc": "Displays information about the SQL plan directives in the system",
              "fields": [
                {
                  "-name": "DIRECTIVE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "AUTO_DROP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_USED",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQL_PROFILES",
              "-desc": "Set of SQL profiles",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FORCE_MATCHING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_EXEC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_OBJ_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_FND_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLSET",
              "-desc": "Information about all SQL tuning sets ",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATEMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLSET_BINDS",
              "-desc": "Bind values associated with all SQL tuning sets ",
              "fields": [
                {
                  "-name": "SQLSET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "CAPTURED",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "SQL_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLSET_DEFINITIONS",
              "-desc": "Synonym for DBA_SQLset",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATEMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLSET_PLANS",
              "-desc": "Captured plans in the SQL tuning sets ",
              "fields": [
                {
                  "-name": "SQLSET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_SEQ",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REMARKS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "OBJECT_NODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "OBJECT_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIMIZER",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "SEARCH_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OTHER_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "DISTRIBUTION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "IO_COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "ACCESS_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROJECTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "QBLOCK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CU_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CR_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CU_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DISK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ESTIMATED_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_ONEPASS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MEMORY_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LAST_DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONEPASS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MULTIPASSES_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLSET_REFERENCES",
              "-desc": "All active SQL tuning sets; a SQL tuning set cannot be dropped if it is referenced",
              "fields": [
                {
                  "-name": "SQLSET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLSET_STATEMENTS",
              "-desc": "Information about the SQL statements, along with their statistics, that form all SQL tuning sets ",
              "fields": [
                {
                  "-name": "SQLSET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "BINDS_CAPTURED",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "STAT_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_STAT_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PLAN_TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_SEQ",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLTUNE_BINDS",
              "-desc": "The bind values associated with all tuned SQL statements ",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLTUNE_PLANS",
              "-desc": "The execution plans generated for all SQL statements during a SQL tuning session",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REMARKS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "OBJECT_NODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "OBJECT_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIMIZER",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "SEARCH_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OTHER_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "DISTRIBUTION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "IO_COST",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "ACCESS_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROJECTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "QBLOCK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLTUNE_RATIONALE_PLAN",
              "-desc": "The association between rationales and operations in the execution plan of all SQL statements ",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "EXECUTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RATIONALE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OPERATION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PLAN_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_SQLTUNE_STATISTICS",
              "-desc": "Statistics associated with all SQL statements ",
              "fields": [
                {
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_STAT_EXTENSIONS",
              "-desc": "Optimizer statistics extensions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTENSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DROPPABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_TAB_HISTGRM_PENDING_STATS",
              "-desc": "Describes pending statistics for tables, partitions, and subpartitions in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENDPOINT_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_TAB_HISTOGRAMS",
              "-desc": "Describes histograms on columns of all tables in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Optimizer",
              "-name": "DBA_USTATS",
              "-desc": "Statistics collected on either tables or indexes",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ASSOCIATION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATSTYPE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATSTYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATISTICS",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_IND_PARTITIONS",
              "-desc": "All index partitions ",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PCT_DIRECT_ACCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DOMIDX_OPSTATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ORPHANED_ENTRIES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_IND_SUBPARTITIONS",
              "-desc": "Displays, for each index subpartition in the database, the subpartition-level partitioning information, the storage parameters for the subpartition, and various subpartition statistics generated by the DBMS_STATS package",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_LOB_PARTITIONS",
              "-desc": "All lob partitions ",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_INDPART_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCTVERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MINRETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEDUPLICATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_LOB_SUBPARTITIONS",
              "-desc": "All lob subpartitions ",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_INDSUBPART_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCTVERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MINRETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEDUPLICATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_LOB_TEMPLATES",
              "-desc": "All lob partition templates",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_COL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(132)"
                }
                ,{
                  "-name": "LOB_SEGMENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(132)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_PART_COL_STATISTICS",
              "-desc": "Column statistics and histogram information for all table partitions ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_PART_HISTOGRAMS",
              "-desc": "The histogram data (endpoints per histogram) for the histograms on all table partitions ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BUCKET_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_PART_INDEXES",
              "-desc": "The object-level partitioning information for all partitioned indexes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITIONING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SUBPARTITIONING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARTITION_COUNT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITIONING_KEY_COUNT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITIONING_KEY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCALITY",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ALIGNMENT",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DEF_TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEF_PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_FREELISTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_FREELIST_GROUPS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_PART_KEY_COLUMNS",
              "-desc": "The partitioning key columns for all partitioned objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "CHAR(5)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_PART_LOBS",
              "-desc": "Table-level information for all partitioned lobs, including default attributes for lob data partitions",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEF_CHUNK",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_PCTVERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DEF_IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEF_TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEF_INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_MINRET",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_FREELISTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_FREELIST_GROUPS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "DEF_COMPRESS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEF_DEDUPLICATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "DEF_SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_PART_TABLES",
              "-desc": "Object-level partitioning information for all partitioned tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITIONING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SUBPARTITIONING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITIONING_KEY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITIONING_KEY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DEF_TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEF_PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DEF_FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEF_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DEF_COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEF_BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEF_CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REF_PTN_CONSTRAINT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "IS_NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEF_SEGMENT_CREATION",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "DEF_INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_SUBPART_COL_STATISTICS",
              "-desc": "Column statistics and histogram information for all subpartitions ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_SUBPART_HISTOGRAMS",
              "-desc": "Actual histogram data (end-points per histogram) for histograms on all table subpartitions ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BUCKET_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_SUBPART_KEY_COLUMNS",
              "-desc": "Subpartitioning key columns for all composite-partitioned tables (and local indexes on composite-partitioned tables) ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "CHAR(5)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_SUBPARTITION_TEMPLATES",
              "-desc": "All subpartition templates ",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(132)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "HIGH_BOUND",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_TAB_PARTITIONS",
              "-desc": "Partition storage parameters, and partition statistics determined by analyze statements for all partitions ",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARENT_TABLE_PARTITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_TAB_PENDING_STATS",
              "-desc": "Pending statistics of tables, partitions, and subpartitions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Partitioning",
              "-name": "DBA_TAB_SUBPARTITIONS",
              "-desc": "Table subpartition information including name of the table and partition to which it belongs",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Pluggable Database",
              "-name": "DBA_CDB_RSRC_PLAN_DIRECTIVES",
              "-desc": "Provides information about all the CDB resource plan directives",
              "fields": [
                {
                  "-name": "PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PLUGGABLE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SHARES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UTILIZATION_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_SERVER_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Pluggable Database",
              "-name": "DBA_CDB_RSRC_PLANS",
              "-desc": "Provides information about all the CDB resource plans",
              "fields": [
                {
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Pluggable Database",
              "-name": "DBA_CONTAINER_DATA",
              "-desc": "Displays default (user-level) and object-specific CONTAINER_DATA attributes for container data objects",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_ATTR",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ALL_CONTAINERS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CONTAINER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Pluggable Database",
              "-name": "DBA_PDB_HISTORY",
              "-desc": "Describes the lineage of the PDB to which it belongs",
              "fields": [
                {
                  "-name": "PDB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PDB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_GUID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "OP_SCNBAS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OP_SCNWRP",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OP_TIMESTAMP",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "DB_VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLONED_FROM_PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_FROM_PDB_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLONED_FROM_PDB_GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLONETAG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Pluggable Database",
              "-name": "DBA_PDBS",
              "-desc": "Describes PDBs belonging to a given CDB",
              "fields": [
                {
                  "-name": "PDB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_UID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CREATION_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_ASSEMBLIES",
              "-desc": "Description of all .net assemblies ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ASSEMBLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SECURITY_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IDENTITY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_ERRORS",
              "-desc": "Current errors on all stored objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_ERRORS_AE",
              "-desc": "Describes the current errors on all stored objects (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_INTERNAL_TRIGGERS",
              "-desc": "Internal triggers on all tables ",
              "fields": [
                {
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERNAL_TRIGGER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_OBJECT_SIZE",
              "-desc": "Sizes, in bytes, of various PL/SQL objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SOURCE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CODE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_PLSQL_COLL_TYPES",
              "-desc": "Describes all named PL/SQL collection types in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPPER_BOUND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEM_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(136)"
                }
                ,{
                  "-name": "ELEM_TYPE_PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "ELEM_STORAGE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NULLS_STORED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INDEX_BY",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "ELEM_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_PLSQL_OBJECT_SETTINGS",
              "-desc": "Compiler settings of all objects ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PLSQL_OPTIMIZE_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_CODE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PLSQL_DEBUG",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PLSQL_WARNINGS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NLS_LENGTH_SEMANTICS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PLSQL_CCFLAGS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PLSCOPE_SETTINGS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_PLSQL_TYPE_ATTRS",
              "-desc": "Describes the attributes of all PL/SQL types in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(136)"
                }
                ,{
                  "-name": "PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ATTR_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTR_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(136)"
                }
                ,{
                  "-name": "ATTR_TYPE_PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "ATTR_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_PLSQL_TYPES",
              "-desc": "Describes all PL/SQL types in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(136)"
                }
                ,{
                  "-name": "PACKAGE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_OID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "TYPECODE",
                  "-null": "",
                  "-type": "VARCHAR2(58)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTAINS_PLSQL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_PROCEDURES",
              "-desc": "All functions and procedures, along with associated properties, such as whether or not a function is pipelined, parallel enabled, and so on",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OVERLOAD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OBJECT_TYPE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AGGREGATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PIPELINED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IMPLTYPEOWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLTYPENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERFACE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DETERMINISTIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTHID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_SOURCE",
              "-desc": "Source for all stored program units",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "LINE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_SOURCE_AE",
              "-desc": "Describes the text source of all stored objects (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "LINE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_STORED_SETTINGS",
              "-desc": "The persistent parameter settings for stored PL/SQL units",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PARAM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAM_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_TRIGGER_COLS",
              "-desc": "Column usage in all triggers",
              "fields": [
                {
                  "-name": "TRIGGER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRIGGER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_LIST",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COLUMN_USAGE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_TRIGGER_ORDERING",
              "-desc": "All triggers having follows or precedes ordering ",
              "fields": [
                {
                  "-name": "TRIGGER_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRIGGER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFERENCED_TRIGGER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFERENCED_TRIGGER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORDERING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_TRIGGERS",
              "-desc": "All triggers ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRIGGER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRIGGER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRIGGERING_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(246)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REFERENCING_NAMES",
                  "-null": "",
                  "-type": "VARCHAR2(422)"
                }
                ,{
                  "-name": "WHEN_CLAUSE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "TRIGGER_BODY",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "CROSSEDITION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "BEFORE_STATEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BEFORE_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AFTER_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AFTER_STATEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTEAD_OF_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FIRE_ONCE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLY_SERVER_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Program Units",
              "-name": "DBA_WARNING_SETTINGS",
              "-desc": "Warning settings for all objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "WARNING",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SETTING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ACES",
              "-desc": "Lists all the Access Control Entries (ACEs) defined in the database",
              "fields": [
                {
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACE_ORDER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "GRANT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "INVERTED_PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRINCIPAL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ACL_PARAMETERS",
              "-desc": "Displays all existing Real Application Security ACL parameters",
              "fields": [
                {
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REALM_ORDER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REALM",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ACLS",
              "-desc": "Lists all the existing Real Application Security ACLs defined in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_ACL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_ACL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INHERITANCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ACTIVE_SESSIONS",
              "-desc": "Displays all attached application sessions in the database",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "DATABASE_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COOKIE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "AUTH_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ACCESS_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "INACTIVE_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER(6)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_APPLIED_POLICIES",
              "-desc": "Displays all database objects on which Real Application Security data security policies are enabled",
              "fields": [
                {
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IDX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ROW_ACL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OWNER_BYPASS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_AUDIT_POLICY_OPTIONS",
              "-desc": "Describes auditing options defined under all audit policies specific to Oracle Database Real Application Security",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONDITION_EVAL_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_AUDIT_TRAIL",
              "-desc": "Describes all audit records specific to Oracle Database Real Application Security",
              "fields": [
                {
                  "-name": "USERID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJ_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XS_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XS_SESSIONID",
                  "-null": "",
                  "-type": "RAW(33 BYTE)"
                }
                ,{
                  "-name": "XS_INACTIVITY_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XS_ENTITY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_TARGET_PRINCIPAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROXY_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_DATASEC_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_CALLBACK_EVENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROCEDURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_ENABLED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_COOKIE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "XS_NS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_OLD_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_NEW_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_COLUMN_CONSTRAINTS",
              "-desc": "Lists all Real Application Security column constraints defined in the database",
              "fields": [
                {
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_DYNAMIC_ROLES",
              "-desc": "Describes all existing dynamic application roles in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SYSTEM_DEFINED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ENB_AUDIT_POLICIES",
              "-desc": "Describes all the audit policies specific to Oracle Database Real Application Security that are enabled to users",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUCCESS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_EXTERNAL_PRINCIPALS",
              "-desc": "Lists all the external application users and application roles",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_IMPLIED_PRIVILEGES",
              "-desc": "Lists all the Real Application Security implied application privileges defined in the database",
              "fields": [
                {
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLIED_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_INHERITED_REALMS",
              "-desc": "Displays all the inherited Real Application Security realms in the database",
              "fields": [
                {
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REALM_ORDER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_OBJECT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIMARY_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FOREIGN_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FOREIGN_KEY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_MODIFIED_POLICIES",
              "-desc": "Displays all database objects on which Real Application Security data security policies are modified",
              "fields": [
                {
                  "-name": "POLICY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_NS_TEMPLATE_ATTRIBUTES",
              "-desc": "Describes all namespace attributes defined in namespace template documents",
              "fields": [
                {
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FIRSTREAD_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MODIFY_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_NS_TEMPLATES",
              "-desc": "Describes all Real Application Security namespace templates",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_OBJECTS",
              "-desc": "Lists all the existing Real Application Security objects in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_POLICIES",
              "-desc": "Lists all the existing Real Application Security data security policies defined in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_PRINCIPALS",
              "-desc": "Describes all the existing application users and application roles in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "EXTERNAL_SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_PRIVILEGES",
              "-desc": "Lists all the Real Application Security application privileges defined in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_CLASS_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_PROXY_ROLES",
              "-desc": "Describes all Real Application Security proxy application role grants",
              "fields": [
                {
                  "-name": "PROXY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROXY_USER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "TARGET_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TARGET_USER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TARGET_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_REALM_CONSTRAINTS",
              "-desc": "Displays all existing Real Application Security realms in the database",
              "fields": [
                {
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REALM_ORDER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REALM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "STATIC",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REALM",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_OBJECT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ROLE_GRANTS",
              "-desc": "Describes all Real Application Security application role grants",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_ROLES",
              "-desc": "Describes all existing application roles in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "EXTERNAL_SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_SECURITY_CLASS_DEP",
              "-desc": "Lists the dependencies between all security classes defined in the database",
              "fields": [
                {
                  "-name": "SECURITY_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_SECURITY_CLASSES",
              "-desc": "Lists all Real Application Security security classes defined in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_SESSION_NS_ATTRIBUTES",
              "-desc": "Displays namespace attributes across application sessions as of last saved state",
              "fields": [
                {
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FIRSTREAD_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "MODIFY_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_SESSION_ROLES",
              "-desc": "Lists application roles enabled in application sessions",
              "fields": [
                {
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_SESSIONS",
              "-desc": "Displays all the application sessions in the database",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "PROXY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COOKIE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "AUTH_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ACCESS_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "INACTIVE_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER(6)"
                }
              ]
            }
            ,{
              "-category": "Real Application Security",
              "-name": "DBA_XS_USERS",
              "-desc": "Describes all existing application users in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "EXTERNAL_SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLES_DEFAULT_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_SSCR_CAPTURE",
              "-desc": "Session state capture statistics",
              "fields": [
                {
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CAPTURE_SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CAPTURE_FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CAPTURE_DIR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_LOCATOR",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "CAPTURE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_SSCR_RESTORE",
              "-desc": "Session state restore statistics",
              "fields": [
                {
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESTORE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RESTORE_SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RESTORE_FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RESTORE_DIR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESTORE_LOCATOR",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "RESTORE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_ACTIVE_USER_MAP",
              "-desc": "Contains the mappings that are going to be valid for the next replay or are valid for the current replay",
              "fields": [
                {
                  "-name": "SCHEDULE_CAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_USER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REPLAY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_CAPTURES",
              "-desc": "All the workload captures that have been performed in the current database",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DBVERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DIRECTORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DURATION_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFAULT_ACTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILTERS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CALLS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CALLS_UNREPLAYABLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTIONS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONNECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONNECTS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_BEGIN_SNAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_END_SNAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_EXPORTED",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(300)"
                }
                ,{
                  "-name": "DIR_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DIR_PATH_SHARED",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LAST_PROCESSED_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_CONNECTION_MAP",
              "-desc": "The connection mapping information for workload replay",
              "fields": [
                {
                  "-name": "REPLAY_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEDULE_CAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_CONN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REPLAY_CONN",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_FILTERS",
              "-desc": "All the workload filters that have been defined in the current database",
              "fields": [
                {
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_REPLAY_DIVERGENCE",
              "-desc": "Information about data/error divergence for a user call that has been replayed",
              "fields": [
                {
                  "-name": "REPLAY_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DIVERGENCE_TYPE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_QUERY_DATA_DIVERGENCE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_DML_DATA_DIVERGENCE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_ERROR_DIVERGENCE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_THREAD_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_DATA_MASKED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EXPECTED_ROW_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBSERVED_ROW_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPECTED_ERROR#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPECTED_ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OBSERVED_ERROR#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBSERVED_ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STREAM_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALL_COUNTER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_STREAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_REPLAY_FILTER_SET",
              "-desc": "All the filter sets and the associated replay filters that were created",
              "fields": [
                {
                  "-name": "CAPTURE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "FILTER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_REPLAY_SCHEDULES",
              "-desc": "Displays the names of replay schedules for the current replay directory",
              "fields": [
                {
                  "-name": "SCHEDULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_REPLAYS",
              "-desc": "All the workload replays that have been performed in the current database",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DBVERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DIRECTORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PREPARE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DURATION_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CLIENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CLIENTS_DONE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "DEFAULT_ACTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SYNCHRONIZATION",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CONNECT_TIME_SCALE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THINK_TIME_SCALE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THINK_TIME_AUTO_CORRECT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SCALE_UP_MULTIPLIER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THINK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PAUSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME_DIFF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_BEGIN_SNAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_END_SNAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_EXPORTED",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(300)"
                }
                ,{
                  "-name": "DIR_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REPLAY_DIR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQLSET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQLSET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_SCHEDULE_CAPTURES",
              "-desc": "Displays the workload captures used by replay schedules",
              "fields": [
                {
                  "-name": "SCHEDULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_CAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_DIR",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OS_SUBDIR",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MAX_CONCURRENT_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CLIENTS_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CLIENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CLIENTS_DONE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STOP_REPLAY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TAKE_BEGIN_SNAPSHOT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TAKE_END_SNAPSHOT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "QUERY_ONLY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "START_DELAY_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AWR_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_BEGIN_SNAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AWR_END_SNAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_SCHEDULE_ORDERING",
              "-desc": "Displays the start ordering between workload captures in the replay schedule",
              "fields": [
                {
                  "-name": "SCHEDULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_CAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITFOR_CAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Testing",
              "-name": "DBA_WORKLOAD_USER_MAP",
              "-desc": "Contains all the mappings ever done until they are removed at some point",
              "fields": [
                {
                  "-name": "REPLAY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEDULE_CAP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_USER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REPLAY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Recoverable Operations",
              "-name": "DBA_RECOVERABLE_SCRIPT",
              "-desc": "Details about recoverable operations",
              "fields": [
                {
                  "-name": "SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INVOKING_PACKAGE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVOKING_PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVOKING_PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVOKING_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DONE_BLOCK_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCRIPT_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Recoverable Operations",
              "-name": "DBA_RECOVERABLE_SCRIPT_BLOCKS",
              "-desc": "Details about the recoverable script blocks",
              "fields": [
                {
                  "-name": "SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "BLOCK_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORWARD_BLOCK",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "FORWARD_BLOCK_DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNDO_BLOCK",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "UNDO_BLOCK_DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BLOCK_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Recoverable Operations",
              "-name": "DBA_RECOVERABLE_SCRIPT_ERRORS",
              "-desc": "Details showing errors during script execution",
              "fields": [
                {
                  "-name": "SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "BLOCK_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ERROR_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Recoverable Operations",
              "-name": "DBA_RECOVERABLE_SCRIPT_HIST",
              "-desc": "Details about executed or purged recoverable operations",
              "fields": [
                {
                  "-name": "SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INVOKING_PACKAGE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVOKING_PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVOKING_PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVOKING_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DONE_BLOCK_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCRIPT_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Recoverable Operations",
              "-name": "DBA_RECOVERABLE_SCRIPT_PARAMS",
              "-desc": "Details about the recoverable operation parameters",
              "fields": [
                {
                  "-name": "SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAM_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Recoverable Operations",
              "-name": "DBA_RESUMABLE",
              "-desc": "Resumable session information in the system",
              "fields": [
                {
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "SUSPEND_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RESUME_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_PARAMETER1",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "ERROR_PARAMETER2",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "ERROR_PARAMETER3",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "ERROR_PARAMETER4",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "ERROR_PARAMETER5",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "ERROR_MSG",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY",
              "-desc": "Information about the components loaded into the database",
              "fields": [
                {
                  "-name": "COMP_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTROL",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(61)"
                }
                ,{
                  "-name": "STARTUP",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OTHER_SCHEMAS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_DATABASE",
              "-desc": "List of the platform id, platform name and edition (xe or not) for the current database",
              "fields": [
                {
                  "-name": "PLATFORM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_DEPENDENCIES",
              "-desc": "The dependency tree for each component in the registry",
              "fields": [
                {
                  "-name": "COMP_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REQ_COMP_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REQ_NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_HIERARCHY",
              "-desc": "Information about the components loaded into the database, grouped by owner and organized in the component hierarchy",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMP_ID",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_HISTORY",
              "-desc": "Information about upgrades, downgrades, and critical patch updates that have been performed on the database",
              "fields": [
                {
                  "-name": "ACTION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUNDLE_SERIES",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_LOG",
              "-desc": "Operating information about components loaded into the database",
              "fields": [
                {
                  "-name": "OPTIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMP_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_PROGRESS",
              "-desc": "The component upgrade action, value and step, which can be used for diagnosing issues in case of upgrade failure or re-start",
              "fields": [
                {
                  "-name": "COMP_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "STEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_REGISTRY_SQLPATCH",
              "-desc": "",
              "fields": [
                {
                  "-name": "PATCH_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "ACTION_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "LOGFILE",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
              ]
            }
            ,{
              "-category": "Registry",
              "-name": "DBA_SERVER_REGISTRY",
              "-desc": "Information about all server components that are loaded into the component registry",
              "fields": [
                {
                  "-name": "COMP_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CONTROL",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(61)"
                }
                ,{
                  "-name": "STARTUP",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OTHER_SCHEMAS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPAUDIT_ATTRIBUTE",
              "-desc": "Information about attributes automatically maintained for replication",
              "fields": [
                {
                  "-name": "ATTRIBUTE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(386)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPAUDIT_COLUMN",
              "-desc": "Information about columns in all shadow tables for all replicated tables ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "BASE_REFERENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT",
              "-desc": "The schemas and sites participating in advanced replication",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCHEMA_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RPC_PROCESSING_DISABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_EXCEPTIONS",
              "-desc": "Repcat processing exceptions table",
              "fields": [
                {
                  "-name": "EXCEPTION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "JOB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LINE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_REFRESH_TEMPLATES",
              "-desc": "Global information about each deployment template ",
              "fields": [
                {
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPLATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "PUBLIC_TEMPLATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_TEMPLATE_OBJECTS",
              "-desc": "The individual object definitions that are contained in all deployment templates ",
              "fields": [
                {
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "DDL_NUM",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DDL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "MASTER_ROLLBACK_SEGMENT",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DERIVED_FROM_SNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DERIVED_FROM_ONAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FLAVOR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_TEMPLATE_PARMS",
              "-desc": "Parameters defined in the object ddl for all templates ",
              "fields": [
                {
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPLATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "PUBLIC_TEMPLATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_PARM_VALUE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PROMPT_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "USER_OVERRIDE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_TEMPLATE_SITES",
              "-desc": "The current status of template instantiation for all the sites of a enterprise network",
              "fields": [
                {
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPLATE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SITE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REPAPI_SITE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANTIATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_USER_AUTHORIZATIONS",
              "-desc": "The authorized users for all templates specified for private use",
              "fields": [
                {
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPLATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "PUBLIC_TEMPLATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCAT_USER_PARM_VALUES",
              "-desc": "The user-specific template parameters for all deployment templates ",
              "fields": [
                {
                  "-name": "REFRESH_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPLATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "PUBLIC_TEMPLATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PARAMETER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_PARM_VALUE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PROMPT_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "PARM_VALUE",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCATLOG",
              "-desc": "Information about asynchronous administration requests",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "USERID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "VARCHAR2(29)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ERRNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCOLUMN",
              "-desc": "Replicated top-level columns (table) sorted alphabetically in ascending order",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CNAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPARE_OLD_ON_DELETE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPARE_OLD_ON_UPDATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SEND_OLD_ON_DELETE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SEND_OLD_ON_UPDATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CTYPE_TOID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "CTYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CTYPE_HASHCODE",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
                ,{
                  "-name": "CTYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "NULLABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "TOP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAR_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCOLUMN_GROUP",
              "-desc": "All column groups of replicated tables ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GROUP_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPCONFLICT",
              "-desc": "All conflicts for which users have specified resolutions ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "REFERENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPDDL",
              "-desc": "Arguments that do not fit in a single repcat log record",
              "fields": [
                {
                  "-name": "LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LINE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "DDL_NUM",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPEXTENSIONS",
              "-desc": "Information about replication extension requests",
              "fields": [
                {
                  "-name": "EXTENSION_ID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "MASTERDEF",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXPORT_REQUIRED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REPCATLOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FLASHBACK_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BREAK_TRANS_TO_MASTERDEF",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BREAK_TRANS_TO_NEW_MASTERS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PERCENTAGE_FOR_CATCHUP_MDEF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CYCLE_SECONDS_MDEF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERCENTAGE_FOR_CATCHUP_NEW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CYCLE_SECONDS_NEW",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPFLAVOR_COLUMNS",
              "-desc": "Replicated columns in flavors",
              "fields": [
                {
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CNAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_TOID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_HASHCODE",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
                ,{
                  "-name": "TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TOP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPFLAVOR_OBJECTS",
              "-desc": "Replicated objects in flavors",
              "fields": [
                {
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPFLAVORS",
              "-desc": "Flavors defined for replicated object groups",
              "fields": [
                {
                  "-name": "FLAVOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATED_BY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PUBLISHED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GROUP_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPGENERATED",
              "-desc": "Objects generated to support replication",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BASE_SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PACKAGE_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DISTRIBUTED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPGENOBJECTS",
              "-desc": "Objects generated to support replication",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BASE_SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PACKAGE_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE_PREFIX",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DISTRIBUTED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPGROUP",
              "-desc": "Information about all replicated object groups",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCHEMA_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RPC_PROCESSING_DISABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPGROUP_PRIVILEGES",
              "-desc": "Information about users who are registered for object group privileges",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RECEIVER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PROXY_SNAPADMIN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPGROUPED_COLUMN",
              "-desc": "Columns in the all column groups of replicated tables ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPKEY_COLUMNS",
              "-desc": "Primary columns for a table using column-level replication",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPL_DBNAME_MAPPING",
              "-desc": "Details about the database name mapping in replication",
              "fields": [
                {
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": " VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_CONTAINER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPOBJECT",
              "-desc": "Information about replicated objects",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "GENERATION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MIN_COMMUNICATION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REPLICATION_TRIGGER_EXISTS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INTERNAL_PACKAGE_EXISTS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GROUP_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NESTED_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPPARAMETER_COLUMN",
              "-desc": "All columns used for resolving conflicts ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "REFERENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(386)"
                }
                ,{
                  "-name": "PRIORITY_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PARAMETER_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PARAMETER_SEQUENCE_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPPRIORITY",
              "-desc": "Values and their corresponding priorities in all priority groups ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PRIORITY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FIXED_DATA_LENGTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CHAR_VALUE",
                  "-null": "",
                  "-type": "CHAR(255)"
                }
                ,{
                  "-name": "VARCHAR2_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUMBER_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATE_VALUE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RAW_VALUE",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NCHAR_VALUE",
                  "-null": "",
                  "-type": "NCHAR(500)"
                }
                ,{
                  "-name": "NVARCHAR2_VALUE",
                  "-null": "",
                  "-type": "NVARCHAR2(1000)"
                }
                ,{
                  "-name": "LARGE_CHAR_VALUE",
                  "-null": "",
                  "-type": "CHAR(2000)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPPRIORITY_GROUP",
              "-desc": "Information about all priority groups ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PRIORITY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FIXED_DATA_LENGTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PRIORITY_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPPROP",
              "-desc": "Propagation information about replicated objects",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "DBLINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOW",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PROPAGATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPRESOL_STATS_CONTROL",
              "-desc": "Information about statistics collection for conflict resolutions for all replicated tables ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS_UPDATE_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PURGED_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_PURGE_START_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_PURGE_END_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPRESOLUTION",
              "-desc": "Description of all conflict resolutions ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "REFERENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(386)"
                }
                ,{
                  "-name": "PRIORITY_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOLUTION_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPRESOLUTION_METHOD",
              "-desc": "All conflict resolution methods ",
              "fields": [
                {
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPRESOLUTION_STATISTICS",
              "-desc": "Statistics for conflict resolutions for all replicated tables ",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ONAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "REFERENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(386)"
                }
                ,{
                  "-name": "PRIORITY_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOLVED_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIMARY_KEY_VALUE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPSCHEMA",
              "-desc": "N-way replication information",
              "fields": [
                {
                  "-name": "SNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBLINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTERDEF",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SNAPMASTER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MASTER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PROP_UPDATES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MY_DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPSITES",
              "-desc": "N-way replication information",
              "fields": [
                {
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBLINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTERDEF",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SNAPMASTER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MASTER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PROP_UPDATES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MY_DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Replication",
              "-name": "DBA_REPSITES_NEW",
              "-desc": "Information about new masters for replication extension",
              "fields": [
                {
                  "-name": "EXTENSION_ID",
                  "-null": "NOT NULL",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "GOWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBLINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FULL_INSTANTIATION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MASTER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_CAPABILITY",
              "-desc": "Settings for database resources that can be managed by the resource manager",
              "fields": [
                {
                  "-name": "CPU_CAPABLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CAPABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_CATEGORIES",
              "-desc": "All resource consumer group categories",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_CONSUMER_GROUP_PRIVS",
              "-desc": "Switch privileges for consumer groups",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTED_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INITIAL_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_CONSUMER_GROUPS",
              "-desc": "All the resource consumer groups",
              "fields": [
                {
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CPU_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MGMT_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERNAL_USE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_GROUP_MAPPINGS",
              "-desc": "All the consumer group mappings",
              "fields": [
                {
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_INSTANCE_CAPABILITY",
              "-desc": "Per-instance settings for database resources that can be managed by the resource manager",
              "fields": [
                {
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SHARES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_IO_CALIBRATE",
              "-desc": "Results of the most recent i/o calibration",
              "fields": [
                {
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MAX_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_PMBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_PHYSICAL_DISKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_MANAGER_SYSTEM_PRIVS",
              "-desc": "System privileges for the resource manager",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_MAPPING_PRIORITY",
              "-desc": "The consumer group mapping attribute priorities",
              "fields": [
                {
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_PLAN_DIRECTIVES",
              "-desc": "All the resource plan directives",
              "fields": [
                {
                  "-name": "PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_OR_SUBPLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "CPU_P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P5",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P6",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P7",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_P8",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P5",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P6",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P7",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MGMT_P8",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESS_POOL_P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUEING_P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_TARGET_PERCENTAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_DEGREE_LIMIT_P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SWITCH_FOR_CALL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SWITCH_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_IO_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_ESTIMATE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "MAX_EST_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_IDLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_IDLE_BLOCKER_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_UTILIZATION_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_QUEUE_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_TIME_IN_CALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_IO_LOGICAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCH_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_SERVER_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UTILIZATION_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_STMT_CRITICAL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_PLANS",
              "-desc": "All the resource plans",
              "fields": [
                {
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_PLAN_DIRECTIVES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MGMT_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTIVE_SESS_POOL_MTH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARALLEL_DEGREE_LIMIT_MTH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUEING_MTH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUB_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "DBA_RSRC_STORAGE_POOL_MAPPING",
              "-desc": "Resource manager rules for mapping files to storage pools",
              "fields": [
                {
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POOL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_JOBS",
              "-desc": "All jobs ",
              "fields": [
                {
                  "-name": "JOB",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_USER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIV_USER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_USER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_SEC",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "THIS_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "THIS_SEC",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "NEXT_DATE",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_SEC",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TOTAL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROKEN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WHAT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NLS_ENV",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MISC_ENV",
                  "-null": "",
                  "-type": "RAW(32 BYTE)"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_JOBS_RUNNING",
              "-desc": "All jobs which are currently running, join v$lock and job$",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_SEC",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "THIS_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "THIS_SEC",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_CHAIN_RULES",
              "-desc": "All rules from Scheduler chains ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAIN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_CHAIN_STEPS",
              "-desc": "All steps of Scheduler chains ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAIN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STEP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROGRAM_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(392)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(392)"
                }
                ,{
                  "-name": "EVENT_SCHEDULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(392)"
                }
                ,{
                  "-name": "EVENT_SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(392)"
                }
                ,{
                  "-name": "EVENT_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SKIP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PAUSE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PAUSE_BEFORE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_RECOVERY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STEP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "TIMEOUT",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_CHAINS",
              "-desc": "All Scheduler chains ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAIN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_OF_RULES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_STEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "EVALUATION_INTERVAL",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "USER_RULE_SET",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_CREDENTIALS",
              "-desc": "All Scheduler credentials ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATABASE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "WINDOWS_DOMAIN",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_DB_DESTS",
              "-desc": "All destination objects pointing to remote databases",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONNECT_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "REFS_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_DESTS",
              "-desc": "All possible destination objects for jobs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_EXTERNAL_DESTS",
              "-desc": "All destination objects pointing to remote agents",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOSTNAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IP_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_FILE_WATCHERS",
              "-desc": "All Scheduler file watch requests ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_WATCHER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTORY_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MIN_FILE_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEADY_STATE_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "LAST_MODIFIED_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_GLOBAL_ATTRIBUTE",
              "-desc": "All Scheduler global attributes",
              "fields": [
                {
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_GROUP_MEMBERS",
              "-desc": "Members of all Scheduler object groups ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MEMBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(523)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_GROUPS",
              "-desc": "All Scheduler object groups ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GROUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "NUMBER_OF_MEMBERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOB_ARGS",
              "-desc": "All arguments with set values of all Scheduler jobs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ARGUMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ARGUMENT_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARGUMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ANYDATA_VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "OUT_ARGUMENT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOB_CLASSES",
              "-desc": "All Scheduler classes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_CLASS_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOURCE_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LOGGING_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "LOG_HISTORY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOB_DESTS",
              "-desc": "State of all jobs at each of their destinations",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "REFS_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "NEXT_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "RUN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOB_LOG",
              "-desc": "Logged information for all Scheduler jobs",
              "fields": [
                {
                  "-name": "LOG_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "JOB_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOB_ROLES",
              "-desc": "All Scheduler jobs by database role",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATABASE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PROGRAM_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "JOB_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "JOB_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "JOB_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOB_RUN_DETAILS",
              "-desc": "The details of a job run",
              "fields": [
                {
                  "-name": "LOG_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ERROR#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQ_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ACTUAL_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SLAVE_PID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_USED",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(2)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ERRORS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BINARY_ERRORS",
                  "-null": "",
                  "-type": "BLOB"
                }
                ,{
                  "-name": "BINARY_OUTPUT",
                  "-null": "",
                  "-type": "BLOB"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_JOBS",
              "-desc": "All Scheduler jobs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_STYLE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "JOB_CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "PROGRAM_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "JOB_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "JOB_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUMBER_OF_ARGUMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEDULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EVENT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_RULE",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FILE_WATCHER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FILE_WATCHER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "JOB_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "AUTO_DROP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_RECOVERY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "JOB_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(6)"
                }
                ,{
                  "-name": "NEXT_RUN_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SCHEDULE_LIMIT",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "MAX_RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "LOGGING_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STORE_OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STOP_ON_WINDOW_CLOSE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "INSTANCE_STICKINESS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RAISE_EVENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SYSTEM",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "JOB_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NLS_ENV",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_OF_DESTINATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFERRED_DROP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ALLOW_RUNS_IN_RESTRICTED_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESTARTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CONNECT_CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONNECT_CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_NOTIFICATIONS",
              "-desc": "All job e-mail notifications ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RECIPIENT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SENDER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUBJECT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BODY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "EVENT_FLAG",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_PROGRAM_ARGS",
              "-desc": "All arguments of all Scheduler programs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ARGUMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ARGUMENT_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARGUMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "METADATA_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFAULT_ANYDATA_VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "OUT_ARGUMENT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_PROGRAMS",
              "-desc": "All Scheduler programs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROGRAM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PROGRAM_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUMBER_OF_ARGUMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DETACHED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SCHEDULE_LIMIT",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "NLS_ENV",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_REMOTE_DATABASES",
              "-desc": "List of registered remote databases for jobs",
              "fields": [
                {
                  "-name": "DATABASE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "REGISTERED_AS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "DATABASE_LINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(512)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_REMOTE_JOBSTATE",
              "-desc": "Remote state of all jobs originating from this database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "NEXT_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "RUN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_RUNNING_CHAINS",
              "-desc": "All steps of all running Scheduler job chains ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAIN_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAIN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STEP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(6)"
                }
                ,{
                  "-name": "SKIP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PAUSE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PAUSE_BEFORE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_RECOVERY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STEP_JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STEP_JOB_LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_RUNNING_JOBS",
              "-desc": "Details on running jobs",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_STYLE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DETACHED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLAVE_PROCESS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLAVE_OS_PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "RUNNING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESOURCE_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(2)"
                }
                ,{
                  "-name": "CPU_USED",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(2)"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_SCHEDULES",
              "-desc": "All schedules ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILE_WATCHER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FILE_WATCHER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_WINDOW_DETAILS",
              "-desc": "Details of Scheduler windows",
              "fields": [
                {
                  "-name": "LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "REQ_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ACTUAL_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "WINDOW_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "ACTUAL_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_WINDOW_GROUPS",
              "-desc": "All Scheduler window groups ",
              "fields": [
                {
                  "-name": "WINDOW_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "NUMBER_OF_WINDOWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_START_DATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_WINDOW_LOG",
              "-desc": "Logged information for all Scheduler windows",
              "fields": [
                {
                  "-name": "LOG_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_WINDOWS",
              "-desc": "All Scheduler windows ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOURCE_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "WINDOW_PRIORITY",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "NEXT_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ACTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "MANUAL_OPEN_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "MANUAL_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Scheduler and Jobs",
              "-name": "DBA_SCHEDULER_WINGROUP_MEMBERS",
              "-desc": "Members of all Scheduler window groups ",
              "fields": [
                {
                  "-name": "WINDOW_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "SecureFile LOBs",
              "-name": "DBA_SECUREFILE_LOG_INSTANCES",
              "-desc": "",
              "fields": [
                {
                  "-name": "GUID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INST",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPLIT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FIXED_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "FLUSH",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "MEM_READ",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "MAX_BUCKET_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INC_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INC_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CRT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CRT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "SecureFile LOBs",
              "-name": "DBA_SECUREFILE_LOG_PARTITIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "GUID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TAB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PART_NO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SFILE_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SFILE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SFILE_DEDUPLICATE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "SFILE_COMPRESS",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "PART_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PART_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PART_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PART_MIN_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PART_MIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "SecureFile LOBs",
              "-name": "DBA_SECUREFILE_LOG_TABLES",
              "-desc": "",
              "fields": [
                {
                  "-name": "GUID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SPLIT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FIXED_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "FLUSH",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "MEM_READ",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SFILE_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SFILE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SFILE_DEDUPLICATE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "SFILE_COMPRESS",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "HIGH_TSNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLE_CRT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_CRT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MIN_RECORD_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_RECORD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HIGH_PART_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_PARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "SecureFile LOBs",
              "-name": "DBA_SECUREFILE_LOGS",
              "-desc": "",
              "fields": [
                {
                  "-name": "GUID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERSIST",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "THREADED",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PARTITION",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "AUTO_PARTITION",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "USE_SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_TAB#",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_APPLICATION_ROLES",
              "-desc": "Roles that have authentication policy functions defined",
              "fields": [
                {
                  "-name": "ROLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_CODE_ROLE_PRIVS",
              "-desc": "Describes all the roles that are associated with program units in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_CONNECT_ROLE_GRANTEES",
              "-desc": "Information regarding which users are granted connect",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PATH_OF_CONNECT_ROLE_GRANT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ADMIN_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_CONTEXT",
              "-desc": "Description of all context namespace information",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_CREDENTIALS",
              "-desc": "Lists all credentials in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOWS_DOMAIN",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_DIGEST_VERIFIERS",
              "-desc": "Enables the database administrator to check which users have Digest verifiers stored on disk and the type of hashing algorithm used for the verifiers.",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HAS_DIGEST_VERIFIERS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DIGEST_TYPE",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_DISCOVERY_SOURCE",
              "-desc": "Describes sensitive data discovery import information",
              "fields": [
                {
                  "-name": "SOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_EPG_DAD_AUTHORIZATION",
              "-desc": "DADs authorized to use different user's privileges",
              "fields": [
                {
                  "-name": "DAD_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_ERROR_TRANSLATIONS",
              "-desc": "Describes all error translations in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROFILE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSLATED_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSLATED_SQLSTATE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_GLOBAL_CONTEXT",
              "-desc": "Description of all context information accessible globally",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_HOST_ACES",
              "-desc": "Describes access control entries defined in host access control lists",
              "fields": [
                {
                  "-name": "HOST",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "LOWER_PORT",
                  "-null": "",
                  "-type": "NUMBER(5)"
                }
                ,{
                  "-name": "UPPER_PORT",
                  "-null": "",
                  "-type": "NUMBER(5)"
                }
                ,{
                  "-name": "ACE_ORDER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "GRANT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "INVERTED_PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRINCIPAL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_HOST_ACLS",
              "-desc": "Describes access control lists assigned to restrict access to network hosts through PL/SQL network utility packages",
              "fields": [
                {
                  "-name": "HOST",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "LOWER_PORT",
                  "-null": "",
                  "-type": "NUMBER(5)"
                }
                ,{
                  "-name": "UPPER_PORT",
                  "-null": "",
                  "-type": "NUMBER(5)"
                }
                ,{
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACLID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "ACL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_CONSTRAINT_EXP",
              "-desc": "",
              "fields": [
                {
                  "-name": "PKEXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_GEN_STMTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LINENO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DDL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_GEN_STMTS_EXP",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINENO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DDL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_OBJECTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "DERIVED_FROM_SNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DERIVED_FROM_ONAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_OBJECTS_BASE",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "DERIVED_FROM_SNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DERIVED_FROM_ONAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_OBJECTS_EXP",
              "-desc": "",
              "fields": [
                {
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_POSTGEN_STMTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINENO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DDL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_PREGEN_STMTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LINENO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DDL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_SITES",
              "-desc": "",
              "fields": [
                {
                  "-name": "IAS_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SITE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_IAS_TEMPLATES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "IAS_TEMPLATE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "IAS_TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_POLICIES",
              "-desc": "All row level security policies ",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PF_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FUNCTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IDX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CHK_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ENABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATIC_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "POLICY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "LONG_PREDICATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_POLICY_ATTRIBUTES",
              "-desc": "Lists the attribute associations {Namespaces, Attributes} of all context-sensitive and shared context-sensitive Oracle Virtual Private Database (VPD) policies in the database",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_POLICY_CONTEXTS",
              "-desc": "All policy driving context defined for any synonym, table, or view ",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_POLICY_GROUPS",
              "-desc": "All policy groups defined for any synonym, table, view ",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_PRIV_CAPTURES",
              "-desc": "Lists the privilege analysis policies in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROLES",
                  "-null": "",
                  "-type": "ROLE_ID_LIST()"
                }
                ,{
                  "-name": "CONTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_PROFILES",
              "-desc": "All profiles and their limits",
              "fields": [
                {
                  "-name": "PROFILE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOURCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "RESOURCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LIMIT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_ROLE_PRIVS",
              "-desc": "Roles granted to users and roles",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEFAULT_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_ROLES",
              "-desc": "All roles which exist ",
              "fields": [
                {
                  "-name": "ROLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PASSWORD_REQUIRED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SEC_RELEVANT_COLS",
              "-desc": "Security relevant columns of all VPD policies ",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEC_REL_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SENSITIVE_COLUMN_TYPES",
              "-desc": "Describes sensitive column types in the database",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SENSITIVE_DATA",
              "-desc": "Describes sensitive column in the database",
              "fields": [
                {
                  "-name": "SENSITIVE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SENSITIVE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TS",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SENSITIVE_DATA_TBL",
              "-desc": "",
              "fields": [
                {
                  "-name": "SENSITIVE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SENSITIVE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TS",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SQL_TRANSLATION_PROFILES",
              "-desc": "Describes all SQL translation profiles in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROFILE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRANSLATOR",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FOREIGN_SQL_SYNTAX",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TRANSLATE_NEW_SQL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RAISE_TRANSLATION_ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "LOG_TRANSLATION_ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TRACE_TRANSLATION",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SQL_TRANSLATIONS",
              "-desc": "Describes all SQL translations in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROFILE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "TRANSLATED_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_SYS_PRIVS",
              "-desc": "System privileges granted to users and roles",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TAB_PRIVS",
              "-desc": "All grants on objects ",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HIERARCHY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_IMPORT_ERRORS",
              "-desc": "Displays information about the errors encountered during import of the Transparent Sensitive Data Protection discovery result",
              "fields": [
                {
                  "-name": "ERROR_CODE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SENSITIVE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_POLICY_CONDITION",
              "-desc": "Describes the Transparent Sensitive Data Protection policy and condition mapping",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUB_POLICY",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROPERTY",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_POLICY_FEATURE",
              "-desc": "Displays the Transparent Sensitive Data Protection policy security feature mapping for all the TSDP policies in the database",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_POLICY_PARAMETER",
              "-desc": "Displays the parameter-value pairs for the condition of the Transparent Sensitive Data Protection policy",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUB_POLICY",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFAULT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_POLICY_PROTECTION",
              "-desc": "Displays the list of columns that have been protected through Transparent Sensitive Data Protection",
              "fields": [
                {
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TSDP_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SECURITY_FEATURE_POLICY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPOLICY#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_POLICY_PROTECTION_TBL",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TSDP_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SECURITY_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SECURITY_FEATURE_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPOLICY#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_TSDP_POLICY_TYPE",
              "-desc": "Displays the Transparent Sensitive Data Protection policy to sensitive column type mapping",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SENSITIVE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_OBJPRIVS",
              "-desc": "Lists the object privileges (without privilege grant paths) that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_OBJPRIVS_PATH",
              "-desc": "Lists the object privileges that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_PRIVS",
              "-desc": "Lists the privileges that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "USER_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPTION$",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_SYSPRIVS",
              "-desc": "Lists the system privileges (without privilege grant paths) that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_SYSPRIVS_PATH",
              "-desc": "Lists the system privileges that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_USERPRIVS",
              "-desc": "Lists the user privileges (without privilege grant paths) that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ONUSER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_UNUSED_USERPRIVS_PATH",
              "-desc": "Lists the user privileges that are not used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROLENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ONUSER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_OBJPRIVS",
              "-desc": "Lists the object privileges (without privilege grant paths) that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_OBJPRIVS_PATH",
              "-desc": "Lists the object privileges that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_PRIVS",
              "-desc": "Lists the privileges that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure.",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "USER_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPTION$",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_PUBPRIVS",
              "-desc": "Lists the privileges that are used from the PUBLIC role for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJ_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "OPTION$",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_SYSPRIVS",
              "-desc": "Lists the system privileges (without privilege grant paths) that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_SYSPRIVS_PATH",
              "-desc": "Lists the system privileges that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYS_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_USERPRIVS",
              "-desc": "Lists the user privileges (without privilege grant paths) that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ONUSER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USED_USERPRIVS_PATH",
              "-desc": "Lists the user privileges that are used for the privilege analysis policies reported by the DBMS_PRIVILEGE_CAPTURE.GENERATE_RESULT procedure",
              "fields": [
                {
                  "-name": "CAPTURE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_PRIV",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ONUSER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANT_OPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "GRANT_PATH()"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_USERS_WITH_DEFPWD",
              "-desc": "Users that are still using their default passwords",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRODUCT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_WALLET_ACES",
              "-desc": "Describes access control entries defined in wallet access control lists",
              "fields": [
                {
                  "-name": "WALLET_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "ACE_ORDER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "GRANT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "INVERTED_PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRINCIPAL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_WALLET_ACLS",
              "-desc": "Access control lists assigned to restrict access to wallets through PL/SQL network utility packages",
              "fields": [
                {
                  "-name": "WALLET_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "ACL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACLID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "ACL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_XDS_ACL_REFRESH",
              "-desc": "Displays all static ACL refresh settings in the database",
              "fields": [
                {
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACL_MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REFRESH_ABILITY",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "ACL_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "USER_SUPPLIED_MV",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REFRESH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_XDS_ACL_REFSTAT",
              "-desc": "Displays all static ACL refresh job status history that has been done in the database",
              "fields": [
                {
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REFRESH_ABILITY",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "JOB_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "JOB_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ROW_UPDATE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Security",
              "-name": "DBA_XDS_LATEST_ACL_REFSTAT",
              "-desc": "Displays all latest static ACL refresh job status history that has been done in the database",
              "fields": [
                {
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFRESH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REFRESH_ABILITY",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "JOB_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "JOB_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ROW_UPDATE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_ANNOTATION_TEXT_METADATA",
              "-desc": "Annotation text metadata",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "MAP_BASE_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT_EXPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TEXT_ATTRIBUTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_GEOMETRY_COLUMNS",
              "-desc": "",
              "fields": [
                {
                  "-name": "F_TABLE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "F_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "F_GEOMETRY_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "G_TABLE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "G_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GEOMETRY_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_DIMENSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_PPR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_3DTHEMES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BASE_TABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "THEME_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(2048)"
                }
                ,{
                  "-name": "STYLE_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "THEME_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_3DTXFMS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "AFFINE_PARAMETERS",
                  "-null": "",
                  "-type": "SDO_NUMBER_ARRAY()"
                }
                ,{
                  "-name": "COORD_TXFM_SRC_SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORD_TXFM_TGT_SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXFM_SERIES_IDS",
                  "-null": "",
                  "-type": "SDO_NUMBER_ARRAY()"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_ANIMATIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_CACHED_MAPS",
              "-desc": "Metadata for MapViewer tile cache",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TILES_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "IS_ONLINE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_INTERNAL",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "BASE_MAP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "MAP_ADAPTER",
                  "-null": "",
                  "-type": "BLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_GEOM_METADATA",
              "-desc": "User populated metadata required for Spatial index creation",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DIMINFO",
                  "-null": "",
                  "-type": "SDO_DIM_ARRAY()"
                }
                ,{
                  "-name": "SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_GEOR_SYSDATA",
              "-desc": "Metadata associated with rasters stored in sdo_georaster columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "METADATA_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "RDT_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "RASTER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_TABLE_NAMES",
                  "-null": "",
                  "-type": "SDO_STRING_ARRAY()"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_INDEX_INFO",
              "-desc": "Most commonly referenced metadata associated with Spatial indexes",
              "fields": [
                {
                  "-name": "SDO_INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2048)"
                }
                ,{
                  "-name": "SDO_INDEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_INDEX_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_INDEX_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_INDEX_METADATA",
              "-desc": "Detailed Spatial index metadata",
              "fields": [
                {
                  "-name": "SDO_INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_INDEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_NUMTILES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_MAXLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_COMMIT_INTERVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_INDEX_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_INDEX_PRIMARY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2048)"
                }
                ,{
                  "-name": "SDO_RTREE_HEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_RTREE_NUM_NODES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_RTREE_DIMENSIONALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_RTREE_FANOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_RTREE_ROOT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_RTREE_SEQ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_FIXED_META",
                  "-null": "",
                  "-type": "RAW(255 BYTE)"
                }
                ,{
                  "-name": "SDO_TABLESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_PCTINCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_INDEX_DIMS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_LAYER_GTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_RTREE_PCTFREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_INDEX_PARTITION",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_PARTITIONED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_RTREE_QUALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_INDEX_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_INDEX_GEODETIC",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SDO_INDEX_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SDO_NL_INDEX_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "SDO_DML_BATCH_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_RTREE_ENT_XPND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_NUM_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_OPTIMIZED_NODES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SDO_ROOT_MBR",
                  "-null": "",
                  "-type": "SDO_GEOMETRY()"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_LIGHTSOURCES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_LRS_METADATA",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DIM_POS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIM_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_MAPS",
              "-desc": "Predefined map definitions for MapViewer",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_CONSTRAINTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CONSTRAINT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "CLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "BLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_FEATURE",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "FEATURE_LAYER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "FEATURE_LAYER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FEATURE_LAYER_TYPE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FEATURE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RELATION_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "HIERARCHY_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_HISTORIES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "NODE_HISTORY_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LINK_HISTORY_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NODE_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LINK_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_JAVA_OBJECTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "CLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "BLOB"
                }
                ,{
                  "-name": "JAVA_INTERFACE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_LOCKS_WM",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LOCK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "WORKSPACE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ORIGINAL_NODE_FILTER",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ORIGINAL_LINK_FILTER",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ORIGINAL_PATH_FILTER",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ADJUSTED_NODE_FILTER",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ADJUSTED_LINK_FILTER",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "ADJUSTED_PATH_FILTER",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_METADATA",
              "-desc": "Metadata for oracle Spatial network data model",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "NETWORK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_CATEGORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "GEOMETRY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "NETWORK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "NO_OF_HIERARCHY_LEVELS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NO_OF_PARTITIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LRS_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LRS_GEOM_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NODE_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NODE_GEOM_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NODE_COST_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "NODE_PARTITION_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NODE_DURATION_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LINK_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LINK_GEOM_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LINK_DIRECTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "LINK_COST_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "LINK_PARTITION_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LINK_DURATION_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PATH_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PATH_GEOM_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PATH_LINK_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SUBPATH_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SUBPATH_GEOM_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PARTITION_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PARTITION_BLOB_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COMPONENT_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NODE_LEVEL_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TOPOLOGY",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "USER_DEFINED_DATA",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EXTERNAL_REFERENCES",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CHILD_NETWORK",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "HIERARCHY_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_TIMESTAMPS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LAST_DML_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_NETWORK_USER_DATA",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DATA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CATEGORY_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_SCENES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_STYLES",
              "-desc": "Predefined style definitions for MapViewer",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "IMAGE",
                  "-null": "",
                  "-type": "BLOB"
                }
                ,{
                  "-name": "GEOMETRY",
                  "-null": "",
                  "-type": "SDO_GEOMETRY()"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_THEMES",
              "-desc": "Predefined theme definitions for MapViewer",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "BASE_TABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "GEOMETRY_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(2048)"
                }
                ,{
                  "-name": "STYLING_RULES",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_TIN_PC_SYSDATA",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DEP_TABLE_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DEP_TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_TOPO_INFO",
              "-desc": "Most commonly referenced metadata associated with Spatial topologies",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TOPOLOGY",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "TOPOLOGY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOLERANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TG_LAYER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TG_LAYER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TG_LAYER_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_LAYER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIGITS_RIGHT_OF_DECIMAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_TOPO_METADATA",
              "-desc": "Detailed metadata associated with Spatial topologies",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TOPOLOGY",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "TOPOLOGY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOLERANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TG_LAYER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TG_LAYER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TG_LAYER_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_LAYER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NODE_SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "EDGE_SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "FACE_SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "TG_SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "DIGITS_RIGHT_OF_DECIMAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "ALL_SDO_VIEWFRAMES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCENE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DEFINITION",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Spatial",
              "-name": "CS_SRS",
              "-desc": "Coordinate system definitions in open geoSpatial consortium (OGC) well known text (WKT) format",
              "fields": [
                {
                  "-name": "CS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "SRID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "AUTH_SRID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "AUTH_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "WKTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(2046)"
                }
                ,{
                  "-name": "CS_BOUNDS",
                  "-null": "",
                  "-type": "SDO_GEOMETRY()"
                }
                ,{
                  "-name": "WKTEXT3D",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLU_COLUMNS",
              "-desc": "Maps all table columns owned by the current user to related cluster columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLU_COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLUSTER_HASH_EXPRESSIONS",
              "-desc": "Lists hash functions for all hash clusters in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HASH_EXPRESSION",
                  "-null": "",
                  "-type": "LONG()"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLUSTERING_DIMENSIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLUSTERING_JOINS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB1_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB1_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB1_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB2_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB2_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB2_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLUSTERING_KEYS",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DETAIL_COLUMN",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUPID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLUSTERING_TABLES",
              "-desc": "",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLUSTERING_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "ON_LOAD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ON_DATAMOVEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VALID",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LAST_LOAD_CLST",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_DATAMOVE_CLST",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_CLUSTERS",
              "-desc": "Description of all clusters ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "HASHKEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "SINGLE_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_DATA_FILES",
              "-desc": "Information about database data files",
              "fields": [
                {
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTOEXTENSIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MAXBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXBLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENT_BY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_DMT_FREE_SPACE",
              "-desc": "Free extents in all dictionary managed tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_DMT_USED_EXTENTS",
              "-desc": "All extents in the dictionary managed tablespaces",
              "fields": [
                {
                  "-name": "SEGMENT_FILEID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENT_BLOCK",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILEID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_EXTENTS",
              "-desc": "Extents comprising all segments ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE",
              "-desc": "Free extents in all tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED",
              "-desc": "Statistics on coalesced space in tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERCENT_EXTENTS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERCENT_BLOCKS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED_TMP1",
              "-desc": "",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED_TMP2",
              "-desc": "",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED_TMP3",
              "-desc": "",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED_TMP4",
              "-desc": "",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED_TMP5",
              "-desc": "",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_FREE_SPACE_COALESCED_TMP6",
              "-desc": "",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_COALESCED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_LMT_FREE_SPACE",
              "-desc": "Free extents in all locally managed tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_LMT_USED_EXTENTS",
              "-desc": "All extents in the locally managed tablespaces",
              "fields": [
                {
                  "-name": "SEGMENT_FILEID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENT_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILEID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_ROLLBACK_SEGS",
              "-desc": "Description of rollback segments",
              "fields": [
                {
                  "-name": "SEGMENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "INSTANCE_NUM",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_SEGMENTS",
              "-desc": "Storage allocated for all database segments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SEGMENT_SUBTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "HEADER_FILE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEADER_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MINRETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_SEGMENTS_OLD",
              "-desc": "Lists information about storage allocated for all database segments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "HEADER_FILE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEADER_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TABLESPACE_GROUPS",
              "-desc": "Description of all tablespace groups",
              "fields": [
                {
                  "-name": "GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TABLESPACE_THRESHOLDS",
              "-desc": "Space utilization threshold settings for all tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "EXTENT_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "THRESHOLD_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "METRICS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WARNING_OPERATOR",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "WARNING_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CRITICAL_OPERATOR",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CRITICAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TABLESPACE_USAGE_METRICS",
              "-desc": "Description of all tablespace space usage metrics",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USED_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_PERCENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TABLESPACES",
              "-desc": "Description of all tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTLEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FORCE_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "EXTENT_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ALLOCATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PLUGGED_IN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_SPACE_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEF_TAB_COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BIGFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PREDICATE_EVALUATION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TEMP_FILES",
              "-desc": "Information about database temp files",
              "fields": [
                {
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTOEXTENSIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MAXBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXBLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENT_BY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TEMP_FREE_SPACE",
              "-desc": "Summary of temporary space usage",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLESPACE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_TS_QUOTAS",
              "-desc": "Tablespace quotas for all users",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Storage",
              "-name": "DBA_UNDO_EXTENTS",
              "-desc": "Extents comprising all segments in the system managed undo tablespaces",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_JTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_WTIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY",
              "-desc": "Details about the Apply process",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_CAPTURED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_TAG",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "DDL_HANDLER",
                  "-null": "",
                  "-type": "VARCHAR2(98)"
                }
                ,{
                  "-name": "PRECOMMIT_HANDLER",
                  "-null": "",
                  "-type": "VARCHAR2(98)"
                }
                ,{
                  "-name": "MESSAGE_HANDLER",
                  "-null": "",
                  "-type": "VARCHAR2(98)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MAX_APPLIED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS_CHANGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MESSAGE_DELIVERY_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "PURPOSE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_CHANGE_HANDLERS",
              "-desc": "Details about apply change handler",
              "fields": [
                {
                  "-name": "CHANGE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHANGE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_VALUES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_CONFLICT_COLUMNS",
              "-desc": "Details about conflict resolution",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(92)"
                }
                ,{
                  "-name": "RESOLUTION_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_DML_CONF_COLUMNS",
              "-desc": "",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONFLICT_HANDLER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_DML_CONF_HANDLERS",
              "-desc": "",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "METHOD_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CONFLICT_HANDLER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOLUTION_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SET_BY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_DML_HANDLERS",
              "-desc": "Details about the DML handler",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "USER_PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(98)"
                }
                ,{
                  "-name": "ERROR_HANDLER",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ASSEMBLE_LOBS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "HANDLER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "SET_BY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_ENQUEUE",
              "-desc": "Details about the apply enqueue action",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_ERROR",
              "-desc": "Error transactions",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCAL_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_COMMIT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "RECIPIENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECIPIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SOURCE_COMMIT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "ERROR_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_ERROR_MESSAGES",
              "-desc": "Displays information about the individual messages in all of the error transactions generated by all apply processes in the database",
              "fields": [
                {
                  "-name": "MESSAGE_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "LOCAL_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "TRANSACTION_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIMARY_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_EXECUTE",
              "-desc": "Details about the apply execute action",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTE_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_HANDLE_COLLISIONS",
              "-desc": "",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SET_BY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_INSTANTIATED_GLOBAL",
              "-desc": "Details about database instantiated",
              "fields": [
                {
                  "-name": "SOURCE_DATABASE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INSTANTIATION_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_INSTANTIATED_OBJECTS",
              "-desc": "Details about objects instantiated",
              "fields": [
                {
                  "-name": "SOURCE_DATABASE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "INSTANTIATION_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IGNORE_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_INSTANTIATED_SCHEMAS",
              "-desc": "Details about schemas instantiated",
              "fields": [
                {
                  "-name": "SOURCE_DATABASE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INSTANTIATION_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_KEY_COLUMNS",
              "-desc": "Alternative key columns for a table for Streams",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_OBJECT_DEPENDENCIES",
              "-desc": "Synonym for _DBA_APPLY_CONSTRAINT_COLUMNS",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_PARAMETERS",
              "-desc": "All parameters for Apply process",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SET_BY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_PROGRESS",
              "-desc": "Information about the progress made by Apply process",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_MESSAGE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OLDEST_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SPILL_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_REPERROR_HANDLERS",
              "-desc": "",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "MAX_RETRIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELAY_CSECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_BY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_SPILL_TXN",
              "-desc": "Streams apply spilled transactions info",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SPILL_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_TABLE_COLUMNS",
              "-desc": "Details about the destination table columns",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMPARE_OLD_ON_DELETE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPARE_OLD_ON_UPDATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLY_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_APPLY_VALUE_DEPENDENCIES",
              "-desc": "Synonym for _DBA_apply_constraint_columns",
              "fields": [
                {
                  "-name": "DEPENDENCY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_CAPTURE",
              "-desc": "Details about the Capture process",
              "fields": [
                {
                  "-name": "CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CAPTURED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USE_DATABASE_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FIRST_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_RESETLOGS_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGMINER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUIRED_CHECKPOINT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGFILE_ASSIGNMENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "STATUS_CHANGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CAPTURE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LAST_ENQUEUED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_RETENTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "PURPOSE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLIENT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "OLDEST_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILTERED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_CAPTURE_EXTRA_ATTRIBUTES",
              "-desc": "Extra attributes for a Capture process",
              "fields": [
                {
                  "-name": "CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INCLUDE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ROW_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DDL_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_CAPTURE_PARAMETERS",
              "-desc": "All parameters for Capture process",
              "fields": [
                {
                  "-name": "CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SET_BY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_CAPTURE_PREPARED_DATABASE",
              "-desc": "Information indicating whether the local database is prepared for instantiation",
              "fields": [
                {
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_UI",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_FK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_ALL",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_CAPTURE_PREPARED_SCHEMAS",
              "-desc": "All schemas at the local database that are prepared for instantiation",
              "fields": [
                {
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_UI",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_FK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_ALL",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_CAPTURE_PREPARED_TABLES",
              "-desc": "All tables prepared for instantiation",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_UI",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_FK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_ALL",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_COMPARISON",
              "-desc": "Details about the comparison object",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "REMOTE_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REMOTE_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REMOTE_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DBLINK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCAN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCAN_PERCENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CYCLIC_INDEX_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NULL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LOCAL_CONVERGE_TAG",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "REMOTE_CONVERGE_TAG",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "MAX_NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_ROWS_IN_BUCKET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_COMPARISON_COLUMNS",
              "-desc": "Details about the comparison object's columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_COMPARISON_ROW_DIF",
              "-desc": "Details about the differing rows in a comparison scan",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCAL_ROWID",
                  "-null": "",
                  "-type": "ROWID()"
                }
                ,{
                  "-name": "REMOTE_ROWID",
                  "-null": "",
                  "-type": "ROWID()"
                }
                ,{
                  "-name": "INDEX_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_COMPARISON_SCAN",
              "-desc": "Details about a comparison scan",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_SCAN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROOT_SCAN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "CURRENT_DIF_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_DIF_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCAN_NULLS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_COMPARISON_SCAN_SUMMARY",
              "-desc": "Summary about a comparison scan",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_SCAN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROOT_SCAN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "CURRENT_DIF_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_DIF_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCAN_NULLS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_COMPARISON_SCAN_VALUES",
              "-desc": "Details about a comparison scan's values",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPARISON_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MAX_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_EVALUATION_CONTEXT_TABLES",
              "-desc": "Tables in all rule evaluation contexts ",
              "fields": [
                {
                  "-name": "EVALUATION_CONTEXT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_EVALUATION_CONTEXT_VARS",
              "-desc": "Variables in all rule evaluation contexts ",
              "fields": [
                {
                  "-name": "EVALUATION_CONTEXT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VARIABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VARIABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VARIABLE_VALUE_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VARIABLE_METHOD_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(228)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_EVALUATION_CONTEXTS",
              "-desc": "Rule evaluation contexts ",
              "fields": [
                {
                  "-name": "EVALUATION_CONTEXT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVALUATION_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_FILE_GROUP_EXPORT_INFO",
              "-desc": "Details about export information of file group versions",
              "fields": [
                {
                  "-name": "FILE_GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPORT_VERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "EXPORT_TIME",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPORT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_GLOBAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_FILE_GROUP_FILES",
              "-desc": "Details about file group files",
              "fields": [
                {
                  "-name": "FILE_GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "FILE_DIRECTORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_FILE_GROUP_TABLES",
              "-desc": "Details about the tables in the file group repository",
              "fields": [
                {
                  "-name": "FILE_GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_FILE_GROUP_TABLESPACES",
              "-desc": "Details about the transportable tablespaces in the file group repository",
              "fields": [
                {
                  "-name": "FILE_GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_FILE_GROUP_VERSIONS",
              "-desc": "Details about file group versions",
              "fields": [
                {
                  "-name": "FILE_GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFAULT_DIRECTORY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_FILE_GROUPS",
              "-desc": "Details about file groups",
              "fields": [
                {
                  "-name": "FILE_GROUP_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KEEP_FILES",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MIN_VERSIONS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_VERSIONS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION_DAYS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DEFAULT_DIRECTORY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_PROPAGATION",
              "-desc": "Streams propagation ",
              "fields": [
                {
                  "-name": "PROPAGATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_TO_QUEUE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ERROR_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ORIGINAL_PROPAGATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_SOURCE_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_SOURCE_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACKED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTO_MERGE_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_ADD_COLUMN",
              "-desc": "Transformations that add column(s)",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "COLUMN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_ADMINISTRATOR",
              "-desc": "Users granted the privileges to be a Streams administrator",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCAL_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ACCESS_FROM_REMOTE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_COLUMNS",
              "-desc": "Supportability info about Streams columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYNC_CAPTURE_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SYNC_CAPTURE_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(39)"
                }
                ,{
                  "-name": "APPLY_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_DELETE_COLUMN",
              "-desc": "Transformations that delete column(s)",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_GLOBAL_RULES",
              "-desc": "Global rules created by Streams administrative APIs",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "INCLUDE_TAGGED_LCR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_KEEP_COLUMNS",
              "-desc": "Keep columns transformations",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_MESSAGE_CONSUMERS",
              "-desc": "Streams messaging consumers",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NEGATIVE_RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NOTIFICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "NOTIFICATION_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "NOTIFICATION_CONTEXT",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_MESSAGE_RULES",
              "-desc": "Rules for Streams messaging",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MESSAGE_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MESSAGE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MESSAGE_RULE_VARIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_NEWLY_SUPPORTED",
              "-desc": "List of tables that are newly supported by Streams capture",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(39)"
                }
                ,{
                  "-name": "COMPATIBLE",
                  "-null": "",
                  "-type": "CHAR(4)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_RENAME_COLUMN",
              "-desc": "Rename column transformations",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TO_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_RENAME_SCHEMA",
              "-desc": "Rename schema transformations",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_RENAME_TABLE",
              "-desc": "Rename table transformations",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_RULES",
              "-desc": "Rules used by Streams processes",
              "fields": [
                {
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "RULE_SET_TYPE",
                  "-null": "",
                  "-type": "CHAR(8)"
                }
                ,{
                  "-name": "STREAMS_RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBSETTING_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DML_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INCLUDE_TAGGED_LCR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "MESSAGE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MESSAGE_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MESSAGE_RULE_VARIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SAME_RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_SCHEMA_RULES",
              "-desc": "Schema rules created by Streams administrative APIs",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "INCLUDE_TAGGED_LCR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_SPLIT_MERGE",
              "-desc": "Details of Streams split/merge jobs/status",
              "fields": [
                {
                  "-name": "ORIGINAL_CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ORIGINAL_STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RECOVERABLE_SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SCRIPT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACTION_THRESHOLD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "JOB_NEXT_RUN_DATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_SPLIT_MERGE_HIST",
              "-desc": "Historical details of Streams split/merge jobs/status",
              "fields": [
                {
                  "-name": "ORIGINAL_CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ORIGINAL_STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RECOVERABLE_SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SCRIPT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACTION_THRESHOLD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_SPLIT_MERGE_HIST",
              "-desc": "Displays information about past Streams automatic split and merge operations",
              "fields": [
                {
                  "-name": "ORIGINAL_CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ORIGINAL_STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RECOVERABLE_SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SCRIPT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACTION_THRESHOLD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_STMT_HANDLERS",
              "-desc": "Information about all statement DML handlers ",
              "fields": [
                {
                  "-name": "HANDLER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_STMTS",
              "-desc": "Information about the statements in all statement DML handlers ",
              "fields": [
                {
                  "-name": "HANDLER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TABLE_RULES",
              "-desc": "Table rules created by Streams administrative APIs",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DML_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUBSETTING_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "INCLUDE_TAGGED_LCR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TP_COMPONENT",
              "-desc": "Streams topology components",
              "fields": [
                {
                  "-name": "COMPONENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMPONENT_DB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "COMPONENT_CHANGED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TP_COMPONENT_LINK",
              "-desc": "Streams topology component links",
              "fields": [
                {
                  "-name": "SOURCE_COMPONENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_COMPONENT_DB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "DESTINATION_COMPONENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_COMPONENT_DB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PATH_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TP_COMPONENT_STAT",
              "-desc": "Streams topology component statistics",
              "fields": [
                {
                  "-name": "COMPONENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMPONENT_DB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "SUB_COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATISTIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATISTIC_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATISTIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ADVISOR_RUN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_RUN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TP_DATABASE",
              "-desc": "Streams topology component database",
              "fields": [
                {
                  "-name": "GLOBAL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_QUERIED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPATIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANAGEMENT_PACK_ACCESS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TP_PATH_BOTTLENECK",
              "-desc": "Streams topology component path bottleneck",
              "fields": [
                {
                  "-name": "PATH_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMPONENT_DB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "TOP_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BOTTLENECK_IDENTIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ADVISOR_RUN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_RUN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ADVISOR_RUN_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TP_PATH_STAT",
              "-desc": "Streams topology component path statistics",
              "fields": [
                {
                  "-name": "PATH_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATISTIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATISTIC_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ADVISOR_RUN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_RUN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TRANSFORM_FUNCTION",
              "-desc": "Rules-based transform functions used by Streams",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TRANSFORM_FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CUSTOM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_TRANSFORMATIONS",
              "-desc": "Transformations defined on rules",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRANSFORM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "FROM_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TO_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "COLUMN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUBSETTING_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DML_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DECLARATIVE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_STREAMS_UNSUPPORTED",
              "-desc": "List of all the tables that are not supported by Streams in this release",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(39)"
                }
                ,{
                  "-name": "AUTO_FILTERED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_SYNC_CAPTURE",
              "-desc": "Details about the sync Capture process",
              "fields": [
                {
                  "-name": "CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_SYNC_CAPTURE_PREPARED_TABS",
              "-desc": "All tables prepared for synchronous capture instantiation",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_SYNC_CAPTURE_TABLES",
              "-desc": "All tables that are captured by synchronous Streams captures.",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_ADMINISTRATOR",
              "-desc": "Displays information about the users who have been granted privileges to be XStream administrators by procedures in the DBMS_XSTREAM_AUTH package",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GRANT_SELECT_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_INBOUND",
              "-desc": "Details about the XStream inbound server",
              "fields": [
                {
                  "-name": "SERVER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMMITTED_DATA_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_INBOUND_PROGRESS",
              "-desc": "Details about the processing progress of the inbound server.",
              "fields": [
                {
                  "-name": "SERVER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCESSED_LOW_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "APPLIED_LOW_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "APPLIED_HIGH_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "SPILL_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "OLDEST_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "OLDEST_MESSAGE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SPILL_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_OUT_SUPPORT_MODE",
              "-desc": "Displays information about the level of XStream capture process support for the tables in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPPORT_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_OUTBOUND",
              "-desc": "Details about the XStream outbound server",
              "fields": [
                {
                  "-name": "SERVER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONNECT_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMMITTED_DATA_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_OUTBOUND_PROGRESS",
              "-desc": "Details about the processing progress of the outbound server.",
              "fields": [
                {
                  "-name": "SERVER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCESSED_LOW_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "PROCESSED_LOW_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OLDEST_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCESSED_LOW_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_SCN",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_RULES",
              "-desc": "Details about the XStream server rules",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "STREAMS_RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_TYPE",
                  "-null": "",
                  "-type": "CHAR(8)"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INCLUDE_TAGGED_LCR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUBSETTING_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DML_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SAME_RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE_ROOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_CONTAINER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_SPLIT_MERGE",
              "-desc": "Displays information about XStream current automatic split and merge operations",
              "fields": [
                {
                  "-name": "ORIGINAL_CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ORIGINAL_XSTREAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_XSTREAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XSTREAM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RECOVERABLE_SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SCRIPT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACTION_THRESHOLD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "JOB_NEXT_RUN_DATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_SPLIT_MERGE_HIST",
              "-desc": "Displays information about past XStream automatic split and merge operations",
              "fields": [
                {
                  "-name": "ORIGINAL_CAPTURE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CLONED_CAPTURE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ORIGINAL_XSTREAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLONED_XSTREAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XSTREAM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RECOVERABLE_SCRIPT_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SCRIPT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACTION_THRESHOLD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_STMT_HANDLERS",
              "-desc": "Displays information about all XStream statement DML handlers in the database",
              "fields": [
                {
                  "-name": "HANDLER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HANDLER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_STMTS",
              "-desc": "Displays information about the statements in all XStream statement DML handlers in the database",
              "fields": [
                {
                  "-name": "HANDLER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_SEQUENCE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "DBA_XSTREAM_TRANSFORMATIONS",
              "-desc": "Displays information about all XStream transformations available on a system, in order of execution",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRANSFORM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "FROM_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TO_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FROM_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TO_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_VALUE",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "COLUMN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COLUMN_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUBSETTING_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DML_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DECLARATIVE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PRECEDENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STEP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_ALL_TABLES",
              "-desc": "Description of all object and relational tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TABLE_LOCK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OBJECT_ID_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TABLE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ROW_MOVEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SKIP_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLUSTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_CLU_COLUMNS",
              "-desc": "Mapping of table columns to cluster columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLU_COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TAB_COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_COL_COMMENTS",
              "-desc": "Comments on columns of all tables and views",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_COL_PENDING_STATS",
              "-desc": "Pending column statistics of tables, partitions, and subpartitions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_COL_PRIVS",
              "-desc": "All grants on columns ",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_CONS_COLUMNS",
              "-desc": "Information about accessible columns in constraint definitions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSTRAINT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_CONS_OBJ_COLUMNS",
              "-desc": "List of types an object column or attribute is constrained to in all tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CONS_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONS_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONS_TYPE_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_CONSTRAINTS",
              "-desc": "Constraint definitions on all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSTRAINT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSTRAINT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEARCH_CONDITION",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "R_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "R_CONSTRAINT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DELETE_RULE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DEFERRABLE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "DEFERRED",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "VALIDATED",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "BAD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RELY",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "LAST_CHANGE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVALID",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "VIEW_RELATED",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_ENCRYPTED_COLUMNS",
              "-desc": "Encryption information on columns ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENCRYPTION_ALG",
                  "-null": "",
                  "-type": "VARCHAR2(29)"
                }
                ,{
                  "-name": "SALT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTEGRITY_ALG",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_LOBS",
              "-desc": "Description of lobs contained in all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCTVERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREEPOOLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEDUPLICATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RETENTION_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_PARTIAL_DROP_TABS",
              "-desc": "All tables with partially dropped columns ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_PENDING_CONV_TABLES",
              "-desc": "All tables which are not upgraded to the latest type version ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_REDEFINITION_ERRORS",
              "-desc": "Dependent objects for which errors were raised while attempting to create similar objects on the interim table of the online redefinition",
              "fields": [
                {
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DDL_TXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERR_NO",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "ERR_TXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_REDEFINITION_OBJECTS",
              "-desc": "Objects involved in the current online redefinitions",
              "fields": [
                {
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERIM_OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INTERIM_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_REDEFINITION_STATUS",
              "-desc": "Displays information about the online redefinition status",
              "fields": [
                {
                  "-name": "REDEFINITION_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "BASE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_PARTITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERIM_OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERIM_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PREV_OPERATION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESTARTABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_COL_STATISTICS",
              "-desc": "Column statistics on tables, views and clusters",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_COLS",
              "-desc": "Synonym of DBA_TAB_COLUMNS",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NULLABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COLUMN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFAULT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_DEFAULT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "CHAR_COL_DECL_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "V80_FMT_IMAGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_UPGRADED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HIDDEN_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VIRTUAL_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_COLUMN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INTERNAL_COLUMN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "QUALIFIED_COL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "USER_GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEFAULT_ON_NULL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IDENTITY_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SENSITIVE_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "EVALUATION_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEFORE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEGINNING",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_COLUMNS",
              "-desc": "Columns in tables, views and clusters",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_TYPE_MOD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DATA_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NULLABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COLUMN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFAULT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_DEFAULT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHARACTER_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "CHAR_COL_DECL_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAR_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "V80_FMT_IMAGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATA_UPGRADED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "DEFAULT_ON_NULL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IDENTITY_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SENSITIVE_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "EVALUATION_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEFORE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEGINNING",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_COMMENTS",
              "-desc": "Comments on all tables and views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_HISTGRM_PENDING_STATS",
              "-desc": "Pending histogram statistics of tables, partitions, and subpartitions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENDPOINT_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_HISTOGRAMS",
              "-desc": "Histograms on columns of all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENDPOINT_ACTUAL_VALUE_RAW",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "ENDPOINT_REPEAT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_IDENTITY_COLS",
              "-desc": "Describes all table identity columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GENERATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IDENTITY_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(298)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_MODIFICATIONS",
              "-desc": "Information regarding modifications to tables",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INSERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TRUNCATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DROP_SEGMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_PARTITIONS",
              "-desc": "Displays partition-level partitioning information, partition storage parameters, and partition statistics generated by the DBMS_STATS package for all partitions in the database",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARENT_TABLE_PARTITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_PENDING_STATS",
              "-desc": "Describes pending statistics for tables, partitions, and subpartitions in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_PRIVS",
              "-desc": "Describes all object grants in the database",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HIERARCHY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_STAT_PREFS",
              "-desc": "Statistics preferences for tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PREFERENCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PREFERENCE_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_STATISTICS",
              "-desc": "Optimizer statistics for all tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHE_HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATTYPE_LOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STALE_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TAB_STATS_HISTORY",
              "-desc": "History of table statistics modifications",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATS_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TABLES",
              "-desc": "Description of all relational tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TABLE_LOCK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ROW_MOVEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SKIP_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLUSTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESULT_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CLUSTERING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ACTIVITY_TRACKING",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "DML_TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "HAS_IDENTITY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CONTAINER_DATA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TSTZ_TAB_COLS",
              "-desc": "Columns of tables which have column(s) defined on timestamp with time zone data type or ADT type containing attribute(s) of timestamp with time zone data type",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUALIFIED_COL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_TSTZ_TABLES",
              "-desc": "Tables that have column(s) defined on timestamp with time zone data type or ADT type containing attribute(s) of timestamp with time zone data type",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPGRADE_IN_PROGRESS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_UNUSED_COL_TABS",
              "-desc": "All tables with unused columns ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Tables and Columns",
              "-name": "DBA_UPDATABLE_COLUMNS",
              "-desc": "Description of updatable columns",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UPDATABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSERTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DELETABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3"
                }
              ]
            }
            ,{
              "-category": "Transparent Session Migration",
              "-name": "DBA_TSM_DESTINATION",
              "-desc": "Transparent session migration destination session statistics",
              "fields": [
                {
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_INST_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESTINATION_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESTINATION_USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
              ]
            }
            ,{
              "-category": "Transparent Session Migration",
              "-name": "DBA_TSM_HISTORY",
              "-desc": "Transparent session migration history",
              "fields": [
                {
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CONNECT_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FAILURE_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
                ,{
                  "-name": "DESTINATION_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESTINATION_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ROUNDTRIPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
              ]
            }
            ,{
              "-category": "Transparent Session Migration",
              "-name": "DBA_TSM_SOURCE",
              "-desc": "Transparent session migration source session statistics",
              "fields": [
                {
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_INSTANCE_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "CONNECT_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURE_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(34)"
                }
                ,{
                  "-name": "SOURCE_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ROUNDTRIPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_USER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SOURCE_SCHEMA_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Unified Auditing",
              "-name": "UNIFIED_AUDIT_TRAIL",
              "-desc": "The unified audit trail view itself.",
              "fields": [
                {
                  "-name": "AUDIT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DBUSERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBPROXY_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTERNAL_USERID",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "GLOBAL_USERID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CLIENT_PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "DBLINK_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XS_SESSIONID",
                  "-null": "",
                  "-type": "RAW(33 BYTE)"
                }
                ,{
                  "-name": "ENTRY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6),,WITH,,LOCAL,,TIME,,ZONE"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_BINDS",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "APPLICATION_CONTEXTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NEW_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SYSTEM_PRIVILEGE_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SYSTEM_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TARGET_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXCLUDED_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "UNIFIED_AUDIT_POLICIES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FGA_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_INACTIVITY_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XS_ENTITY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_TARGET_PRINCIPAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROXY_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_DATASEC_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_CALLBACK_EVENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROCEDURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_ENABLED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_COOKIE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "XS_NS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_OLD_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_NEW_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_ACTION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DV_EXTENDED_ACTION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DV_RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_ACTION_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DV_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(90)"
                }
                ,{
                  "-name": "DV_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_FACTOR_CONTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OLS_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_MAX_READ_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_MAX_WRITE_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_MIN_WRITE_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_PRIVILEGES_GRANTED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PROGRAM_UNIT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PRIVILEGES_USED",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OLS_STRING_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_LABEL_COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OLS_LABEL_COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PARENT_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_OLD_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_NEW_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "RMAN_SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RMAN_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RMAN_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DP_TEXT_PARAMETERS1",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DP_BOOLEAN_PARAMETERS1",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DIRECT_PATH_NUM_COLUMNS_LOADED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Unified Auditing",
              "-name": "AUDIT_UNIFIED_POLICIES",
              "-desc": "Displays list of all Unified Audit policies.",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CONDITION_EVAL_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_OPTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Unified Auditing",
              "-name": "AUDIT_UNIFIED_ENABLED_POLICIES",
              "-desc": "Displays list of all enabled Unified Audit policies.",
              "fields": [
                {
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUCCESS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Unified Auditing",
              "-name": "AUDIT_UNIFIED_CONTEXTS",
              "-desc": "Displays all the application contexts configured for audit",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Unified Auditing",
              "-name": "AUDIT_UNIFIED_POLICY_COMMENTS",
              "-desc": "Displays comments on the Unified Audit policies.",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Unified Auditing",
              "-name": "CDB_UNIFIED_AUDIT_TRAIL",
              "-desc": "",
              "fields": [
                {
                  "-name": "AUDIT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DBUSERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBPROXY_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTERNAL_USERID",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "GLOBAL_USERID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CLIENT_PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "DBLINK_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XS_SESSIONID",
                  "-null": "",
                  "-type": "RAW(33 BYTE)"
                }
                ,{
                  "-name": "ENTRY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH LOCAL TIME ZONE"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_BINDS",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "APPLICATION_CONTEXTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NEW_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SYSTEM_PRIVILEGE_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SYSTEM_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TARGET_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXCLUDED_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "UNIFIED_AUDIT_POLICIES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FGA_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_INACTIVITY_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XS_ENTITY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_TARGET_PRINCIPAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROXY_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_DATASEC_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_CALLBACK_EVENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROCEDURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_ENABLED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_COOKIE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "XS_NS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_OLD_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_NEW_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_ACTION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DV_EXTENDED_ACTION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DV_RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_ACTION_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DV_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(90)"
                }
                ,{
                  "-name": "DV_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_FACTOR_CONTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OLS_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_MAX_READ_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_MAX_WRITE_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_MIN_WRITE_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_PRIVILEGES_GRANTED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PROGRAM_UNIT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PRIVILEGES_USED",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OLS_STRING_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_LABEL_COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OLS_LABEL_COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PARENT_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_OLD_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_NEW_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "RMAN_SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RMAN_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RMAN_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DP_TEXT_PARAMETERS1",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DP_BOOLEAN_PARAMETERS1",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DIRECT_PATH_NUM_COLUMNS_LOADED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_CAPTURE_FILES",
              "-desc": "Each row provides information on a capture file that belongs to the workload analyzed in the current Workload Intelligence job",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_PATH",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_JOBS",
              "-desc": "Describes a Workload Intelligence job, that is, a task that applies the algorithms of Workload Intelligence on a given capture directory",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAPTURE_DIRECTORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MODEL_ORDER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_OBJECTS",
              "-desc": "Each row provides information on a database object (table) that is accessed by the given template in the given Workload Intelligence job",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACCESS_TYPE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(2)"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_PATTERN_ITEMS",
              "-desc": "Each row represents a template that participates in a significant pattern that has been found by the given Workload Intelligence job.",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATTERN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_FIRST_IN_LOOP",
                  "-null": "NOT NULL",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "IS_LAST_IN_LOOP",
                  "-null": "NOT NULL",
                  "-type": "CHAR(1)"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_PATTERNS",
              "-desc": "Each row represents represents a pattern that has been identified by Workload Intelligence as significant in the workload associated with the given job.",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PATTERN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_EXECUTIONS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_STATEMENTS",
              "-desc": "Each row describes a statement (SQL or PL/SQL) that is part of the template with identifier TEMPLATE_ID, which has been found in the workload that is related to the Workload Intelligence job whose identifier is equal to JOB_ID.",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_TEMPLATE_EXECUTIONS",
              "-desc": "Each row represents an execution of a template in a capture that belongs to the workload that is associated with the current Workload Intelligence job",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_TIME",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Workload Intelligence",
              "-name": "DBA_WI_TEMPLATES",
              "-desc": "Each row describes describes a template that has been found in the workload that is related to the Workload Intelligence job whose identifier is equal to JOB_ID",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPLATE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_TRANSACTION",
                  "-null": "NOT NULL",
                  "-type": "CHAR(1)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_REMOVED_WORKSPACES",
              "-desc": "Workspaces that have been removed",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKSPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKSPACE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARENT_WORKSPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_WORKSPACE_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CREATETIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "RETIRETIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "MP_ROOT_WORKSPACE_ID",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "CONTINUALLY_REFRESHED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WM_SYS_PRIVS",
              "-desc": "Information about all users that have workspace manager system-level privileges",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "GRANTOR",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WM_VERSIONED_TABLES",
              "-desc": "Information about all version-enabled tables",
              "fields": [
                {
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "HISTORY",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "NOTIFICATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTIFYWORKSPACES",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "CONFLICT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DIFF",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VALIDTIME",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WM_VT_ERRORS",
              "-desc": "Information about the error that occurred during the last call to the disableversioning, commitddl, or recoverfromdroppeduser procedure",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "SQL_STR",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(49)"
                }
                ,{
                  "-name": "ERROR_MSG",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WORKSPACE_PRIVS",
              "-desc": "Information about all workspace privileges",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKSPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "GRANTOR",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WORKSPACE_SAVEPOINTS",
              "-desc": "Information about savepoints in all workspaces",
              "fields": [
                {
                  "-name": "SAVEPOINT",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKSPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLICIT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATETIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "CANROLLBACKTO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REMOVABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WORKSPACE_SESSIONS",
              "-desc": "Information about all users and workspaces (except for the live workspace)",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "WORKSPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "DBA_WORKSPACES",
              "-desc": "Information about all workspaces",
              "fields": [
                {
                  "-name": "WORKSPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKSPACE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARENT_WORKSPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_SAVEPOINT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATETIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "FREEZE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FREEZE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "FREEZE_WRITER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREEZE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSION_DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CURRENT_SESSION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESOLVE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "RESOLVE_USER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MP_ROOT_WORKSPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Workspace Manager",
              "-name": "ROLE_WM_PRIVS",
              "-desc": "Provides information about privileges that all roles granted to the current user have in each workspace",
              "fields": [
                {
                  "-name": "ROLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WORKSPACE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_INDEXES",
              "-desc": "Describes all XML indexes in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INDEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "PATH_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "ASYNC",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STALE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PEND_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EX_OR_INCLUDE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_NESTED_TABLES",
              "-desc": "Describes all the tables and their corresponding nested tables. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NESTED_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_OUT_OF_LINE_TABLES",
              "-desc": "Describes all the out of line tables connected to a given root table for the same schema. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_ATTRIBUTES",
              "-desc": "Describes all the attributes and their properties. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "ATTRIBUTE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "IS_REF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "GLOBAL",
                  "-null": "",
                  "-type": "RAW(1 BYTE)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "ELEMENT_ID",
                  "-null": "",
                  "-type": "RAW(20 BYTE)"
                }
                ,{
                  "-name": "SQL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_COMPLEX_TYPES",
              "-desc": "Describes all complex types in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "COMPLEX_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMPLEX_TYPE",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "BASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "BASE_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "BASE_TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "MAINTAIN_DOM",
                  "-null": "",
                  "-type": "RAW(1 BYTE)"
                }
                ,{
                  "-name": "SQL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_DEPENDENCY",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "DEP_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "DEP_SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEP_SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_ELEMENTS",
              "-desc": "Describes all the elements and their properties. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "IS_REF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "GLOBAL",
                  "-null": "",
                  "-type": "RAW(1 BYTE)"
                }
                ,{
                  "-name": "ELEMENT",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "SQL_INLINE",
                  "-null": "",
                  "-type": "RAW(1 BYTE)"
                }
                ,{
                  "-name": "SQL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_COL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MAINTAIN_DOM",
                  "-null": "",
                  "-type": "RAW(1 BYTE)"
                }
                ,{
                  "-name": "MAINTAIN_ORDER",
                  "-null": "",
                  "-type": "RAW(1 BYTE)"
                }
                ,{
                  "-name": "ELEMENT_ID",
                  "-null": "",
                  "-type": "RAW(20 BYTE)"
                }
                ,{
                  "-name": "PARENT_ELEMENT_ID",
                  "-null": "",
                  "-type": "RAW(20 BYTE)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_IMPORTS",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "DEP_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "DEP_SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEP_SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_INCLUDES",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "DEP_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "DEP_SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEP_SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_NAMESPACES",
              "-desc": "Describes all the available namespaces. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_SIMPLE_TYPES",
              "-desc": "Describes all simple types. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "SIMPLE_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "SIMPLE_TYPE",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_SUBSTGRP_HEAD",
              "-desc": "Describes the heads of substitution groups. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ELEMENT",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMA_SUBSTGRP_MBRS",
              "-desc": "Describes all members of substitution groups. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ELEMENT",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "HEAD_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HEAD_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "HEAD_TARGET_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "HEAD_ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HEAD_ELEMENT",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_SCHEMAS",
              "-desc": "Describes all registered XML schemas in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "LOCAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "INT_OBJNAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "QUAL_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(865)"
                }
                ,{
                  "-name": "HIER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BINARY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCHEMA_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "HIDDEN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_TAB_COLS",
              "-desc": "Describes the columns of all XML tables in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "ANYSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NONSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_TABLES",
              "-desc": "Describes all XML tables in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STORAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "ANYSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NONSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_VIEW_COLS",
              "-desc": "Describes the columns of all XML views in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XML_VIEWS",
              "-desc": "Describes all XML views in the database. (Note: XML stands for Extensible Markup Language). ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XMLSCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ELEMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XMLSCHEMA_LEVEL_VIEW",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "LVL",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XMLSCHEMA_LEVEL_VIEW_DUP",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "SCHEMA_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "LVL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_CYCLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "XML",
              "-name": "DBA_XMLTYPE_COLS",
              "-desc": "",
              "fields": [
                {
                  "-name": "SCHEMA_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "COL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUALIFIED_COL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
          ]
        },
        {
          "-name": "Performance Views", "-style": "dbaperf_views",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "perfviews": [
            {
              "-category": "Advisors",
              "-name": "V$ADVISOR_PROGRESS",
              "-desc": "V$ADVISOR_PROGRESS displays information about the progress of advisor execution.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SOFAR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTALWORK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "BENEFIT_SOFAR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BENEFIT_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINDINGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOMMENDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_REMAINING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVISOR_METRIC1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC1_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$DB_CACHE_ADVICE",
              "-desc": "V$DB_CACHE_ADVICE contains rows that predict the number of physical reads for the cache size corresponding to each row. The rows also compute a 'physical read factor,' which is the ratio of the number of estimated reads to the number of reads actually performed by the real buffer cache during the measurement interval.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SIZE_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFERS_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PHYSICAL_READ_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PHYSICAL_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PCT_OF_DB_TIME_FOR_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CLUSTER_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CLUSTER_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$JAVA_POOL_ADVICE",
              "-desc": "V$JAVA_POOL_ADVICE displays information about estimated parse time in the Java pool for different pool sizes. The sizes range from 10% of the current Java pool size or the amount of pinned Java library cache memory (whichever is higher) to 200% of the current Java pool size, in equal intervals. The value of the interval depends on the current size of the Java pool.",
              "fields": [
                {
                  "-name": "JAVA_POOL_SIZE_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_POOL_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECT_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$MEMORY_TARGET_ADVICE",
              "-desc": "V$MEMORY_TARGET_ADVICE provides information about how the MEMORY_TARGET parameter should be sized based on current sizing and satisfaction metrics.",
              "fields": [
                {
                  "-name": "MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMORY_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$MTTR_TARGET_ADVICE",
              "-desc": "V$MTTR_TARGET_ADVICE displays rows that predict the number of physical I/Os for the MTTR corresponding to each row. The rows also compute a physical I/O factor, which is the ratio of the number of estimated I/Os to the number of I/Os actually performed by the current MTTR setting during the measurement interval.",
              "fields": [
                {
                  "-name": "MTTR_TARGET_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DIRTY_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CACHE_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CACHE_WRITE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_WRITE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_IOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_IO_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$PGA_TARGET_ADVICE",
              "-desc": "V$PGA_TARGET_ADVICE predicts how the cache hit percentage and over allocation count statistics displayed by the V$PGASTAT performance view would be impacted if the value of the PGA_AGGREGATE_TARGET parameter is changed. The prediction is performed for various values of the PGA_AGGREGATE_TARGET parameter, selected around its current value. The advice statistic is generated by simulating the past workload run by the instance.",
              "fields": [
                {
                  "-name": "PGA_TARGET_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TARGET_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BYTES_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_EXTRA_BYTES_RW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PGA_CACHE_HIT_PERCENTAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_OVERALLOC_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$PGA_TARGET_ADVICE_HISTOGRAM",
              "-desc": "V$PGA_TARGET_ADVICE_HISTOGRAM predicts how statistics displayed by the V$SQL_WORKAREA_HISTOGRAM dynamic view would be impacted if the value of the PGA_AGGREGATE_TARGET parameter is changed. This prediction is performed for various values of the PGA_AGGREGATE_TARGET parameter, selected around its current value. The advice statistic is generated by simulating the past workload run by the instance.",
              "fields": [
                {
                  "-name": "PGA_TARGET_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TARGET_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LOW_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_OPTIMAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_ONEPASS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_MULTIPASSES_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_TOTAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IGNORED_WORKAREAS_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$SGA_TARGET_ADVICE",
              "-desc": "V$SGA_TARGET_ADVICE displays information about the SGA_TARGET initialization parameter.",
              "fields": [
                {
                  "-name": "SGA_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_DB_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_BUFFER_CACHE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_SHARED_POOL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$SHARED_POOL_ADVICE",
              "-desc": "V$SHARED_POOL_ADVICE displays information about estimated parse time in the shared pool for different pool sizes. The sizes range from 10% of the current shared pool size or the amount of pinned library cache memory (whichever is higher) to 200% of the current shared pool size, in equal intervals. The value of the interval depends on the current size of the shared pool.",
              "fields": [
                {
                  "-name": "SHARED_POOL_SIZE_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARED_POOL_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_TIME_SAVED_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_LOAD_TIME_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_LC_MEMORY_OBJECT_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Advisors",
              "-name": "V$STREAMS_POOL_ADVICE",
              "-desc": "V$STREAMS_POOL_ADVICE displays information about the estimated count of spilled or unspilled messages and the associated time spent in the spill or unspill activity for different Streams pool sizes. The sizes range from 10% to 200% of the current Streams pool size, in equal intervals. The value of the interval depends on the current size of the Streams pool.",
              "fields": [
                {
                  "-name": "STREAMS_POOL_SIZE_FOR_ESTIMATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STREAMS_POOL_SIZE_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_SPILL_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_SPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_UNSPILL_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_UNSPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Analytic Workspaces",
              "-name": "V$AW_AGGREGATE_OP",
              "-desc": "V$AW_AGGREGATE_OP displays the aggregation operators available in analytic workspaces. You can use this view in an application to provide a list of choices.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "LONGNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEFAULT_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Analytic Workspaces",
              "-name": "V$AW_ALLOCATE_OP",
              "-desc": "V$AW_ALLOCATE_OP displays the allocation operators available in analytic workspaces. You can use this view in an application to provide a list of choices.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "LONGNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Analytic Workspaces",
              "-name": "V$AW_CALC",
              "-desc": "V$AW_CALC reports on the effectiveness of various caches used by Oracle OLAP (Online Analytic Processing) during dynamic aggregation.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AGGREGATE_CACHE_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AGGREGATE_CACHE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_CACHE_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_CACHE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_NEW_PAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_RECLAIMED_PAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURR_DML_COMMAND",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PREV_DML_COMMAND",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AGGR_FUNC_LOGICAL_NA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AGGR_FUNC_PRECOMPUTE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AGGR_FUNC_CALCS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Analytic Workspaces",
              "-name": "V$AW_LONGOPS",
              "-desc": "V$AW_LONGOPS displays status information about active SQL cursors initiated in an analytic workspace.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURSOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "COMMAND",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TARGET_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOFAR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTALWORK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Analytic Workspaces",
              "-name": "V$AW_OLAP",
              "-desc": "V$AW_OLAP provides a record of active sessions and their use with analytic workspaces. A row is generated whenever an analytic workspace is created or attached. The first row for a session is created when the first command is issued. It identifies the SYS.EXPRESS workspace, which is attached automatically to each session. Rows related to a particular analytic workspace are deleted when the workspace is detached from the session or the session ends.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AW_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTACH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "GENERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE_PAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOB_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_CHANGED_PAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POOL_UNCHANGED_PAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Analytic Workspaces",
              "-name": "V$AW_SESSION_INFO",
              "-desc": "V$AW_SESSION_INFO provides information about each active session. A transaction is a single exchange between a client session and Oracle OLAP (Online Analytic Processing). Multiple commands can execute within a single transaction.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_HANDLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_TRANSACTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TRANSACTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_TRANSACTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TRANSACTION_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_TRANSACTION_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_ENCRYPTION_INFO",
              "-desc": "V$ASM_ACFS_ENCRYPTION_INFO displays encryption information for every mounted Oracle ASM Cluster File System (Oracle ACFS).",
              "fields": [
                {
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "SET_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENABLED_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ALGORITHM",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "KEY_LENGTH",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LAST_REKEY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_ADMIN",
              "-desc": "V$ASM_ACFS_SEC_ADMIN contains Oracle ASM Cluster File System (Oracle ACFS) security administrators in the cluster. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "ADMIN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_CMDRULE",
              "-desc": "V$ASM_ACFS_SEC_CMDRULE contains one row for every Oracle ASM Cluster File System (Oracle ACFS) security command rule for each Oracle ACFS file system. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "CMD_RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_REALM",
              "-desc": "V$ASM_ACFS_SEC_REALM contains an entry for every realm in the Oracle ACFS security file system in an Oracle Automatic Storage Management (Oracle ASM) instance. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "REALM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "REALM_STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REALM_ENCR_STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REALM_ENCR_KEYLEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REALM_ENCR_ALGO",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REALM_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_REALM_FILTER",
              "-desc": "V$ASM_ACFS_SEC_REALM_FILTER contains an entry for every filter in the Oracle ASM Cluster File System (Oracle ACFS) security realm for each Oracle ACFS file system. A filter is a defined as a command rule/rule set pair in a realm. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "REALM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "CMD_RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "RULESET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_REALM_GROUP",
              "-desc": "V$ASM_ACFS_SEC_REALM_GROUP contains an entry for every group in the Oracle ASM Cluster File System (Oracle ACFS) security realm for each Oracle ACFS file system. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "REALM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_REALM_USER",
              "-desc": "V$ASM_ACFS_SEC_REALM_USER contains an entry for every user in the Oracle ASM Cluster File System (Oracle ACFS) security realm for each Oracle ACFS file system. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "REALM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_RULE",
              "-desc": "V$ASM_ACFS_SEC_RULE contains information about all Oracle ASM Cluster File System (Oracle ACFS) security rules for each Oracle ACFS file system. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "RULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "RULE_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "RULE_VALUE2",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "RULE_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_RULESET",
              "-desc": "V$ASM_ACFS_SEC_RULESET contains information about all Oracle ASM Cluster File System (Oracle ACFS) security rule sets for each Oracle ACFS file system. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "RULESET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "RULESET_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SEC_RULESET_RULE",
              "-desc": "V$ASM_ACFS_SEC_RULESET_RULE contains an entry for every rule in the Oracle ASM Cluster File System (Oracle ACFS) security rule set for each Oracle ACFS file system. This view also supports GV$ global views.",
              "fields": [
                {
                  "-name": "RULESET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFS_SECURITY_INFO",
              "-desc": "V$ASM_ACFS_SECURITY_INFO displays security information for every mounted Oracle ASM Cluster File System (Oracle ACFS).",
              "fields": [
                {
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PREPARED_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENABLED_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFSREPL",
              "-desc": "V$ASM_ACFSREPL displays information for Oracle ASM Cluster File System (Oracle ACFS) file systems that are initialized for replication.",
              "fields": [
                {
                  "-name": "FSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOLDEV",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "SITE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LAG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "INITSTATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "DIRSSCAN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERCENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LASTSYNC",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CRSRUN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CRSTOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PMNTPT",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SMNTPT",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PSVCNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SSVCNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PHOST",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SHOST",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "REMALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DBGLVL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFSREPLTAG",
              "-desc": "V$ASM_ACFSREPLTAG displays replicated tag information for Oracle ASM Cluster File System (Oracle ACFS) file systems that are initialized for replication.",
              "fields": [
                {
                  "-name": "FSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOLDEV",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFSSNAPSHOTS",
              "-desc": "V$ASM_ACFSSNAPSHOTS displays snapshot information for every mounted Oracle ASM Cluster File System (Oracle ACFS).",
              "fields": [
                {
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "SNAP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "PARENT",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFSTAG",
              "-desc": "V$ASM_ACFSTAG displays every file or directory that has a tag and its tag name for every mounted Oracle ASM Cluster File System (Oracle ACFS).",
              "fields": [
                {
                  "-name": "TAG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PATH_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ACFSVOLUMES",
              "-desc": "V$ASM_ACFSVOLUMES displays information about mounted Oracle ACFS volumes, correlated with V$ASM_FILESYSTEM.",
              "fields": [
                {
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "VOL_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "VOL_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PRIMARY_VOL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TOTAL_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ALIAS",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_ALIAS displays one row for every alias present in every disk group mounted by the Oracle ASM instance. In a database instance, V$ASM_ALIAS displays no rows.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(70)"
                }
                ,{
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALIAS_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALIAS_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFERENCE_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALIAS_DIRECTORY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SYSTEM_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ATTRIBUTE",
              "-desc": "V$ASM_ATTRIBUTE displays one row for each attribute defined. In addition to attributes specified by CREATE DISKGROUP and ALTER DISKGROUP statements, the view may show other attributes that are created automatically. Note that attributes are only displayed for disk groups where COMPATIBLE.ASM is set to 11.1 or higher.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTRIBUTE_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTRIBUTE_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "SYSTEM_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_AUDIT_CLEAN_EVENTS",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_AUDIT_CLEAN_EVENTS displays information about the history of audit trail cleanup or purge events. In a database instance, V$ASM_AUDIT_CLEAN_EVENTS displays no rows.",
              "fields": [
                {
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLEANUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DELETE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAS_FORCED",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_AUDIT_CLEANUP_JOBS",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_AUDIT_CLEANUP_JOBS displays information about the configured audit trail purge jobs. In a database instance, V$ASM_AUDIT_CLEANUP_JOBS displays no rows.",
              "fields": [
                {
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "JOB_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "JOB_FREQUENCY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_AUDIT_CONFIG_PARAMS",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_AUDIT_CONFIG_PARAMS displays information about the currently configured audit trail properties that are used by the DBMS_AUDIT_MGMT package. In a database instance, V$ASM_AUDIT_CONFIG_PARAMS displays no rows.",
              "fields": [
                {
                  "-name": "PARAMETER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_AUDIT_LAST_ARCH_TS",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_AUDIT_LAST_ARCH_TS displays information about the last archive timestamps set for audit trail cleanup or purges. In a database instance, V$ASM_AUDIT_LAST_ARCH_TS displays no rows.",
              "fields": [
                {
                  "-name": "AUDIT_TRAIL",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LAST_ARCHIVE_TS",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_CLIENT",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_CLIENT identifies databases using disk groups managed by the Oracle ASM instance. In a database instance, V$ASM_CLIENT displays information about the Oracle ASM instance if the database has any open Oracle ASM files.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SOFTWARE_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "COMPATIBLE_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_DISK",
              "-desc": "V$ASM_DISK displays one row for every disk discovered by the Oracle Automatic Storage Management (Oracle ASM) instance, including disks that are not part of any disk group.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MOUNT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "HEADER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MODE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "REDUNDANCY",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LIBRARY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OS_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FAILGROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "UDID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PRODUCT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MOUNT_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REPAIR_TIMER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREFERRED_READ",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VOTING_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECTOR_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILGROUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_DISK_IOSTAT",
              "-desc": "V$ASM_DISK_IOSTAT displays information about disk I/O statistics for each Oracle Automatic Storage Management (Oracle ASM) client. If this view is queried from the database instance, only the rows for that instance are shown.",
              "fields": [
                {
                  "-name": "INSTNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILGROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_DISK_STAT",
              "-desc": "V$ASM_DISK_STAT displays performance statistics in the same way that V$ASM_DISK does, but without performing discovery of new disks. This results in a less expensive operation. However, since discovery is not performed, the output of this view does not include any data about disks that are new to the system.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MOUNT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "HEADER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MODE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "REDUNDANCY",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LIBRARY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OS_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FAILGROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "UDID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PRODUCT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CREATE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MOUNT_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REPAIR_TIMER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREFERRED_READ",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VOTING_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECTOR_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILGROUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_DISKGROUP",
              "-desc": "V$ASM_DISKGROUP displays one row for every Oracle Automatic Storage Management (Oracle ASM) disk group discovered by the Oracle ASM instance on the node.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SECTOR_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATION_UNIT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "TOTAL_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUIRED_MIRROR_FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USABLE_FILE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OFFLINE_DISKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPATIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "DATABASE_COMPATIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "VOTING_FILES",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_DISKGROUP_STAT",
              "-desc": "V$ASM_DISKGROUP_STAT displays performance statistics in the same way that V$ASM_DISKGROUP does, but without performing discovery of new disk groups. This results in a less expensive operation. However, since discovery is not performed, the output of this view does not include any data about disk groups that are new to the system.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SECTOR_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATION_UNIT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "TOTAL_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_USED_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUIRED_MIRROR_FREE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USABLE_FILE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OFFLINE_DISKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPATIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "DATABASE_COMPATIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "VOTING_FILES",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_ESTIMATE",
              "-desc": "V$ASM_ESTIMATE displays an estimate of the work involved in execution plans for Oracle Automatic Storage Management (Oracle ASM) disk group rebalance and resync operations.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EST_WORK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_FILE",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_FILE displays one row for every Oracle ASM file in every disk group mounted by the Oracle ASM instance. In a database instance, V$ASM_FILE displays no rows.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "REDUNDANCY",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "STRIPED",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MODIFICATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REDUNDANCY_LOWERED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PERMISSIONS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "USER_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERGROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERGROUP_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_REGION",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "MIRROR_REGION",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "HOT_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOT_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLD_BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_FILESYSTEM",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_FILE displays one row for every Oracle ASM file in every disk group mounted by the Oracle ASM instance. In a database instance, V$ASM_FILE displays no rows.",
              "fields": [
                {
                  "-name": "FS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "AVAILABLE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "NUM_VOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SNAP_SPACE_USAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLSTATE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_OPERATION",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_OPERATION displays one row for every active Oracle ASM long running operation executing in the Oracle ASM instance. In a database instance, V$ASM_OPERATION displays no rows.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "CHAR(5)"
                }
                ,{
                  "-name": "PASS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "POWER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTUAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOFAR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EST_WORK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EST_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EST_MINUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_TEMPLATE",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_TEMPLATE displays one row for every template present in every disk group mounted by the Oracle ASM instance. In a database instance, V$ASM_TEMPLATE displays one row for every template present in every disk group mounted by the Oracle ASM instance with which the database instance communicates.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRY_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REDUNDANCY",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "STRIPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "SYSTEM",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PRIMARY_REGION",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "MIRROR_REGION",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_USER",
              "-desc": "V$ASM_USER displays the effective operating system user names of connected database instances and of file owners.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_ID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "OS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(184)"
                }
                ,{
                  "-name": "OS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(272)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_USERGROUP",
              "-desc": "V$ASM_USERGROUP displays the creator for each Oracle Automatic Storage Management (Oracle ASM) File Access Control group.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERGROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_USERGROUP_MEMBER",
              "-desc": "V$ASM_USERGROUP_MEMBER displays the members for each Oracle Automatic Storage Management (Oracle ASM) File Access Control group.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMBER_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMBER_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERGROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERGROUP_INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_VOLUME",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_VOLUME displays information about each Oracle ADVM volume. In a database instance, V$ASM_VOLUME displays no rows.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VOLUME_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIZE_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VOLUME_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REDUNDANCY",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "STRIPE_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STRIPE_WIDTH_K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FILE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DRL_FILE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESIZE_UNIT_MB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USAGE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VOLUME_DEVICE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "MOUNTPATH",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$ASM_VOLUME_STAT",
              "-desc": "In an Oracle Automatic Storage Management (Oracle ASM) instance, V$ASM_VOLUME_STAT displays information about statistics for each Oracle ASM Dynamic Volume Manager (Oracle ADVM) volume. In a database instance, V$ASM_VOLUME_STAT displays no rows.",
              "fields": [
                {
                  "-name": "GROUP_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VOLUME_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPOUND_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VOLUME_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_ERRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "ASM",
              "-name": "V$PATCHES",
              "-desc": "V$PATCHES shows the patches applied on an Oracle Automatic Storage Management (Oracle ASM) instance and the list of patches applied to an Oracle Grid infrastructure home directory.",
              "fields": [
                {
                  "-name": "PATCH_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$DIAG_INFO",
              "-desc": "V$DIAG_INFO describes the state of Automatic Diagnostic Repository (ADR) functionality using NAME=VALUE pairs.",
              "fields": [
                {
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$EMON",
              "-desc": "V$EMON displays performance statistics per event monitor (EMON) slave for diagnosability of notifications. All processing time and latency is in seconds.",
              "fields": [
                {
                  "-name": "EMON#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "SERVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "STATUS_CHANGE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "NUM_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_GROUPING_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NTFNS_ALL_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_OCI_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_PLSQL_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_EMAIL_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_HTTP_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_EVENTS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_EVENTS_PENDING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ANONYMOUS_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_AQ_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DBCHANGE_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ANONYMOUS_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_AQ_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_DBCHANGE_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PLSQL_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_OCI_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EMAIL_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_HTTP_NTFN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EMON_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REGISTRATIONS_EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REGISTRATIONS_PURGED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REGISTRATIONS_INVALID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HANG_INFO",
              "-desc": "V$HANG_INFO displays information about hangs found on the cluster. A hang can be an open wait chain or closed wait chain (cycle or deadlock). A wait chain is a series of sessions that are blocking one another. Each row represents a hang and describes how severe the hang is. This view also includes the victim or final blocker of the hang.",
              "fields": [
                {
                  "-name": "HANG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HANG_CHAIN_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_HUNG_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HANG_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "HANG_CREATE_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "HANG_RESOLVE_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "IGNORED_HANG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RESOLUTION_ATTEMPTED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GLOBAL_HANG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ESCALATED_HANG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RESOLUTION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(45)"
                }
                ,{
                  "-name": "VICTIM_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_OSPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "FATAL_BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "WAIT_EVENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_RANK",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_ITT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_RTT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HANG_SESSION_INFO",
              "-desc": "V$HANG_SESSION_INFO displays information about sessions involved in hangs described by V$HANG_INFO. Each row with the same HANG_ID describes a session that is in the hang wait chain described by the row with the same HANG_ID in V$HANG_INFO. This session is blocked by the victim or final blocker of that hang.",
              "fields": [
                {
                  "-name": "HANG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OSPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "FATAL_BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROOT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "WAIT_EVENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "QOS_PC_RANK",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "QOS_PC_ITT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QOS_PC_RTT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QOS_PC_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HM_CHECK",
              "-desc": "V$HM_CHECK displays information about all the checks registered with Health Monitor. Each check is uniquely identified by a name or an ID.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME_NLS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CLSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INTERNAL_CHECK",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OFFLINE_CAPABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HM_CHECK_PARAM",
              "-desc": "V$HM_CHECK_PARAM displays information about the input parameters of all Health Monitor checks.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CHECK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HM_FINDING",
              "-desc": "V$HM_FINDING displays information about all the findings of various Health Monitor runs.",
              "fields": [
                {
                  "-name": "FINDING_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TIME_DETECTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DAMAGE_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HM_INFO",
              "-desc": "V$HM_INFO displays information about Health Monitor runs, findings, and recommendations. The information for a run/finding/recommendation is organized as a name, value pair.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HM_RECOMMENDATION",
              "-desc": "V$HM_RECOMMENDATION displays information about all the recommendations made to various Health Monitor findings.",
              "fields": [
                {
                  "-name": "RECOMMENDATION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FDG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RANK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_DETECTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "EXECUTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "REPAIR_SCRIPT",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Automatic Diagnostic Repository (ADR) and General Diagnostics",
              "-name": "V$HM_RUN",
              "-desc": "V$HM_RUN displays information about all Health Monitor checks and their status.",
              "fields": [
                {
                  "-name": "RUN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CHECK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "RUN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_RESUME_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MODIFIED_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SRC_INCIDENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_INCIDENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROBLEM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$ARCHIVE",
              "-desc": "V$ARCHIVE displays information about redo log files in need of archiving. Each row displays information for one thread. This information is also available in V$LOG. Oracle recommends that you use V$LOG.",
              "fields": [
                {
                  "-name": "GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ISCURRENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CURRENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$ARCHIVE_DEST",
              "-desc": "V$ARCHIVE_DEST displays, for the current instance, all of the destinations in the Data Guard configuration, including each destination's current value, mode, and status.",
              "fields": [
                {
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "BINDING",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "NAME_SPACE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ARCHIVER",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SCHEDULE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "LOG_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REOPEN_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELAY_MINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CONNECTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NET_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "REGISTER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAIL_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FAIL_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIL_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FAILURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ALTERNATE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "DEPENDENCY",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "REMOTE_TEMPLATE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "QUOTA_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUOTA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MOUNTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSMIT_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ASYNC_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AFFIRM",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "VALID_NOW",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "VALID_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "VALID_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VERIFY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "APPLIED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$ARCHIVE_DEST_STATUS",
              "-desc": "V$ARCHIVE_DEST_STATUS displays run time and configuration information for the archived redo log destinations. The information in this view does not persist across an instance shutdown.",
              "fields": [
                {
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "DATABASE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "RECOVERY_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "PROTECTION_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "STANDBY_LOGFILE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STANDBY_LOGFILE_ACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVED_THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVED_SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "SRL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SYNCHRONIZATION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "SYNCHRONIZED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "GAP_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$ARCHIVE_GAP",
              "-desc": "V$ARCHIVE_GAP displays information about archive gaps on a standby database. This view can be used to find out the current archive gap that is blocking recovery for the current recovery incarnation.",
              "fields": [
                {
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$ARCHIVE_PROCESSES",
              "-desc": "V$ARCHIVE_PROCESSES displays the state of the various ARCH processes for the instance.",
              "fields": [
                {
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LOG_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "ROLES",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$ARCHIVED_LOG",
              "-desc": "V$ARCHIVED_LOG displays archived log information from the control file, including archive log names. An archive log record is inserted after the online redo log is successfully archived or cleared (name column is NULL if the log was cleared). If the log is archived twice, there will be two archived log records with the same THREAD#, SEQUENCE#, and FIRST_CHANGE#, but with a different name. An archive log record is also inserted when an archive log is restored from a backup set or a copy and whenever a copy of a log is made with the RMAN COPY command.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REGISTRAR",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STANDBY_DEST",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ARCHIVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLIED",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DICTIONARY_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICTIONARY_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "END_OF_REDO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKUP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVAL_THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "END_OF_REDO_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "BACKED_BY_VSS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP",
              "-desc": "V$BACKUP displays the backup status of all online data files.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_ARCHIVELOG_DETAILS",
              "-desc": "V$BACKUP_ARCHIVELOG_DETAILS contains information about all restorable archive logs. It will include all archived logs backed up in a backup set or proxy copies.",
              "fields": [
                {
                  "-name": "BTYPE",
                  "-null": "",
                  "-type": "CHAR(9)"
                }
                ,{
                  "-name": "BTYPE_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILESIZE_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_ARCHIVELOG_SUMMARY",
              "-desc": "V$BACKUP_ARCHIVELOG_SUMMARY provides archive log summary information based on archive logs in the backup set or on proxy copies.",
              "fields": [
                {
                  "-name": "NUM_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_ASYNC_IO",
              "-desc": "V$BACKUP_ASYNC_IO displays performance information about ongoing and recently completed RMAN backups and restores. For each backup, it contains one row for each input data file, one row for the aggregate total performance of all data files, and one row for the output backup piece. This data is not stored persistently, and is not preserved when the instance is re-started.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CLOSE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXOPENFILES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EFFECTIVE_BYTES_PER_SECOND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHORT_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHORT_WAIT_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHORT_WAIT_TIME_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LONG_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LONG_WAIT_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LONG_WAIT_TIME_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_CONTROLFILE_DETAILS",
              "-desc": "V$BACKUP_CONTROLFILE_DETAILS contains information about restorable control files. It will include all the control files backed up in the backup set, image copies, and proxy copies.",
              "fields": [
                {
                  "-name": "BTYPE",
                  "-null": "",
                  "-type": "CHAR(9)"
                }
                ,{
                  "-name": "BTYPE_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILESIZE_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_CONTROLFILE_SUMMARY",
              "-desc": "V$BACKUP_CONTROLFILE_SUMMARY provides control file summary information, based on either a backup set of files, image copies, or proxy copies.",
              "fields": [
                {
                  "-name": "NUM_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_COPY_DETAILS",
              "-desc": "V$BACKUP_COPY_DETAILS contains information about all available control file and data file copies.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_COPY_SUMMARY",
              "-desc": "V$BACKUP_COPY_SUMMARY provides summary information for the output data file and control file copy.",
              "fields": [
                {
                  "-name": "NUM_COPIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_COPIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_CORRUPTION",
              "-desc": "V$BACKUP_CORRUPTION displays information about corrupt block ranges in data file backups from the control file. Note that corruptions are not tolerated in the control file and archived redo log backups.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CORRUPTION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CORRUPTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_DATAFILE",
              "-desc": "V$BACKUP_DATAFILE displays information about control files and data files in backup sets from the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENTAL_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ABSOLUTE_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEDIA_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICALLY_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAFILE_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_OFFLINE_RANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "USED_CHANGE_TRACKING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLOCKS_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_OPTIMIZATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOREIGN_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGGED_READONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PLUGIN_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SECTION_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_OPTIMIZED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLOCKS_SKIPPED_IN_CELL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKED_BY_PDB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_DATAFILE_DETAILS",
              "-desc": "V$BACKUP_DATAFILE_DETAILS contains information about restorable data files. It will include all data files backed in the backup set, image copies, and proxy copies.",
              "fields": [
                {
                  "-name": "BTYPE",
                  "-null": "",
                  "-type": "CHAR(9)"
                }
                ,{
                  "-name": "BTYPE_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENTAL_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TSNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILESIZE_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_DATAFILE_SUMMARY",
              "-desc": "V$BACKUP_DATAFILE_SUMMARY provides summary information for a specific criteria set, based on a backup job, a time range applicable to jobs, or a specific data file).",
              "fields": [
                {
                  "-name": "NUM_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_TS_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_DEVICE",
              "-desc": "V$BACKUP_DEVICE displays information about supported backup devices. If a device type does not support named devices, then one row with the device type and a null device name is returned for that device type. If a device type supports named devices then one row is returned for each available device of that type. The special device type DISK is not returned by this view because it is always available.",
              "fields": [
                {
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DEVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_FILES",
              "-desc": "V$BACKUP_FILES displays information about all Recovery Manager (RMAN) backups (both image copies and backup sets) and archived logs.",
              "fields": [
                {
                  "-name": "PKEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "FNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OBSOLETE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "BS_INCR_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "BS_PIECES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_COPIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BS_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "BS_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BS_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "BS_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "BP_PIECE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BP_COPY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DF_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DF_TABLESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DF_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DF_CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DF_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DF_CKP_MOD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RL_THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RL_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RL_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RL_FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RL_FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RL_NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RL_NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_NONLOGGED",
              "-desc": "V$BACKUP_NONLOGGED displays information about nonlogged block ranges in data file backups recorded in the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_TIME",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "OBJECT#",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_PIECE",
              "-desc": "V$BACKUP_PIECE displays information about backup pieces from the control file. Each backup set consists of one or more backup pieces.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCUR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_BY_VSS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ENCRYPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_BY_OSB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOR_XTTS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SAME_ENDIAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_PIECE_DETAILS",
              "-desc": "V$BACKUP_PIECE_DETAILS displays information about all available backup pieces.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BP_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCUR",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_BY_VSS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ENCRYPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_BY_OSB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOR_XTTS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SAME_ENDIAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECES_PER_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIZE_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_REDOLOG",
              "-desc": "V$BACKUP_REDOLOG displays information about archived logs in backup sets from the control file. Note that online redo logs cannot be backed up directly; they must be archived first to disk and then backed up. An archive log backup set can contain one or more archived logs.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SET",
              "-desc": "V$BACKUP_SET displays information about backup sets from the control file. A backup set record is inserted after the backup set is successfully completed.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CONTROLFILE_INCLUDED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_FILE_SCAN_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MULTI_SECTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOR_XTTS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SAME_ENDIAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INC_DMPFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SET_DETAILS",
              "-desc": "V$BACKUP_SET_DETAILS provides detailed information about the backup set. This view will contain an extra row for each backup session that invokes BACKUP BACKUPSET (that is, creates new copies for the same backup set or copies backup set information from disk to tape). However, the remaining values of other columns belong to the complete backup set.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKUP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CONTROLFILE_INCLUDED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NUM_COPIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL_INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "ORIGINAL_INPRATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_RATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL_INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ORIGINAL_INPRATE_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_RATE_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME_TAKEN_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ENCRYPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_BY_OSB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SET_SUMMARY",
              "-desc": "V$BACKUP_SET_SUMMARY provides summary information for a backup set.",
              "fields": [
                {
                  "-name": "NUM_BACKUPSETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_BACKUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEWEST_BACKUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL_INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL_INPRATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_RATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL_INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ORIGINAL_INPRATE_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_RATE_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SPFILE",
              "-desc": "V$BACKUP_SPFILE displays information about server parameter files in backup sets from the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SPFILE_DETAILS",
              "-desc": "V$BACKUP_SPFILE_DETAILS displays information about all restorable SP files backed up in the backup set.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BS_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODIFICATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILESIZE_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SPFILE_SUMMARY",
              "-desc": "V$BACKUP_SPFILE_SUMMARY provides summary information for input SP file, based on either a backup job or time range applicable to jobs.",
              "fields": [
                {
                  "-name": "NUM_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_MODIFICATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_MODIFICATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BACKUP_SYNC_IO",
              "-desc": "V$BACKUP_SYNC_IO displays performance information about ongoing and recently completed RMAN backups and restores. For each backup, it contains one row for each input data file, one row for the aggregate total performance of all data files, and one row for the output backup piece. This data is not stored persistently, and is not preserved when the instance is re-started.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CLOSE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXOPENFILES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EFFECTIVE_BYTES_PER_SECOND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_TIME_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISCRETE_BYTES_PER_SECOND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$BLOCK_CHANGE_TRACKING",
              "-desc": "V$BLOCK_CHANGE_TRACKING displays the status of block change tracking for the database.",
              "fields": [
                {
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$CLONEDFILE",
              "-desc": "V$CLONEDFILE provides CloneDB file information.",
              "fields": [
                {
                  "-name": "SNAPSHOTFILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CLONEFILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SNAPSHOTBLKREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAPSHOTREQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$COPY_CORRUPTION",
              "-desc": "V$COPY_CORRUPTION displays information about data file copy corruptions from the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CORRUPTION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CORRUPTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$COPY_NONLOGGED",
              "-desc": "V$COPY_NONLOGGED displays information about nonlogged block ranges in data file copy blocks recorded in the control file.",
              "fields": [
                {
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_TIME",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "OBJECT#",
                  "-null": "",
                  "-type": "VARCHAR2()"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$DATABASE_BLOCK_CORRUPTION",
              "-desc": "V$DATABASE_BLOCK_CORRUPTION displays information about database blocks that were corrupted after the last backup.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CORRUPTION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CORRUPTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$DATABASE_INCARNATION",
              "-desc": "V$DATABASE_INCARNATION displays information about all database incarnations. Oracle creates a new incarnation whenever a database is opened with the RESETLOGS option. Records about the current and immediately previous incarnation are also contained in the V$DATABASE view.",
              "fields": [
                {
                  "-name": "INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIOR_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIOR_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RESETLOGS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIOR_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLASHBACK_DATABASE_ALLOWED",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$DATAFILE_COPY",
              "-desc": "V$DATAFILE_COPY displays data file copy information from the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ABSOLUTE_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_FUZZY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ONLINE_FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKUP_FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEDIA_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICALLY_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_OFFLINE_RANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SCANNED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERTED_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SAME_ENDIAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOREIGN_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGGED_READONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PLUGIN_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BACKED_BY_VSS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKED_BY_PDB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$DATAFILE_HEADER",
              "-desc": "V$DATAFILE_HEADER displays data file information from the data file headers.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "FORMAT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CHECKPOINT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SPACE_HEADER",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LAST_DEALLOC_CHANGE#",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "UNDO_OPT_CURRENT_CHANGE#",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$DELETED_OBJECT",
              "-desc": "V$DELETED_OBJECT displays information about deleted archived logs, data file copies and backup pieces from the control file. The only purpose of this view is to optimize the recovery catalog resync operation. When an archived log, data file copy, or backup piece is deleted, the corresponding record is marked deleted.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "OBJECT_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_DATA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FAST_START_SERVERS",
              "-desc": "V$FAST_START_SERVERS provides information about all the recovery slaves performing parallel transaction recovery.",
              "fields": [
                {
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "UNDOBLOCKSDONE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FAST_START_TRANSACTIONS",
              "-desc": "V$FAST_START_TRANSACTIONS displays information about the progress of the transactions that Oracle is recovering.",
              "fields": [
                {
                  "-name": "USN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "UNDOBLOCKSDONE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDOBLOCKSTOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPUTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENTUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENTSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENTSEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PXID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "RCVSERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FLASHBACK_DATABASE_LOG",
              "-desc": "V$FLASHBACK_DATABASE_LOG displays information about the flashback data. Use this view to help estimate the amount of flashback space required for the current workload.",
              "fields": [
                {
                  "-name": "OLDEST_FLASHBACK_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_FLASHBACK_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RETENTION_TARGET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLASHBACK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_FLASHBACK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FLASHBACK_DATABASE_LOGFILE",
              "-desc": "V$FLASHBACK_DATABASE_LOGFILE displays information about the flashback log files.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "LOG#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FLASHBACK_DATABASE_STAT",
              "-desc": "V$FLASHBACK_DATABASE_STAT displays statistics for monitoring the I/O overhead of logging flashback data. This view also displays the estimated flashback space needed based on previous workloads.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FLASHBACK_DATA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_DATA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REDO_DATA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_FLASHBACK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FLASHBACK_TXN_GRAPH",
              "-desc": "V$FLASHBACK_TXN_GRAPH displays a tabular representation of the transaction dependency graph. For each dependency edge, there could be multiple rows, one for each conflicting operation.",
              "fields": [
                {
                  "-name": "COMPENSATING_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "COMPENSATING_TXN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TXN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARENT_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "INTERESTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKOUT_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_PREDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_SUCCS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "DEP_TXN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TXN_CONF_SQL_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_TXN_CONF_SQL_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONFLICT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FLASHBACK_TXN_MODS",
              "-desc": "V$FLASHBACK_TXN_MODS displays the individual modifications of all the transactions in memory.",
              "fields": [
                {
                  "-name": "COMPENSATING_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "COMPENSATING_TXN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TXN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PARENT_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "INTERESTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORIGINAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKOUT_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_SQL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "UNDO_SQL_SQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_SQL_SUB_SQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKOUT_SQL_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BACKEDOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONFLICT_MOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODS_PER_LCR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$FS_FAILOVER_STATS",
              "-desc": "V$FS_FAILOVER_STATS displays statistics about Fast-Start Failovers (FSFOs) occurring on the system.",
              "fields": [
                {
                  "-name": "LAST_FAILOVER_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "LAST_FAILOVER_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$INSTANCE_RECOVERY",
              "-desc": "V$INSTANCE_RECOVERY monitors the mechanisms available to users to limit recovery I/O. Those mechanisms are: - Set the LOG_CHECKPOINT_TIMEOUT initialization parameter, - Set the LOG_CHECKPOINT_INTERVAL initialization parameter, - Set the FAST_START_MTTR_TARGET initialization parameter, and - Set the size of the smallest redo log",
              "fields": [
                {
                  "-name": "RECOVERY_ESTIMATED_IOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTUAL_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_FILE_SIZE_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_CHKPT_TIMEOUT_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_CHKPT_INTERVAL_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAST_START_IO_TARGET_REDO_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_MTTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_MTTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CKPT_BLOCK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_LOGFILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTD_CLUSTER_AVAILABLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_MTTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_LOGFILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_LOG_CHECKPOINT_SETTINGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_OTHER_SETTINGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_AUTOTUNE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES_FULL_THREAD_CKPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$NONLOGGED_BLOCK",
              "-desc": "V$NONLOGGED_BLOCK displays ranges of nonlogged datafile blocks recorded in the control file.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_START_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NONLOGGED_END_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NONLOGGED_END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OBJECT#",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$OFFLINE_RANGE",
              "-desc": "V$OFFLINE_RANGE displays datafile offline information from the control file. Note that the last offline range of each datafile is kept in the DATAFILE record.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OFFLINE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$PROXY_ARCHIVEDLOG",
              "-desc": "V$PROXY_ARCHIVEDLOG contains descriptions of archived log backups that were taken using the proxy copy functionality. In a proxy copy, the media manager takes over the operations of backing up and restoring data. Each row represents a backup of one control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(81)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$PROXY_ARCHIVELOG_DETAILS",
              "-desc": "V$PROXY_ARCHIVELOG_DETAILS contains information about all available archive log proxy copies.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$PROXY_ARCHIVELOG_SUMMARY",
              "-desc": "V$PROXY_ARCHIVELOG_SUMMARY provides summary information about the output proxy archive log file.",
              "fields": [
                {
                  "-name": "NUM_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_FILES_BACKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$PROXY_COPY_DETAILS",
              "-desc": "V$PROXY_COPY_DETAILS contains information about all available control file and datafile proxy copies.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COPY_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$PROXY_COPY_SUMMARY",
              "-desc": "V$PROXY_COPY_SUMMARY provides summary information about the output proxy datafile and control file.",
              "fields": [
                {
                  "-name": "NUM_COPIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_DISTINCT_COPIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MAX_CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$PROXY_DATAFILE",
              "-desc": "V$PROXY_DATAFILE contains descriptions of datafile and control file backups that are taken with Proxy Copy. Each row represents a backup of one database file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(81)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ABSOLUTE_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_FUZZY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKUP_FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_OFFLINE_RANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FOREIGN_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGGED_READONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PLUGIN_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKED_BY_PDB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVER_FILE",
              "-desc": "V$RECOVER_FILE displays the status of files needing media recovery.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ONLINE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVERY_AREA_USAGE",
              "-desc": "V$RECOVERY_AREA_USAGE displays usage information about recovery areas.",
              "fields": [
                {
                  "-name": "FILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "PERCENT_SPACE_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERCENT_SPACE_RECLAIMABLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_FILES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVERY_FILE_DEST",
              "-desc": "V$RECOVERY_FILE_DEST displays information about the disk quota and current disk usage in the fast recovery area.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SPACE_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_RECLAIMABLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_FILES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVERY_FILE_STATUS",
              "-desc": "V$RECOVERY_FILE_STATUS contains one row for each datafile for each RECOVER statement. This view contains useful information only for the Oracle process doing the recovery. When Recovery Manager directs a server process to perform recovery, only Recovery Manager can view the relevant information in this view. V$RECOVERY_FILE_STATUS will be empty to all other Oracle users.",
              "fields": [
                {
                  "-name": "FILENUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVERY_LOG",
              "-desc": "V$RECOVERY_LOG lists information about archived logs that are needed to complete media recovery. This information is derived from the log history view, V$LOG_HISTORY. V$RECOVERY_LOG contains useful information only for the Oracle process doing the recovery. When Recovery Manager directs a server process to perform recovery, only Recovery Manager can view the relevant information in this view. V$RECOVERY_LOG will be empty to all other Oracle users.",
              "fields": [
                {
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ARCHIVE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVERY_PROGRESS",
              "-desc": "V$RECOVERY_PROGRESS can be used to track database recovery operations to ensure that they are not stalled, and also to estimate the time required to complete the operation in progress. V$RECOVERY_PROGRESS is a subview of V$SESSION_LONGOPS.",
              "fields": [
                {
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ITEM",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SOFAR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(176)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RECOVERY_STATUS",
              "-desc": "V$RECOVERY_STATUS contains statistics of the current recovery process. This view contains useful information only for the Oracle process doing the recovery. When Recovery Manager directs a server process to perform recovery, only Recovery Manager can view the relevant information in this view. V$RECOVERY_STATUS will be empty to all other Oracle users.",
              "fields": [
                {
                  "-name": "RECOVERY_CHECKPOINT",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "THREAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE_NEEDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCN_NEEDED",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TIME_NEEDED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PREVIOUS_LOG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "PREVIOUS_LOG_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RESTORE_POINT",
              "-desc": "V$RESTORE_POINT displays information about restore points.",
              "fields": [
                {
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATABASE_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GUARANTEE_FLASHBACK_DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STORAGE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
                ,{
                  "-name": "RESTORE_POINT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
                ,{
                  "-name": "PRESERVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_BACKUP_JOB_DETAILS",
              "-desc": "V$RMAN_BACKUP_JOB_DETAILS displays details about backup jobs.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_ID",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "AUTOBACKUP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKED_BY_OSB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTOBACKUP_DONE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "INPUT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OPTIMIZED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_PER_SEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES_PER_SEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INPUT_BYTES_PER_SEC_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_PER_SEC_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME_TAKEN_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_BACKUP_SUBJOB_DETAILS",
              "-desc": "V$RMAN_BACKUP_SUBJOB_DETAILS merges similar operations within an RMAN session into a single row. For example, if there are four BACKUP DATAFILE &lt;n&gt; commands, three RECOVERY COPY OF DATAFILE commands, and one BACKUP RECOVERY AREA command, this view will contain three rows - one each for BACKUP, ROLLFORWARD, and COPY_DISK_TO_TAPE operation.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "COMMAND_ID",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "BACKED_BY_OSB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTOBACKUP_DONE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "INPUT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OPTIMIZED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTOBACKUP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPRESSION_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTPUT_BYTES_DISPLAY",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_BACKUP_TYPE",
              "-desc": "V$RMAN_BACKUP_TYPE displays information about RMAN backup types.",
              "fields": [
                {
                  "-name": "WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INPUT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_COMPRESSION_ALGORITHM",
              "-desc": "V$RMAN_COMPRESSION_ALGORITHM provides descriptions of supported compression algorithms. It is used by the RMAN client.",
              "fields": [
                {
                  "-name": "ALGORITHM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALGORITHM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "INITIAL_RELEASE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TERMINAL_RELEASE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ALGORITHM_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ALGORITHM_COMPATIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "IS_VALID",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REQUIRES_ACO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_CONFIGURATION",
              "-desc": "V$RMAN_CONFIGURATION lists information about RMAN persistent configuration settings.",
              "fields": [
                {
                  "-name": "CONF#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(1025)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_ENCRYPTION_ALGORITHMS",
              "-desc": "V$RMAN_ENCRYPTION_ALGORITHMS displays supported encryption algorithms. It is used by the RMAN client to validate user-requested algorithms. This view will list AES128, AES192, and AES256 encryption algorithms for the current release. The default algorithm is AES128.",
              "fields": [
                {
                  "-name": "ALGORITHM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALGORITHM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ALGORITHM_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESTORE_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_OUTPUT",
              "-desc": "V$RMAN_OUTPUT displays messages reported by Recovery Manager (RMAN). This is an in-memory view and is not recorded in the controlfile. The view can hold 32768 rows.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(130)"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$RMAN_STATUS",
              "-desc": "V$RMAN_STATUS displays the finished and on-going RMAN jobs. For on-going jobs, this view displays progress and status. The jobs which are in progress are stored only in memory while the finished jobs are stored in the controlfile.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "COMMAND_ID",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "MBYTES_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OUTPUT_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "OSB_ALLOCATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Backup and Recovery",
              "-name": "V$UNUSABLE_BACKUPFILE_DETAILS",
              "-desc": "V$UNUSABLE_BACKUPFILE_DETAILS displays information about all backup files (backup pieces, proxy copies, or copies) that are marked unavailable and expired. You can select one of the rows and use BTYPE_KEY or FILETYPE_KEY to change the status of a backup file set or a specific file to available.",
              "fields": [
                {
                  "-name": "SESSION_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BTYPE",
                  "-null": "",
                  "-type": "CHAR(9)"
                }
                ,{
                  "-name": "BTYPE_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "FILETYPE_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "MEDIA",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MEDIA_POOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$ACTIVE_INSTANCES",
              "-desc": "V$ACTIVE_INSTANCES displays the mapping between instance names and instance numbers for all instances that have the database currently mounted.",
              "fields": [
                {
                  "-name": "INST_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$BH",
              "-desc": "V$BH displays the status and number of pings for every buffer in the System Global Area (SGA). This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "XNC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LOCK_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRTY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TEMP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PING",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STALE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DIRECT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NEW",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "OBJD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHEHINT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$CACHE",
              "-desc": "V$CACHE displays information from the block header of each block in the System Global Area (SGA) of the current instance as related to particular database objects. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "XNC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "OWNER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LOCK_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$CACHE_TRANSFER",
              "-desc": "V$CACHE_TRANSFER is identical to the V$CACHE view but only displays blocks that have been pinged at least once. This view contains information from the block header of each block in the System Global Area (SGA) of the current instance as related to particular database objects. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "XNC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "OWNER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LOCK_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$CLUSTER_INTERCONNECTS",
              "-desc": "V$CLUSTER_INTERCONNECTS displays one or more interconnects that are being used for cluster communication.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "IP_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "IS_PUBLIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$CONFIGURED_INTERCONNECTS",
              "-desc": "V$CONFIGURED_INTERCONNECTS displays all the interconnects that Oracle is aware of. This view attempts to answer the question of where Oracle found the information about a specific interconnect.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "IP_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "IS_PUBLIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$CR_BLOCK_SERVER",
              "-desc": "V$CR_BLOCK_SERVER displays statistics on the Global Cache Service processes (LMS) used in cache fusion.",
              "fields": [
                {
                  "-name": "CR_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TX_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIVATE_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ZERO_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READ_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIL_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIRNESS_DOWN_CONVERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIRNESS_CLEARS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_GC_ELEMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH_QUEUE_FULL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH_MAX_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LIGHT_WORKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$CURRENT_BLOCK_SERVER",
              "-desc": "V$CURRENT_BLOCK_SERVER displays statistics on the Global Cache Service processes (lMS) used in cache fusion.",
              "fields": [
                {
                  "-name": "PIN1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN100",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN1000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN10000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH100",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH1000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH10000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE100",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE1000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE10000",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLEANDC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RCVDC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUEDC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVICTDC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITEDC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$DYNAMIC_REMASTER_STATS",
              "-desc": "V$DYNAMIC_REMASTER_STATS displays statistical information about the dynamic remastering process. All times are given in hundredths of a second, and total values reflect what has been collected since instance startup.",
              "fields": [
                {
                  "-name": "REMASTER_OPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTERED_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUIESCE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREEZE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLEANUP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIXWRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SYNC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESOURCES_CLEANED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAYED_LOCKS_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAYED_LOCKS_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GC_ELEMENT",
              "-desc": "V$GC_ELEMENT displays one entry for each global cache resource that is used by the buffer cache. The name of the global cache resource that corresponds to a lock element is {'BL', indx, class}. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "GC_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "INDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELEASING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACQUIRING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GCSHVMASTER_INFO",
              "-desc": "V$GCSHVMASTER_INFO describes the current and previous master instances and the number of re-masterings of Global Cache Service resources except those belonging to files mapped to a particular master.",
              "fields": [
                {
                  "-name": "HV_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREVIOUS_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GCSPFMASTER_INFO",
              "-desc": "V$GCSPFMASTER_INFO describes the current and previous master instances and the number of re-masterings of Global Cache Service resources belonging to files mapped to instances.",
              "fields": [
                {
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_MASTERING_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "CURRENT_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREVIOUS_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_BLOCKING_ENQUEUE",
              "-desc": "V$GES_BLOCKING_ENQUEUE describes all locks currently known to lock manager that are being blocked or blocking others. The output of this view is a subset of the output from V$GES_ENQUEUE. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "GRANT_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REQUEST_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RESOURCE_NAME1",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOURCE_NAME2",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_DEADLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PERSISTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PROCESS_OWNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_NO_XID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_GETVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_PUTVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_DUBVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOQUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_EXPRESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKWAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKBLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WHICH_QUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AST_EVENT0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_NODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_CONVERT_LOCAL",
              "-desc": "V$GES_CONVERT_LOCAL displays statistics for local Global Enqueue Service (GES) enqueue operations. This view records average convert times, count information, and timed statistics for global enqueue requests."
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_CONVERT_REMOTE",
              "-desc": "V$GES_CONVERT_REMOTE displays values for remote Global Enqueue Service (GES) enqueue conversions. This view records average convert times, count information, and timed statistics for global enqueue requests."
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_ENQUEUE",
              "-desc": "V$GES_ENQUEUE describes all locks currently known to lock manager. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "GRANT_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REQUEST_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RESOURCE_NAME1",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOURCE_NAME2",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_DEADLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PERSISTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PROCESS_OWNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_NO_XID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_GETVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_PUTVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_DUBVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOQUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_EXPRESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKWAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKBLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WHICH_QUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AST_EVENT0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_NODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_LATCH",
              "-desc": "V$GES_LATCH is deprecated."
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_RESOURCE",
              "-desc": "V$GES_RESOURCE is a Real Application Clusters view. It displays information of all resources currently known to the lock manager."
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$GES_STATISTICS",
              "-desc": "V$GES_STATISTICS displays miscellaneous Global Enqueue Service (GES) statistics."
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$HANG_INFO",
              "-desc": "V$HANG_INFO displays information about hangs found on the cluster. A hang can be an open wait chain or closed wait chain (cycle or deadlock). A wait chain is a series of sessions that are blocking one another. Each row represents a hang and describes how severe the hang is. This view also includes the victim or final blocker of the hang.",
              "fields": [
                {
                  "-name": "HANG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HANG_CHAIN_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_HUNG_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HANG_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "HANG_CREATE_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "HANG_RESOLVE_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "IGNORED_HANG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RESOLUTION_ATTEMPTED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GLOBAL_HANG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ESCALATED_HANG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RESOLUTION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(45)"
                }
                ,{
                  "-name": "VICTIM_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_OSPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "FATAL_BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "WAIT_EVENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_RANK",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_ITT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_RTT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VICTIM_QOS_PC_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$HANG_SESSION_INFO",
              "-desc": "V$HANG_SESSION_INFO displays information about sessions involved in hangs described by V$HANG_INFO. Each row with the same HANG_ID describes a session that is in the hang wait chain described by the row with the same HANG_ID in V$HANG_INFO. This session is blocked by the victim or final blocker of that hang.",
              "fields": [
                {
                  "-name": "HANG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OSPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "FATAL_BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROOT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "WAIT_EVENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "QOS_PC_RANK",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "QOS_PC_ITT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QOS_PC_RTT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QOS_PC_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$HVMASTER_INFO",
              "-desc": "V$HVMASTER_INFO describes the current and previous master instances and the number of re-masterings of Global Enqueue Service resources.",
              "fields": [
                {
                  "-name": "HV_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREVIOUS_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$INSTANCE_CACHE_TRANSFER",
              "-desc": "V$INSTANCE_CACHE_TRANSFER displays statistics for the cache blocks transferred among instances.",
              "fields": [
                {
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "LOST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOST_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BLOCK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_2HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_2HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_3HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_3HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUSY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CONGESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CONGESTED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_2HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_2HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_3HOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_3HOP_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BUSY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONGESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONGESTED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$INSTANCE_PING",
              "-desc": "V$INSTANCE_PING provides information about measured latency of the interconnect for all instances in an Oracle Real Application Clusters (Oracle RAC) environment.",
              "fields": [
                {
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME_SQUARED_500B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME_SQUARED_8K",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cache Fusion and RAC",
              "-name": "V$RESOURCE_LIMIT",
              "-desc": "V$RESOURCE_LIMIT displays information about global resource use for some of the system resources. Use this view to monitor the consumption of resources so that you can take corrective action, if necessary.",
              "fields": [
                {
                  "-name": "RESOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CURRENT_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_ALLOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LIMIT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$ACCESS",
              "-desc": "V$ACCESS displays information about locks that are currently imposed on library cache objects. The locks are imposed to ensure that they are not aged out of the library cache while they are required for SQL execution.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJECT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$AQ_MESSAGE_CACHE",
              "-desc": "V$AQ_MESSAGE_CACHE provides performance statistics of the message cache for sharded queues at the subshard level in the instance.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_READY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHUNK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CHUNKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREE_CHUNKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$BH (RAC View)",
              "-desc": "V$BH displays the status and number of pings for every buffer in the System Global Area (SGA). This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "XNC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LOCK_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRTY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TEMP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PING",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STALE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DIRECT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NEW",
                  "-null": "",
                  "-type": "CHAR(1)"
                }
                ,{
                  "-name": "OBJD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHEHINT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$BUFFER_POOL",
              "-desc": "V$BUFFER_POOL displays information about all buffer pools available for the instance.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESIZE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_BUFFERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_BUFFERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LO_BNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HI_BNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LO_SETID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HI_SETID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$BUFFER_POOL_STATISTICS",
              "-desc": "V$BUFFER_POOL_STATISTICS displays statistics about all buffer pools available for the instance.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SET_MSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_REPL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_WRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUF_GOT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_WRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUM_SCAN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_BUFFER_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_COMPLETE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_BUSY_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_BUFFER_INSPECTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRTY_BUFFERS_INSPECTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_BLOCK_CHANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_BLOCK_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSISTENT_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$CACHE (RAC View)",
              "-desc": "V$CACHE displays information from the block header of each block in the System Global Area (SGA) of the current instance as related to particular database objects. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "XNC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCED_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "OWNER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LOCK_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$DB_OBJECT_CACHE",
              "-desc": "V$DB_OBJECT_CACHE displays database objects that are cached in the library cache. Objects include tables, indexes, clusters, synonym definitions, PL/SQL procedures and packages, and triggers.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "DB_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEPT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CHILD_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PIN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "PREVIOUS_TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LOCKED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROPERTY",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "FULL_HASH_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$JAVA_LIBRARY_CACHE_MEMORY",
              "-desc": "V$JAVA_LIBRARY_CACHE_MEMORY displays information about memory allocated to library cache memory objects in different namespaces for Java objects. A memory object is an internal grouping of memory for efficient management. A library cache object may consist of one or more memory objects.",
              "fields": [
                {
                  "-name": "LC_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "LC_INUSE_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LC_INUSE_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LC_FREEABLE_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LC_FREEABLE_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$LIBRARY_CACHE_MEMORY",
              "-desc": "V$LIBRARY_CACHE_MEMORY displays information about memory allocated to library cache memory objects in different namespaces. A memory object is an internal grouping of memory for efficient management. A library cache object may consist of one or more memory objects.",
              "fields": [
                {
                  "-name": "LC_NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "LC_INUSE_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LC_INUSE_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LC_FREEABLE_MEMORY_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LC_FREEABLE_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$LIBRARYCACHE",
              "-desc": "V$LIBRARYCACHE contains statistics about library cache performance and activity.",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETHITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETHITRATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINHITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINHITRATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_LOCK_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_PIN_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_PIN_RELEASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_INVALIDATION_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$MEMORY_CURRENT_RESIZE_OPS",
              "-desc": "V$MEMORY_CURRENT_RESIZE_OPS displays information about memory resize operations (both automatic and manual) which are currently in progress. An operation can be a grow or a shrink of a dynamic memory component. All sizes are expressed in bytes.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "INITIAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$MEMORY_DYNAMIC_COMPONENTS",
              "-desc": "V$MEMORY_CURRENT_RESIZE_OPS displays information about memory resize operations (both automatic and manual) which are currently in progress. An operation can be a grow or a shrink of a dynamic memory component. All sizes are expressed in bytes.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_SPECIFIED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "LAST_OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "LAST_OPER_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GRANULE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$MEMORY_RESIZE_OPS",
              "-desc": "V$MEMORY_RESIZE_OPS displays information about the last 800 completed memory resize operations (both automatic and manual). This does not include in-progress operations. All sizes are expressed in bytes.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "INITIAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$PGASTAT",
              "-desc": "V$PGASTAT displays Program Global Area (PGA) memory usage statistics as well as statistics about the automatic PGA memory manager when it is enabled (that is, when PGA_AGGREGATE_TARGET is set). Cumulative values in V$PGASTAT are accumulated since instance startup.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$PROCESS_MEMORY",
              "-desc": "V$PROCESS_MEMORY displays dynamic Program Global Area (PGA) memory usage by named component categories for each process.",
              "fields": [
                {
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$RESULT_CACHE_DEPENDENCY",
              "-desc": "V$RESULT_CACHE_DEPENDENCY displays the depends-on relationship between cached results and dependencies.",
              "fields": [
                {
                  "-name": "RESULT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPEND_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$RESULT_CACHE_MEMORY",
              "-desc": "V$RESULT_CACHE_MEMORY displays all the memory blocks and their status.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$RESULT_CACHE_OBJECTS",
              "-desc": "V$RESULT_CACHE_OBJECTS displays all the objects (both cached results and dependencies) and their attributes.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "BUCKET_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CREATION_TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATOR_UID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPEND_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLUMN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCAN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_SIZE_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_SIZE_MIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_SIZE_AVG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUILD_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LRU_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_OVERHEAD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE_UNUSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(93)"
                }
                ,{
                  "-name": "CACHE_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(93)"
                }
                ,{
                  "-name": "CHECKSUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$RESULT_CACHE_STATISTICS",
              "-desc": "V$RESULT_CACHE_STATISTICS displays various Result Cache settings and usage statistics.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(81)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$ROWCACHE",
              "-desc": "V$ROWCACHE displays statistics for data dictionary activity. Each row contains statistics for one data dictionary cache.",
              "fields": [
                {
                  "-name": "CACHE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SUBORDINATE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIXED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FASTGETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETMISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANMISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANCOMPLETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODIFICATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_CONFLICTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_RELEASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$ROWCACHE_PARENT",
              "-desc": "V$ROWCACHE_PARENT displays information for parent objects in the data dictionary. There is one row per lock owner, and one waiter for each object. This row shows the mode held or requested. For objects with no owners or waiters, a single row is displayed.",
              "fields": [
                {
                  "-name": "INDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CACHE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXISTENT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LOCK_MODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCK_REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXN",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "INST_LOCK_REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INST_LOCK_RELEASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INST_LOCK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "INST_LOCK_ID1",
                  "-null": "",
                  "-type": "RAW(4 BYTE)"
                }
                ,{
                  "-name": "INST_LOCK_ID2",
                  "-null": "",
                  "-type": "RAW(4 BYTE)"
                }
                ,{
                  "-name": "KEY",
                  "-null": "",
                  "-type": "RAW(100 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$ROWCACHE_SUBORDINATE",
              "-desc": "V$ROWCACHE_SUBORDINATE displays information for subordinate objects in the data dictionary.",
              "fields": [
                {
                  "-name": "INDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CACHE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBCACHE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBCACHE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXISTENT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PARENT",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KEY",
                  "-null": "",
                  "-type": "RAW(100 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SESSION_CURSOR_CACHE",
              "-desc": "V$SESSION_CURSOR_CACHE displays information on cursor usage for the current session.",
              "fields": [
                {
                  "-name": "MAXIMUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPENS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGA",
              "-desc": "V$SGA displays summary information about the system global area (SGA).",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGA_CURRENT_RESIZE_OPS",
              "-desc": "V$SGA_CURRENT_RESIZE_OPS displays information about System Global Area (SGA) resize operations which are currently in progress. An operation can be a grow or a shrink of a dynamic SGA component. All sizes are expressed in bytes.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "INITIAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGA_DYNAMIC_COMPONENTS",
              "-desc": "V$SGA_DYNAMIC_COMPONENTS displays information about the dynamic SGA components. This view summarizes information based on all completed System Global Area (SGA) resize operations since instance startup. All sizes are expressed in bytes.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_SPECIFIED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "LAST_OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "LAST_OPER_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GRANULE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGA_DYNAMIC_FREE_MEMORY",
              "-desc": "V$SGA_DYNAMIC_FREE_MEMORY displays information about the amount of SGA memory available for future dynamic System Global Area (SGA) resize operations.",
              "fields": [
                {
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGA_RESIZE_OPS",
              "-desc": "V$SGA_RESIZE_OPS displays information about the last 800 completed System Global Area (SGA) resize operations. This does not include in-progress operations. All sizes are expressed in bytes.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "OPER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "INITIAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TARGET_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGAINFO",
              "-desc": "V$SGAINFO displays size information about the System Global Area (SGA), including the sizes of different SGA components, the granule size, and free memory.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESIZEABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SGASTAT",
              "-desc": "V$SGASTAT displays detailed information on the system global area (SGA).",
              "fields": [
                {
                  "-name": "POOL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SHARED_POOL_RESERVED",
              "-desc": "V$SHARED_POOL_RESERVED displays statistics that help you tune the reserved pool and space within the shared pool.",
              "fields": [
                {
                  "-name": "FREE_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_FREE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FREE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_USED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MISS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MISS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_FAILURE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ABORTED_REQUEST_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ABORTED_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ABORTED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SQLAREA",
              "-desc": "V$SQLAREA displays statistics on shared SQL areas and contains one row per SQL string. It provides statistics on SQL statements that are in memory, parsed, and ready for execution.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERSISTENT_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNTIME_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_OPENING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_EXECUTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "KEPT_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLD_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_SID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LAST_ACTIVE_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "REMOTE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LITERAL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "IS_OBSOLETE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_BIND_SENSITIVE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_BIND_AWARE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CHILD_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_PATCH",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_PLAN_BASELINE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM_LINE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHY_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_REOPTIMIZABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_RESOLVED_ADAPTIVE_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SQLAREA_PLAN_HASH",
              "-desc": "V$SQLAREA_PLAN_HASH displays statistics on shared SQL areas (V$SQL) by grouping on the SQL_ID and PLAN_HASH_VALUE columns. It can potentially create several rows for one parent cursor, one for each distinct value of the column PLAN_HASH_VALUE.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ACTIVE_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERSISTENT_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNTIME_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_OPENING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_EXECUTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "KEPT_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OUTLINE_SID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "REMOTE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LITERAL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM_LINE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHY_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SUBCACHE",
              "-desc": "V$SUBCACHE displays information about the subordinate caches currently loaded into library cache memory. The view walks through the library cache, printing out a row for each loaded subordinate cache per library cache object.",
              "fields": [
                {
                  "-name": "OWNER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEAP_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEAP_SZ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEAP_ALOC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEAP_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Caches",
              "-name": "V$SYSTEM_CURSOR_CACHE",
              "-desc": "V$SYSTEM_CURSOR_CACHE displays system wide information on cursor usage.",
              "fields": [
                {
                  "-name": "OPENS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$CON_SYS_TIME_MODEL",
              "-desc": "V$CON_SYS_TIME_MODEL displays the systemwide accumulated times for various operations for the container from which it is queried. The time reported is the total elapsed or CPU time (in microseconds). Any timed operation will buffer at most 5 seconds of time data. Specifically, this means that if a timed operation (such as SQL execution) takes a long period of time to perform, the data published to this view is at most missing 5 seconds of the time accumulated for the operation.",
              "fields": [
                {
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$CON_SYSSTAT",
              "-desc": "V$CON_SYSSTAT displays system statistics, including OLAP kernel statistics for the container from which it is queried. To find the name of the statistic associated with each statistic number (STATISTIC#), query the V$STATNAME view.",
              "fields": [
                {
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$CON_SYSTEM_EVENT",
              "-desc": "V$CON_SYSTEM_EVENT displays information on total waits for an event in a container. Note that the TIME_WAITED and AVERAGE_WAIT columns will contain a value of zero on those platforms that do not support a fast timing mechanism. If you are running on one of these platforms and you want this column to reflect true wait times, then you must set TIMED_STATISTICS to TRUE in the parameter file; doing this will have a small negative effect on system performance.",
              "fields": [
                {
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAITS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$CON_SYSTEM_WAIT_CLASS",
              "-desc": "V$CON_SYSTEM_WAIT_CLASS displays the time totals for each registered wait class in a container.",
              "fields": [
                {
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAITS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$CONTAINERS",
              "-desc": "V$CONTAINERS displays information about pluggable databases (PDBs) and the root associated with the current instance.",
              "fields": [
                {
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_UID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPEN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "RESTRICTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CREATE_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$PDB_INCARNATION",
              "-desc": "V$PDB_INCARNATION displays information about all pluggable database (PDB) incarnations. Oracle creates a new PDB incarnation whenever a PDB is opened with the RESETLOGS option.",
              "fields": [
                {
                  "-name": "DB_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "INCARNATION_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCARNATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BEGIN_RESETLOGS_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BEGIN_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_RESETLOGS_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIOR_DB_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIOR_PDB_INCARNATION#",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FLASHBACK_DATABASE_ALLOWED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Container Database",
              "-name": "V$PDBS",
              "-desc": "V$PDBS displays information about pluggable databases (PDBs) associated with the current instance.",
              "fields": [
                {
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_UID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPEN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "RESTRICTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CREATE_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Control Files",
              "-name": "V$CONTROLFILE",
              "-desc": "V$CONTROLFILE displays the names of the control files.",
              "fields": [
                {
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_SIZE_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Control Files",
              "-name": "V$CONTROLFILE_RECORD_SECTION",
              "-desc": "V$CONTROLFILE_RECORD_SECTION displays information about the control file record sections.",
              "fields": [
                {
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "RECORD_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECORDS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECORDS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_INDEX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Control Files",
              "-name": "V$DATAFILE",
              "-desc": "V$DATAFILE displays datafile information from the control file.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "UNRECOVERABLE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNRECOVERABLE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OFFLINE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "PLUGGED_IN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK1_OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "FIRST_NONLOGGED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_NONLOGGED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FOREIGN_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FOREIGN_CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FOREIGN_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PLUGGED_READONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PLUGIN_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Control Files",
              "-name": "V$DATAFILE_COPY",
              "-desc": "V$DATAFILE_COPY displays data file copy information from the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INCREMENTAL_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ABSOLUTE_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_FUZZY_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERY_FUZZY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ONLINE_FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKUP_FUZZY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MARKED_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEDIA_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICALLY_CORRUPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_OFFLINE_RANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "KEEP_UNTIL",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "KEEP_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SCANNED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RMAN_STATUS_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_STATUS_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERTED_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SAME_ENDIAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FOREIGN_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGGED_READONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PLUGIN_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLUGIN_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BACKED_BY_VSS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BACKED_BY_PDB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Control Files",
              "-name": "V$DBFILE (Deprecated used V$DATAFILE instead)",
              "-desc": "V$DBFILE displays all data files making up the database. This view is retained for historical compatibility. Use of V$DATAFILE is recommended instead.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$MAPPED_SQL",
              "-desc": "V$MAPPED_SQL lists the SQL statements that are mapped to a different SQL statement for execution.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAPPED_SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "MAPPED_SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "MAPPED_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "MAPPED_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$MUTEX_SLEEP_HISTORY",
              "-desc": "V$MUTEX_SLEEP_HISTORY displays time-series data. Each row in this view is for a specific time, mutex type, location, requesting session and blocking session combination. That is, it shows data related to a specific session (requesting session) that slept while requesting a specific mutex type and location, because it was being held by a specific blocking session. The data in this view is contained within a circular buffer, with the most recent sleeps shown.",
              "fields": [
                {
                  "-name": "MUTEX_IDENTIFIER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "MUTEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUESTING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MUTEX_VALUE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P5",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_BIND_CAPTURE",
              "-desc": "V$SQL_BIND_CAPTURE displays information on bind variables used by SQL cursors. Each row in the view contains information for one bind variable defined in a cursor.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DUP_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CHARACTER_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAS_CAPTURED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LAST_CAPTURED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "VALUE_STRING",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VALUE_ANYDATA",
                  "-null": "",
                  "-type": "ANYDATA()"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_JOIN_FILTER",
              "-desc": "V$SQL_JOIN_FILTER displays performance information about the characteristics of join filters when they are used for a parallel cursor. (A join filter is a bitmap filter applied to table rows before a join operation in order to avoid parallel communication.)",
              "fields": [
                {
                  "-name": "QC_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILTER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BITS_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILTERED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROBED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLSTATS",
              "-desc": "V$SQLSTATS displays basic performance statistics for SQL cursors and contains one row per SQL statement (that is, one row per unique value of SQL_ID). The column definitions for columns in V$SQLSTATS are identical to those in the V$SQL and V$SQLAREA views. However, the V$SQLSTATS view differs from V$SQL and V$SQLAREA in that it is faster, more scalable, and has a greater data retention (the statistics may still appear in this view, even after the cursor has been aged out of the shared pool). Note that V$SQLSTATS contains a subset of columns that appear in V$SQL and V$SQLAREA.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_ACTIVE_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_HARD_PARSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_EXECUTION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CONCURRENCY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CELL_OFFLOAD_ELIG_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLSTATS_PLAN_HASH",
              "-desc": "V$SQLSTATS_PLAN_HASH displays basic performance statistics for SQL cursors and contains one row per execution plan of a SQL statement (that is, one row per unique combination of SQL_ID and PLAN_HASH_VALUE).",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_ACTIVE_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_HARD_PARSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_EXECUTION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CONCURRENCY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CELL_OFFLOAD_ELIG_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SYS_OPTIMIZER_ENV",
              "-desc": "V$SYS_OPTIMIZER_ENV displays the contents of the optimizer environment for the instance. The optimizer environment stores the value of the main parameters used by the Oracle optimizer when building the execution plan of a SQL statement. Hence, modifying the value of one or more of these parameters (for example, by issuing an ALTER SYSTEM statement) could lead to plan changes.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SQL_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$VPD_POLICY",
              "-desc": "V$VPD_POLICY displays all the fine-grained security policies and predicates associated with the cursors currently in the library cache.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PARADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQL_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY_FUNCTION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PREDICATE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$MUTEX_SLEEP",
              "-desc": "V$MUTEX_SLEEP shows the wait time, and the number of sleeps for each combination of mutex type and location.",
              "fields": [
                {
                  "-name": "MUTEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$OPEN_CURSOR",
              "-desc": "V$OPEN_CURSOR lists cursors that each user session currently has opened and parsed, or cached.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "LAST_SQL_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURSOR_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SESSION_CURSOR_CACHE",
              "-desc": "V$SESSION_CURSOR_CACHE displays information on cursor usage for the current session.",
              "fields": [
                {
                  "-name": "MAXIMUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPENS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL",
              "-desc": "V$SQL lists statistics on shared SQL areas without the GROUP BY clause and contains one row for each child of the original SQL text entered. Statistics displayed in V$SQL are normally updated at the end of query execution. However, for long running queries, they are updated every 5 seconds. This makes it easy to see the impact of long running SQL statements while they are still in progress.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERSISTENT_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNTIME_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_OPENING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_EXECUTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "KEPT_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TYPE_CHK_HEAP",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLD_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SERVICE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQLTYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMOTE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LITERAL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_LOAD_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "IS_OBSOLETE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_BIND_SENSITIVE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_BIND_AWARE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_SHAREABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CHILD_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_PATCH",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_PLAN_BASELINE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM_LINE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHY_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_REOPTIMIZABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_RESOLVED_ADAPTIVE_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_BIND_DATA",
              "-desc": "V$SQL_BIND_DATA describes, for each distinct bind variable in each cursor owned by the session querying this view: Actual bind data, if the bind variable is user defined, The underlying literal, if the CURSOR_SHARING parameter is set to FORCE and the bind variable is system generated. (System-generated binds have a value of 256 in the SHARED_FLAG2 column.)",
              "fields": [
                {
                  "-name": "CURSOR_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARED_MAX_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIVATE_MAX_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARRAY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRECISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARED_FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARED_FLAG2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUF_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "BUF_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VAL_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUF_FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDICATOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_BIND_METADATA",
              "-desc": "V$SQL_BIND_METADATA describes, for each distinct bind variable in each cursor owned by the session querying this view: Bind metadata provided by the client, if the bind variable is user defined, Metadata based on the underlying literal, if the CURSOR_SHARING parameter is set to FORCE and the bind variable is system-generated.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARRAY_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_CS_HISTOGRAM",
              "-desc": "V$SQL_CS_HISTOGRAM summarizes the monitoring information stored by adaptive cursor sharing. This information is used to decide whether to enable extended cursor sharing for a query. It is stored in a histogram, whose bucket's contents are exposed by this view.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUCKET_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_CS_SELECTIVITY",
              "-desc": "V$SQL_CS_SELECTIVITY exposes the valid selectivity ranges for a child cursor in extended cursor sharing mode. A valid range consists of a low and high value for each predicate containing binds. Each predicate's selectivity (with the current bind value) must fall between the corresponding low and high values in order for the child cursor to be shared.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_SET_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PEEKED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_CS_STATISTICS",
              "-desc": "V$SQL_CS_STATISTICS contains the raw execution statistics used by the monitoring component of adaptive cursor sharing. A sample of the executions is monitored. This view exposes which executions were sampled, and what the statistics were for those executions. The statistics are cumulative for each distinct set of bind values.",
              "fields": [
                {
                  "-name": "CURNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PARENT_HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PARENT_LOCK",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_LOCK",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_PIN",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PERS_HEAP_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORK_HEAP_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_VARS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFINE_VARS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_MEM_LOC",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "INST_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "INST_FLAG2",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CHILD_HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_CURSOR",
              "-desc": "V$SQL_CURSOR displays debugging information for each cursor associated with the session querying this view.",
              "fields": [
                {
                  "-name": "KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_REFRESH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_REFRESH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REFRESH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "IS_FULL_SQLTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_IS_CROSS_INSTANCE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PX_MAXDOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_MAXDOP_INSTANCES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_REQUESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVER_GROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVER_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_QCINST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_QCSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ERROR_FACILITY",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "BINDS_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUING_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RM_LAST_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "RM_LAST_ACTION_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RM_LAST_ACTION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RM_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_MONITOR",
              "-desc": "V$SQL_MONITOR displays SQL statements whose execution have been (or are being) monitored by Oracle. An entry is created in V$SQL_MONITOR every time the execution of a SQL statement is being monitored. SQL monitoring is automatically started when a SQL statement runs parallel or when it has consumed at least 5 seconds of CPU or I/O time.",
              "fields": [
                {
                  "-name": "KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPORT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_REFRESH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_REFRESH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REFRESH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "IS_FULL_SQLTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_IS_CROSS_INSTANCE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PX_MAXDOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_MAXDOP_INSTANCES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_REQUESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVER_GROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVER_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_QCINST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_QCSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_NUMBER",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ERROR_FACILITY",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "BINDS_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUING_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RM_LAST_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "RM_LAST_ACTION_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RM_LAST_ACTION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RM_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_MONITOR_SESSTAT",
              "-desc": "V$SQL_MONITOR_SESSTAT displays information about statistics that are exposed in V$SESSTAT.",
              "fields": [
                {
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_MONITOR_STATNAME",
              "-desc": "V$SQL_MONITOR_STATNAME provides information about the plan line statistics exposed in V$SQL_PLAN_MONITOR. A plan line statistic is identified by its group ID (column GROUP_ID) and its ID (column ID).",
              "fields": [
                {
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_OPTIMIZER_ENV",
              "-desc": "V$SQL_OPTIMIZER_ENV displays the contents of the optimizer environment used to build the execution plan of a SQL cursor. This view can be joined with V$SQLAREA on (HASH_VALUE, ADDRESS) and with V$SQL on (HASH_VALUE, CHILD_ADDRESS).",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_PLAN",
              "-desc": "V$SQL_PLAN contains the execution plan information for each child cursor loaded in the library cache.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NODE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "OPTIMIZER",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEARCH_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(35)"
                }
                ,{
                  "-name": "PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISTRIBUTION",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CPU_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACCESS_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROJECTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QBLOCK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REMARKS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_PLAN_MONITOR",
              "-desc": "V$SQL_PLAN_MONITOR displays plan level monitoring statistics for each SQL statement found in V$SQL_MONITOR. Each row in V$SQL_PLAN_MONITOR corresponds to an operation of the execution plan being monitored. As with V$SQL_MONITOR, statistics exposed in V$SQL_PLAN_MONITOR are generally updated every second when the statement executes. These statistics are recycled on the same basis as V$SQL_MONITOR.",
              "fields": [
                {
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "FIRST_REFRESH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_REFRESH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_CHANGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_CHANGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REFRESH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PLAN_PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_LINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PLAN_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PLAN_DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PLAN_PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PLAN_CPU_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_IO_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKAREA_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKAREA_MAX_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKAREA_TEMPSEG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKAREA_MAX_TEMPSEG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_1_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_1_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_1_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_2_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_2_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_2_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_3_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_3_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_3_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_4_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_4_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_4_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_5_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_5_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_5_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_6_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_6_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_6_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_7_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_7_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_7_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_8_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_8_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_8_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_9_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_9_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_9_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_10_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_10_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHERSTAT_10_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_PLAN_STATISTICS",
              "-desc": "V$SQL_PLAN_STATISTICS provides execution statistics at the row source level for each child cursor.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CR_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CU_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CU_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DISK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_PLAN_STATISTICS_ALL",
              "-desc": "V$SQL_PLAN_STATISTICS_ALL contains memory usage statistics for row sources that use SQL memory (sort or hash-join). This view concatenates information in V$SQL_PLAN with execution statistics from V$SQL_PLAN_STATISTICS and V$SQL_WORKAREA.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NODE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_ALIAS",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "OPTIMIZER",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEARCH_COLUMNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(35)"
                }
                ,{
                  "-name": "PARTITION_START",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARTITION_STOP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISTRIBUTION",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CPU_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACCESS_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILTER_PREDICATES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROJECTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QBLOCK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REMARKS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OTHER_XML",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTPUT_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CR_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_CU_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CU_BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DISK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ESTIMATED_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_ONEPASS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MEMORY_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LAST_DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONEPASS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MULTIPASSES_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_REDIRECTION",
              "-desc": "V$SQL_REDIRECTION displays SQL statements that are redirected.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PARENT_HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT_PIECE",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_SHARED_CURSOR",
              "-desc": "V$SQL_SHARED_CURSOR explains why a particular child cursor is not shared with existing child cursors. Each column identifies a specific reason why the cursor cannot be shared.",
              "fields": [
                {
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNBOUND_CURSOR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SQL_TYPE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OPTIMIZER_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OUTLINE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STATS_ROW_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LITERAL_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FORCE_HARD_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EXPLAIN_PLAN_CURSOR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BUFFERED_DML_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PDML_ENV_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INST_DRTLD_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SLAVE_QC_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TYPECHECK_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "AUTH_CHECK_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BIND_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DESCRIBE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LANGUAGE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TRANSLATION_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BIND_EQUIV_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INSUFF_PRIVS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INSUFF_PRIVS_REM",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REMOTE_TRANS_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LOGMINER_SESSION_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "INCOMP_LTRL_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OVERLAP_TIME_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "EDITION_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MV_QUERY_GEN_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "USER_BIND_PEEK_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TYPCHK_DEP_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NO_TRIGGER_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FLASHBACK_CURSOR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ANYDATA_TRANSFORMATION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PDDL_ENV_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TOP_LEVEL_RPI_CURSOR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DIFFERENT_LONG_LENGTH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LOGICAL_STANDBY_APPLY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DIFF_CALL_DURN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BIND_UACS_DIFF",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PLSQL_CMP_SWITCHS_DIFF",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CURSOR_PARTS_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STB_OBJECT_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CROSSEDITION_TRIGGER_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PQ_SLAVE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TOP_LEVEL_DDL_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MULTI_PX_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BIND_PEEKED_PQ_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MV_REWRITE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROLL_INVALID_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OPTIMIZER_MODE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PX_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "MV_STALEOBJ_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FLASHBACK_TABLE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LITREP_COMP_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PLSQL_DEBUG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LOAD_OPTIMIZER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ACL_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LOCK_USER_SCHEMA_FAILED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REMOTE_MAPPING_MISMATCH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LOAD_RUNTIME_HEAP_FAILED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "HASH_MATCH_FAILED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PURGED_CURSOR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BIND_LENGTH_UPGRADEABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "USE_FEEDBACK_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_SHARED_MEMORY",
              "-desc": "V$SQL_SHARED_MEMORY displays information about the cursor shared memory snapshot. Each SQL statement stored in the shared pool has one or more child objects associated with it. Each child object has several parts, one of which is the context heap, which holds, among other things, the query plan.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "HEAP_DESC",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STRUCTURE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "CHUNK_COM",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "CHUNK_PTR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CHUNK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOC_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CHUNK_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBHEAP_DESC",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_WORKAREA",
              "-desc": "V$SQL_WORKAREA displays information about work areas used by SQL cursors. Each SQL statement stored in the shared pool has one or more child cursors that are listed in the V$SQL view. V$SQL_WORKAREA lists all work areas needed by these child cursors; V$SQL_WORKAREA can be joined with V$SQLAREA on (ADDRESS, HASH_VALUE) and with V$SQL on (ADDRESS, HASH_VALUE, CHILD_NUMBER).",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKAREA_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "OPERATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "OPERATION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ESTIMATED_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_ONEPASS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MEMORY_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LAST_DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONEPASS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MULTIPASSES_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_WORKAREA_ACTIVE",
              "-desc": "V$SQL_WORKAREA_ACTIVE contains an instantaneous view of the work areas currently allocated by the system. You can join this view against V$SQL_WORKAREA on WORKAREA_ADDRESS to access the definition of that work area. If a work area spills to disk, then this view contains information for the temporary segment created on behalf of this work area.",
              "fields": [
                {
                  "-name": "SQL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORKAREA_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "OPERATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "OPERATION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCINST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WORK_AREA_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPECTED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTUAL_MEM_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MEM_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_PASSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMPSEG_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGRFNO#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGBLK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQL_WORKAREA_HISTOGRAM",
              "-desc": "V$SQL_WORKAREA_HISTOGRAM displays the cumulative work area execution statistics (cumulated since instance startup) for different work area groups. The work areas are split into 33 groups based on their optimal memory requirements with the requirements increasing in powers of two. That is, work areas whose optimal requirement varies from 0 KB to 1 KB, 1 KB to 2 KB, 2 KB to 4 KB, ... and 2 TB to 4 TB.",
              "fields": [
                {
                  "-name": "LOW_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONEPASS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MULTIPASSES_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLAREA",
              "-desc": "V$SQLAREA displays statistics on shared SQL areas and contains one row per SQL string. It provides statistics on SQL statements that are in memory, parsed, and ready for execution.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERSISTENT_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNTIME_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_OPENING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_EXECUTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "KEPT_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLD_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_SID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LAST_ACTIVE_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "REMOTE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LITERAL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "IS_OBSOLETE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_BIND_SENSITIVE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_BIND_AWARE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CHILD_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_PATCH",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_PLAN_BASELINE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM_LINE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHY_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_REOPTIMIZABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_RESOLVED_ADAPTIVE_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLAREA_PLAN_HASH",
              "-desc": "V$SQLAREA_PLAN_HASH displays statistics on shared SQL areas (V$SQL) by grouping on the SQL_ID and PLAN_HASH_VALUE columns. It can potentially create several rows for one parent cursor, one for each distinct value of the column PLAN_HASH_VALUE.",
              "fields": [
                {
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "SQL_FULLTEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FULL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ACTIVE_CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PERSISTENT_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNTIME_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_OPENING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_EXECUTING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_SERVERS_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSE_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLICATION_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONCURRENCY_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_IO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JAVA_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZER_ENV",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "OPTIMIZER_ENV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "KEPT_VERSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIALIZABLE_ABORTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUTLINE_CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OUTLINE_SID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "REMOTE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "LITERAL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM_LINE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXACT_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BIND_DATA",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "TYPECHECK_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_ELIGIBLE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_INTERCONNECT_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHY_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_UNCOMPRESSED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_CELL_OFFLOAD_RETURNED_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLCOMMAND",
              "-desc": "V$SQLCOMMAND displays the mapping between SQL opcodes and names.",
              "fields": [
                {
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLFN_ARG_METADATA",
              "-desc": "V$SQLFN_ARG_METADATA contains metadata about function arguments. There is one row for each argument of every function found in V$SQLFN_METADATA. There are no rows for functions that do not have any arguments.",
              "fields": [
                {
                  "-name": "FUNC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARGNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DESCR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLFN_METADATA",
              "-desc": "V$SQLFN_METADATA contains metadata about operators and built-in functions. Note that this view does not contain information about arguments because the number of arguments will be different for various functions. Information about arguments is contained in V$SQLFN_ARG_METADATA, which can be joined with V$SQLFN_METADATA to get information about any function and its arguments.",
              "fields": [
                {
                  "-name": "FUNC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MINARGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXARGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATATYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ANALYTIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AGGREGATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OFFLOADABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DISP_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "USAGE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESCR",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLTEXT",
              "-desc": "V$SQLTEXT displays the text of SQL statements belonging to shared SQL cursors in the System Global Area (SGA).",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Cursors and SQL Statements",
              "-name": "V$SQLTEXT_WITH_NEWLINES",
              "-desc": "V$SQLTEXT_WITH_NEWLINES is identical to the V$SQLTEXT view except that, to improve legibility, V$SQLTEXT_WITH_NEWLINES does not replace newlines and tabs in the SQL statement with spaces.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PIECE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$DATAGUARD_CONFIG",
              "-desc": "V$DATAGUARD_CONFIG displays the unique database names defined with the DB_UNIQUE_NAME and LOG_ARCHIVE_CONFIG initialization parameters, providing a view of the Oracle Data Guard environment from any database in the configuration.",
              "fields": [
                {
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PARENT_DBUN",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DEST_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "CURRENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$DATAGUARD_STATS",
              "-desc": "V$DATAGUARD_STATS displays information about Oracle Data Guard metrics when queried on a standby database. No rows are returned when queried on a primary database.",
              "fields": [
                {
                  "-name": "SOURCE_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TIME_COMPUTED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DATUM_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$DATAGUARD_STATUS",
              "-desc": "V$DATAGUARD_STATUS displays messages recently written to the alert log or server process trace files that concern physical standby databases or redo transport services for all standby database types.",
              "fields": [
                {
                  "-name": "FACILITY",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SEVERITY",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLOUT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$DATAGUARD_STATUS",
              "-desc": "V$DATAGUARD_STATUS displays messages recently written to the alert log or server process trace files that concern physical standby databases or redo transport services for all standby database types.",
              "fields": [
                {
                  "-name": "FACILITY",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SEVERITY",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLOUT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$DG_BROKER_CONFIG",
              "-desc": "V$DG_BROKER_CONFIG provides a summary of an Oracle Data Guard broker configuration. This is similar to the DGMGRL CLI's SHOW CONFIGURATION command. It provides a view of the entire Oracle Data Guard broker configuration from any database in the configuration.",
              "fields": [
                {
                  "-name": "DATABASE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONNECT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DATAGUARD_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "REDO_SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$FOREIGN_ARCHIVED_LOG",
              "-desc": "V$FOREIGN_ARCHIVED_LOG can be queried on a logical standby database to find out the list of foreign archived logs received by a database. No rows are returned for this view on a physical standby database.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REGISTRAR",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ARCHIVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLIED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DICTIONARY_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICTIONARY_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "END_OF_REDO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ARCHIVAL_THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "END_OF_REDO_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SOURCE_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$LOGSTDBY",
              "-desc": "V$LOGSTDBY is deprecated.",
              "fields": [
                {
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGSTDBY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HIGH_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$LOGSTDBY_PROCESS",
              "-desc": "V$LOGSTDBY_PROCESS displays dynamic information about what is happening to the Data Guard log apply services. This view is helpful when diagnosing performance problems during the logical application of archived redo logs to the standby database, and it can be helpful for other problems. This view is for logical standby databases only.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGSTDBY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HIGH_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$LOGSTDBY_PROGRESS",
              "-desc": "V$LOGSTDBY_PROGRESS displays the progress of log apply services on the logical standby database. This view is for logical standby databases only.",
              "fields": [
                {
                  "-name": "APPLIED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESTART_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESTART_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LATEST_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATEST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MINING_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINING_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$LOGSTDBY_STATE",
              "-desc": "V$LOGSTDBY_STATE provides consolidated information from V$LOGSTDBY and V$LOGSTDBY_STATS about the running state of Logical Standby.",
              "fields": [
                {
                  "-name": "PRIMARY_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REALTIME_APPLY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$LOGSTDBY_STATS",
              "-desc": "V$LOGSTDBY_STATS displays statistics, current state, and status information related to SQL Apply. No rows are returned from this view when SQL Apply is not running. This view is only meaningful in the context of a logical standby database.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$LOGSTDBY_TRANSACTION",
              "-desc": "V$LOGSTDBY_TRANSACTION displays all transactions that are actively being processed by SQL Apply. The transaction identifiers shown in this view are those mined from the redo stream and correspond to transaction identifiers assigned at the primary database. For information regarding transactions active in the logical standby database, query the V$TRANSACTION view at the logical standby database.",
              "fields": [
                {
                  "-name": "PRIMARY_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PRIMARY_START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "MINING_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SRC_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$MANAGED_STANDBY",
              "-desc": "V$MANAGED_STANDBY displays current status information for some Oracle Database processes related to physical standby databases in the Data Guard environment. This view does not persist after an instance shutdown.",
              "fields": [
                {
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CLIENT_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CLIENT_PID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CLIENT_DBID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "GROUP#",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RESETLOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELAY_MINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KNOWN_AGENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_AGENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$REDO_DEST_RESP_HISTOGRAM",
              "-desc": "V$REDO_DEST_RESP_HISTOGRAM provides statistical information for each redo transport destination.",
              "fields": [
                {
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREQUENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$STANDBY_EVENT_HISTOGRAM",
              "-desc": "V$STANDBY_EVENT_HISTOGRAM displays the histogram of apply lag on the physical standby. Each distinct value of apply lag has its own bucket and the count in the corresponding bucket represents the number of occurrences so far. The physical standby samples the apply lag every second and increments the corresponding bucket in the histogram.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TIME_UPDATED",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Data Guard",
              "-name": "V$STANDBY_LOG",
              "-desc": "V$STANDBY_LOG displays information about standby redo logs. Standby redo logs are similar to online redo logs, but standby redo logs are only used on a standby database that is receiving redo data from the primary database.",
              "fields": [
                {
                  "-name": "GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$DNFS_CHANNELS",
              "-desc": "V$DNFS_CHANNELS displays information about the Oracle process connections (channels) open to Network File System (NFS) servers.",
              "fields": [
                {
                  "-name": "PNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SVRNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "PATH",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "LOCAL",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "CH_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SVR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SENDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECVS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$DNFS_FILES",
              "-desc": "V$DNFS_FILES displays information about the Oracle process files open through Direct Network File System (Direct NFS).",
              "fields": [
                {
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SVR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$DNFS_SERVERS",
              "-desc": "V$DNFS_SERVERS displays information about the Direct Network File System (Direct NFS) servers accessed by Direct NFS.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SVRNAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DIRNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "MNTPORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFSPORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFSVERSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "WTMAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RTMAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$DNFS_STATS",
              "-desc": "V$DNFS_STATS displays information about the Oracle process NFS operation statistics issued by Direct Network File System (Direct NFS).",
              "fields": [
                {
                  "-name": "PNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_NULL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_GETATTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_SETATTR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_LOOKUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_ACCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_READLINK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_WRITE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_CREATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_MKDIR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_SYMLINK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_MKNOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_REMOVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_RMDIR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_RENAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_LINK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_READDIR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_READDIRPLUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_FSSTAT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_FSINFO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_PATHCONF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_COMMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_MOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_READBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NFS_WRITEBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$NFS_CLIENTS",
              "-desc": "V$NFS_CLIENTS displays information about NFS clients currently connected to the XML DB NFS Server.",
              "fields": [
                {
                  "-name": "CLIENTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRINCIPAL",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CLIENTOPAQUEIDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "VERIFIER",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LEASEEXPIRY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENTADDR",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CONFIRMED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$NFS_LOCKS",
              "-desc": "V$NFS_LOCKS displays information about byte range locks held on different files by NFS clients.",
              "fields": [
                {
                  "-name": "OPENSTATEID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "OPENSEQUENCEID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKSTATEID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "LOCKSEQUENCEID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKOWNER",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCKTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$NFS_OPEN_FILES",
              "-desc": "V$NFS_OPEN_FILES displays information about all the files currently opened by clients at the Network File System (NFS) server.",
              "fields": [
                {
                  "-name": "CLIENTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPENOWNEROPAQUE",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "OPENSTATEID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "FILEHANDLE",
                  "-null": "",
                  "-type": "RAW(32 BYTE)"
                }
                ,{
                  "-name": "OPENSEQUENCEID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPENREAD",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "OPENWRITE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SHAREACCESS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SHAREDENY",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CONFIRMED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database File Systems, Direct NFS (DNFS), NFS, and SecureFile",
              "-name": "V$SECUREFILE_TIMER",
              "-desc": "V$SECUREFILE_TIMER displays information about time taken (in microseconds) by functions of SecureFiles. These timer values are collected per session.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "LAYER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVOCATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAYER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$ACTIVE_INSTANCES",
              "-desc": "V$ACTIVE_INSTANCES displays the mapping between instance names and instance numbers for all instances that have the database currently mounted.",
              "fields": [
                {
                  "-name": "INST_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$BGPROCESS",
              "-desc": "V$BGPROCESS displays information about the background processes.",
              "fields": [
                {
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PSERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$CLIENT_SECRETS",
              "-desc": "V$CLIENT_SECRETS lists the secrets that are present in the keystore. Only SYS, SYSKM, and users with the ADMINISTER KEY MANAGEMENT privilege can access this view.",
              "fields": [
                {
                  "-name": "CLIENT",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "SECRET_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ACTIVATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEYSTORE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "OWNER_DBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER_INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_INSTANCE_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_PDBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER_PDBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_PDBUID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_PDBGUID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$CLIENT_STATS",
              "-desc": "V$CLIENT_STATS displays measures for all sessions that are active for the client identifier per instance. The statistics available in this view are a subset of those available in V$SESSTAT and V$SESS_TIME_MODEL.",
              "fields": [
                {
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$DATABASE",
              "-desc": "V$DATABASE displays information about the database from the control file.",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIOR_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIOR_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOG_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CONTROLFILE_CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPEN_RESETLOGS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "VERSION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPEN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PROTECTION_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PROTECTION_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "REMOTE_ARCHIVE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ACTIVATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHOVER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATABASE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "ARCHIVELOG_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVELOG_COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SWITCHOVER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "DATAGUARD_BROKER",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GUARD_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_MIN",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PK",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_UI",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FORCE_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(39)"
                }
                ,{
                  "-name": "PLATFORM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "RECOVERY_TARGET_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OPEN_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLASHBACK_ON",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_FK",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_ALL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STANDBY_BECAME_PRIMARY_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FS_FAILOVER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "FS_FAILOVER_CURRENT_TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FS_FAILOVER_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FS_FAILOVER_OBSERVER_PRESENT",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FS_FAILOVER_OBSERVER_HOST",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CONTROLFILE_CONVERTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIMARY_DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MIN_REQUIRED_CAPTURE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PENDING_ROLE_CHANGE_TASKS",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$INSTANCE",
              "-desc": "V$INSTANCE displays the state of the current instance.",
              "fields": [
                {
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "HOST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVER",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LOG_SWITCH_WAIT",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "LOGINS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SHUTDOWN_PENDING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATABASE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "INSTANCE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ACTIVE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FAMILY",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$PROCESS",
              "-desc": "V$PROCESS displays information about the currently active processes.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOSID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "STID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "TRACEID",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TRACEFILE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LATCHWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LATCHSPIN",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PGA_USED_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_ALLOC_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_FREEABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_MAX_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$RO_USER_ACCOUNT",
              "-desc": "V$RO_USER_ACCOUNT is populated only on Oracle databases that are open in read-only mode. ",
              "fields": [
                {
                  "-name": "USERID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PASSW_EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PASSW_IN_GRACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PASSW_LOCKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PASSW_LOCK_UNLIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILED_LOGINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRATION_AFTER_GRACE",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "PASSW_LOCK_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$SGA",
              "-desc": "V$SGA displays summary information about the system global area (SGA).",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Instances",
              "-name": "V$SGASTAT",
              "-desc": "V$SGASTAT displays detailed information on the system global area (SGA).",
              "fields": [
                {
                  "-name": "POOL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Replay",
              "-name": "V$WORKLOAD_REPLAY_THREAD",
              "-desc": "V$WORKLOAD_REPLAY_THREAD displays information for all the different types of replay sessions.",
              "fields": [
                {
                  "-name": "CLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TICKER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "LOGON_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LOGON_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_FOR_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALL_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPENDENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_WAIT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "POST_COMMIT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "WRC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "SKIP_IT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DIRTY_BUFFERS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DBTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THINK_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_GAIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_LOSS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CLIENT_HOST",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_PID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Direct Path Operations",
              "-name": "V$LOADISTAT",
              "-desc": "V$LOADISTAT contains errors that occurred when updating indexes on a table during a load using the Direct Path API.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "TABNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "INDEXNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "MESSAGE_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Direct Path Operations",
              "-name": "V$LOADPSTAT",
              "-desc": "V$LOADPSTAT contains statistics about the number of rows loaded into a partition, or subpartition, during a load using the Direct Path API.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "TABNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "PARTNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "LOADED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$DBLINK",
              "-desc": "V$DBLINK describes all database links (links with IN_TRANSACTION = YES) opened by the session issuing the query on V$DBLINK.",
              "fields": [
                {
                  "-name": "DB_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGED_ON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HETEROGENEOUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PROTOCOL",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "OPEN_CURSORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_TRANSACTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPDATE_SENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMIT_POINT_STRENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$GLOBAL_BLOCKED_LOCKS",
              "-desc": "V$GLOBAL_BLOCKED_LOCKS displays global blocked locks.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$GLOBAL_TRANSACTION",
              "-desc": "V$GLOBAL_TRANSACTION displays information on the currently active global transactions.",
              "fields": [
                {
                  "-name": "FORMATID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBALID",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "BRANCHID",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "BRANCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREPARECOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(38)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUPLING",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$HS_AGENT",
              "-desc": "V$HS_AGENT displays the set of Heterogenous Services Agents (HS agents) currently running on a given host. There is one row per agent process.",
              "fields": [
                {
                  "-name": "AGENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "OSUSER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AGENT_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FDS_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FDS_INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$HS_PARAMETER",
              "-desc": "V$HS_PARAMETER describes the initialization parameters in use by the server and agent.",
              "fields": [
                {
                  "-name": "HS_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ENV",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$HS_SESSION",
              "-desc": "V$HS_SESSION describes the current Heterogenous Services (HS) session.",
              "fields": [
                {
                  "-name": "HS_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AGENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_LINK_OWNER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTTIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Distributed Heterogeneous Services",
              "-name": "V$IOSTAT_NETWORK",
              "-desc": "V$IOSTAT_NETWORK displays information about network I/O statistics that were caused by accessing files on a remote database instance.",
              "fields": [
                {
                  "-name": "CLIENT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "READS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KBYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KBYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Edition Based Views",
              "-name": "V$EDITIONABLE_TYPES",
              "-desc": "V$EDITIONABLE_TYPES lists all the editionable types based on the current compatibility setting. The SELECT privilege on V$EDITIONABLE_TYPES will be granted to PUBLIC.",
              "fields": [
                {
                  "-name": "EDITIONABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TYPE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Event Tuning",
              "-name": "V$SESSION",
              "-desc": "V$SESSION displays session information for each current session.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUDSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMAND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNERID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TADDR",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LOCKWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SERVER",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCHEMA#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMANAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OSUSER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SQL_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "SQL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SQL_ADDR",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "PREV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PREV_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PREV_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FIXED_TABLE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGON_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_CALL_ET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDML_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAILOVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FAILOVER_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FAILED_OVER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESOURCE_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PDML_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PDDL_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PQ_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CURRENT_QUEUE_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BLOCKING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FINAL_BLOCKING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1RAW",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2RAW",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3RAW",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SECONDS_IN_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "WAIT_TIME_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_REMAINING_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_SINCE_LAST_WAIT_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TRACE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SQL_TRACE_WAITS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_TRACE_BINDS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_TRACE_PLAN_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SESSION_EDITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_ADDR",
                  "-null": "",
                  "-type": "RAW(8)"
                }
                ,{
                  "-name": "CREATOR_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TUNABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PGA_TUNABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_COMP_LIST",
              "-desc": "V$MAP_COMP_LIST displays supplementary information for all element mapping structures.",
              "fields": [
                {
                  "-name": "ELEM_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_COMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMP1_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP1_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP2_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP2_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP3_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP3_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP4_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP4_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP5_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "COMP5_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_ELEMENT",
              "-desc": "V$MAP_ELEMENT displays a list of all element mapping structures in the SGA of the instance.",
              "fields": [
                {
                  "-name": "ELEM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ELEM_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_CFGID",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ELEM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ELEM_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_NSUBELEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_DESCR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "STRIPE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LIB_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_EXT_ELEMENT",
              "-desc": "V$MAP_EXT_ELEMENT displays supplementary information for all element mapping structures.",
              "fields": [
                {
                  "-name": "ELEM_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ATTRB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ATTRB1_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB1_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB2_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB2_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB3_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB3_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB4_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB4_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB5_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ATTRB5_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_FILE",
              "-desc": "V$MAP_FILE displays a list of all file mapping structures in the shared memory of the instance.",
              "fields": [
                {
                  "-name": "FILE_MAP_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_CFGID",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "FILE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "FILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FILE_STRUCTURE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_NEXTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LIB_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_FILE_EXTENT",
              "-desc": "V$MAP_FILE_EXTENT displays a list of all file extent mapping structures in the shared memory of the instance.",
              "fields": [
                {
                  "-name": "FILE_MAP_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXT_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXT_ELEM_OFF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXT_FILE_OFF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ELEM_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_FILE_IO_STACK",
              "-desc": "V$MAP_FILE_IO_STACK displays the hierarchical arrangement of storage containers for files. Each row in the view represents a level in the hierarchy.",
              "fields": [
                {
                  "-name": "FILE_MAP_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CU_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STRIDE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "PARITY_POS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARITY_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_LIBRARY",
              "-desc": "V$MAP_LIBRARY displays a list of all mapping libraries dynamically loaded by the external process.",
              "fields": [
                {
                  "-name": "LIB_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LIB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "VENDOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROTOCOL_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION_NUM",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PATH_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MAP_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "FILE_CFGID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "MAP_ELEM",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ELEM_CFGID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "MAP_SYNC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "File Mapping Interface",
              "-name": "V$MAP_SUBELEMENT",
              "-desc": "V$MAP_SUBELEMENT displays a list of all subelement mapping structures in the shared memory of the instance.",
              "fields": [
                {
                  "-name": "CHILD_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_IDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUB_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUB_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELEM_OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUB_FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Fixed View",
              "-name": "V$FIXED_TABLE",
              "-desc": "V$FIXED_TABLE displays all dynamic performance tables, views, and derived tables in the database. Some V$ tables (for example, V$ROLLNAME) refer to real tables and are therefore not listed.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TABLE_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Fixed View",
              "-name": "V$FIXED_VIEW_DEFINITION",
              "-desc": "V$FIXED_VIEW_DEFINITION contains the definitions of all the fixed views (views beginning with V$). ",
              "fields": [
                {
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VIEW_DEFINITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Fixed View",
              "-name": "V$INDEXED_FIXED_COLUMN",
              "-desc": "V$INDEXED_FIXED_COLUMN displays the columns in dynamic performance tables that are indexed (X$ tables). The X$ tables can change without notice. Use this view only to write queries against fixed views (V$ views) more efficiently.",
              "fields": [
                {
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INDEX_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COLUMN_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$CONTEXT",
              "-desc": "V$CONTEXT displays set attributes in the current session.",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$DB_PIPES",
              "-desc": "V$DB_PIPES displays the pipes that are currently represented in the shared pool for this instance.",
              "fields": [
                {
                  "-name": "OWNERID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "PIPE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$DB_TRANSPORTABLE_PLATFORM",
              "-desc": "V$DB_TRANSPORTABLE_PLATFORM displays all platforms to which the database can be transported using the RMAN CONVERT DATABASE command. The transportable database feature only supports transports of the same endian platform. Therefore, V$DB_TRANSPORTABLE_PLATFORM displays fewer rows than V$TRANSPORTABLE_PLATFORM.",
              "fields": [
                {
                  "-name": "PLATFORM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "ENDIAN_FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$LICENSE",
              "-desc": "V$LICENSE displays information about license limits.",
              "fields": [
                {
                  "-name": "SESSIONS_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSIONS_WARNING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSIONS_CURRENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSIONS_HIGHWATER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERS_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_COUNT_CURRENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_CORE_COUNT_CURRENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_SOCKET_COUNT_CURRENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_COUNT_HIGHWATER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_CORE_COUNT_HIGHWATER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_SOCKET_COUNT_HIGHWATER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$OPTION",
              "-desc": "V$OPTION displays Oracle Database options and features. Typically, although not always, options must be separately licensed, whereas features come with the product and are enabled based on the product that is running (Standard Edition, Enterprise Edition, and so on).",
              "fields": [
                {
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$RESERVED_WORDS",
              "-desc": "V$RESERVED_WORDS displays a list of all SQL keywords. To determine whether a particular keyword is reserved in any way, check the RESERVED, RES_TYPE, RES_ATTR, and RES_SEMI columns.",
              "fields": [
                {
                  "-name": "KEYWORD",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESERVED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RES_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RES_ATTR",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "RES_SEMI",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "DUPLICATE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$SCHEDULER_RUNNING_JOBS",
              "-desc": "V$SCHEDULER_RUNNING_JOBS displays information about running Scheduler jobs.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "OS_PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SESSION_STAT_CPU",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(2)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$SYS_OPTIMIZER_ENV",
              "-desc": "V$SYS_OPTIMIZER_ENV displays the contents of the optimizer environment for the instance. ",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SQL_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$TIMER",
              "-desc": "V$TIMER displays the elapsed time in hundredths of a second. Time is measured since the beginning of the epoch, which is operating system specific, and wraps around to 0 again whenever the value overflows four bytes (roughly 497 days).",
              "fields": [
                {
                  "-name": "HSECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$TIMEZONE_NAMES",
              "-desc": "V$TIMEZONE_NAMES displays valid time zone names.",
              "fields": [
                {
                  "-name": "TZNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TZABBREV",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$TRANSPORTABLE_PLATFORM",
              "-desc": "V$TRANSPORTABLE_PLATFORM displays all platforms that support cross-platform tablespace transport. Specifically, it lists all platforms supported by the RMAN CONVERT TABLESPACE command, along with the endianness of each platform",
              "fields": [
                {
                  "-name": "PLATFORM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "ENDIAN_FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$TYPE_SIZE",
              "-desc": "V$TYPE_SIZE displays the sizes of various database components for use in estimating data block capacity.",
              "fields": [
                {
                  "-name": "COMPONENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TYPE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "General",
              "-name": "V$VERSION",
              "-desc": "V$VERSION displays version numbers of core library components in the Oracle Database. There is one row for each component.",
              "fields": [
                {
                  "-name": "BANNER",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GG_APPLY_COORDINATOR",
              "-desc": "V$GG_APPLY_COORDINATOR displays information about each GoldenGate apply process coordinator. The coordinator for an apply process gets transactions from the apply process reader and passes them to apply servers. An apply process coordinator is a subcomponent of an apply process used by Oracle GoldenGate Integrated Replicat.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TOTAL_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_DEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_COMMITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IGNORED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNASSIGNED_COMPLETE_TXNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_IDLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "HWM_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESSED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GG_APPLY_READER",
              "-desc": "V$GG_APPLY_READER displays information about each GoldenGate apply reader. The apply reader is a process which reads (dequeues) messages from the queue, computes message dependencies, and builds transactions. It passes the transactions on to the coordinator in commit order for assignment to the apply servers. An apply reader is a subcomponent of an apply process used by Oracle GoldenGate Integrated Replicat.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_DEQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_SPILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_LWM_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BYTES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SPILL_LWM_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OLDEST_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_DEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_WMDEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IN_MEMORY_LCRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GG_APPLY_RECEIVER",
              "-desc": "V$GG_APPLY_RECEIVER displays information about the message receiver of the Replicat process. The values are reset to zero when the database (or instance in an Oracle Real Application Clusters (Oracle RAC) environment) restarts and when the Replicat process is stopped.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACKNOWLEDGEMENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_RECEIVED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_AVAILABLE_MESSAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(46)"
                }
                ,{
                  "-name": "LAST_RECEIVED_MSG_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACKNOWLEDGEMENT_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GG_APPLY_SERVER",
              "-desc": "V$GG_APPLY_SERVER displays information about each GoldenGate apply server and its activities. An apply server receives messages from the apply coordinator for an apply process. For each message received, an apply server either applies the message or sends the message to the appropriate apply handler. An apply server is a subcomponent of an apply process used by Oracle GoldenGate Integrated Replicat.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SERVER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_APPLY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DEP_COMMIT_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LAST_APPLY_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEP_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LCR_RETRY_ITERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TXNS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXN_RETRY_ITERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TXNS_RECORDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GOLDENGATE_CAPTURE",
              "-desc": "V$GOLDENGATE_CAPTURE displays information about each capture process that sends LCRs to an Oracle GoldenGate outbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LOGMINER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(589)"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_DISCARDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_KEPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CAPTURED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CAPTURE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CREATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_FULL_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ENQUEUE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVAILABLE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVAILABLE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_CAPTURE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_LCR_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_REDO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PAUSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE_CHANGED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_OF_REDO_MINED",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_RESTART_SCN",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "EXTRACT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SERVER_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEND_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_SENT_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_SENT_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SEND_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GOLDENGATE_MESSAGE_TRACKING",
              "-desc": "V$GOLDENGATE_MESSAGE_TRACKING displays information about LCRs tracked through the stream that are processed by Oracle GoldenGate components.",
              "fields": [
                {
                  "-name": "TRACKING_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "RAW(30 BYTE)"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ACTION_DETAILS",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(9) WITH TIME ZONE"
                }
                ,{
                  "-name": "MESSAGE_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRACKING_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MESSAGE_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GOLDENGATE_TABLE_STATS",
              "-desc": "V$GOLDENGATE_TABLE_STATS displays table statistics for all the tables used by each Oracle GoldenGate apply server.",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SERVER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SOURCE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESTINATION_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESTINATION_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LAST_UPDATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TOTAL_INSERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_UPDATES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_DELETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSERT_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATE_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETE_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPERROR_RECORDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPERROR_IGNORES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_DEPENDENCIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_INSERT_ROW_EXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_UPDATE_ROW_EXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_UPDATE_ROW_MISSING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_DELETE_ROW_EXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_DELETE_ROW_MISSING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_SUCCESSFUL_RESOLUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_FAILED_RESOLUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Golden Gate",
              "-name": "V$GOLDENGATE_TRANSACTION",
              "-desc": "V$GOLDENGATE_TRANSACTION displays information about transactions that are being processed by Oracle GoldenGate capture processes, outbound servers, and inbound servers. This view can identify long running transactions and display how many Logical Change Records (LCRs) are being processed in each transaction. This view only contains information about captured Logical Change Records (LCRs). It does not contain information about user-enqueued Logical Change Records (LCRs) or user messages.",
              "fields": [
                {
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUMULATIVE_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LAST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$FILE_HISTOGRAM",
              "-desc": "V$FILE_HISTOGRAM displays a histogram of all synchronous single block reads on a per-file basis (for data files). The histogram has buckets of time intervals.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDTIM_MILLI",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$FILEMETRIC",
              "-desc": "V$FILEMETRIC displays values of file metrics for the most recent 10-minute interval. A history of the last one hour will be kept in the system.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$FILEMETRIC_HISTORY",
              "-desc": "V$FILEMETRIC_HISTORY displays values of file metrics for all intervals in the last one hour.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$FILESPACE_USAGE",
              "-desc": "V$FILESPACE_USAGE summarizes space allocation information of each data file and temp file.",
              "fields": [
                {
                  "-name": "TABLESPACE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALLOCATED_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_MAXSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHANGESCN_BASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHANGESCN_WRAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$FILESTAT",
              "-desc": "V$FILESTAT displays the number of physical reads and writes done and the total number of single-block and multiblock I/Os done at file level. ",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYWRTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKRD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYBLKRD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKWRT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITETIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVGIOTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LSTIOTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINIOTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXIORTM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXIOWTM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$FLASHFILESTAT",
              "-desc": "V$FLASHFILESTAT displays statistics about Database Smart Flash Cache.",
              "fields": [
                {
                  "-name": "FLASHFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDTIM_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IO_CALIBRATION_STATUS",
              "-desc": "V$IO_CALIBRATION_STATUS displays the status of I/O calibration in the instance.",
              "fields": [
                {
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CALIBRATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IO_OUTLIER",
              "-desc": "V$IO_OUTLIER contains entries corresponding to I/Os that have taken a long time (more than 500 ms) to complete. Use this view to see if there any occasional delays in serving disk I/O requests by the storage subsystem.",
              "fields": [
                {
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "IO_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IO_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK1_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK1_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK2_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK2_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK3_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK3_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IOFUNCMETRIC",
              "-desc": "V$IOFUNCMETRIC displays I/O statistics information by database function for the most recent time interval period.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SMALL_READ_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IOFUNCMETRIC_HISTORY",
              "-desc": "V$IOFUNCMETRIC_HISTORY displays a recent history of the I/O statistics information by database function for the most recent time interval period.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SMALL_READ_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IOSTAT_FILE",
              "-desc": "V$IOSTAT_FILE displays information about disk I/O statistics of database files (including data files, temp files, and other types of database files). I/O statistics for Data files and Temp files are provided for each file.",
              "fields": [
                {
                  "-name": "FILE_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_SYNC_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_SYNC_READ_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ASYNCH_IO",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ACCESS_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RETRIES_ON_ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IOSTAT_FUNCTION",
              "-desc": "V$IOSTAT_FUNCTION displays disk I/O statistics for database functions (such as the log writer (LGWR) and Database Writer (DBWR)).",
              "fields": [
                {
                  "-name": "FUNCTION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IOSTAT_FUNCTION_DETAIL",
              "-desc": "V$IOSTAT_FUNCTION_DETAIL displays disk I/O statistics for database functions (such as the log writer (LGWR) and Database Writer (DBWR)), broken down by file type.",
              "fields": [
                {
                  "-name": "FUNCTION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "FILETYPE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$IOSTAT_NETWORK",
              "-desc": "V$IOSTAT_NETWORK displays information about network I/O statistics that were caused by accessing files on a remote database instance.",
              "fields": [
                {
                  "-name": "CLIENT",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "READS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KBYTES_READ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KBYTES_WRITTEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITE_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$KERNEL_IO_OUTLIER",
              "-desc": "V$KERNEL_IO_OUTLIER contains entries corresponding to I/Os that have taken a long time (more than 500 ms) to complete. Use this view to see the individual kernel components of I/Os for which there are any occasional delays in serving disk I/O requests by the storage subsystem.",
              "fields": [
                {
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_OFFSET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SETUP_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TO_HBA_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSFER_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLEANUP_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$LGWRIO_OUTLIER",
              "-desc": "V$LGWRIO_OUTLIER contains entries corresponding to Log Writer (LGWR) process I/Os that have taken a long time (more than 500 ms) to complete. Use this view to see if there any occasional delays in serving disk I/O requests by the storage subsystem.",
              "fields": [
                {
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "IO_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IO_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK1_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK1_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK2_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK2_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK3_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK3_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$SYSAUX_OCCUPANTS",
              "-desc": "V$SYSAUX_OCCUPANTS displays SYSAUX tablespace occupant information.",
              "fields": [
                {
                  "-name": "OCCUPANT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OCCUPANT_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MOVE_PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MOVE_PROCEDURE_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SPACE_USAGE_KBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$TABLESPACE",
              "-desc": "V$TABLESPACE displays tablespace information from the control file.",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INCLUDED_IN_DATABASE_BACKUP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BIGFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FLASHBACK_ON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ENCRYPT_IN_BACKUP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$TEMPFILE",
              "-desc": "V$TEMPFILE displays temp file information.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Input and Output",
              "-name": "V$TEMPSEG_USAGE",
              "-desc": "V$TEMPSEG_USAGE describes temporary segment usage.",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SESSION_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQLADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQLHASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TABLESPACE",
                  "-null": "",
                  "-type": "NOT,,NULL,,VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGBLK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGRFNO#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$ENQUEUE_LOCK",
              "-desc": "V$ENQUEUE_LOCK displays all locks owned by enqueue state objects. The columns in this view are identical to the columns in V$LOCK.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$ENQUEUE_STAT",
              "-desc": "V$ENQUEUE_STAT displays statistics on the number of enqueue (lock) requests for each type of lock.",
              "fields": [
                {
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EQ_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "TOTAL_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUCC_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILED_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUM_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$ENQUEUE_STATISTICS",
              "-desc": "V$ENQUEUE_STATISTICS displays statistics on the number of enqueue (lock) requests for each type of lock. ",
              "fields": [
                {
                  "-name": "EQ_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EQ_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "REQ_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUCC_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILED_REQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUM_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQ_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$EVENT_NAME",
              "-desc": "V$EVENT_NAME displays information about wait events.",
              "fields": [
                {
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER1",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER2",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PARAMETER3",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DISPLAY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$GLOBAL_BLOCKED_LOCKS",
              "-desc": "V$GLOBAL_BLOCKED_LOCKS displays global blocked locks.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LATCH",
              "-desc": "V$LATCH displays aggregate latch statistics for both parent and child latches, grouped by latch name. Individual parent and child latch statistics are broken down in the views V$LATCH_PARENT and V$LATCH_CHILDREN.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LATCH#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEVEL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITERS_WOKEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITS_HOLDING_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPIN_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP5",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP6",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP7",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP8",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP9",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP11",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LATCH_CHILDREN",
              "-desc": "V$LATCH_CHILDREN displays statistics about child latches. This view includes all columns of V$LATCH plus the CHILD# column. Note that child latches have the same parent if their LATCH# columns match each other.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LATCH#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHILD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEVEL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITERS_WOKEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITS_HOLDING_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPIN_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP5",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP6",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP7",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP8",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP9",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP11",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LATCH_MISSES",
              "-desc": "V$LATCH_MISSES displays statistics about missed attempts to acquire a latch.",
              "fields": [
                {
                  "-name": "PARENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WHERE",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "NWFAIL_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WTR_SLP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LONGHOLD_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LATCH_PARENT",
              "-desc": "V$LATCH_PARENT displays statistics about parent latches. The columns for V$LATCH_PARENT are the same as those for V$LATCH.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LATCH#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEVEL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMMEDIATE_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITERS_WOKEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITS_HOLDING_LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPIN_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP4",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP5",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP6",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP7",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP8",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP9",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP10",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SLEEP11",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LATCHHOLDER",
              "-desc": "V$LATCHHOLDER displays information about the current latch holders.",
              "fields": [
                {
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LATCHNAME",
              "-desc": "V$LATCHNAME displays information about decoded latch names for the latches shown in V$LATCH. The rows of V$LATCHNAME have a one-to-one correspondence to the rows of V$LATCH.",
              "fields": [
                {
                  "-name": "LATCH#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DISPLAY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LIBCACHE_LOCKS",
              "-desc": "V$LIBCACHE_LOCKS displays information about the library cache locks and pins. Locks and pins are distinguished based on the value of the TYPE column.",
              "fields": [
                {
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HOLDING_USER_SESSION",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HOLDING_SESSION",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "OBJECT_HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "LOCK_HELD",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "REFCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODE_REQUESTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAVEPOINT_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LOCK",
              "-desc": "V$LOCK lists the locks currently held by the Oracle Database and outstanding requests for a lock or latch.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LOCK_TYPE",
              "-desc": "V$LOCK_TYPE describes the type of locks available.",
              "fields": [
                {
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ID1_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ID2_TAG",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "IS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_RECYCLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LOCKED_OBJECT",
              "-desc": "V$LOCKED_OBJECT lists all locks acquired by every transaction on the system. It shows which sessions are holding DML locks (that is, TM-type enqueues) on what objects and in what mode.",
              "fields": [
                {
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLOT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ORACLE_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OS_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "LOCKED_MODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$LOGMNR_LATCH",
              "-desc": "V$LOGMNR_LATCH can be joined with the V$LATCH and the V$LATCH_CHILDREN views to obtain statistics about different latches used by active LogMiner persistent sessions.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CHILD_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$RESOURCE",
              "-desc": "V$RESOURCE contains resource name and address information.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$RESOURCE_LIMIT",
              "-desc": "V$RESOURCE_LIMIT displays information about global resource use for some of the system resources. Use this view to monitor the consumption of resources so that you can take corrective action, if necessary. ",
              "fields": [
                {
                  "-name": "RESOURCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CURRENT_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_ALLOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LIMIT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$TRANSACTION_ENQUEUE",
              "-desc": "V$TRANSACTION_ENQUEUE displays locks owned by transaction state objects.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Latches and Locks",
              "-name": "V$WAIT_CHAINS",
              "-desc": "V$WAIT_CHAINS displays information about blocked sessions. A wait chain is composed of sessions that are blocked by one another. Each row represents a blocked and blocker session pair. If a wait chain is not a cyclical wait chain, then the last row for the chain does not have a blocker.",
              "fields": [
                {
                  "-name": "CHAIN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_IS_CYCLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CHAIN_SIGNATURE",
                  "-null": "",
                  "-type": "VARCHAR2(801)"
                }
                ,{
                  "-name": "CHAIN_SIGNATURE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OSID",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESS_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "BLOCKER_IS_VALID",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "BLOCKER_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_OSID",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "BLOCKER_PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_SESS_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_PDB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "BLOCKER_CHAIN_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_WAIT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TIME_SINCE_LAST_WAIT_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "IN_WAIT_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_REMAINING_SECS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_WAITERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_CONTENTS",
              "-desc": "V$LOGMNR_CONTENTS contains log history information. To query this view, you must have the LOGMINING privilege.",
              "fields": [
                {
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "START_TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMMIT_TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PXIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PXIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PXIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PXID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "OPERATION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROLLBACK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEG_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SEG_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SEG_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEG_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TABLE_SPACE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ROW_ID",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MACHINE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "AUDIT_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RBABYTE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ABS_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REL_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_BLK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJV#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_REDO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SQL_UNDO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "RS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CSF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REDO_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAFE_RESUME_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "RAW(16..BYTE)"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SRC_CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SRC_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRC_CON_UID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRC_CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SRC_CON_GUID",
                  "-null": "",
                  "-type": "RAW(16..BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_DICTIONARY",
              "-desc": "V$LOGMNR_DICTIONARY contains log history information.",
              "fields": [
                {
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESET_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESET_SCN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DB_VERSION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DB_CHARACTER_SET",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DB_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DB_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DICTIONARY_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED_THREAD_MAP",
                  "-null": "",
                  "-type": "RAW(16,,BYTE)"
                }
                ,{
                  "-name": "DB_TXN_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "INFO",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_DICTIONARY_LOAD",
              "-desc": "V$LOGMNR_DICTIONARY_LOAD displays information about LogMiner dictionaries for all active LogMiner sessions on the system. Each query of this view will return one row for each attached LogMiner session. This view will not show valid information for LogMiner adhoc query clients.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGMNR_UID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMAND",
                  "-null": "",
                  "-type": "VARCHAR2(161)"
                }
                ,{
                  "-name": "CURRENT_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COMPLETED_ACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOADED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "PERCENT_DONE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_LATCH",
              "-desc": "V$LOGMNR_LATCH can be joined with the V$LATCH and the V$LATCH_CHILDREN views to obtain statistics about different latches used by active LogMiner persistent sessions. ",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CHILD_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_LOGS",
              "-desc": "V$LOGMNR_LOGS contains log information.",
              "fields": [
                {
                  "-name": "LOG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "LOW_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HIGH_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "RESET_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESET_SCN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "COMPATIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "THREAD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD_SQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DICTIONARY_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICTIONARY_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "BLOCKSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILESIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_PARAMETERS",
              "-desc": "V$LOGMNR_PARAMETERS contains log information.",
              "fields": [
                {
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "REQUIRED_START_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUIRED_START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_PROCESS",
              "-desc": "V$LOGMNR_PROCESS identifies all processes attached to an active LogMiner persistent session. (A persistent LogMiner session is created either by starting Data Guard SQL Apply on a logical standby database for the first time or by creating Streams capture.) This view can be joined with either the V$SESSION view or the V$PROCESS view to gather process-specific information.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCHWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LATCHSPIN",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "WORK_MICROSEC",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "OVERHEAD_MICROSEC",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_SESSION",
              "-desc": "V$LOGMNR_SESSION displays information about active LogMiner persistent sessions. (A LogMiner persistent session is created either by starting Data Guard SQL Apply on a logical standby database for the first time or by creating Streams Capture.) Transient LogMiner sessions (those created as a result of querying the V$LOGMNR_CONTENTS view) do not show up in the V$LOGMNR_SESSION view. The statistics shown in this view correspond to snapshots of the system and are not cumulative in nature.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SESSION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESET_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESET_TIMESTAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_PROCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHUNK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESSED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREPARED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READ_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_MARK_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMED_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUILDER_WORK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREPARED_WORK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVAILABLE_WORK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVAILABLE_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVAILABLE_COMMITTED_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELIVERED_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELIVERED_COMMITTED_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_COMMITTED_TXN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_INTERVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Log Miner",
              "-name": "V$LOGMNR_STATS",
              "-desc": "V$LOGMNR_STATS displays the activity currently being performed by the active LogMiner persistent sessions.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$EVENTMETRIC",
              "-desc": "V$EVENTMETRIC displays values of wait event metrics for the most recent 60-second interval.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_SESS_WAITING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$FILEMETRIC",
              "-desc": "$FILEMETRIC displays values of file metrics for the most recent 10-minute interval. A history of the last one hour will be kept in the system.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$FILEMETRIC_HISTORY",
              "-desc": "V$FILEMETRIC_HISTORY displays values of file metrics for all intervals in the last one hour.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_READ_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WRITE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_BLOCK_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$IOFUNCMETRIC_HISTORY",
              "-desc": "V$IOFUNCMETRIC_HISTORY displays a recent history of the I/O statistics information by database function for the most recent time interval period.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SMALL_READ_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MBPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_IOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$METRIC",
              "-desc": "V$METRIC displays the most recent statistic values for the complete set of metrics captured by the Automatic Workload Repository (AWR) infrastructure.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTITY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTITY_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$METRIC_HISTORY",
              "-desc": "V$METRIC_HISTORY displays all the available statistic values for the complete set of metrics captured by the Automatic Workload Repository (AWR) infrastructure.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTITY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTITY_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$METRICGROUP",
              "-desc": "V$METRICGROUP displays information about the metric group for each of the four major Streams components: capture, propagation, apply, and queue.",
              "fields": [
                {
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "INTERVAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_INTERVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$METRICNAME",
              "-desc": "V$METRICNAME displays the mapping of the name of metrics to their metric ID.",
              "fields": [
                {
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$SERVICEMETRIC",
              "-desc": "V$SERVICEMETRIC displays metric values measured on the most recent time interval period for services executing inside the database. Service metrics are measured in 5-second and 1-minute intervals.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CTMHASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSEDPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPUPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIMEPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLSPERSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIMEPERSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOODNESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$SERVICEMETRIC_HISTORY",
              "-desc": "V$SERVICEMETRIC_HISTORY displays a recent history of the metric values measured in predefined time interval periods for services executing inside the database. Service metrics are measured in 5-second and 1-minute intervals.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CTMHASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSEDPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPUPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIMEPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLSPERSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIMEPERSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$SESSMETRIC",
              "-desc": "V$SESSMETRIC displays the metric values for all sessions.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_MEMORY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HARD_PARSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOFT_PARSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_PCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_READ_PCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$SYSMETRIC",
              "-desc": "V$SYSMETRIC displays the system metric values captured for the most current time interval for both the long duration (60-second) and short duration (15-second) system metrics.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$SYSMETRIC_HISTORY",
              "-desc": "V$SYSMETRIC_HISTORY displays all system metric values available in the database. Both long duration (60-second with 1 hour history) and short duration (15-second with one-interval only) metrics are displayed by this view.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$SYSMETRIC_SUMMARY",
              "-desc": "V$SYSMETRIC_SUMMARY displays a summary of all system Metric values for the long-duration system metrics. The average, maximum value, minimum value, and the value of one standard deviation for the last hour are displayed for each metric item.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NUM_INTERVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STANDARD_DEVIATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$THRESHOLD_TYPES",
              "-desc": "V$THRESHOLD_TYPES displays information about threshold types.",
              "fields": [
                {
                  "-name": "METRICS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRICS_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPERATOR_MASK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ALERT_REASON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_VALUE_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$WAITCLASSMETRIC",
              "-desc": "V$WAITCLASSMETRIC displays metric values of wait classes for the most recent 60-second interval. A history of the last one hour will be kept in the system.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAITER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIME_IN_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Metrics",
              "-name": "V$WAITCLASSMETRIC_HISTORY",
              "-desc": "V$WAITCLASSMETRIC_HISTORY displays metric values of wait classes for all intervals in the last one hour.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAITER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIME_IN_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$CIRCUIT",
              "-desc": "V$CIRCUIT contains information about virtual circuits, which are user connections to the database through dispatchers and servers.",
              "fields": [
                {
                  "-name": "CIRCUIT",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "DISPATCHER",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SERVER",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "WAITER",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "QUEUE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "MESSAGE0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BREAKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRESENTATION",
                  "-null": "",
                  "-type": "VARCHAR2(257)"
                }
                ,{
                  "-name": "PCIRCUIT",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$CPOOL_CC_INFO",
              "-desc": "V$CPOOL_CC_INFO displays information about the pool-to-connection class mapping for the Database Resident Connection Pool per instance.",
              "fields": [
                {
                  "-name": "POOL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CCLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$CPOOL_CC_STATS",
              "-desc": "V$CPOOL_CC_STATS displays information about the connection class level statistics for the Database Resident Connection Pool per instance",
              "fields": [
                {
                  "-name": "CCLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "NUM_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_REQ_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_AUTHENTICATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$CPOOL_CONN_INFO",
              "-desc": "V$CPOOL_CONN_INFO displays connection information about each connection to the connection broker.",
              "fields": [
                {
                  "-name": "CMON_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CONNECTION_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PROXY_USER",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CCLASS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PURITY",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONNECTION_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "CONNECTION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CLIENT_REGID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$CPOOL_STATS",
              "-desc": "V$CPOOL_STATS displays information about the Database Resident Connection Pool statistics for an instance.",
              "fields": [
                {
                  "-name": "POOL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "NUM_OPEN_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUSY_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_AUTH_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_REQ_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_AUTHENTICATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_PURGED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTORIC_MAX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$DISPATCHER",
              "-desc": "V$DISPATCHER displays information about the dispatcher processes.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "ACCEPT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MESSAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BREAKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LISTENER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONF_INDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$DISPATCHER_CONFIG",
              "-desc": "V$DISPATCHER_CONFIG displays information about the dispatcher configurations and their attributes",
              "fields": [
                {
                  "-name": "CONF_INDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DISPATCHERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONNECTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MULTIPLEX",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "LISTENER",
                  "-null": "",
                  "-type": "VARCHAR2(1200)"
                }
                ,{
                  "-name": "SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$DISPATCHER_RATE",
              "-desc": "V$DISPATCHER_RATE displays rate statistics for a number of activities performed by the dispatcher processes. Collected samples have an activity-specific 'time-to-live' (TTL_* columns). Statistics are reported over the following two types of time intervals: Current statistics (CUR_ columns),Current statistics use samples collected over the most recent time-to-live interval. Historical statistics (AVG_ and most of the MAX_ columns). Historical statistics make use of all samples that are no longer current. At the time of collection, a sample is current. After the time-to-live has elapsed, the sample becomes historical. Each type of activity has a specific scale (represented by the SCALE_* columns) at which the statistics are reported ",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CUR_LOOP_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_EVENT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_EVENTS_PER_LOOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_MSG_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_SVR_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_SVR_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_SVR_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_CLT_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_CLT_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_CLT_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_IN_CONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_OUT_CONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUR_RECONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_LOOP_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EVENT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EVENTS_PER_LOOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MSG_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SVR_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SVR_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SVR_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CLT_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CLT_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CLT_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_IN_CONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_OUT_CONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RECONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LOOP_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_EVENT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_EVENTS_PER_LOOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SVR_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SVR_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SVR_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CLT_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CLT_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CLT_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_BUF_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_BYTE_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_BYTE_PER_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_IN_CONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_OUT_CONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_RECONNECT_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_LOOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_SVR_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_CLT_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_IN_CONNECT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_OUT_CONNECT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TTL_RECONNECT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_LOOPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_SVR_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_CLT_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_BUF",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_IN_CONNECT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_OUT_CONNECT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCALE_RECONNECT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$QUEUE",
              "-desc": "V$QUEUE contains information on the shared server message queues.",
              "fields": [
                {
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTALQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$REQDIST",
              "-desc": "V$REQDIST lists statistics for the histogram of shared server dispatcher request times, divided into 12 buckets, or ranges of time. The time ranges grow exponentially as a function of the bucket number.",
              "fields": [
                {
                  "-name": "BUCKET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$SHARED_SERVER",
              "-desc": "V$SHARED_SERVER displays information on the shared server processes.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "MESSAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BREAKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CIRCUIT",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "IDLE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUSY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_NET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OUT_NET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Multithreaded, Shared Servers, and Database Resident Connection Pools",
              "-name": "V$SHARED_SERVER_MONITOR",
              "-desc": "V$SHARED_SERVER_MONITOR displays information for tuning the shared server",
              "fields": [
                {
                  "-name": "MAXIMUM_CONNECTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXIMUM_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVERS_STARTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVERS_TERMINATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVERS_HIGHWATER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Object Usage",
              "-name": "V$OBJECT_DEPENDENCY",
              "-desc": "V$OBJECT_DEPENDENCY displays the objects depended on by a package, procedure, or cursor that is currently loaded in the shared pool. For example, together with V$SESSION and V$SQL, this view can be used to determine which tables are used in the SQL statement that a user is currently executing.",
              "fields": [
                {
                  "-name": "FROM_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "FROM_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TO_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TO_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "TO_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TO_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TO_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Object Usage",
              "-name": "V$OBJECT_PRIVILEGE",
              "-desc": "V$OBJECT_PRIVILEGE displays information about privileges associated with an object.",
              "fields": [
                {
                  "-name": "OBJECT_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJECT_TYPE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIVILEGE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIVILEGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Object Usage",
              "-name": "V$OBJECT_USAGE",
              "-desc": "V$OBJECT_USAGE displays statistics about index usage gathered from the database for the indexes owned by the current user. You can use this view to monitor index usage. All indexes that have been used at least once can be monitored and displayed in this view. Note:The V$OBJECT_USAGE view is deprecated in Oracle Database 12c Release 1 (12.1).",
              "fields": [
                {
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "START_MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "END_MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$ALERT_TYPES",
              "-desc": "V$ALERT_TYPES displays information about server alert types.",
              "fields": [
                {
                  "-name": "REASON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "INTERNAL_METRIC_CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "INTERNAL_METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$EVENT_HISTOGRAM",
              "-desc": "V$EVENT_HISTOGRAM displays a histogram of the number of waits, the maximum wait, and total wait time on an event basis. The histogram has buckets of time intervals from &lt; 1 ms, &lt; 2 ms, &lt; 4 ms, &lt; 8 ms, ... &lt; 221ms, &lt; 222 ms, and &gt;= 222 ms. The histogram will not be filled unless the TIMED_STATISTICS initialization parameter is set to true.",
              "fields": [
                {
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_TIME_MILLI",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$GLOBAL_TRANSACTION",
              "-desc": "V$GLOBAL_TRANSACTION displays information on the currently active global transactions.",
              "fields": [
                {
                  "-name": "FORMATID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBALID",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "BRANCHID",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "BRANCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREPARECOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(38)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUPLING",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$OSSTAT",
              "-desc": "V$OSSTAT displays system utilization statistics from the operating system. One row is returned for each system statistic.",
              "fields": [
                {
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OSSTAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CUMULATIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SHARED_POOL_RESERVED",
              "-desc": "V$SHARED_POOL_RESERVED displays statistics that help you tune the reserved pool and space within the shared pool.",
              "fields": [
                {
                  "-name": "FREE_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_FREE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FREE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_USED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST_MISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MISS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MISS_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_FAILURE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ABORTED_REQUEST_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ABORTED_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ABORTED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SORT_SEGMENT",
              "-desc": "V$SORT_SEGMENT displays information about every sort segment in a given instance. The view is only updated when the tablespace is of the TEMPORARY type",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_FILE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENT_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_USERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDED_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENT_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREED_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SORT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SORT_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SYS_OPTIMIZER_ENV",
              "-desc": "V$SYS_OPTIMIZER_ENV displays the contents of the optimizer environment for the instance. The optimizer environment stores the value of the main parameters used by the Oracle optimizer when building the execution plan of a SQL statement. Hence, modifying the value of one or more of these parameters (for example, by issuing an ALTER SYSTEM statement) could lead to plan changes. The parameters displayed by this view are either regular initialization parameters (such as OPTIMIZER_FEATURES_ENABLE) or pseudo parameters (such as ACTIVE_INSTANCE_COUNT).",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SQL_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SYS_TIME_MODEL",
              "-desc": "V$SYS_TIME_MODEL displays the system-wide accumulated times for various operations. The time reported is the total elapsed or CPU time (in microseconds). Any timed operation will buffer at most 5 seconds of time data. Specifically, this means that if a timed operation (such as SQL execution) takes a long period of time to perform, the data published to this view is at most missing 5 seconds of the time accumulated for the operation.",
              "fields": [
                {
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SYSSTAT",
              "-desc": "V$SYSSTAT displays system statistics. To find the name of the statistic associated with each statistic number (STATISTIC#), query the V$STATNAME view.",
              "fields": [
                {
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SYSTEM_EVENT",
              "-desc": "V$SYSTEM_EVENT displays information on total waits for an event. Note that the TIME_WAITED and AVERAGE_WAIT columns will contain a value of zero on those platforms that do not support a fast timing mechanism. If you are running on one of these platforms and you want this column to reflect true wait times, then you must set TIMED_STATISTICS to TRUE in the parameter file; doing this will have a small negative effect on system performance.",
              "fields": [
                {
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAITS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SYSTEM_FIX_CONTROL",
              "-desc": "V$SYSTEM_FIX_CONTROL displays information about Fix Control (enabled/disabled) at the system level.",
              "fields": [
                {
                  "-name": "BUGNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPTIMIZER_FEATURE_ENABLE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$SYSTEM_WAIT_CLASS",
              "-desc": "V$SYSTEM_WAIT_CLASS displays the instance-wide time totals for each registered wait class.",
              "fields": [
                {
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAITS_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_FG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TEMP_EXTENT_MAP",
              "-desc": "V$TEMP_EXTENT_MAP displays the status of each unit for all LOCALLY MANAGED temporary tablespaces.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TEMP_EXTENT_POOL",
              "-desc": "V$TEMP_EXTENT_POOL displays the state of temporary space cached and used for the instance. Note that loading of the temporary space cache is lazy and that instances can be dormant.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_CACHED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_CACHED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_CACHED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TEMP_SPACE_HEADER",
              "-desc": "V$TEMP_SPACE_HEADER displays aggregate information per file per LOCALLY MANAGED temporary tablespace regarding how much space is currently being used and how much is free as identified in the space header.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TEMPFILE",
              "-desc": "V$TEMPFILE displays temp file information",
              "fields": [
                {
                  "-name": "VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VIEW_DEFINITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TEMPORARY_LOBS",
              "-desc": "V$TEMPORARY_LOBS displays information about temporary LOBs.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_LOBS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOCACHE_LOBS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ABSTRACT_LOBS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TEMPSEG_USAGE",
              "-desc": "V$SORT_SEGMENT displays information about every sort segment in a given instance. The view is only updated when the tablespace is of the TEMPORARY type",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SESSION_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQLADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQLHASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TABLESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGBLK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGRFNO#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Overall System Performance",
              "-name": "V$TRANSACTION",
              "-desc": "V$TRANSACTION lists the active transactions in the system",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLOT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "START_SCNB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCNW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UEXT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SES_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RECURSIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOUNDO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PTX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PRV_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRV_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRV_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN-B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN-W",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_UBLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_UREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHY_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_GET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CHANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DSCN_BASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN_WRAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPENDENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PRV_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PTX_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$EXECUTION",
              "-desc": "V$EXECUTION displays information on parallel execution.",
              "fields": [
                {
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NVALS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VAL1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VAL2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$OPTIMIZER_PROCESSING_RATE",
              "-desc": "V$OPTIMIZER_PROCESSING_RATE displays the processing rates used by the optimizer to compute degree of parallelism.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MANUAL_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CALIBRATION_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "DEFAULT_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PQ_SESSTAT",
              "-desc": "V$PQ_SESSTAT lists session statistics for parallel queries. After you have run a query or DML operation, you can use the information derived from V$PQ_SESSTAT to view the number of slave processes used, and other information for the session and system.",
              "fields": [
                {
                  "-name": "STATISTIC",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LAST_QUERY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PQ_SLAVE",
              "-desc": "V$PQ_SLAVE lists statistics for each of the active parallel execution servers on an instance.",
              "fields": [
                {
                  "-name": "SLAVE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_TIME_CUR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUSY_TIME_CUR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_SECS_CUR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_SENT_CUR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_RCVD_CUR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUSY_TIME_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_SECS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_SENT_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_RCVD_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PQ_SYSSTAT",
              "-desc": "V$PQ_SYSSTAT lists system statistics for parallel queries. After you have run a query or DML operation, you can use the information derived from V$PQ_SYSSTAT to view the number of slave processes used, and other information for the system.",
              "fields": [
                {
                  "-name": "STATISTIC",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PQ_TQSTAT",
              "-desc": "V$PQ_TQSTAT contains statistics on parallel execution operations. The statistics are compiled after the query completes and only remain for the duration of the session. It displays the number of rows processed through each parallel execution server at each stage of the execution tree. This view can help determine skew problems in a query's execution. (Note that for PDML, information from V$PQ_TQSTAT is available only after a commit or rollback operation.)",
              "fields": [
                {
                  "-name": "DFO_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TQ_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PX_INSTANCE_GROUP",
              "-desc": "V$PX_INSTANCE_GROUP provides information about the instance groups being used for parallel operations by the current session.",
              "fields": [
                {
                  "-name": "QC_INSTANCE_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WHY",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PX_PROCESS",
              "-desc": "V$PX_PROCESS contains information about the sessions running parallel execution.",
              "fields": [
                {
                  "-name": "SERVER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_GV",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PX_PROCESS_SYSSTAT",
              "-desc": "V$PX_PROCESS_SYSSTAT contains information about the sessions running parallel execution.",
              "fields": [
                {
                  "-name": "STATISTIC",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PX_SESSION",
              "-desc": "V$PX_SESSION contains information about the sessions running parallel execution.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCSERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCINST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_GROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQ_DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parallel Query",
              "-name": "V$PX_SESSTAT",
              "-desc": "V$PX_SESSTAT contains information about the sessions running parallel execution.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCSERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QCINST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_GROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_SET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQ_DEGREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$NLS_PARAMETERS",
              "-desc": "V$NLS_PARAMETERS contains current values of NLS parameters.",
              "fields": [
                {
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$NLS_VALID_VALUES",
              "-desc": "V$NLS_VALID_VALUES lists all valid values for NLS parameters.",
              "fields": [
                {
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$OBSOLETE_PARAMETER",
              "-desc": "V$OBSOLETE_PARAMETER displays information about obsolete initialization parameters. If any row of the view contains TRUE in the ISSPECIFIED column, then you should examine why.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ISSPECIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$PARAMETER",
              "-desc": "V$PARAMETER displays information about the initialization parameters that are currently in effect for the session. A new session inherits parameter values from the instance-wide values displayed by the V$SYSTEM_PARAMETER view.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISSES_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISSYS_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISPDB_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISINSTANCE_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ISADJUSTED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISBASIC",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$PARAMETER_VALID_VALUES",
              "-desc": "V$PARAMETER_VALID_VALUES displays a list of valid values for list parameters.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ORDINAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$PARAMETER2",
              "-desc": "V$PARAMETER2 displays information about the initialization parameters that are currently in effect for the session, with each list parameter value appearing as a row in the view. A new session inherits parameter values from the instance-wide values displayed in the V$SYSTEM_PARAMETER2 view.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ISSES_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISSYS_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISPDB_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISINSTANCE_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ISADJUSTED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISBASIC",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "ORDINAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$SPPARAMETER",
              "-desc": "V$SPPARAMETER displays information about the contents of the server parameter file. If a server parameter file was not used to start the instance, then each row of the view will contain FALSE in the ISSPECIFIED column.",
              "fields": [
                {
                  "-name": "FAMILY",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "ISSPECIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ORDINAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$SYSTEM_PARAMETER",
              "-desc": "V$SYSTEM_PARAMETER displays information about the initialization parameters that are currently in effect for the instance. A new session inherits parameter values from the instance-wide values.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISSES_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISSYS_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISPDB_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISINSTANCE_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ISADJUSTED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISBASIC",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Parameters",
              "-name": "V$SYSTEM_PARAMETER2",
              "-desc": "V$SYSTEM_PARAMETER2 displays information about the initialization parameters that are currently in effect for the instance, with each list parameter value appearing as a row in the view. A new session inherits parameter values from the instance-wide values.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ISSES_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISSYS_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISPDB_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISINSTANCE_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ISADJUSTED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISBASIC",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "ORDINAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$CR_BLOCK_SERVER",
              "-desc": "V$CR_BLOCK_SERVER displays statistics on the Global Cache Service processes (LMS) used in cache fusion.",
              "fields": [
                {
                  "-name": "CR_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TX_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OTHER_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIVATE_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ZERO_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READ_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIL_RESULTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STALE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIRNESS_DOWN_CONVERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAIRNESS_CLEARS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_GC_ELEMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH_QUEUE_FULL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSH_MAX_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LIGHT_WORKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$GC_ELEMENT",
              "-desc": "V$GC_ELEMENT displays one entry for each global cache resource that is used by the buffer cache. The name of the global cache resource that corresponds to a lock element is {'BL', indx, class}. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "GC_ELEMENT_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "INDX",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_ELEMENT_NAME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODE_HELD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELEASING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACQUIRING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOVERING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$GCSHVMASTER_INFO",
              "-desc": "V$GCSHVMASTER_INFO describes the current and previous master instances and the number of re-masterings of Global Cache Service resources except those belonging to files mapped to a particular master.",
              "fields": [
                {
                  "-name": "HV_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREVIOUS_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$GCSPFMASTER_INFO",
              "-desc": "V$GCSPFMASTER_INFO describes the current and previous master instances and the number of re-masterings of Global Cache Service resources belonging to files mapped to instances.",
              "fields": [
                {
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GC_MASTERING_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "CURRENT_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREVIOUS_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$GES_BLOCKING_ENQUEUE",
              "-desc": "V$GES_BLOCKING_ENQUEUE describes all locks currently known to lock manager that are being blocked or blocking others.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "GRANT_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REQUEST_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RESOURCE_NAME1",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOURCE_NAME2",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_DEADLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PERSISTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PROCESS_OWNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_NO_XID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_GETVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_PUTVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_DUBVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOQUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_EXPRESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKWAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKBLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WHICH_QUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AST_EVENT0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_NODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$GES_ENQUEUE",
              "-desc": "V$GES_ENQUEUE describes all locks currently known to lock manager. This is a Real Application Clusters view.",
              "fields": [
                {
                  "-name": "HANDLE",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "GRANT_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REQUEST_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RESOURCE_NAME1",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RESOURCE_NAME2",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTION_ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_DEADLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PERSISTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_PROCESS_OWNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPEN_OPT_NO_XID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_GETVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_PUTVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_DUBVALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NOQUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_EXPRESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKWAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONVERT_OPT_NODEADLOCKBLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WHICH_QUEUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "AST_EVENT0",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER_NODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$GES_RESOURCE",
              "-desc": "V$GES_RESOURCE is a Real Application Clusters view. It displays information of all resources currently known to the lock manager."
            }
            ,{
              "-category": "Real Application Clusters (RAC)",
              "-name": "V$HVMASTER_INFO",
              "-desc": "V$HVMASTER_INFO describes the current and previous master instances and the number of re-masterings of Global Enqueue Service resources.",
              "fields": [
                {
                  "-name": "HV_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREVIOUS_MASTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMASTER_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Redo Logs",
              "-name": "V$LGWRIO_OUTLIER",
              "-desc": "V$LGWRIO_OUTLIER contains entries corresponding to Log Writer (LGWR) process I/Os that have taken a long time (more than 500 ms) to complete. Use this view to see if there any occasional delays in serving disk I/O requests by the storage subsystem.",
              "fields": [
                {
                  "-name": "FUNCTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "IO_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IO_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK1_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK1_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK2_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK2_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK3_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "DISK3_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Redo Logs",
              "-name": "V$LOG",
              "-desc": "V$LOG displays log file information from the control file.",
              "fields": [
                {
                  "-name": "GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMBERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Redo Logs",
              "-name": "V$LOG_HISTORY",
              "-desc": "V$LOG_HISTORY displays log history information from the control file.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Redo Logs",
              "-name": "V$LOGFILE",
              "-desc": "V$LOGFILE contains information about redo log files.",
              "fields": [
                {
                  "-name": "GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MEMBER",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Redo Logs",
              "-name": "V$THREAD (RAC related)",
              "-desc": "V$THREAD displays thread information from the control file. This view does not return meaningful results on a physical standby database.",
              "fields": [
                {
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "OPEN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CURRENT_GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHECKPOINT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ENABLE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DISABLE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISABLE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_REDO_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_REDO_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_REDO_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_REDO_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication and Materialized Views",
              "-name": "V$MVREFRESH",
              "-desc": "V$MVREFRESH displays information about the materialized views currently being refreshed.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRMVOWNER",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "CURRMVNAME",
                  "-null": "",
                  "-type": "VARCHAR2(31)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication and Materialized Views",
              "-name": "V$REPLPROP",
              "-desc": "V$REPLPROP displays information about the parallel propagation currently in progress at the replication site. Use this view to determine which transactions are currently being propagated, the number of calls propagated in each transaction, and the current activity of the parallel propagation slave processes or parallel propagation coordinator process.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(71)"
                }
                ,{
                  "-name": "DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Replication and Materialized Views",
              "-name": "V$REPLQUEUE",
              "-desc": "V$REPLQUEUE displays statistics about the replication deferred transactions queue. All values are stored since the start of the current database instance.",
              "fields": [
                {
                  "-name": "TXNS_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLS_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXNS_PURGED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_PURGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$ACTIVE_SESS_POOL_MTH",
              "-desc": "V$ACTIVE_SESS_POOL_MTH displays available active session pool resource allocation methods.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$IOSTAT_CONSUMER_GROUP",
              "-desc": "V$IOSTAT_CONSUMER_GROUP displays disk I/O statistics for consumer groups. If the resource manager is enabled, then I/O statistics for all consumer groups that are part of the currently enabled resource plan are captured.",
              "fields": [
                {
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$PARALLEL_DEGREE_LIMIT_MTH",
              "-desc": "V$PARALLEL_DEGREE_LIMIT_MTH displays all available parallel degree limit resource allocation methods.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$QUEUEING_MTH",
              "-desc": "V$QUEUEING_MTH displays all available queuing resource allocation methods.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_CONS_GROUP_HISTORY",
              "-desc": "V$RSRC_CONS_GROUP_HISTORY displays a history of consumer group statistics for each entry in V$RSRC_PLAN_HISTORY that has a non-NULL plan.",
              "fields": [
                {
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMED_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "YIELDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_EXCLUSIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_WON",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESS_LIMIT_HIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_LIMIT_HIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_LOGICAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_LOGICAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CANCELED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESS_KILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_SESS_KILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_BLKR_SESS_KILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQS_COMPLETED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_SERVERS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQS_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_CONSUMER_GROUP",
              "-desc": "V$RSRC_CONSUMER_GROUP displays data related to currently active resource consumer groups.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_WAITERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMED_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "YIELDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_EXCLUSIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_WON",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_UNDO_CONSUMPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSION_LIMIT_HIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDO_LIMIT_HIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_IO_LOGICAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_IO_LOGICAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_IN_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHES_OUT_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CANCELED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SESSIONS_KILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_SESSIONS_KILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IDLE_BLKR_SESSIONS_KILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_PQS_ACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_PQ_SERVERS_ACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQS_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQS_COMPLETED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_SERVERS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_PQS_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_CONSUMER_GROUP_CPU_MTH",
              "-desc": "V$RSRC_CONSUMER_GROUP_CPU_MTH displays all resource allocation methods defined for resource consumer groups.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_PLAN",
              "-desc": "V$RSRC_PLAN displays the names of all currently active resource plans.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "IS_TOP_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CPU_MANAGED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANCE_CAGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARALLEL_SERVERS_ACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_SERVERS_TOTAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_EXECUTION_MANAGED",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_PLAN_CPU_MTH",
              "-desc": "V$RSRC_PLAN_CPU_MTH displays all available CPU resource allocation methods defined for resource plans.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_PLAN_HISTORY",
              "-desc": "V$RSRC_PLAN_HISTORY displays a history of when a resource plan was enabled, disabled, or modified on the instance. Up to 15 of the most recent entries are shown. Once the database is opened, this view shows at least one row. The row with the most recent START_TIME and with END_TIME equal to NULL gives information about the current resource plan.",
              "fields": [
                {
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ENABLED_BY_SCHEDULER",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ALLOWED_AUTOMATED_SWITCHES",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CPU_MANAGED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANCE_CAGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARALLEL_EXECUTION_MANAGED",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRC_SESSION_INFO",
              "-desc": "V$RSRC_SESSION_INFO displays Resource Manager statistics per session.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ORIG_CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAPPING_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "MAPPED_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "ACTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CURRENT_IDLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CPU_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CPU_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_CONSUMED_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMED_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_YIELDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "YIELDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_UNDO_CONSUMPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_UNDO_CONSUMPTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_CANCELED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_EXECUTION_LIMIT_HIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_IO_SERVICE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_IO_SERVICE_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_SERVICE_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SMALL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SMALL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_LARGE_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_LARGE_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_PQ_ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_ACTIVE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_EXECUTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_PQ_QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_QUEUE_TIME_OUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PQ_ACTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "PQ_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "CURRENT_LOGICAL_IOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_IOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "LAST_ACTION_REASON",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LAST_ACTION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRCMGRMETRIC",
              "-desc": "V$RSRCMGRMETRIC displays information about resources consumed and wait times per consumer group.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_CONSUMED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CPUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNNING_SESSIONS_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_RUNNING_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_WAITING_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_UTILIZATION_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CPU_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_EXCLUSIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_WON",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ACTIVE_PARALLEL_STMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_QUEUED_PARALLEL_STMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ACTIVE_PARALLEL_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_QUEUED_PARALLEL_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_SERVERS_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Resource Manager",
              "-name": "V$RSRCMGRMETRIC_HISTORY",
              "-desc": "V$RSRCMGRMETRIC_HISTORY displays a history (the last one hour) of resource manager metrics, taken from V$RSRCMGRMETRIC. When a resource plan is set, this history is cleared and restarted. This view provides information about resources consumed and wait times per consumer group.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_CONSUMED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CPUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUNNING_SESSIONS_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_RUNNING_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_WAITING_SESSIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_UTILIZATION_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CPU_UTILIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_EXCLUSIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_DECISIONS_WON",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IO_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ACTIVE_PARALLEL_STMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_QUEUED_PARALLEL_STMTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ACTIVE_PARALLEL_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_QUEUED_PARALLEL_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARALLEL_SERVERS_LIMIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Rollback Segments And Undo",
              "-name": "V$ROLLNAME",
              "-desc": "V$ROLLNAME lists the names of all online rollback segments. It can only be accessed when the database is open.",
              "fields": [
                {
                  "-name": "USN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Rollback Segments And Undo",
              "-name": "V$ROLLSTAT",
              "-desc": "V$ROLLSTAT contains rollback segment statistics.",
              "fields": [
                {
                  "-name": "USN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RSSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XACTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HWMSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHRINKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRAPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVESHRINK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVEACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CUREXT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURBLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Rollback Segments And Undo",
              "-name": "V$TRANSACTION",
              "-desc": "V$TRANSACTION lists the active transactions in the system.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLOT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "START_SCNB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCNW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UEXT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SES_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RECURSIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOUNDO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PTX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PRV_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRV_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRV_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN-B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN-W",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_UBLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_UREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHY_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_GET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CHANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DSCN_BASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN_WRAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPENDENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PRV_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PTX_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Rollback Segments And Undo",
              "-name": "V$UNDOSTAT",
              "-desc": "V$UNDOSTAT displays a histogram of statistical data to show how well the system is working. The available statistics include undo space consumption, transaction concurrency, and length of queries executed in the instance. You can use this view to estimate the amount of undo space required for the current workload. Oracle uses this view to tune undo usage in the system. The view returns NULL values if the system is in manual undo management mode.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "UNDOTSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNDOBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXNCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXQUERYLEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXQUERYID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "MAXCONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNXPSTEALCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNXPBLKRELCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNXPBLKREUCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPSTEALCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPBLKRELCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPBLKREUCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SSOLDERRCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOSPACEERRCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVEBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNEXPIREDBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIREDBLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TUNED_UNDORETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$ENABLEDPRIVS",
              "-desc": "V$ENABLEDPRIVS displays the system privileges that have been granted to the current user and the currently enabled roles. These privileges can be found in the table SYSTEM_PRIVILEGE_MAP.",
              "fields": [
                {
                  "-name": "PRIV_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$ENCRYPTED_TABLESPACES",
              "-desc": "V$ENCRYPTED_TABLESPACES displays information about the tablespaces that are encrypted.",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENCRYPTIONALG",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPTEDTS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ENCRYTPEDKEY",
                  "-null": "",
                  "-type": "RAW(32,,BYTE)"
                }
                ,{
                  "-name": "MASTERKEYID",
                  "-null": "",
                  "-type": "RAW(16,,BYTE)"
                }
                ,{
                  "-name": "BLOCKS_ENCRYPTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_DECRYPTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$ENCRYPTION_KEYS",
              "-desc": "V$ENCRYPTION_KEYS displays master key description attributes.",
              "fields": [
                {
                  "-name": "KEY_ID",
                  "-null": "",
                  "-type": "VARCHAR2(78)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ACTIVATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATOR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEY_USE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "KEYSTORE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "ORIGIN",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CREATOR_DBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATOR_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATOR_INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_INSTANCE_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_PDBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATOR_PDBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_PDBUID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_PDBGUID",
                  "-null": "",
                  "-type": "RAW(16,,BYTE)"
                }
                ,{
                  "-name": "ACTIVATING_DBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTIVATING_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATING_INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTIVATING_INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATING_INSTANCE_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATING_PDBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTIVATING_PDBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATING_PDBUID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATING_PDBGUID",
                  "-null": "",
                  "-type": "RAW(16,,BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$ENCRYPTION_WALLET",
              "-desc": "V$ENCRYPTION_WALLET displays information on the status of the wallet and the wallet location for Transparent Data Encryption.",
              "fields": [
                {
                  "-name": "WRL_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "WRL_PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "WALLET_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "WALLET_ORDER",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FULLY_BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$PWFILE_USERS",
              "-desc": "V$PWFILE_USERS lists all users in the password file, and indicates whether the user has been granted the SYSDBA, SYSOPER, SYSASM, SYSBACKUP, SYSDG, and SYSKM privileges.",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SYSDBA",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSOPER",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSASM",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSBACKUP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSDG",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSKM",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$TSDP_SUPPORTED_FEATURE",
              "-desc": "V$TSDP_SUPPORTED_FEATURE displays information about the features supported by Transparent Sensitive Data Protection (TSDP).",
              "fields": [
                {
                  "-name": "FEATURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "FUNCTIONALITY",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "COMMENTS$",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$VPD_POLICY",
              "-desc": "V$VPD_POLICY displays all the fine-grained security policies and predicates associated with the cursors currently in the library cache.",
              "fields": [
                {
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PARADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQL_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY_FUNCTION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PREDICATE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$WALLET",
              "-desc": "V$WALLET displays metadata of certificates that may be used as a master key for Transparent Data Encryption.",
              "fields": [
                {
                  "-name": "CERT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(52)"
                }
                ,{
                  "-name": "DN",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "SERIAL_NUM",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ISSUER",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "KEYSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Security and Privileges",
              "-name": "V$XML_AUDIT_TRAIL",
              "-desc": "V$XML_AUDIT_TRAIL shows standard, fine-grained, SYS, and mandatory audit records written in XML format files.",
              "fields": [
                {
                  "-name": "AUDIT_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENTID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTRYID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDED_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "DB_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLIENTIDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "OS_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OS_HOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NEW_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRANSACTIONID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "RETURNCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "AUTH_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PRIV_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SES_ACTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "OS_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ECONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_BIND",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OBJ_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$ACTIVE_SERVICES",
              "-desc": "V$ACTIVE_SERVICES displays information about the active services in the database.",
              "fields": [
                {
                  "-name": "SERVICE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATION_DATE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DTP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AQ_HA_NOTIFICATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLB_GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMIT_OUTCOME",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_INITIATION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE_CONSISTENCY",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GLOBAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MAX_LAG_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$SERV_MOD_ACT_STATS",
              "-desc": "V$SERV_MOD_ACT_STATS displays the same set of performance statistics as V$SERVICE_STATS except for a specific combination of service/module/action names.",
              "fields": [
                {
                  "-name": "AGGREGATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$SERVICE_EVENT",
              "-desc": "V$SERVICE_EVENT displays aggregated wait counts and wait times for each wait statistic.",
              "fields": [
                {
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$SERVICE_STATS",
              "-desc": "V$SERVICE_STATS displays a minimal set of performance statistics. These call rate statistics are used for making run-time routing decisions, for tracking service levels, and for per-instance diagnostics per call rate. The elapsed timing for each call provides a relative value across instances for how well a node is processing SQL calls issued under a service name.",
              "fields": [
                {
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$SERVICE_WAIT_CLASS",
              "-desc": "V$SESSION_WAIT_CLASS displays the time spent in various wait event operations on a per-session basis.",
              "fields": [
                {
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$SERVICEMETRIC",
              "-desc": "V$SERVICEMETRIC displays metric values measured on the most recent time interval period for services executing inside the database. Service metrics are measured in 5-second and 1-minute intervals.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CTMHASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSEDPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPUPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIMEPERCALL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CALLSPERSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBTIMEPERSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOODNESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Services",
              "-name": "V$SERVICES",
              "-desc": "V$SERVICES displays information about the services in the database.",
              "fields": [
                {
                  "-name": "SERVICE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATION_DATE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DTP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "AQ_HA_NOTIFICATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLB_GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMIT_OUTCOME",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_INITIATION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE_CONSISTENCY",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GLOBAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PDB",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MAX_LAG_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$ACTIVE_SESSION_HISTORY",
              "-desc": "V$ACTIVE_SESSION_HISTORY displays sampled session activity in the database. It contains snapshots of active database sessions taken once a second. A database session is considered active if it was on the CPU or was waiting for an event that didn't belong to the Idle wait class. Refer to the V$EVENT_NAME view for more information on wait classes.",
              "fields": [
                {
                  "-name": "SAMPLE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "IS_AWR_SAMPLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "IS_SQLID_CURRENT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SQL_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_OPNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TOP_LEVEL_SQL_OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_LINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_PLAN_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_HANGCHAIN_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CURRENT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "REMOTE_INSTANCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_MODEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_CONNECTION_MGMT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_HARD_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_SQL_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_COMPILATION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_JAVA_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_BIND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_CURSOR_CLOSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_SEQUENCE_LOAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CAPTURE_OVERHEAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REPLAY_OVERHEAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_CAPTURED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_REPLAYED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SERVICE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DBREPLAY_FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBREPLAY_CALL_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_DB_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_WRITE_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_WRITE_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_INTERCONNECT_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_MEM_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBOP_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$BLOCKING_QUIESCE",
              "-desc": "V$BLOCKING_QUIESCE indicates if a session is blocking, or would block, a quiesce operation.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$MYSTAT",
              "-desc": "V$MYSTAT contains statistics on the current session.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$PROCESS",
              "-desc": "V$PROCESS displays information about the currently active processes.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOSID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "STID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "TRACEID",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TRACEFILE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LATCHWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LATCHSPIN",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PGA_USED_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_ALLOC_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_FREEABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_MAX_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SES_OPTIMIZER_ENV",
              "-desc": "V$SES_OPTIMIZER_ENV displays the contents of the optimizer environment used by each session. When a new session is first created, it automatically inherits its optimizer environment from the optimizer environment defined at the instance level by V$SYS_OPTIMIZER_ENV. The value of certain parameters can be dynamically modified by issuing an ALTER SESSION statement.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SQL_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESS_IO",
              "-desc": "V$SESS_IO displays I/O statistics for each user session.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSISTENT_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_CHANGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSISTENT_CHANGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZED_PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESS_TIME_MODEL",
              "-desc": "V$SESS_TIME_MODEL displays the session-accumulated time for various operations. The time reported is the total elapsed or CPU time (in microseconds). Any timed operation will buffer at most 5 seconds of time data. Specifically, this means that if a timed operation (such as SQL execution) takes a long period of time to perform, the data published to this view is at most missing 5 seconds of the time accumulated for the operation.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION",
              "-desc": "V$SESSION displays session information for each current session.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUDSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMAND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNERID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TADDR",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LOCKWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SERVER",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCHEMA#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMANAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OSUSER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SQL_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SQL_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PREV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PREV_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PREV_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FIXED_TABLE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGON_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_CALL_ET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDML_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAILOVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FAILOVER_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FAILED_OVER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESOURCE_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PDML_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PDDL_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PQ_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CURRENT_QUEUE_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BLOCKING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FINAL_BLOCKING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SECONDS_IN_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "WAIT_TIME_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_REMAINING_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_SINCE_LAST_WAIT_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TRACE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SQL_TRACE_WAITS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_TRACE_BINDS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_TRACE_PLAN_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SESSION_EDITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CREATOR_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TUNABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_BLOCKERS",
              "-desc": "V$SESSION_BLOCKERS displays the blocker sessions for each blocked session. Each row represents a blocked and blocker session pair. If a session is blocked by multiple sessions there will be multiple rows for that blocked session. The maximum number of blocker sessions displayed for a single blocked session is 30. If a session is not blocked by other sessions, then there will be no row in this view for that session.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESS_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_EVENT_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BLOCKER_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKER_SESS_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_CONNECT_INFO",
              "-desc": "V$SESSION_CONNECT_INFO displays information about network connections for all currently logged in sessions.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "OSUSER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NETWORK_SERVICE_BANNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLIENT_CHARSET",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CLIENT_CONNECTION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CLIENT_OCI_LIBRARY",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "CLIENT_VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "CLIENT_DRIVER",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CLIENT_LOBATTR",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "CLIENT_REGID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_CURSOR_CACHE",
              "-desc": "V$SESSION_CURSOR_CACHE displays information on cursor usage for the current session.",
              "fields": [
                {
                  "-name": "MAXIMUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPENS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_EVENT",
              "-desc": "V$SESSION_EVENT displays information on waits for an event by a session. Note that the TIME_WAITED and AVERAGE_WAIT columns will contain a value of zero on those platforms that do not support a fast timing mechanism. If you are running on one of these platforms and you want this column to reflect true wait times, then you must set TIMED_STATISTICS to true in the parameter file; doing this will have a small negative effect on system performance.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TIMEOUTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_FIX_CONTROL",
              "-desc": "V$SESSION_FIX_CONTROL displays information about Fix Control (enabled/disabled) for the current session.",
              "fields": [
                {
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUGNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_FEATURE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OPTIMIZER_FEATURE_ENABLE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_DEFAULT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_LONGOPS",
              "-desc": "V$SESSION_LONGOPS displays the status of various operations that run for longer than 6 seconds (in absolute time). These operations currently include many backup and recovery functions, statistics gathering, and query execution, and more operations are added for every Oracle release.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TARGET_DESC",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SOFAR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTALWORK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIME_REMAINING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SECONDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTEXT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_LINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_PLAN_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QCSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_OBJECT_CACHE",
              "-desc": "V$SESSION_OBJECT_CACHE displays object cache statistics for the current user session on the local server (instance).",
              "fields": [
                {
                  "-name": "PINS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRUE_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRUE_HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_REFRESHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_REFRESHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_SHRINKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHED_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PINNED_OBJECTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMAL_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXIMUM_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_WAIT",
              "-desc": "V$SESSION_WAIT displays the current or last wait for each session.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SECONDS_IN_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "WAIT_TIME_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_REMAINING_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_SINCE_LAST_WAIT_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_WAIT_CLASS",
              "-desc": "V$SESSION_WAIT_CLASS displays the time spent in various wait event operations on a per-session basis.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TOTAL_WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSION_WAIT_HISTORY",
              "-desc": "V$SESSION_WAIT_HISTORY displays the last 10 wait events for each active session.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_SINCE_LAST_WAIT_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSMETRIC",
              "-desc": "V$SESSMETRIC displays the metric values for all sessions.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_MEMORY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HARD_PARSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOFT_PARSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYSICAL_READ_PCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGICAL_READ_PCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sessions",
              "-name": "V$SESSTAT",
              "-desc": "V$SESSTAT displays user session statistics. To find the name of the statistic associated with each statistic number (STATISTIC#), query the V$STATNAME view.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$SORT_SEGMENT",
              "-desc": "V$SORT_SEGMENT displays information about every sort segment in a given instance. The view is only updated when the tablespace is of the TEMPORARY type.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_FILE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENT_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_USERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADDED_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENT_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREED_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USED_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_USED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SORT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SORT_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMP_EXTENT_MAP",
              "-desc": "V$TEMP_EXTENT_MAP displays the status of each unit for all LOCALLY MANAGED temporary tablespaces.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMP_EXTENT_POOL",
              "-desc": "V$TEMP_EXTENT_POOL displays the state of temporary space cached and used for the instance. Note that loading of the temporary space cache is lazy and that instances can be dormant.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_CACHED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_CACHED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_CACHED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMP_SPACE_HEADER",
              "-desc": "V$TEMP_SPACE_HEADER displays aggregate information per file per LOCALLY MANAGED temporary tablespace regarding how much space is currently being used and how much is free as identified in the space header.",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMPFILE",
              "-desc": "V$TEMPFILE displays temp file information.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATE_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMPSEG_USAGE",
              "-desc": "V$TEMPSEG_USAGE describes temporary segment usage.",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SESSION_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SESSION_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQLADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQLHASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TABLESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SEGFILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGBLK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGRFNO#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMPSTAT",
              "-desc": "V$TEMPSTAT displays information about file read/write statistics.",
              "fields": [
                {
                  "-name": "FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYWRTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKRD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHYBLKWRT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITETIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SINGLEBLKRDTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVGIOTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LSTIOTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINIOTIM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXIORTM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXIOWTM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Sorting",
              "-name": "V$TEMPUNDOSTAT",
              "-desc": "V$TEMPUNDOSTAT shows various statistics related to the temporary undo log for this database instance. It displays a histogram of statistical data to show how the system is working. Each row in the view keeps statistics collected in the instance for a 10-minute interval. The rows are in the descending order of the BEGIN_TIME column value. This view contains a total of 576 rows, spanning a 4-day cycle. This view is similar to the V$UNDOSTAT view.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "UNDOTSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXNCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXCONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXQUERYLEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXQUERYID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "UNDOBLKCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SSOLDERRCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOSPACEERRCNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "SQL Tuning",
              "-name": "V$ROWCACHE",
              "-desc": "V$ROWCACHE displays statistics for data dictionary activity. Each row contains statistics for one data dictionary cache.",
              "fields": [
                {
                  "-name": "CACHE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "SUBORDINATE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARAMETER",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIXED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETMISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANMISSES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCANCOMPLETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODIFICATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLUSHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_CONFLICTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DLM_RELEASES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "SQL Tuning",
              "-name": "V$SYSSTAT",
              "-desc": "V$SYSSTAT displays system statistics. To find the name of the statistic associated with each statistic number (STATISTIC#), query the V$STATNAME view.",
              "fields": [
                {
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$PGASTAT",
              "-desc": "V$PGASTAT displays PGA memory usage statistics as well as statistics about the automatic PGA memory manager when it is enabled (that is, when PGA_AGGREGATE_TARGET is set). Cumulative values in V$PGASTAT are accumulated since instance startup.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$RESULT_CACHE_STATISTICS",
              "-desc": "V$RESULT_CACHE_STATISTICS displays various Result Cache settings and usage statistics.",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(81)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$ROLLSTAT",
              "-desc": "V$ROLLSTAT contains rollback segment statistics.",
              "fields": [
                {
                  "-name": "USN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LATCH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RSSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XACTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HWMSIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHRINKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WRAPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVESHRINK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVEACTIVE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CUREXT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURBLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$SEGMENT_STATISTICS",
              "-desc": "V$SEGMENT_STATISTICS displays information about segment-level statistics.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAOBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "STATISTIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$SEGSTAT",
              "-desc": "V$SEGSTAT displays information about segment-level statistics.",
              "fields": [
                {
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAOBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$SEGSTAT_NAME",
              "-desc": "V$SEGSTAT_NAME displays information about segment-level statistics properties.",
              "fields": [
                {
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SAMPLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$STATISTICS_LEVEL",
              "-desc": "V$STATISTICS_LEVEL displays the status of the statistics/advisories controlled by STATISTICS_LEVEL.",
              "fields": [
                {
                  "-name": "STATISTICS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SYSTEM_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ACTIVATION_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATISTICS_VIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_SETTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$STATNAME",
              "-desc": "V$STATNAME displays decoded statistic names for the statistics shown in the V$SESSTAT and V$SYSSTAT tables.",
              "fields": [
                {
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISPLAY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Statistics",
              "-name": "V$WAITSTAT",
              "-desc": "V$WAITSTAT displays block contention statistics. This table is only updated when timed statistics are enabled.",
              "fields": [
                {
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ",
              "-desc": "V$AQ displays statistics for the queues in the database.",
              "fields": [
                {
                  "-name": "QID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAITING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "READY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVERAGE_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_BACKGROUND_COORDINATOR",
              "-desc": "V$AQ_BACKGROUND_COORDINATOR lists performance statistics for the Oracle Database Advanced Queueing master background coordinator process (AQPC).",
              "fields": [
                {
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "NUM_JOBS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_COORDINATORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_BMAP_NONDUR_SUBSCRIBERS",
              "-desc": "V$AQ_BMAP_NONDUR_SUBSCRIBERS can be used to get the available bit positions. The view is queried to get the free bit position during creation of a non-durable subscriber.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_POS",
                  "-null": "",
                  "-type": "RAW(128 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_CROSS_INSTANCE_JOBS",
              "-desc": "V$AQ_CROSS_INSTANCE_JOBS describes each of the cross process jobs. Each job serves to forward messages for a shard from a source instance to a destination instance for a set of subscribers of a sharded queue.",
              "fields": [
                {
                  "-name": "JOB_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SUBSHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORDINATOR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEST_SERVER_PROCESS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "JOB_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FLOW_CONTROL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACK_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_JOB_COORDINATOR",
              "-desc": "V$AQ_JOB_COORDINATOR lists performance statistics per coordinator, for every AQ coordinator controlled by the Oracle Database Advanced Queueing master coordinator.",
              "fields": [
                {
                  "-name": "COORDINATOR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "JOB_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SERVER_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_MESSAGE_CACHE",
              "-desc": "V$AQ_MESSAGE_CACHE provides performance statistics of the message cache for sharded queues at the subshard level in the instance.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_READY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHUNK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_CHUNKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREE_CHUNKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_MEMORY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_NONDUR_REGISTRATIONS",
              "-desc": "V$AQ_NONDUR_REGISTRATIONS provides information about non-durable subscriptions.",
              "fields": [
                {
                  "-name": "REG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCATION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_CONTEXT",
                  "-null": "",
                  "-type": "RAW(32,,BYTE)"
                }
                ,{
                  "-name": "CONTEXT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REG_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_NONDUR_SUBSCRIBER",
              "-desc": "V$AQ_NONDUR_SUBSCRIBER provides information about the non-durable subscriptions on sharded queues.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TRANSFORMATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TRANSFORMATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(1) WITH TIME ZONE"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BITPOS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_NONDUR_SUBSCRIBER_LWM",
              "-desc": "V$AQ_NONDUR_SUBSCRIBER_LWM projects the low watermarks (LWMs) of non-durable subscribers in a sharded queue. The LWM of a non-durable subscriber is a combination of shard, priority and LWM (subshard).",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARD_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_NOTIFICATION_CLIENTS",
              "-desc": "V$AQ_NOTIFICATION_CLIENTS displays performance statistics for secure Oracle Call Interface (OCI) client connections.",
              "fields": [
                {
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(29)"
                }
                ,{
                  "-name": "EMON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NOTIFICATION_STATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MESSAGE_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MESSAGE_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_SEND_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_RECEIVE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "CONNECT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "DISCONNECT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_SERVER_POOL",
              "-desc": "V$AQ_SERVER_POOL lists performance statistics for all the servers in the pool.",
              "fields": [
                {
                  "-name": "COORDINATOR_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COORDINATOR_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROCESS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "POOL_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$AQ_SUBSCRIBER_LOAD",
              "-desc": "V$AQ_SUBSCRIBER_LOAD describes the load of all subscribers of sharded queues in terms of latency at every instance in an Oracle RAC environment. Latency denotes the predicted amount of time (in seconds) required from the current time to drain all the messages for that subscriber at each respective instance. The latency calculation considers past enqueue/dequeue rates and future enqueue/dequeue rates based on history.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LATENCY_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_SHARDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVE_LISTENER",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$BUFFERED_PUBLISHERS",
              "-desc": "V$BUFFERED_PUBLISHERS displays information about all buffered publishers in the instance. There is one row per queue per sender. The values are reset to zero when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SENDER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SENDER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SENDER_PROTOCOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNBROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OVERSPILLED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEMORY_USAGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "PUBLISHER_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(59)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$BUFFERED_QUEUES",
              "-desc": "V$BUFFERED_QUEUES displays information about all buffered queues in the instance. There is one row per queue.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CSPILL_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_MSGID",
                  "-null": "",
                  "-type": "RAW(16,,BYTE)"
                }
                ,{
                  "-name": "OLDEST_MSG_ENQTM",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "QUEUE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TRANSFORMATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_EVALUATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "QUEUE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$BUFFERED_SUBSCRIBERS",
              "-desc": "V$BUFFERED_SUBSCRIBERS displays information about the subscribers for all buffered queues in the instance. There is one row per subscriber per queue.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUBSCRIBER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PROTOCOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_BROWSED_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_BROWSED_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQUEUED_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQUEUED_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ENQ_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CNUM_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_DEQUEUED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SPILLED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_LAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "OLDEST_MSGID",
                  "-null": "",
                  "-type": "RAW(16,,BYTE)"
                }
                ,{
                  "-name": "OLDEST_MSG_ENQTM",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$PERSISTENT_PUBLISHERS",
              "-desc": "V$PERSISTENT_PUBLISHERS displays information about all active publishers of the persistent queues in the database. There is one row per instance per queue per publisher. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PUBLISHER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PUBLISHER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PROTOCOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$PERSISTENT_QMN_CACHE",
              "-desc": "V$PERSISTENT_QMN_CACHE displays detailed information and statistics about the background activities for all queue tables in the system. There is one row per queue table. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QUEUE_TABLE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_SERVICE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "WINDOW_END_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TOTAL_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TMGR_ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TMGR_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TMGR_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TMGR_PROCESSING_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "DEQLOG_ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQLOG_PROCESSING_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQLOG_PROCESSING_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQLOG_PROCESSING_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "DEQUEUE_INDEX_BLOCKS_FREED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTORY_INDEX_BLOCKS_FREED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_INDEX_BLOCKS_FREED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDEX_CLEANUP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDEX_CLEANUP_ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INDEX_CLEANUP_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_INDEX_CLEANUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$PERSISTENT_QUEUES",
              "-desc": "V$PERSISTENT_QUEUES displays information about all active persistent queues in the database since the queues' first activity time. There is one row per queue. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TABLE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FIRST_ACTIVITY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSG_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TRANSFORMATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_EVALUATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_EXPIRY_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUED_DELAY_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_EXPIRED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MSGS_MADE_READY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_TM_EXPIRY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_TM_READY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_MSGID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "OLDEST_MSG_ENQTM",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$PERSISTENT_SUBSCRIBERS",
              "-desc": "V$PERSISTENT_SUBSCRIBERS displays information about all active subscribers of the persistent queues in the database. There is one row per instance per queue per subscriber. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUBSCRIBER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUBSCRIBER_ADDRESS",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "PROTOCOL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBSCRIBER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FIRST_ACTIVITY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_MSG_AGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BROWSED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXPIRED_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MSG_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TRANSACTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_MEMORY_LOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_DISK_LOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_DISK_DELETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_MSGID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "OLDEST_MSG_ENQTM",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$PROPAGATION_RECEIVER",
              "-desc": "V$PROPAGATION_RECEIVER displays information about buffer queue propagation schedules on the receiving (destination) side. The values are reset to zero when the database (or instance in an Oracle Real Application Clusters (Oracle RAC) environment) restarts, when propagation migrates to another instance, or when an unscheduled propagation is attempted.",
              "fields": [
                {
                  "-name": "SRC_QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SRC_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SRC_DBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DST_QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DST_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HIGH_WATER_MARK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACKNOWLEDGEMENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_RECEIVED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_UNPICKLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROPAGATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(43)"
                }
                ,{
                  "-name": "LAST_RECEIVED_MSG_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "ACKNOWLEGEMENT_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$PROPAGATION_SENDER",
              "-desc": "V$PROPAGATION_SENDER displays information about buffer queue propagation schedules on the sending (source) side. The values are reset to zero when the database (or instance in an Oracle Real Application Clusters (Oracle RAC) environment) restarts, when propagation migrates to another instance, or when an unscheduled propagation is attempted.",
              "fields": [
                {
                  "-name": "QUEUE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DST_QUEUE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DST_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_WATER_MARK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACKNOWLEDGEMENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEDULE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TOTAL_MSGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PICKLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PROPAGATION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_NUM_PER_WIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MSG_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MSG_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MSG_PROPAGATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_LCR_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_LCR_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_LCR_PROPAGATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DST_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "PROPAGATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(53)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$QMON_COORDINATOR_STATS",
              "-desc": "V$QMON_COORDINATOR_STATS displays statistics of the non-sharded queue master process. There is one row per instance. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QMNC_PID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "NUM_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_SERVER_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_SERVER_PID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "NEXT_WAKEUP_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "NEXT_READY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "NEXT_EXPIRY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_WAIT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LAST_FAILURE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "MAX_TASK_LATENCY",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MIN_TASK_LATENCY",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "TOTAL_TASK_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TASKS_EXECUTED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SERVERS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$QMON_SERVER_STATS",
              "-desc": "V$QMON_SERVER_STATS displays information and statistics about the active queue monitor server processes. There is one row per live queue monitor server process. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "QMNC_PID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SERVER_PID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SERVER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "SERVER_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TASK_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_WAIT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "MAX_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_TASKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LAST_FAILURE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_FAILURE_TASK",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LAST_FAILURE_TASKNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$QMON_TASK_STATS",
              "-desc": "V$QMON_TASK_STATS displays information and statistics based on different queue monitor tasks in the system (spilling, time manager activity, and so on). There is one row per kind of task. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TASK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LAST_CREATED_TASKNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_TASKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TASK_RUN_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TASK_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TASK_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "METRIC_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LAST_FAILURE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_FAILURE_TASKNUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REMARK",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$QMON_TASKS",
              "-desc": "V$QMON_TASKS displays information and statistics about all queue background tasks in the system, which would be served by queue monitor servers. There is one row per task. The rows are deleted when the database (or instance in an Oracle RAC environment) restarts.",
              "fields": [
                {
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "TASK_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "TASK_SUBMIT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TASK_READY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TASK_EXPIRY_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TASK_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TASK_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SERVER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "MAX_RETRIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$RULE",
              "-desc": "V$RULE displays rule statistics. This view has a row for every rule loaded into shared memory.",
              "fields": [
                {
                  "-name": "RULE_SET_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "TRUE_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAYBE_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$RULE_SET",
              "-desc": "V$RULE_SET displays rule set statistics. This view has a row for every rule set loaded into shared memory. Note: Querying the V$RULE_SET view may have a negative impact on performance if a database has a large library cache. ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_LOAD_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_LOADING_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHARABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELOADS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INVALIDATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_HIT_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SIMPLE_RULES_ONLY_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_FREE_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONDITIONS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRUE_RULES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAYBE_RULES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VARIABLE_VALUE_FUNCTION_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VARIABLE_METHOD_FUNCTION_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVALUATION_FUNCTION_CALLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESULT_CACHE_HITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_RESULT_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESULT_CACHE_ELEMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$RULE_SET_AGGREGATE_STATS",
              "-desc": "V$RULE_SET_AGGREGATE_STATS displays statistics aggregated over all evaluations on all rule sets. This view has a row for each type of statistic.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_APPLY_COORDINATOR",
              "-desc": "V$STREAMS_APPLY_COORDINATOR displays information about each apply process coordinator. The coordinator for an apply process gets transactions from the apply process reader and passes them to apply servers. An apply process coordinator is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TOTAL_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_DEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_COMMITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IGNORED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNASSIGNED_COMPLETE_TXNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTO_TXN_BUFFER_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_IDLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "HWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "PROCESSED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_APPLY_COORDINATOR",
              "-desc": "V$STREAMS_APPLY_COORDINATOR displays information about each apply process coordinator. The coordinator for an apply process gets transactions from the apply process reader and passes them to apply servers. An apply process coordinator is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TOTAL_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_DEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_COMMITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IGNORED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNASSIGNED_COMPLETE_TXNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTO_TXN_BUFFER_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_IDLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "HWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "PROCESSED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_APPLY_READER",
              "-desc": "V$STREAMS_APPLY_READER displays information about each apply reader. The apply reader is a process which reads (dequeues) messages from the queue, computes message dependencies, and builds transactions. It passes the transactions on to the coordinator in commit order for assignment to the apply servers. An apply reader is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_DEQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_SPILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_BROWSE_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_SCN_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_BROWSE_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQ_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_LWM_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CAPTURE_BYTES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "LAST_BROWSE_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "OLDEST_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "SPILL_LWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64,,BYTE)"
                }
                ,{
                  "-name": "OLDEST_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_DEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_WMDEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IN_MEMORY_LCRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_APPLY_READER",
              "-desc": "V$STREAMS_APPLY_READER displays information about each apply reader. The apply reader is a process which reads (dequeues) messages from the queue, computes message dependencies, and builds transactions. It passes the transactions on to the coordinator in commit order for assignment to the apply servers. An apply reader is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_DEQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_SPILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_BROWSE_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_SCN_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_BROWSE_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_DEQ_SEQ",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_LWM_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CAPTURE_BYTES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_BROWSE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "OLDEST_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "SPILL_LWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "OLDEST_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_DEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_WMDEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IN_MEMORY_LCRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_APPLY_SERVER",
              "-desc": "V$STREAMS_APPLY_SERVER displays information about each apply server and its activities. An apply server receives messages from the apply coordinator for an apply process. For each message received, an apply server either applies the message or sends the message to the appropriate apply handler. An apply server is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SERVER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_APPLY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "DEP_COMMIT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_APPLY_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEP_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LCR_RETRY_ITERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TXNS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXN_RETRY_ITERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TXNS_RECORDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_CAPTURE",
              "-desc": "V$STREAMS_CAPTURE displays information about each capture process that sends LCRs to an XStream outbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LOGMINER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(551)"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_DISCARDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_KEPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CAPTURED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CAPTURE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CREATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_FULL_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ENQUEUE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVAILABLE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVAILABLE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_CAPTURE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_LCR_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_REDO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PAUSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE_CHANGED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "APPLY_DBLINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "APPLY_MESSAGES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OPTIMIZATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PURPOSE",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_OF_REDO_MINED",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_RESTART_SCN",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_MESSAGE_TRACKING",
              "-desc": "V$STREAMS_MESSAGE_TRACKING displays information about LCRs tracked through the stream that are processed by each Streams client. Use the DBMS_STREAMS_ADM.SET_MESSAGE_TRACKING procedure to specify a tracking label that becomes part of each LCR generated by the current session.",
              "fields": [
                {
                  "-name": "TRACKING_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "RAW(30 BYTE)"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ACTION_DETAILS",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(9) WITH TIME ZONE"
                }
                ,{
                  "-name": "MESSAGE_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRACKING_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "PURPOSE",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_POOL_STATISTICS",
              "-desc": "V$STREAMS_POOL_STATISTICS displays information about the current Streams pool usage percentage.",
              "fields": [
                {
                  "-name": "TOTAL_MEMORY_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_TARGET_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SHRINK_PHASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ADVICE_DISABLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$STREAMS_TRANSACTION",
              "-desc": "V$STREAMS_TRANSACTION displays information about transactions that are being processed by capture processes or apply processes. This view can be used to identify long running transactions and to determine how many logical change records (LCRs) are being processed in each transaction. This view only contains information about captured LCRs; not user-enqueued LCRs or user messages. Information remains in the view until the transaction commits or is rolled back.",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUMULATIVE_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PURPOSE",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$SUBSCR_REGISTRATION_STATS",
              "-desc": "V$SUBSCR_REGISTRATION_STATS displays information for diagnosability of notifications.",
              "fields": [
                {
                  "-name": "REG_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_GROUPING_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NTFNS_CURRENT_GROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_NTFN_START_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_NTFN_SENT_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "TOTAL_EMON_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMON#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ALL_EMON_SERVERS",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
                ,{
                  "-name": "TOTAL_PAYLOAD_BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_RETRIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PLSQL_EXEC_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ERR",
                  "-null": "",
                  "-type": "VARCHAR2(90)"
                }
                ,{
                  "-name": "LAST_ERR_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_UPDATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3) WITH TIME ZONE"
                }
                ,{
                  "-name": "NUM_PENDING_NTFNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PENDING_NTFN_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_APPLY_COORDINATOR",
              "-desc": "V$XSTREAM_APPLY_COORDINATOR displays information about each XStream apply process coordinator. The coordinator for an apply process gets transactions from the apply process reader and passes them to apply servers. An apply process coordinator is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(21)"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TOTAL_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_DEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_WAIT_COMMITS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IGNORED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ERRORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNASSIGNED_COMPLETE_TXNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "HWM_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HWM_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_IDLE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "HWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "PROCESSED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_APPLY_READER",
              "-desc": "V$XSTREAM_APPLY_READER displays information about each XStream apply reader. The apply reader is a process which reads (dequeues) messages from the queue, computes message dependencies, and builds transactions. It passes the transactions on to the coordinator in commit order for assignment to the apply servers. An apply reader is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_DEQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_SPILLED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SCHEDULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_SPILL_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_SCN_NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OLDEST_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPILL_LWM_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SERIAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BYTES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEQUEUED_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "SPILL_LWM_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "OLDEST_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_DEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_WITH_WMDEP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_IN_MEMORY_LCRS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_APPLY_RECEIVER",
              "-desc": "V$XSTREAM_APPLY_RECEIVER displays information about the message receiver of the apply process. The values are reset to zero when the database (or instance in an Oracle Real Application Clusters (Oracle RAC) environment) restarts, when apply migrates to another instance, or when the XStream process is stopped.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACKNOWLEDGEMENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_RECEIVED_MSG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_RECEIVED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_AVAILABLE_MESSAGES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(44)"
                }
                ,{
                  "-name": "LAST_RECEIVED_MSG_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "ACKNOWLEDGEMENT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_APPLY_SERVER",
              "-desc": "V$XSTREAM_APPLY_SERVER displays information about each XStream apply server and its activities. An apply server receives messages from the apply coordinator for an apply process. For each message received, an apply server either applies the message or sends the message to the appropriate apply handler. An apply server is a subcomponent of an apply process, outbound server, or inbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SERVER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEP_COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ASSIGNED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ADMIN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_ROLLBACKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_APPLIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLIED_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_DEQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_APPLY_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "DEP_COMMIT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_APPLY_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEP_TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_LCRS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LCR_RETRY_ITERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TXNS_RETRIED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TXN_RETRY_ITERATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TXNS_RECORDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_CAPTURE",
              "-desc": "V$XSTREAM_CAPTURE displays information about each capture process that sends LCRs to an XStream outbound server.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LOGMINER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(551)"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_DISCARDED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_KEPT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_PREFILTER_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CAPTURED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CAPTURE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CAPTURE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_CREATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_FULL_EVALUATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_ENQUEUED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ENQUEUE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AVAILABLE_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVAILABLE_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_CAPTURE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_RULE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_ENQUEUE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_LCR_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_REDO_WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_PAUSE_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE_CHANGED_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SGA_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES_OF_REDO_MINED",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSION_RESTART_SCN",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_MESSAGE_TRACKING",
              "-desc": "V$XSTREAM_MESSAGE_TRACKING displays information about LCRs tracked through the stream that are processed by XStream components.",
              "fields": [
                {
                  "-name": "TRACKING_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TAG",
                  "-null": "",
                  "-type": "RAW(30 BYTE)"
                }
                ,{
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ACTION_DETAILS",
                  "-null": "",
                  "-type": "VARCHAR2(100)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(9) WITH TIME ZONE"
                }
                ,{
                  "-name": "MESSAGE_CREATION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TRACKING_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "SOURCE_DATABASE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMAND_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_OUTBOUND_SERVER",
              "-desc": "V$XSTREAM_OUTBOUND_SERVER displays statistics about an outbound server. An outbound server sends LCRs to the XStream client application.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "SERVER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMITSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_TRANSACTIONS_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEND_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_SENT_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_SENT_MESSAGE_CREATE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "ELAPSED_SEND_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_SENT_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "BYTES_SENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMITTED_DATA_ONLY",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_TABLE_STATS",
              "-desc": "V$XSTREAM_TABLE_STATS shows the statistics for all the tables processed by each apply server for the current session.",
              "fields": [
                {
                  "-name": "APPLY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SERVER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOURCE_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SOURCE_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESTINATION_TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DESTINATION_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "LAST_UPDATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TOTAL_INSERTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_UPDATES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_DELETES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSERT_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UPDATE_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELETE_COLLISIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPERROR_RECORDS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPERROR_IGNORES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_DEPENDENCIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_INSERT_ROW_EXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_UPDATE_ROW_EXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_UPDATE_ROW_MISSING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_DELETE_ROW_EXISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_DELETE_ROW_MISSING",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_SUCCESSFUL_RESOLUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDR_FAILED_RESOLUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Streams",
              "-name": "V$XSTREAM_TRANSACTION",
              "-desc": "V$XSTREAM_TRANSACTION displays information about transactions that are being processed by capture processes, outbound servers, and inbound servers. This view can identify long running transactions and to display how many LCRs are being processed in each transaction. This view only contains information about captured LCRs. It does not contain information about user-enqueued LCRs or user messages.",
              "fields": [
                {
                  "-name": "COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUMULATIVE_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Transactions",
              "-name": "V$GLOBAL_TRANSACTION",
              "-desc": "V$GLOBAL_TRANSACTION displays information on the currently active global transactions.",
              "fields": [
                {
                  "-name": "FORMATID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBALID",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "BRANCHID",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "BRANCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REFCOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREPARECOUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(38)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COUPLING",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Transactions",
              "-name": "V$LOGSTDBY_TRANSACTION",
              "-desc": "V$LOGSTDBY_TRANSACTION displays all transactions that are actively being processed by SQL Apply. The transaction identifiers shown in this view are those mined from the redo stream and correspond to transaction identifiers assigned at the primary database, and do not correspond to the transactions that are active at the logical standby database. For information regarding transactions active in the logical standby database, including those created as part of SQL Apply, query the V$TRANSACTION view at the logical standby database.",
              "fields": [
                {
                  "-name": "PRIMARY_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PRIMARY_START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_START_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIMARY_PARENT_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "MINING_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "SRC_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "APPLY_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Transactions",
              "-name": "V$STREAMS_TRANSACTION",
              "-desc": "V$STREAMS_TRANSACTION displays information about transactions that are being processed by capture processes or apply processes. This view can be used to identify long running transactions and to determine how many logical change records (LCRs) are being processed in each transaction. This view only contains information about captured LCRs. It does not contain information about user-enqueued LCRs or user messages.",
              "fields": [
                {
                  "-name": "STREAMS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STREAMS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CUMULATIVE_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_MESSAGE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FIRST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_MESSAGE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MESSAGE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "LAST_MESSAGE_POSITION",
                  "-null": "",
                  "-type": "RAW(64 BYTE)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PURPOSE",
                  "-null": "",
                  "-type": "CHAR(7)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Transactions",
              "-name": "V$TRANSACTION",
              "-desc": "V$TRANSACTION lists the active transactions in the system.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSLOT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "START_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "START_SCNB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCNW",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UEXT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBAFIL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBABLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBASQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_UBAREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SES_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RECURSIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOUNDO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PTX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "PRV_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRV_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRV_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDUSN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDSLT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PTX_XIDSQN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN-B",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN-W",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_UBLK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USED_UREC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOG_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PHY_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_GET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CR_CHANGE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DSCN_BASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DSCN_WRAP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "START_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEPENDENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PRV_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PTX_XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Transactions",
              "-name": "V$TRANSACTION_ENQUEUE",
              "-desc": "V$TRANSACTION_ENQUEUE displays locks owned by transaction state objects.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
          ]
        },
        {
          "-name": "Architecture Views", "-style": "arch_views",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "views": [
            {
              "-category": "Database Architecture Views",
              "-name": "AUDIT_UNIFIED_POLICIES",
              "-desc": "Displays list of all Unified Audit policies.",
              "fields": [
                {
                  "-name": "POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CONDITION_EVAL_OPT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "AUDIT_OPTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DATABASE_PROPERTIES",
              "-desc": "DATABASE_PROPERTIES lists permanent database properties.",
              "fields": [
                {
                  "-name": "PROPERTY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROPERTY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_ADVISOR_TASKS",
              "-desc": "Information about all advisor tasks ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARENT_TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARENT_RXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_TYPE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EXECUTION_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXECUTION_END",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STATUS_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PCT_COMPLETION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRESS_METRIC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNITS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTIVITY_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RECOMMENDATION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_MESSAGE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOW_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SYSTEM_TASK",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ADVISOR_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_AUTOTASK_TASK",
              "-desc": "Information about current and past autmated maintenance tasks",
              "fields": [
                {
                  "-name": "CLIENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_TARGET_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "TASK_TARGET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "OPERATION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TASK_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIORITY_OVERRIDE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DEFERRED_WINDOW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "CURRENT_JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "JOB_SCHEDULER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "ESTIMATE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ESTIMATED_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_IO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ESTIMATED_UNDO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_GOOD_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_IO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_UNDO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CPU_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_UNDO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_TEMP_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_GOOD_CONTENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TRY_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_TRY_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_TRY_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_RESULT",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "LAST_TRY_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_IO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_UNDO_RATE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CPU_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_UNDO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_TEMP_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_TRY_CONTENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_TEMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_DOP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_IO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_UNDO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CPU_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_IO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_UNDO_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_TEMP_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CONCURRENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MEAN_GOOD_CONTENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO_FIELD_1",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "INFO_FIELD_2",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "INFO_FIELD_3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INFO_FIELD_4",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_CATALOG",
              "-desc": "All database tables, views, synonyms, sequences",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_CLUSTERS",
              "-desc": "Description of all clusters ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KEY_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "HASHKEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "SINGLE_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_CONSTRAINTS",
              "-desc": "Constraint definitions on all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSTRAINT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSTRAINT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEARCH_CONDITION",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "R_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "R_CONSTRAINT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DELETE_RULE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DEFERRABLE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "DEFERRED",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "VALIDATED",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "BAD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RELY",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "LAST_CHANGE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVALID",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "VIEW_RELATED",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_CONTEXT",
              "-desc": "Description of all context namespace information",
              "fields": [
                {
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_CREDENTIALS",
              "-desc": "Lists all credentials in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOWS_DOMAIN",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_DATA_FILES",
              "-desc": "Information about database data files",
              "fields": [
                {
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTOEXTENSIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MAXBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXBLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENT_BY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ONLINE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_DB_LINKS",
              "-desc": "All database links ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_LINK",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOST",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_DIMENSIONS",
              "-desc": "All dimension objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIMENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INVALID",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPILE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "REVISION",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_DIRECTORIES",
              "-desc": "Information on all directory objects",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTORY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DIRECTORY_PATH",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_EDITIONING_VIEWS",
              "-desc": "All editioning views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_EDITIONS",
              "-desc": "All editions ",
              "fields": [
                {
                  "-name": "EDITION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_EVALUATION_CONTEXTS",
              "-desc": "Rule evaluation contexts ",
              "fields": [
                {
                  "-name": "EVALUATION_CONTEXT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVALUATION_FUNCTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVALUATION_CONTEXT_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_EXTENTS",
              "-desc": "Extents comprising all segments ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_EXTERNAL_TABLES",
              "-desc": "External tables accessible to the DBA",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEFAULT_DIRECTORY_OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "DEFAULT_DIRECTORY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REJECT_LIMIT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ACCESS_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ACCESS_PARAMETERS",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PROPERTY",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_FEATURE_USAGE_STATISTICS",
              "-desc": "Database feature usage statistics",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "DETECTED_USAGES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOTAL_SAMPLES",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENTLY_USED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "FIRST_USAGE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_USAGE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "AUX_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FEATURE_INFO",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "LAST_SAMPLE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_SAMPLE_PERIOD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_INTERVAL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_FLASHBACK_ARCHIVE",
              "-desc": "Flashback archives available in the system",
              "fields": [
                {
                  "-name": "OWNER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "FLASHBACK_ARCHIVE#",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION_IN_DAYS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
                ,{
                  "-name": "LAST_PURGE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_HEAT_MAP_SEGMENT",
              "-desc": "Displays the latest segment access time for all segments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_WRITE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SEGMENT_READ_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "FULL_SCAN",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOOKUP_SCAN",
                  "-null": "",
                  "-type": "DATE"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_HIST_SNAPSHOT",
              "-desc": "Snapshot information",
              "fields": [
                {
                  "-name": "SNAP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "BEGIN_INTERVAL_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "END_INTERVAL_TIME",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "FLUSH_ELAPSED",
                  "-null": "",
                  "-type": "INTERVAL DAY(5) TO SECOND(1)"
                }
                ,{
                  "-name": "SNAP_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ERROR_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_FLAG",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SNAP_TIMEZONE",
                  "-null": "",
                  "-type": "INTERVAL DAY(0) TO SECOND(0)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_IND_PARTITIONS",
              "-desc": "Displays, for each index partition in the database, the partition-level partitioning information, the storage parameters for the partition, and various partition statistics generated by the DBMS_STATS package",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PCT_DIRECT_ACCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DOMIDX_OPSTATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ORPHANED_ENTRIES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_IND_STATISTICS",
              "-desc": "Displays optimizer statistics for all indexes in the database collected using the DBMS_STATS package",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHE_HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATTYPE_LOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STALE_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_IND_SUBPARTITIONS",
              "-desc": "Provides information on all index subpartitions. the subpartition-level partitioning information, the storage parameters for the subpartition, and various subpartition statistics generated by the DBMS_STATS package",
              "fields": [
                {
                  "-name": "INDEX_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_INDEXES",
              "-desc": "All indexes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEX_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(27)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "UNIQUENESS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PREFIX_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCLUDE_COLUMN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LEAF_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISTINCT_KEYS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_LEAF_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_DATA_BLOCKS_PER_KEY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLUSTERING_FACTOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "PCT_DIRECT_ACCESS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ITYP_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ITYP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARAMETERS",
                  "-null": "",
                  "-type": "VARCHAR2(1000)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DOMIDX_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DOMIDX_OPSTATUS",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "FUNCIDX_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "JOIN_INDEX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_REDUNDANT_PKEY_ELIM",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "VISIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DOMIDX_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ORPHANED_ENTRIES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_INDEXTYPES",
              "-desc": "All indextypes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INDEXTYPE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLEMENTATION_SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLEMENTATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERFACE_VERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPLEMENTATION_VERSION",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_OPERATORS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITIONING",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ARRAY_DML",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MAINTENANCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_JAVA_CLASSES",
              "-desc": "Class level information of all stored java classes",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "MAJOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MINOR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "KIND",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "ACCESSIBILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "IS_INNER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_ABSTRACT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_STATIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_STRICTFP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_SYNTHETIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_DEBUG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SUPER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OUTER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_LIBRARIES",
              "-desc": "Description of all libraries ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LIBRARY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FILE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "DYNAMIC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LEAF_FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "ORIGIN_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_LOB_PARTITIONS",
              "-desc": "All lob partitions ",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_INDPART_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCTVERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MINRETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEDUPLICATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_LOB_SUBPARTITIONS",
              "-desc": "All lob subpartitions ",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "LOB_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOB_INDSUBPART_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCTVERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MINRETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEDUPLICATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_LOBS",
              "-desc": "Description of lobs contained in all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INDEX_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHUNK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCTVERSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREEPOOLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPT",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEDUPLICATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "IN_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SECUREFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RETENTION_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_MVIEW_LOGS",
              "-desc": "All materialized view logs ",
              "fields": [
                {
                  "-name": "LOG_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOG_TRIGGER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ROWIDS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIMARY_KEY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FILTER_COLUMNS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEQUENCE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCLUDE_NEW_VALUES",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGE_ASYNCHRONOUS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGE_DEFERRED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PURGE_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PURGE_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "LAST_PURGE_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_PURGE_STATUS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_ROWS_PURGED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_SCN_BASED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STAGING_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_MVIEWS",
              "-desc": "All materialized views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MVIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONTAINER_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUERY",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "QUERY_LEN",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "UPDATABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UPDATE_LOG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MASTER_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REWRITE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REWRITE_CAPABILITY",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "REFRESH_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "REFRESH_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "BUILD_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FAST_REFRESHABLE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "LAST_REFRESH_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LAST_REFRESH_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STALENESS",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "AFTER_FAST_REFRESH",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "UNKNOWN_PREBUILT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_PLSQL_FUNC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_EXTERNAL_TABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_CONSIDER_FRESH",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_IMPORT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "UNKNOWN_TRUSTED_FD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPILE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "USE_NO_INDEX",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "STALE_SINCE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NUM_PCT_TABLES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FRESH_PCT_REGIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_STALE_PCT_REGIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "EVALUATION_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEFORE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "UNUSABLE_BEGINNING",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_NESTED_TABLES",
              "-desc": "Nested tables contained in all tables",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARENT_TABLE_COLUMN",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STORAGE_SPEC",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "RETURN_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "ELEMENT_SUBSTITUTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_OBJECT_TABLES",
              "-desc": "All object tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TABLE_LOCK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OBJECT_ID_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TABLE_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ROW_MOVEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SKIP_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLUSTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_OBJECTS",
              "-desc": "Describes all objects (across all editions) in the database",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATA_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_DDL_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "GENERATED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EDITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SHARING",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "EDITIONABLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ORACLE_MAINTAINED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_OPERATORS",
              "-desc": "All operators",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATOR_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_OF_BINDS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_OUTLINES",
              "-desc": "Stored outlines",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USED",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "TIMESTAMP",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "COMPATIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FORMAT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "MIGRATED",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_OUTSTANDING_ALERTS",
              "-desc": "All outstanding alerts",
              "fields": [
                {
                  "-name": "SEQUENCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REASON_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TIME_SUGGESTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "CREATION_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SUGGESTED_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ADVISOR_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "METRIC_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MESSAGE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "MESSAGE_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MESSAGE_LEVEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HOSTING_CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PROCESS_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HOST_ID",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "HOST_NW_ADDR",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXECUTION_CONTEXT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ERROR_INSTANCE_ID",
                  "-null": "",
                  "-type": "VARCHAR2(142)"
                }
                ,{
                  "-name": "STATE_TRANSITION_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_PART_COL_STATISTICS",
              "-desc": "Column statistics and histogram information for all table partitions ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_POLICIES",
              "-desc": "All row level security policies ",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_GROUP",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "POLICY_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PF_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PACKAGE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "FUNCTION",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "UPD",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IDX",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CHK_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ENABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATIC_POLICY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "POLICY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "LONG_PREDICATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_PROCEDURES",
              "-desc": "All functions and procedures, along with associated properties, such as whether or not a function is pipelined, parallel enabled, and so on",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OVERLOAD",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "AGGREGATE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PIPELINED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IMPLTYPEOWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IMPLTYPENAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERFACE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DETERMINISTIC",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTHID",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ORIGIN_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_PROFILES",
              "-desc": "All profiles and their limits",
              "fields": [
                {
                  "-name": "PROFILE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOURCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "RESOURCE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "LIMIT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_QUEUES",
              "-desc": "All database queues",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUE_TABLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QUEUE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "MAX_RETRIES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_DELAY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENQUEUE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "DEQUEUE_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "USER_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(50)"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "SHARDED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_RECYCLEBIN",
              "-desc": "Description of the recyclebin view accessible to the user",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGINAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "TS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATETIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "DROPTIME",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "DROPSCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CAN_UNDROP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CAN_PURGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RELATED",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BASE_OBJECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PURGE_OBJECT",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_REFRESH",
              "-desc": "All the refresh groups",
              "fields": [
                {
                  "-name": "ROWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "REFGROUP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IMPLICIT_DESTROY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PUSH_DEFERRED_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REFRESH_AFTER_ERRORS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ROLLBACK_SEG",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(200)"
                }
                ,{
                  "-name": "BROKEN",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "PURGE_OPTION",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "PARALLELISM",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
                ,{
                  "-name": "HEAP_SIZE",
                  "-null": "",
                  "-type": "NUMBER(38)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_REGISTRY",
              "-desc": "Information about the components loaded into the database",
              "fields": [
                {
                  "-name": "COMP_ID",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "MODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "NAMESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CONTROL",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROCEDURE",
                  "-null": "",
                  "-type": "VARCHAR2(61)"
                }
                ,{
                  "-name": "STARTUP",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PARENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OTHER_SCHEMAS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_ROLES",
              "-desc": "All roles which exist ",
              "fields": [
                {
                  "-name": "ROLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PASSWORD_REQUIRED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ORACLE_MAINTAINED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_ROLLBACK_SEGS",
              "-desc": "Description of rollback segments",
              "fields": [
                {
                  "-name": "SEGMENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SEGMENT_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "INSTANCE_NUM",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_RSRC_CONSUMER_GROUPS",
              "-desc": "All the resource consumer groups",
              "fields": [
                {
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CPU_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MGMT_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERNAL_USE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_RSRC_GROUP_MAPPINGS",
              "-desc": "All the consumer group mappings",
              "fields": [
                {
                  "-name": "ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_RSRC_PLANS",
              "-desc": "All the resource plans",
              "fields": [
                {
                  "-name": "PLAN_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_PLAN_DIRECTIVES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MGMT_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ACTIVE_SESS_POOL_MTH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARALLEL_DEGREE_LIMIT_MTH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "QUEUEING_MTH",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUB_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(2000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MANDATORY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_RULE_SETS",
              "-desc": "Rule sets ",
              "fields": [
                {
                  "-name": "RULE_SET_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_EVAL_CONTEXT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_EVAL_CONTEXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_RULES",
              "-desc": "Rules in the databse",
              "fields": [
                {
                  "-name": "RULE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_CONDITION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "RULE_EVALUATION_CONTEXT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_EVALUATION_CONTEXT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_ACTION_CONTEXT",
                  "-null": "",
                  "-type": "RE$NV_LIST()"
                }
                ,{
                  "-name": "RULE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_CHAINS",
              "-desc": "All Scheduler chains ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CHAIN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_OF_RULES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUMBER_OF_STEPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "EVALUATION_INTERVAL",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "USER_RULE_SET",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_DESTS",
              "-desc": "All possible destination objects for jobs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_JOB_CLASSES",
              "-desc": "All Scheduler classes ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_CLASS_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOURCE_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "LOGGING_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "LOG_HISTORY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_JOBS",
              "-desc": "All Scheduler jobs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_SUBNAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "JOB_STYLE",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "JOB_CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "GLOBAL_UID",
                  "-null": "",
                  "-type": "VARCHAR2(33)"
                }
                ,{
                  "-name": "PROGRAM_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "JOB_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "JOB_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUMBER_OF_ARGUMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEDULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "EVENT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_RULE",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FILE_WATCHER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FILE_WATCHER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "JOB_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "AUTO_DROP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_RECOVERY",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RESTART_ON_FAILURE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "JOB_PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RUN_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILURE_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETRY_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(9) TO SECOND(6)"
                }
                ,{
                  "-name": "NEXT_RUN_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "SCHEDULE_LIMIT",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "MAX_RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "LOGGING_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "STORE_OUTPUT",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STOP_ON_WINDOW_CLOSE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "INSTANCE_STICKINESS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "RAISE_EVENTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SYSTEM",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "JOB_WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NLS_ENV",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SOURCE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUMBER_OF_DESTINATIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DESTINATION_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESTINATION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEFERRED_DROP",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ALLOW_RUNS_IN_RESTRICTED_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESTARTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "CONNECT_CREDENTIAL_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CONNECT_CREDENTIAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_PROGRAMS",
              "-desc": "All Scheduler programs ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROGRAM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PROGRAM_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PROGRAM_ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUMBER_OF_ARGUMENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DETACHED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SCHEDULE_LIMIT",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "PRIORITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WEIGHT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RUNS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_FAILURES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_RUN_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "NLS_ENV",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_SCHEDULES",
              "-desc": "All schedules ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "EVENT_QUEUE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_QUEUE_AGENT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EVENT_CONDITION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FILE_WATCHER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "FILE_WATCHER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_WINDOW_GROUPS",
              "-desc": "All Scheduler window groups ",
              "fields": [
                {
                  "-name": "WINDOW_GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "NUMBER_OF_WINDOWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_START_DATE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SCHEDULER_WINDOWS",
              "-desc": "All Scheduler windows ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "WINDOW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "RESOURCE_PLAN",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEDULE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "SCHEDULE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "REPEAT_INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "END_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "WINDOW_PRIORITY",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "NEXT_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "LAST_START_DATE",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ACTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "MANUAL_OPEN_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH TIME ZONE"
                }
                ,{
                  "-name": "MANUAL_DURATION",
                  "-null": "",
                  "-type": "INTERVAL DAY(3) TO SECOND(0)"
                }
                ,{
                  "-name": "COMMENTS",
                  "-null": "",
                  "-type": "VARCHAR2(240)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SEGMENTS",
              "-desc": "Storage allocated for all database segments",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEGMENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SEGMENT_SUBTYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "HEADER_FILE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HEADER_BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MINRETENTION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SEQUENCES",
              "-desc": "All sequences ",
              "fields": [
                {
                  "-name": "SEQUENCE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SEQUENCE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "MIN_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENT_BY",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CYCLE_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ORDER_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CACHE_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_NUMBER",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_FLAG",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "KEEP_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SERVICES",
              "-desc": "All services ",
              "fields": [
                {
                  "-name": "SERVICE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATION_DATE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FAILOVER_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FAILOVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FAILOVER_RETRIES",
                  "-null": "",
                  "-type": "NUMBER(10)"
                }
                ,{
                  "-name": "FAILOVER_DELAY",
                  "-null": "",
                  "-type": "NUMBER(10)"
                }
                ,{
                  "-name": "MIN_CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_CARDINALITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DTP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AQ_HA_NOTIFICATIONS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLB_GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMMIT_OUTCOME",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_INITIATION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE_CONSISTENCY",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GLOBAL_SERVICE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PDB",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(261)"
                }
                ,{
                  "-name": "MAX_LAG_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GSM_FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SQL_PATCHES",
              "-desc": "Displays the set of SQL Patches",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FORCE_MATCHING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_EXEC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_OBJ_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_FND_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SQL_PLAN_BASELINES",
              "-desc": "Set of plan baselines",
              "fields": [
                {
                  "-name": "SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_HANDLE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "PLAN_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGIN",
                  "-null": "",
                  "-type": "VARCHAR2(14)"
                }
                ,{
                  "-name": "PARSING_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_EXECUTED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_VERIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ACCEPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FIXED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REPRODUCED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AUTOPURGE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ADAPTIVE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "OPTIMIZER_COST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EXECUTIONS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ELAPSED_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BUFFER_GETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DISK_READS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DIRECT_WRITES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROWS_PROCESSED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FETCHES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "END_OF_FETCH_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SQL_PLAN_DIRECTIVES",
              "-desc": "Displays information about the SQL plan directives in the system",
              "fields": [
                {
                  "-name": "DIRECTIVE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "AUTO_DROP",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "REASON",
                  "-null": "",
                  "-type": "VARCHAR2(36)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_USED",
                  "-null": "",
                  "-type": "TIMESTAMP(9)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SQL_PROFILES",
              "-desc": "Set of SQL profiles",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "CATEGORY",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SIGNATURE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "NOT NULL",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "TIMESTAMP(6)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(500)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "FORCE_MATCHING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TASK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_EXEC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TASK_OBJ_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_FND_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_REC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TASK_CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SQLSET",
              "-desc": "Information about all SQL tuning sets ",
              "fields": [
                {
                  "-name": "ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(256)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_MODIFIED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATEMENT_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_STAT_EXTENSIONS",
              "-desc": "Optimizer statistics extensions",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTENSION_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTENSION",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DROPPABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SUBPART_COL_STATISTICS",
              "-desc": "Column statistics and histogram information for all subpartitions ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SYNONYMS",
              "-desc": "All synonyms ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SYNONYM_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DB_LINK",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ORIGIN_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_SYS_PRIVS",
              "-desc": "System privileges granted to users and roles",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "ADMIN_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TAB_COL_STATISTICS",
              "-desc": "Column statistics on tables, views and clusters",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "NUM_DISTINCT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOW_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "RAW(1000 BYTE)"
                }
                ,{
                  "-name": "DENSITY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_NULLS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_BUCKETS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "NOTES",
                  "-null": "",
                  "-type": "VARCHAR2(41)"
                }
                ,{
                  "-name": "AVG_COL_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HISTOGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TAB_PARTITIONS",
              "-desc": "Partition storage parameters, and partition statistics determined by analyze statements for all partitions ",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COMPOSITE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IS_NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PARENT_TABLE_PARTITION",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(4)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TAB_PRIVS",
              "-desc": "All grants on objects ",
              "fields": [
                {
                  "-name": "GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "GRANTOR",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "GRANTABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "HIERARCHY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TAB_STATISTICS",
              "-desc": "Optimizer statistics for all tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHED_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_CACHE_HIT_RATIO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATTYPE_LOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "STALE_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCOPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TAB_SUBPARTITIONS",
              "-desc": "Table subpartition information including name of the table and partition to which it belongs",
              "fields": [
                {
                  "-name": "TABLE_OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBPARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "HIGH_VALUE",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "HIGH_VALUE_LENGTH",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SUBPARTITION_POSITION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INTERVAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INDEXING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TABLES",
              "-desc": "Description of all relational tables ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CLUSTER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "IOT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PCT_FREE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_USED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INI_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_TRANS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELISTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FREELIST_GROUPS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKED_UP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NUM_ROWS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EMPTY_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CHAIN_CNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_ROW_LEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AVG_SPACE_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NUM_FREELIST_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DEGREE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "INSTANCES",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "TABLE_LOCK",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SAMPLE_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_ANALYZED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PARTITIONED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "IOT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "TEMPORARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SECONDARY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "NESTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BUFFER_POOL",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CELL_FLASH_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ROW_MOVEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GLOBAL_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "USER_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DURATION",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SKIP_CORRUPT",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "MONITORING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLUSTER_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DEPENDENCIES",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DROPPED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_CREATED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESULT_CACHE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CLUSTERING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ACTIVITY_TRACKING",
                  "-null": "",
                  "-type": "VARCHAR2(23)"
                }
                ,{
                  "-name": "DML_TIMESTAMP",
                  "-null": "",
                  "-type": "VARCHAR2(25)"
                }
                ,{
                  "-name": "HAS_IDENTITY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CONTAINER_DATA",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TABLESPACE_GROUPS",
              "-desc": "Description of all tablespace groups",
              "fields": [
                {
                  "-name": "GROUP_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TABLESPACES",
              "-desc": "Description of all tablespaces",
              "fields": [
                {
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INITIAL_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_EXTENT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTENTS",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_EXTENTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAX_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PCT_INCREASE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MIN_EXTLEN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CONTENTS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "FORCE_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "EXTENT_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ALLOCATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "PLUGGED_IN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SEGMENT_SPACE_MANAGEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "DEF_TAB_COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "RETENTION",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BIGFILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PREDICATE_EVALUATION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "ENCRYPTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESS_FOR",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TEMP_FILES",
              "-desc": "Information about database temp files",
              "fields": [
                {
                  "-name": "FILE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTOEXTENSIBLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MAXBYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MAXBLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INCREMENT_BY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TRIGGERS",
              "-desc": "All triggers ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRIGGER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TRIGGER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRIGGERING_EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(246)"
                }
                ,{
                  "-name": "TABLE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "BASE_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "TABLE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "REFERENCING_NAMES",
                  "-null": "",
                  "-type": "VARCHAR2(422)"
                }
                ,{
                  "-name": "WHEN_CLAUSE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "TRIGGER_BODY",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "CROSSEDITION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "BEFORE_STATEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BEFORE_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AFTER_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "AFTER_STATEMENT",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTEAD_OF_ROW",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FIRE_ONCE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLY_SERVER_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_TYPES",
              "-desc": "All types ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TYPE_OID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "TYPECODE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREDEFINED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INCOMPLETE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FINAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "INSTANTIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPERTYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPERTYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "LOCAL_ATTRIBUTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOCAL_METHODS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPEID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_UNDO_EXTENTS",
              "-desc": "Extents comprising all segments in the system managed undo tablespaces",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "CHAR(3)"
                }
                ,{
                  "-name": "SEGMENT_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RELATIVE_FNO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_JTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "COMMIT_WTIME",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_USERS",
              "-desc": "All users of schemas ",
              "fields": [
                {
                  "-name": "USERNAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "NOT NULL",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PASSWORD",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ACCOUNT_STATUS",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "LOCK_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "EXPIRY_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DEFAULT_TABLESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TEMPORARY_TABLESPACE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "NOT NULL",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PROFILE",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "INITIAL_RSRC_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "PASSWORD_VERSIONS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "EDITIONS_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PROXY_ONLY_CONNECT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMMON",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "LAST_LOGIN",
                  "-null": "",
                  "-type": "TIMESTAMP(9) WITH TIME ZONE"
                }
                ,{
                  "-name": "ORACLE_MAINTAINED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_USTATS",
              "-desc": "Statistics collected on either tables or indexes",
              "fields": [
                {
                  "-name": "OBJECT_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "PARTITION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(6)"
                }
                ,{
                  "-name": "ASSOCIATION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "COLUMN_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATSTYPE_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATSTYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "STATISTICS",
                  "-null": "",
                  "-type": "RAW(2000 BYTE)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_VIEWS",
              "-desc": "All views ",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEXT",
                  "-null": "",
                  "-type": "LONG()"
                }
                ,{
                  "-name": "TEXT_VC",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "TYPE_TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OID_TEXT_LENGTH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OID_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "VIEW_TYPE_OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "VIEW_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUPERVIEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "EDITIONING_VIEW",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "READ_ONLY",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CONTAINER_DATA",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "BEQUEATH",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "ORIGIN_CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "DBA_XML_SCHEMAS",
              "-desc": "All xml schemas registered",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(700)"
                }
                ,{
                  "-name": "LOCAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCHEMA",
                  "-null": "",
                  "-type": "XMLTYPE()"
                }
                ,{
                  "-name": "INT_OBJNAME",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "QUAL_SCHEMA_URL",
                  "-null": "",
                  "-type": "VARCHAR2(865)"
                }
                ,{
                  "-name": "HIER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BINARY",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SCHEMA_ID",
                  "-null": "",
                  "-type": "RAW(16 BYTE)"
                }
                ,{
                  "-name": "HIDDEN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "UNIFIED_AUDIT_TRAIL",
              "-desc": "The unified audit trail view itself.",
              "fields": [
                {
                  "-name": "AUDIT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROXY_SESSIONID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "USERHOST",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUTHENTICATION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "DBUSERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBPROXY_USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXTERNAL_USERID",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "GLOBAL_USERID",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "CLIENT_PROGRAM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "DBLINK_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "XS_SESSIONID",
                  "-null": "",
                  "-type": "RAW(33 BYTE)"
                }
                ,{
                  "-name": "ENTRY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATEMENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT_TIMESTAMP",
                  "-null": "",
                  "-type": "TIMESTAMP(6) WITH LOCAL TIME ZONE"
                }
                ,{
                  "-name": "ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OS_PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "TRANSACTION_ID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXECUTION_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "OBJECT_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "SQL_BINDS",
                  "-null": "",
                  "-type": "CLOB"
                }
                ,{
                  "-name": "APPLICATION_CONTEXTS",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NEW_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "NEW_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SYSTEM_PRIVILEGE_USED",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "SYSTEM_PRIVILEGE",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "AUDIT_OPTION",
                  "-null": "",
                  "-type": "VARCHAR2(40)"
                }
                ,{
                  "-name": "OBJECT_PRIVILEGES",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TARGET_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXCLUDED_USER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXCLUDED_SCHEMA",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "EXCLUDED_OBJECT",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "ADDITIONAL_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "UNIFIED_AUDIT_POLICIES",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "FGA_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_INACTIVITY_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XS_ENTITY_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_TARGET_PRINCIPAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROXY_USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_DATASEC_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_SCHEMA_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_CALLBACK_EVENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "XS_PACKAGE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_PROCEDURE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_ENABLED_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_COOKIE",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
                ,{
                  "-name": "XS_NS_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_OLD_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "XS_NS_ATTRIBUTE_NEW_VAL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_ACTION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_ACTION_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DV_EXTENDED_ACTION_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DV_RETURN_CODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DV_ACTION_OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "DV_RULE_SET_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(90)"
                }
                ,{
                  "-name": "DV_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_FACTOR_CONTEXT",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DV_OBJECT_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "OLS_POLICY_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_GRANTEE",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_MAX_READ_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_MAX_WRITE_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_MIN_WRITE_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_PRIVILEGES_GRANTED",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PROGRAM_UNIT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PRIVILEGES_USED",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OLS_STRING_LABEL",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_LABEL_COMPONENT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "OLS_LABEL_COMPONENT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_PARENT_GROUP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OLS_OLD_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "OLS_NEW_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "RMAN_SESSION_RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_SESSION_STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RMAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RMAN_OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "RMAN_DEVICE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DP_TEXT_PARAMETERS1",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DP_BOOLEAN_PARAMETERS1",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "DIRECT_PATH_NUM_COLUMNS_LOADED",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$ACTIVE_SESSION_HISTORY",
              "-desc": "V$ACTIVE_SESSION_HISTORY displays sampled session activity in the database. It contains snapshots of active database sessions taken once a second. A database session is considered active if it was on the CPU or was waiting for an event that didn't belong to the Idle wait class. Refer to the V$EVENT_NAME view for more information on wait classes.",
              "fields": [
                {
                  "-name": "SAMPLE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SAMPLE_TIME",
                  "-null": "",
                  "-type": "TIMESTAMP(3)"
                }
                ,{
                  "-name": "IS_AWR_SAMPLE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "IS_SQLID_CURRENT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SQL_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_OPNAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FORCE_MATCHING_SIGNATURE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "TOP_LEVEL_SQL_OPCODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_LINE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_PLAN_OPERATION",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_PLAN_OPTIONS",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_INSTANCE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_SESSION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "QC_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PX_FLAGS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "EVENT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TIME_WAITED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_HANGCHAIN_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CURRENT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CONSUMER_GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "XID",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "REMOTE_INSTANCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_MODEL",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IN_CONNECTION_MGMT",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_HARD_PARSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_SQL_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_RPC",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_PLSQL_COMPILATION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_JAVA_EXECUTION",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_BIND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_CURSOR_CLOSE",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IN_SEQUENCE_LOAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "CAPTURE_OVERHEAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "REPLAY_OVERHEAD",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_CAPTURED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "IS_REPLAYED",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "SERVICE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLIENT_ID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "DBREPLAY_FILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBREPLAY_CALL_COUNTER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_CPU_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TM_DELTA_DB_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_WRITE_IO_REQUESTS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_WRITE_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_INTERCONNECT_IO_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DELTA_READ_MEM_BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TEMP_SPACE_ALLOCATED",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DBOP_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "DBOP_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$ARCHIVED_LOG",
              "-desc": "V$ARCHIVED_LOG displays archived log information from the control file, including archive log names. An archive log record is inserted after the online redo log is successfully archived or cleared (name column is NULL if the log was cleared). If the log is archived twice, there will be two archived log records with the same THREAD#, SEQUENCE#, and FIRST_CHANGE#, but with a different name. An archive log record is also inserted when an archive log is restored from a backup set or a copy and whenever a copy of a log is made with the RMAN COPY command.",
              "fields": [
                {
                  "-name": "RECID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAMP",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "DEST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "NEXT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NEXT_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "BLOCKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "REGISTRAR",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "STANDBY_DEST",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "ARCHIVED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "APPLIED",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "DELETED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "COMPLETION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "DICTIONARY_BEGIN",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DICTIONARY_END",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "END_OF_REDO",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BACKUP_COUNT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVAL_THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTIVATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "COMPRESSED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "END_OF_REDO_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "BACKED_BY_VSS",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$BGPROCESS",
              "-desc": "V$BGPROCESS displays information about the background processes.",
              "fields": [
                {
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PSERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$BLOCK_CHANGE_TRACKING",
              "-desc": "V$BLOCK_CHANGE_TRACKING displays the status of block change tracking for the database.",
              "fields": [
                {
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FILENAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$CONTROLFILE",
              "-desc": "V$CONTROLFILE displays the names of the control files.",
              "fields": [
                {
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "BLOCK_SIZE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILE_SIZE_BLKS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$DATABASE",
              "-desc": "V$DATABASE displays information about the database from the control file.",
              "fields": [
                {
                  "-name": "DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PRIOR_RESETLOGS_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PRIOR_RESETLOGS_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LOG_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CHECKPOINT_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "CONTROLFILE_CREATED",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CONTROLFILE_SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CONTROLFILE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPEN_RESETLOGS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "VERSION_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "OPEN_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PROTECTION_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "PROTECTION_LEVEL",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "REMOTE_ARCHIVE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ACTIVATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SWITCHOVER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATABASE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "ARCHIVELOG_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVELOG_COMPRESSION",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SWITCHOVER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(20)"
                }
                ,{
                  "-name": "DATAGUARD_BROKER",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "GUARD_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_MIN",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PK",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_UI",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FORCE_LOGGING",
                  "-null": "",
                  "-type": "VARCHAR2(39)"
                }
                ,{
                  "-name": "PLATFORM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLATFORM_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(101)"
                }
                ,{
                  "-name": "RECOVERY_TARGET_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LAST_OPEN_INCARNATION#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURRENT_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FLASHBACK_ON",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_FK",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_ALL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "STANDBY_BECAME_PRIMARY_SCN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FS_FAILOVER_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(22)"
                }
                ,{
                  "-name": "FS_FAILOVER_CURRENT_TARGET",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "FS_FAILOVER_THRESHOLD",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FS_FAILOVER_OBSERVER_PRESENT",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FS_FAILOVER_OBSERVER_HOST",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CONTROLFILE_CONVERTED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PRIMARY_DB_UNIQUE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SUPPLEMENTAL_LOG_DATA_PL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "MIN_REQUIRED_CAPTURE_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CDB",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PENDING_ROLE_CHANGE_TASKS",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CON_DBID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$DIAG_INFO",
              "-desc": "V$DIAG_INFO describes the state of Automatic Diagnostic Repository (ADR) functionality using NAME=VALUE pairs.",
              "fields": [
                {
                  "-name": "INST_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$FLASHBACK_DATABASE_LOGFILE",
              "-desc": "V$FLASHBACK_DATABASE_LOGFILE displays information about the flashback log files.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "LOG#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQUENCE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_CHANGE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FIRST_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$INSTANCE",
              "-desc": "V$INSTANCE_RECOVERY monitors the mechanisms available to users to limit recovery I/O. Those mechanisms are: - Set the LOG_CHECKPOINT_TIMEOUT initialization parameter, - Set the LOG_CHECKPOINT_INTERVAL initialization parameter, - Set the FAST_START_MTTR_TARGET initialization parameter, and - Set the size of the smallest redo log",
              "fields": [
                {
                  "-name": "INSTANCE_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "HOST_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VERSION",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "STARTUP_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "PARALLEL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "THREAD#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ARCHIVER",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "LOG_SWITCH_WAIT",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "LOGINS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SHUTDOWN_PENDING",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "DATABASE_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(17)"
                }
                ,{
                  "-name": "INSTANCE_ROLE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "ACTIVE_STATE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "BLOCKED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "INSTANCE_MODE",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "EDITION",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "FAMILY",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$IOSTAT_FILE",
              "-desc": "V$IOSTAT_FILE displays information about disk I/O statistics of database files (including data files, temp files, and other types of database files). I/O statistics for Data files and Temp files are provided for each file.",
              "fields": [
                {
                  "-name": "FILE_NO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FILETYPE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(28)"
                }
                ,{
                  "-name": "SMALL_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_MEGABYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_SYNC_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_REQS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_READ_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_WRITE_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SMALL_SYNC_READ_LATENCY",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_READ_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LARGE_WRITE_SERVICETIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ASYNCH_IO",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ACCESS_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "RETRIES_ON_ERROR",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$LOCK",
              "-desc": "V$LOCK lists the locks currently held by the Oracle Database and outstanding requests for a lock or latch.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "KADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(2)"
                }
                ,{
                  "-name": "ID1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ID2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LMODE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REQUEST",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CTIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCK",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$LOGFILE",
              "-desc": "V$LOGFILE contains information about redo log files.",
              "fields": [
                {
                  "-name": "GROUP#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(7)"
                }
                ,{
                  "-name": "MEMBER",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "IS_RECOVERY_DEST_FILE",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$METRIC",
              "-desc": "V$METRIC displays the most recent statistic values for the complete set of metrics captured by the Automatic Workload Repository (AWR) infrastructure.",
              "fields": [
                {
                  "-name": "BEGIN_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "END_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "INTSIZE_CSEC",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GROUP_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTITY_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ENTITY_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "METRIC_UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$OPEN_CURSOR",
              "-desc": "V$OPEN_CURSOR lists cursors that each user session currently has opened and parsed, or cached.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USER_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(60)"
                }
                ,{
                  "-name": "LAST_SQL_ACTIVE_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CURSOR_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CHILD_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$PARAMETER",
              "-desc": "V$PARAMETER displays information about the initialization parameters that are currently in effect for the session. A new session inherits parameter values from the instance-wide values displayed by the V$SYSTEM_PARAMETER view.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISSES_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISSYS_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISPDB_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISINSTANCE_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "ISADJUSTED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISBASIC",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$PGASTAT",
              "-desc": "V$PGASTAT displays PGA memory usage statistics as well as statistics about the automatic PGA memory manager when it is enabled (that is, when PGA_AGGREGATE_TARGET is set). Cumulative values in V$PGASTAT are accumulated since instance startup.",
              "fields": [
                {
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "UNIT",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$PROCESS",
              "-desc": "V$PROCESS displays information about the currently active processes.",
              "fields": [
                {
                  "-name": "ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SOSID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "SPID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "STID",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "EXECUTION_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "PNAME",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(15)"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "TRACEID",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "TRACEFILE",
                  "-null": "",
                  "-type": "VARCHAR2(513)"
                }
                ,{
                  "-name": "BACKGROUND",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "LATCHWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LATCHSPIN",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "PGA_USED_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_ALLOC_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_FREEABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_MAX_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$ROLLNAME",
              "-desc": "V$ROLLNAME lists the names of all online rollback segments. It can only be accessed when the database is open.",
              "fields": [
                {
                  "-name": "USN",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "NOT NULL",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SEGMENT_STATISTICS",
              "-desc": "V$SEGMENT_STATISTICS displays information about segment-level statistics.",
              "fields": [
                {
                  "-name": "OWNER",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "OBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "SUBOBJECT_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(128)"
                }
                ,{
                  "-name": "TABLESPACE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "TS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "DATAOBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OBJECT_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(18)"
                }
                ,{
                  "-name": "STATISTIC_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SERVICES",
              "-desc": "V$SERVICES displays information about the services in the database.",
              "fields": [
                {
                  "-name": "SERVICE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "NAME_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NETWORK_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(512)"
                }
                ,{
                  "-name": "CREATION_DATE",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "CREATION_DATE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "DTP",
                  "-null": "",
                  "-type": "VARCHAR2(1)"
                }
                ,{
                  "-name": "AQ_HA_NOTIFICATION",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "CLB_GOAL",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "COMMIT_OUTCOME",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RETENTION_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "REPLAY_INITIATION_TIMEOUT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SESSION_STATE_CONSISTENCY",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "GLOBAL",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "PDB",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE",
                  "-null": "",
                  "-type": "VARCHAR2(65)"
                }
                ,{
                  "-name": "MAX_LAG_TIME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SESSION",
              "-desc": "V$SESSION displays session information for each current session.",
              "fields": [
                {
                  "-name": "SADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "AUDSID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "USER#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "USERNAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "COMMAND",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "OWNERID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TADDR",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "LOCKWAIT",
                  "-null": "",
                  "-type": "VARCHAR2(16)"
                }
                ,{
                  "-name": "STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SERVER",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "SCHEMA#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SCHEMANAME",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "OSUSER",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROCESS",
                  "-null": "",
                  "-type": "VARCHAR2(24)"
                }
                ,{
                  "-name": "MACHINE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "PORT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TERMINAL",
                  "-null": "",
                  "-type": "VARCHAR2(30)"
                }
                ,{
                  "-name": "PROGRAM",
                  "-null": "",
                  "-type": "VARCHAR2(48)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SQL_ADDRESS",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "SQL_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "SQL_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SQL_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "SQL_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SQL_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "PREV_HASH_VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_SQL_ID",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "PREV_CHILD_NUMBER",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PREV_EXEC_START",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "PREV_EXEC_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_ENTRY_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_OBJECT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PLSQL_SUBPROGRAM_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "MODULE",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "MODULE_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ACTION",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "ACTION_HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_INFO",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "FIXED_TABLE_SEQUENCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_OBJ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_FILE#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_BLOCK#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ROW_WAIT_ROW#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TOP_LEVEL_CALL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "LOGON_TIME",
                  "-null": "",
                  "-type": "DATE"
                }
                ,{
                  "-name": "LAST_CALL_ET",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PDML_ENABLED",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "FAILOVER_TYPE",
                  "-null": "",
                  "-type": "VARCHAR2(13)"
                }
                ,{
                  "-name": "FAILOVER_METHOD",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "FAILED_OVER",
                  "-null": "",
                  "-type": "VARCHAR2(3)"
                }
                ,{
                  "-name": "RESOURCE_CONSUMER_GROUP",
                  "-null": "",
                  "-type": "VARCHAR2(32)"
                }
                ,{
                  "-name": "PDML_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PDDL_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "PQ_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "CURRENT_QUEUE_DURATION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CLIENT_IDENTIFIER",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "BLOCKING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_BLOCKING_SESSION_STATUS",
                  "-null": "",
                  "-type": "VARCHAR2(11)"
                }
                ,{
                  "-name": "FINAL_BLOCKING_INSTANCE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "FINAL_BLOCKING_SESSION",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SEQ#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EVENT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P1",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P1RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P2TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P2",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P2RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "P3TEXT",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "P3",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "P3RAW",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "WAIT_CLASS_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "WAIT_CLASS",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "WAIT_TIME",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SECONDS_IN_WAIT",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATE",
                  "-null": "",
                  "-type": "VARCHAR2(19)"
                }
                ,{
                  "-name": "WAIT_TIME_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_REMAINING_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "TIME_SINCE_LAST_WAIT_MICRO",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "SERVICE_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TRACE",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "SQL_TRACE_WAITS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_TRACE_BINDS",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "SQL_TRACE_PLAN_STATS",
                  "-null": "",
                  "-type": "VARCHAR2(10)"
                }
                ,{
                  "-name": "SESSION_EDITION_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CREATOR_ADDR",
                  "-null": "",
                  "-type": "RAW(8 BYTE)"
                }
                ,{
                  "-name": "CREATOR_SERIAL#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "ECID",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "SQL_TRANSLATION_PROFILE_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "PGA_TUNABLE_MEM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "EXTERNAL_NAME",
                  "-null": "",
                  "-type": "VARCHAR2(1024)"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SESSTAT",
              "-desc": "V$SESSTAT displays user session statistics. To find the name of the statistic associated with each statistic number (STATISTIC#), query the V$STATNAME view.",
              "fields": [
                {
                  "-name": "SID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SGASTAT",
              "-desc": "V$SGASTAT displays detailed information on the system global area (SGA).",
              "fields": [
                {
                  "-name": "POOL",
                  "-null": "",
                  "-type": "VARCHAR2(12)"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(26)"
                }
                ,{
                  "-name": "BYTES",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SYSSTAT",
              "-desc": "V$SYSSTAT displays system statistics. To find the name of the statistic associated with each statistic number (STATISTIC#), query the V$STATNAME view.",
              "fields": [
                {
                  "-name": "STATISTIC#",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(64)"
                }
                ,{
                  "-name": "CLASS",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "STAT_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
            ,{
              "-category": "Database Architecture Views",
              "-name": "V$SYSTEM_PARAMETER",
              "-desc": "V$SYSTEM_PARAMETER displays information about the initialization parameters that are currently in effect for the instance. A new session inherits parameter values from the instance-wide values.",
              "fields": [
                {
                  "-name": "NUM",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "NAME",
                  "-null": "",
                  "-type": "VARCHAR2(80)"
                }
                ,{
                  "-name": "TYPE",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "DISPLAY_VALUE",
                  "-null": "",
                  "-type": "VARCHAR2(4000)"
                }
                ,{
                  "-name": "ISDEFAULT",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISSES_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISSYS_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(9)"
                }
                ,{
                  "-name": "ISPDB_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISINSTANCE_MODIFIABLE",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISMODIFIED",
                  "-null": "",
                  "-type": "VARCHAR2(8)"
                }
                ,{
                  "-name": "ISADJUSTED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISDEPRECATED",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "ISBASIC",
                  "-null": "",
                  "-type": "VARCHAR2(5)"
                }
                ,{
                  "-name": "DESCRIPTION",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "UPDATE_COMMENT",
                  "-null": "",
                  "-type": "VARCHAR2(255)"
                }
                ,{
                  "-name": "HASH",
                  "-null": "",
                  "-type": "NUMBER"
                }
                ,{
                  "-name": "CON_ID",
                  "-null": "",
                  "-type": "NUMBER"
                }
              ]
            }
          ]
        },
        {
          "-name": "Database Architecture",
          "-style": "diagram",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "-nimage": "Oracle 12c Architecture_full.png",
          "-zimage": "",
          "hotspots": [
            {
              "-name": "Database Architecture",
              "-subsystem": "Database Architecture Detailtab_5",
              "-shape": "rect",
              "-coords": "0,0,739,527",
              "-desc": "This is the full diagram of the architecture. Double click the image to view the diagram in more detail. "
,
              "doc-refs": [
                {
                  "-title": "Introduction to the Oracle Database Instance",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/startup.htm#CNCPT601"
                },
                {
                  "-title": "Oracle Database 12c DBA OBE Series",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:0::NO:24:P24_CONTENT_ID,P24_PREV_PAGE:6282,29"
                }
              ]
            }
          ]
        },
        {
          "-name": "Database Architecture Detailtab_5",
          "-style": "nested",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "-nimage": "Oracle 12c Architecture_normal.png",
          "-zimage": "Oracle 12c Architecture_large.png",
          "hotspots": [
            {
              "-name": "SGA",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "541,222,1419,262",
              "-desc": "System Global Area (SGA): The SGA is a group of shared memory structures that contain data and control information for one database instance. Examples of SGA components include cached data blocks and shared SQL areas. "
,
              "doc-refs": [
                {
                  "-title": "System Global Area (SGA) Overview",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT802"
                }
              ]
            }
            ,{
              "-name": "User Global Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "203,369,345,405",
              "-desc": "Shared Server only (see UGA definition below)"
,
              "doc-refs": [
                {
                  "-title": "User Global Area Overview",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "Shared SQL Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "204,297,320,363",
              "-desc": "An area in the shared pool that contains the parse tree and execution plan for a SQL statement. Only one shared SQL area exists for a unique statement."
,
              "doc-refs": [
                {
                  "-title": "Shared SQL Areas",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1228"
                }
              ]
            }
            ,{
              "-name": "Library Cache",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,265,351,412",
              "-desc": "An area of memory in the shared pool. This cache includes the shared SQL areas, private SQL areas (in a shared server configuration), PL/SQL procedures and packages, and control structures such as locks and library cache handles."
,
              "doc-refs": [
                {
                  "-title": "Library Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1227"
                }
              ]
            }
            ,{
              "-name": "Reserved Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,417,496,446",
              "-desc": "The reserved pool is a memory area in the shared pool that Oracle Database can use to allocate large contiguous chunks of memory. Allocation of memory from the shared pool is performed in chunks. Chunking allows large objects (over 5 KB) to be loaded into the cache without requiring a single contiguous area. In this way, the database reduces the possibility of running out of contiguous memory because of fragmentation. Infrequently, Java, PL/SQL, or SQL cursors may make allocations out of the shared pool that are larger than 5 KB. To allow these allocations to occur most efficiently, the database segregates a small amount of the shared pool for the reserved pool."
,
              "doc-refs": [
                {
                  "-title": "Reserved Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT9835"
                }
              ]
            }
            ,{
              "-name": "Data Dictionary Cache",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,451,496,479",
              "-desc": "A memory area in the shared pool that holds data dictionary information. The data dictionary cache is also known as the row cache because it holds data as rows instead of buffers, which hold entire data blocks."
,
              "doc-refs": [
                {
                  "-title": "Data Dictionary Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e15857/tune_shared_pool.htm#TGDBA563"
                }
              ]
            }
            ,{
              "-name": "Server Result Cache",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,484,496,511",
              "-desc": "The server result cache stores the results of queries and PL/SQL function results. The server result cache contains the SQL query result cache and PL/SQL function result cache, which share the same infrastructure."
,
              "doc-refs": [
                {
                  "-title": "Server Result Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e15857/tune_result_cache.htm#TGDBA618"
                }
              ]
            }
            ,{
              "-name": "Enqueues",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "196,513,345,536",
              "-desc": "Enqueues are shared memory structures (locks) that serialize access to database resources. They can be associated with a session or transaction. Examples are: Controlfile Transaction, Datafile, Instance Recovery, Media Recovery, Transaction Recovery, Job Queue, ... "
,
              "doc-refs": [
                {
                  "-title": "Enqueues",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/enqueues.htm#REFRN102"
                }
              ]
            }
            ,{
              "-name": "Latches",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,540,345,562",
              "-desc": "Latches are used as a low-level serialization control mechanism used to protect shared data structures in the SGA from simultaneous access. Examples are: cache buffers lru chain, row cache objects, library cache pin, log file parallel write, and so on."
,
              "doc-refs": [
                {
                  "-title": "Latches",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/consist.htm#CNCPT1358"
                }
              ]
            }
            ,{
              "-name": "Other",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "348,539,493,563",
              "-desc": ""
            }
            ,{
              "-name": "ASH Buffers",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "356,376,496,412",
              "-desc": "The Active Session History (ASH) statistics are samples of session activity in the database. The database samples active sessions every second and stores them in a circular buffer in the System Global Area (SGA). Any session that is connected to the database and using CPU, or is waiting for an event that does not belong to the idle wait class, is considered an active session."
,
              "doc-refs": [
                {
                  "-title": "Active Session History (ASH)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cncptdba.htm#CNCPT852"
                }
              ]
            }
            ,{
              "-name": "Global Resource Directory",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,565,497,781",
              "-desc": "To ensure that each Oracle RAC database instance obtains the block that it requires to satisfy a query or transaction, Oracle RAC instances use two services, the Global Cache Service (GCS) and the Global Enqueue Service (GES). The GCS and GES maintain records of the statuses of each data file and each cached block using a Global Resource Directory (GRD). The GRD contents are distributed across all of the active instances, which effectively increases the size of the SGA for an Oracle RAC instance. After one instance caches data, any other instance within the same cluster database can acquire a block image from another instance in the same database faster than by reading the block from disk. Therefore, Cache Fusion moves current blocks between instances rather than re-reading the blocks from disk. When a consistent block is needed or a changed block is required on another instance, Cache Fusion transfers the block image directly between the affected instances. Oracle RAC uses the private interconnect for interinstance communication and block transfers. The GES Monitor and the Instance Enqueue Process manage access to Cache Fusion resources and enqueue recovery processing."
,
              "doc-refs": [
                {
                  "-title": "Global resource Directory",
                  "-url": "http://docs.oracle.com/cd/E16655_01/rac.121/e17887/admcon.htm#RACAD7274"
                }
              ]
            }
            ,{
              "-name": "Shared Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "190,234,504,792",
              "-desc": "Portion of the SGA that contains shared memory constructs such as shared SQL areas."
,
              "doc-refs": [
                {
                  "-title": "Shared Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1226"
                }
              ]
            }
            ,{
              "-name": "Database Buffer Cache",
              "-subsystem": "MEMORY",
              "-shape": "",
              "-coords": "",
              "-desc": "The portion of the system global area (SGA) that holds copies of data blocks. All client processes concurrently connected to the instance share access to the buffer cache."
,
              "doc-refs": [
                {
                  "-title": "Database Buffer Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1222"
                }
              ]
            }
            ,{
              "-name": "Default Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "824,349,1015,435",
              "-desc": "This pool is the location where blocks are normally cached. Unless you manually configure separate pools, the default pool is the only buffer pool."
,
              "doc-refs": [
                {
                  "-title": "Default Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Keep pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "845,446,910,511",
              "-desc": "This pool is intended for blocks that were accessed frequently, but which aged out of the default pool because of lack of space. The goal of the keep buffer pool is to retain objects in memory, thus avoiding I/O operations."
,
              "doc-refs": [
                {
                  "-title": "Keep Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Recycle pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "924,446,989,510",
              "-desc": "This pool is intended for blocks that are used infrequently. A recycle pool prevent objects from consuming unnecessary space in the cache."
,
              "doc-refs": [
                {
                  "-title": "Recycle Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Buffer Pools",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "813,300,1026,528",
              "-desc": "A buffer pool is a collection of buffers. The database buffer cache is divided into one or more buffer pools."
,
              "doc-refs": [
                {
                  "-title": "Buffer Pools",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Nondefault block size pools",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1036,300,1241,509",
              "-desc": "A database has a standard block size of 8KB. You can create a tablespace with a block size that differs from the standard size. Each nondefault block size has its own pool. Oracle Database manages the blocks in these pools in the same way as in the default pool."
,
              "doc-refs": [
                {
                  "-title": "Nondefault Block Size Pools",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT9832"
                }
              ]
            }
            ,{
              "-name": "Flash Buffer Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "702,301,804,471",
              "-desc": "When Database Smart Flash Cache (flash cache) is enabled, part of the buffer cache can reside in the flash cache. This buffer cache extension is stored on flash disk devices (a maximum of 16 files is supported) , which is a solid state storage device that uses flash memory. The database can improve performance by caching buffers in flash memory instead of reading from magnetic disk. You must configure a flash cache on either all or none of the instances in an Oracle Real Application Clusters environment."
,
              "doc-refs": [
                {
                  "-title": "Flash Buffer Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT89073"
                }
              ]
            }
            ,{
              "-name": "Redo Log Buffer",
              "-subsystem": "MEMORY",
              "-shape": "circle",
              "-coords": "1348,403,44",
              "-desc": "The redo log buffer is a circular buffer in the SGA that stores redo entries describing changes made to the database. Redo entries contain the information necessary to reconstruct, or redo, changes made to the database by DML or DDL operations. Database recovery applies redo entries to data files to reconstruct lost changes."
,
              "doc-refs": [
                {
                  "-title": "Redo Log Buffer",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1225"
                }
              ]
            }
            ,{
              "-name": "Flashback Buffer",
              "-subsystem": "MEMORY",
              "-shape": "circle",
              "-coords": "597,403,44",
              "-desc": "When Flashback Database is enabled, the background process recovery writer, RVWR, is started. This background process periodically copies modified blocks from the buffer cache to the flashback buffer, and sequentially writes Flashback Database data from the flashback buffer to the Flashback Database logs which are circularly reused."
,
              "doc-refs": [
                {
                  "-title": "Flashback Buffer",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "I/O Buffer Areas",
              "-subsystem": "MEMORY",
              "-shape": "",
              "-coords": "",
              "-desc": "Recovery Manager uses the Large Pool to cache I/O buffers during backup and restore operations. For I/O server processes and backup and restore operations, RMAN allocates buffers that are a few hundred kilobytes in size."
            }
            ,{
              "-name": "PX Message Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,507,1533,539",
              "-desc": "Message buffers used in the parallel execution of statements"
            }
            ,{
              "-name": "Response Queues",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,275,1533,306",
              "-desc": "When the server completes the request, it places the response on the calling dispatcher's response queue. Each dispatcher has its own response queue. The dispatcher returns the completed request to the appropriate client process."
,
              "doc-refs": [
                {
                  "-title": "Response Queues",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/dist_pro.htm#autoId25"
                }
              ]
            }
            ,{
              "-name": "Request Queue",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1426,310,1533,346",
              "-desc": "A dispatcher places a request on the request queue, where it is picked up by the next available shared server process. A request from a user is a single API call that is part of the user's SQL statement. The shared server processes check the common request queue for new requests, picking up new requests on a first-in-first-out basis."
,
              "doc-refs": [
                {
                  "-title": "Request Queue",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/dist_pro.htm#autoId25"
                }
              ]
            }
            ,{
              "-name": "Oracle XA Interface Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,354,1533,387",
              "-desc": "This memory area is used when Oracle XA interface is used. This interface is an external interface that allows global transactions to be coordinated by a transaction manager other than Oracle Database."
            }
            ,{
              "-name": "Java Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1543,343,1649,494",
              "-desc": "The Java pool is an area of memory that stores all session-specific Java code and data within the Java Virtual Machine (JVM). This memory includes Java objects that are migrated to the Java session space at end-of-call."
,
              "doc-refs": [
                {
                  "-title": "Java Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1234"
                }
              ]
            }
            ,{
              "-name": "Streams Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1544,295,1649,338",
              "-desc": "The Streams pool stores buffered queue messages and provides memory for Oracle Streams capture processes and apply processes. The Streams pool is used exclusively by Oracle Streams. Unless you specifically configure it, the size of the Streams pool starts at zero. The pool size grows dynamically as required by Oracle Streams."
,
              "doc-refs": [
                {
                  "-title": "Streams Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1235"
                }
              ]
            }
            ,{
              "-name": "Shared I/O Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1542,242,1648,291",
              "-desc": "The shared I/O pool is used for large I/O operations on securefile LOBs. This pool can be sized using undocumented initialization parameters. In any case, if it is too small, the database uses PGA memory."
            }
            ,{
              "-name": "Fixed SGA",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1542,498,1649,544",
              "-desc": "The fixed SGA is an internal housekeeping area. For example, the fixed SGA contains general information about the state of the database and the instance, which the background processes need to access and information communicated between processes, such as information about locks. The size of the fixed SGA is set by Oracle Database and cannot be altered manually. The fixed SGA size can change from release to release."
,
              "doc-refs": [
                {
                  "-title": "Fixed SGA",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT9837"
                }
              ]
            }
            ,{
              "-name": "OLAP Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "797,1128,862,1166",
              "-desc": "The OLAP page pool is also stored in the UGA. This pool manages OLAP data pages, which are equivalent to data blocks. The page pool is allocated at the start of an OLAP session and released at the end of the session. An OLAP session opens automatically whenever a user queries a dimensional object such as a cube."
,
              "doc-refs": [
                {
                  "-title": "OLAP Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "Session Variables",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "729,1127,793,1165",
              "-desc": "For example, if a session loads a PL/SQL package into memory, then the UGA contains the package state, which is the set of values stored in all the package variables at a specific time "
,
              "doc-refs": [
                {
                  "-title": "Session Variables",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "User Global Area (UGA)",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "724,1105,869,1172",
              "-desc": "The UGA is session memory, which is memory allocated for session variables, such as logon information, and other information required by a database session. Essentially, the UGA stores the session state. The UGA must be available to a database session for the life of the session. For this reason, the UGA cannot be stored in the PGA when using a shared server connection because the PGA is specific to a single process. Therefore, the UGA is stored in the SGA when using shared server connections, enabling any shared server process access to it. When using a dedicated server connection, the UGA is stored in the PGA. "
,
              "doc-refs": [
                {
                  "-title": "User Global Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "Private SQL Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,447,1533,500",
              "-desc": "A private SQL area holds information about a parsed SQL statement and other session-specific information for processing. When a server process executes SQL or PL/SQL code, the process uses the private SQL area to store bind variable values, query execution state information, and query execution work areas. Do not confuse a private SQL area, which is in the UGA, with the shared SQL area, which stores execution plans in the SGA. Multiple private SQL areas in the same or different sessions can point to a single execution plan in the SGA. "
,
              "doc-refs": [
                {
                  "-title": "Private SQL Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "Large Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1422,243,1537,547",
              "-desc": "The large pool is an optional memory area intended for memory allocations that are larger than is appropriate for the shared pool. The large pool is different from reserved space in the shared pool, which uses the same LRU list as other memory allocated from the shared pool. The large pool does not have an LRU list. Pieces of memory are allocated and cannot be freed until they are done being used. "
,
              "doc-refs": [
                {
                  "-title": "Large Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1233"
                }
              ]
            }
            ,{
              "-name": "Persistent Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "878,1128,943,1167",
              "-desc": "This area contains bind variable values. A bind variable value is supplied to a SQL statement at run time when the statement is executed. The persistent area is freed only when the cursor is closed."
,
              "doc-refs": [
                {
                  "-title": "Persistent Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "SQL Work Areas",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "724,1053,1018,1101",
              "-desc": "A work area is a private allocation of PGA memory used for memory-intensive operations. For example, a sort operator uses the sort area to sort a set of rows. Similarly, a hash join operator uses a hash area to build a hash table from its left input, whereas a bitmap merge uses the bitmap merge area to merge data retrieved from scans of multiple bitmap indexes."
,
              "doc-refs": [
                {
                  "-title": "SQL Work Areas",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1242"
                }
              ]
            }
            ,{
              "-name": "Program Global Area (PGA)",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "714,1029,1030,1191",
              "-desc": "The PGA is memory specific to an operating process or thread that is not shared by other processes or threads on the system. Because the PGA is process-specific, it is never allocated in the SGA."
,
              "doc-refs": [
                {
                  "-title": "Program Global Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT803"
                }
              ]
            }
            ,{
              "-name": "Cursor",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "162,1083,208,1103",
              "-desc": "A cursor is a name or handle to a specific private SQL area. You can think of a cursor as a pointer on the client side and as a state on the server side. Because cursors are closely associated with private SQL areas, the terms are sometimes used interchangeably."
,
              "doc-refs": [
                {
                  "-title": "Cursor",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "User Process",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "178,985,277,1085",
              "-desc": "The client process is responsible for managing private SQL areas. The allocation and deallocation of private SQL areas depends largely on the application, although the number of private SQL areas that a client process can allocate is limited by the initialization parameter OPEN_CURSORS."
,
              "doc-refs": [
                {
                  "-title": "User Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "LMS0-z (Global Cache Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "39,1121,137,1217",
              "-desc": "LMS, where n is 0-9 or a-z, maintains a lock database for Global Cache Service (GCS) and buffer cache resources. This process receives, processes, and sends GCS requests, block transfers, and other GCS-related messages. Theses processes are Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "(LMS) Global Cache Service",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LMON (Global Enqueue Service Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "37,1017,137,1115",
              "-desc": "LMON maintains instance membership within Oracle RAC. The process detects instance transitions and performs reconfiguration of GES and GCS resources."
,
              "doc-refs": [
                {
                  "-title": "LMON (Global Enqueue Service Monitor)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PING (Interconnect Latency Measurement)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,915,136,1012",
              "-desc": "Every few seconds, the process in one instance sends messages to each instance. The message is received by PING on the target instance. The time for the round trip is measured and collected. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "PING (Interconnect Latency Measurement)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RMSn (RAC Management Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,814,137,911",
              "-desc": "RMSn performs a variety of tasks, including creating resources related to Oracle RAC when new instances are added to a cluster. These processes are Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "RAC Management Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LMHB (Global Cache/Enqueue Heartbeat Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,711,136,809",
              "-desc": "LMHB monitors LMON, LMD, and LMSn processes to ensure they are running normally without blocking or spinning. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "LMHB (Global Cache/Enqueue Heartbeat Monitor)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LMD0-z (Global Enqueue Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,609,136,706",
              "-desc": "LMDn backgrounds process enqueue resources managed under the Global Enqueue Service. In particular, they process incoming enqueue request messages and control access to global enqueues. They also perform distributed deadlock detections. There can be up to 36 of these processes (LMD0-LMDz).Note that LMD0 already existed before 12c. Only LMD1-LMDz are new. LDD0-z: LDDn are slave processes spawned on demand by LMDn processes. They are spawned to help the dedicated LMDn processes with various tasks when certain workloads start creating performance bottlenecks. These slave processes are transient as they are started on demand and they can be shut down when no longer needed.. There can be up to 36 of theses slave processes (LDD0-LDDz)."
,
              "doc-refs": [
                {
                  "-title": "Global Enqueue Service Daemon",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LCK0,1 (Lock Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,507,138,604",
              "-desc": "Manages global enqueue requests and cross-instance broadcasts. The process handles all requests for resources other than data blocks. For examples, LCKn manages library and row cache requests. Possible processes are LCK0 and LCK1."
,
              "doc-refs": [
                {
                  "-title": "LCK0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "IPC0 (IPC Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "37,405,138,502",
              "-desc": "IPC0 handles very high rates of incoming connect requests, as well as, completing reconfigurations to support basic messaging and RDMA primitives over several transports such as UDP, RDS, InfiniBand and RC. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "IPC0 (IPC Service)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RSMN (Remote Slave Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "39,302,137,401",
              "-desc": "This background process manages the creation of slave processes and the communication with their coordinators and peers. These background slave processes perform tasks on behalf of a coordinating process running in another cluster instance. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "RSMN",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "ACMS (Atomic Control File to Memory Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1174,583,1274,680",
              "-desc": "Coordinates consistent updates to a control file resource with its SGA counterpart on all instances in an Oracle RAC environment. The ACMS process works with a coordinating caller to ensure that an operation is executed on every instance in Oracle RAC despite failures. ACMS is the process in which a distributed operation is called. As a result, this process can exhibit a variety of behaviors. In general, ACMS is limited to small, nonblocking state changes for a limited set of cross-instance operations."
,
              "doc-refs": [
                {
                  "-title": "ACMS",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "SMCO (Space Manager Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "39,201,137,300",
              "-desc": "This background process coordinates the execution of various space management tasks, including proactive space allocation and space reclamation. SMCO dynamically spawns slave processes (Wnnn) to implement these tasks."
,
              "doc-refs": [
                {
                  "-title": "SMCO",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "VKRM (Virtual Scheduler for Resource Manager)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,98,137,198",
              "-desc": "VKRM manages the CPU scheduling for all managed Oracle processes. The process schedules managed processes in accordance with an active resource plan."
,
              "doc-refs": [
                {
                  "-title": "VKRM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RCBG (Result Cache)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "157,97,256,197",
              "-desc": "This process is used for handling invalidation and other messages generated by server processes attached to other instances in Oracle RAC."
,
              "doc-refs": [
                {
                  "-title": "RCBG",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MMAN (Memory Manager)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "276,96,376,197",
              "-desc": "This process performs the resizing of memory components on the instance and serves as the instance memory manager."
,
              "doc-refs": [
                {
                  "-title": "MMAN",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MMON (Manageability Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "396,98,495,195",
              "-desc": "MMON performs many tasks related to manageability, including taking Automatic Workload Repository snapshots and performing Automatic Database Diagnostic Monitor analysis. Mnnn performs manageability tasks dispatched to them by MMON."
,
              "doc-refs": [
                {
                  "-title": "MMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MMNL (Manageability Monitor Lite)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "516,97,614,195",
              "-desc": "MMNL performs many tasks relating to manageability, including Active Session History (ASH) capture and metrics computation."
,
              "doc-refs": [
                {
                  "-title": "MMNL",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PMON (Process Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "633,97,734,197",
              "-desc": "PMON periodically performs cleanup of all the following: - Processes that died abnormally - Sessions that were killed - Detached transactions that have exceeded their idle timeout - Detached network connections which have exceeded their idle timeout. In addition, PMON monitors, spawns, and stops the following as needed: - Dispatcher and shared server processes - Job queue processes - Pooled server processes for database resident connection pooling - Restartable background processes."
,
              "doc-refs": [
                {
                  "-title": "PMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "SMON (System Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "754,96,852,196",
              "-desc": "SMON performs many database maintenance tasks, including the following: - Creates and manages the temporary tablespace metadata - Reclaims space used by orphaned temporary segments - Maintains the undo tablespace by onlining, offlining, and shrinking the undo segments based on undo space usage statistics - Cleans up the data dictionary when it is in a transient and inconsistent state - Maintains the SCN to time mapping table used to support Oracle Flashback features. In an Oracle RAC database, the SMON process of one instance can perform instance recovery for other instances that have failed. SMON is resilient to internal and external errors raised during background activities."
,
              "doc-refs": [
                {
                  "-title": "SMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RECO (Recovery Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "872,97,971,196",
              "-desc": "RECO uses the information in the pending transaction table to finalize the status of in-doubt transactions. At timed intervals, the local RECO attempts to connect to remote databases and automatically complete the commit or rollback of the local portion of any pending distributed transactions. All transactions automatically resolved by RECO are removed from the pending transaction table."
,
              "doc-refs": [
                {
                  "-title": "RECO",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "SAnn (SGA Allocator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "991,96,1091,196",
              "-desc": "A small fraction of SGA is allocated during instance startup. The SAnn process allocates the rest of SGA in small chunks. The process exits upon completion of SGA allocation. The possible processes are SA00 - SAzz."
,
              "doc-refs": [
                {
                  "-title": "Sann",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DBRM (Database Resource Manager)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1111,97,1210,196",
              "-desc": "This process sets resource plans and performs other tasks related to the Database Resource Manager. If a resource plan is not enabled, then this process is idle."
,
              "doc-refs": [
                {
                  "-title": "DBRM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "EMNC (EMON coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1231,98,1329,194",
              "-desc": "EMNC coordinates event management and notification activity in the database, including Streams Event Notifications, Continuous Query Notifications, and Fast Application Notifications."
,
              "doc-refs": [
                {
                  "-title": "EMNC",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "GEN0 (Generic Task Execution)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1351,98,1449,195",
              "-desc": "Performs general tasks on behalf of other background processes mainly to offload some potential blocking tasks."
,
              "doc-refs": [
                {
                  "-title": "GEN0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "VKTM (Virtual Keeper of TiMe)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1470,97,1568,196",
              "-desc": "VKTM acts as a time publisher for an Oracle instance. VKTM publishes two sets of time: a wall clock time using a seconds interval and a higher resolution time (which is not wall clock time) for interval measurements. The VKTM timer service centralizes time tracking and offloads multiple timer calls from other clients."
,
              "doc-refs": [
                {
                  "-title": "VKTM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PSP0 (Process Spawner)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1590,96,1688,196",
              "-desc": "Spawns Oracle background processes after initial instance startup."
,
              "doc-refs": [
                {
                  "-title": "PSP0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "AQPC (AQ Process Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,97,1800,197",
              "-desc": "AQPC is responsible for performing administrative tasks for AQ Master Class Processes including commands like starting, stopping, and other administrative tasks. This process is automatically started on instance startup."
,
              "doc-refs": [
                {
                  "-title": "AQPC",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "QMnn (AQ Master Class)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,200,1801,299",
              "-desc": "Each of this type of process represents a single class of work item such as AQ notification, queue monitors, and cross process."
,
              "doc-refs": [
                {
                  "-title": "QMnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Qnnn (AQ Server Class)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,304,1800,401",
              "-desc": "Each server class process acts on behalf of an AQ master class process. This relationship is maintained until the master requires services of a particular service process. Once released, the server class processes are moved to a free server pool."
,
              "doc-refs": [
                {
                  "-title": "Qnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "CJQ0 (Job Queue Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1700,404,1799,502",
              "-desc": "CJQ0 is automatically started and stopped as needed by Oracle Scheduler. The JOB_QUEUE_PROCESSES initialization parameter specifies the maximum number of processes that can be created for the execution of jobs. CJQ0 starts only as many job queue processes as required by the number of jobs to run and available resources. Job slave processes (Jnnn) are created or awakened by the job coordinator when it is time for a job to be executed. Job slaves gather all the metadata required to run the job from the data dictionary. The slave processes start a database session as the owner of the job, execute triggers, and then execute the job. After the job is complete, the slave processes commit and then execute appropriate triggers and close the session. The slave can repeat this operation in case additional jobs need to be run. "
,
              "doc-refs": [
                {
                  "-title": "CJQ0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "OFSD (Oracle File Server)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,507,1799,605",
              "-desc": "Serve file system requests submitted to an Oracle Instance. This background process listens for new file system requests, both management (like mount, unmount, and export) and I/O requests, and executes them using Oracle threads."
,
              "doc-refs": [
                {
                  "-title": "OFSD",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RM (RAT Masking Slave)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,608,1801,707",
              "-desc": "This background process is used with Data Masking and Real Application Testing. It Extracts and masks bind values from workloads like SQL tuning sets and DB Replay capture files."
,
              "doc-refs": [
                {
                  "-title": "RM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RPnn (Capture Processing Worker)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,712,1799,808",
              "-desc": "RPnn are worker processes spawned by calling DBMS_WORKLOAD_REPLAY.PROCESS_CAPTURE(capture_dir,parallel_level). Each worker process is assigned a set of workload capture files to process. Worker processes execute in parallel without needing to communicate with each other. After each process is finished processing its assigned files, it exits and informs its parent process. The number of worker processes is controlled by the parallel_level parameter of DBMS_WORKLOAD_REPLAY.PROCESS_CAPTURE. By default, parallel_level is null which means that the number of processes is determined by CPU_COUNT. When parallel_level is 1, no worker processes are spawned."
,
              "doc-refs": [
                {
                  "-title": "RPnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MARK (Mark AU for Resynchronization Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,812,1800,910",
              "-desc": "MARK essentially tracks which extents require resynchronization for offline ASM disks. This process runs in the database instance and is started when the database instance first begins using the Oracle ASM instance. If required, MARK can also be started on demand when disks go offline in the Oracle ASM redundancy disk group."
,
              "doc-refs": [
                {
                  "-title": "MARK",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "OCFn (ASM CF Connection Pool)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,916,1801,1012",
              "-desc": "Maintains a connection to the Oracle ASM instance for metadata operations."
,
              "doc-refs": [
                {
                  "-title": "OCFn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RBAL (ASM Rebalancing Master)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1703,1018,1799,1115",
              "-desc": "In an Oracle ASM instance, this process coordinates rebalance activity for disk groups. In a database instances, it manages Oracle ASM disk groups."
,
              "doc-refs": [
                {
                  "-title": "RBAL",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Onnn (ASM Connection Pool)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,1118,1800,1218",
              "-desc": "This process maintains a connection to the Oracle ASM instance for metadata operations. Onnn slave processes are spawned on demand."
,
              "doc-refs": [
                {
                  "-title": "Onnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PRnn (Parallel Recovery Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1546,1063,1645,1160",
              "-desc": "PRnn serves as a slave process for the coordinator process performing parallel media recovery and carries out tasks assigned by the coordinator. The default number of these processes is based on number of CPUs."
,
              "doc-refs": [
                {
                  "-title": "PRnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DIA0 (Diagnostic Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1546,944,1645,1042",
              "-desc": "Detects and resolves hangs and deadlocks."
,
              "doc-refs": [
                {
                  "-title": "DIA0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DIAG (Diagnostic Capture Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1403,944,1501,1041",
              "-desc": "DIAG performs diagnostic dumps requested by other processes and dumps triggered by process or instance termination. In Oracle RAC, DIAG performs global diagnostic dumps requested by remote instances."
,
              "doc-refs": [
                {
                  "-title": "DIAG",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RMAN Process",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1105,961,1203,1059",
              "-desc": "This is a server process running RMAN"
,
              "doc-refs": [
                {
                  "-title": "RMAN Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Server Process",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "597,1001,696,1101",
              "-desc": "An Oracle process that communicates with a client process and Oracle Database to fulfill user requests. The server processes are associated with a database instance, but are not part of the instance."
,
              "doc-refs": [
                {
                  "-title": "Server Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Nnnn (Connection Broker Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "434,1102,533,1201",
              "-desc": "In Database Resident Connection Pooling, clients connect to a connection broker process. When a connection becomes active, the connection broker hands off the connection to a compatible pooled server process. The pooled server process performs network communication directly on the client connection and processes requests until the client releases the server. After being released, the connection is returned to the broker for monitoring, leaving the server free to handle other clients."
,
              "doc-refs": [
                {
                  "-title": "Nnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Lnnn (Pooled Server Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "287,1103,385,1202",
              "-desc": "In Database Resident Connection Pooling, clients connect to a connection broker process. When a connection becomes active, the connection broker hands off the connection to a compatible pooled server process. The pooled server process performs network communication directly on the client connection and processes requests until the client releases the server. After being released, the connection is returned to the broker for monitoring, leaving the server free to handle other clients."
,
              "doc-refs": [
                {
                  "-title": "Lnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Pnnn (Parallel Query Slave)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "175,819,273,917",
              "-desc": "Parallel Query has two components: a foreground process that acts as query coordinator and a set of parallel slaves (Pnnn) that are background processes. These background processes are spawned or reused during the start of a parallel statement. They receive and carry out units of work sent from the query coordinator. The maximum number of Pnnn processes is controlled by the initialization parameter PARALLEL_MAX_SERVERS. Slave processes are numbered from 0 to the PARALLEL_MAX_SERVERS setting. If the query is a GV$ query, then these background processes are numbered backward, starting from PZ99."
,
              "doc-refs": [
                {
                  "-title": "Pnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Snnn (Shared Servers)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "285,846,384,944",
              "-desc": "In the shared server architecture, clients connect to a dispatcher process, which creates a virtual circuit for each connection. When the client sends data to the server, the dispatcher receives the data into the virtual circuit and places the active circuit on the common queue to be picked up by an idle shared server. The shared server then reads the data from the virtual circuit and performs the database work necessary to complete the request. When the shared server must send data to the client, the server writes the data back into the virtual circuit and the dispatcher sends the data to the client. After the shared server completes the client request, the server releases the virtual circuit back to the dispatcher and is free to handle other clients. Several initialization parameters relate to shared servers. The principal parameters are: DISPATCHERS, SHARED_SERVERS, MAX_SHARED_SERVERS, LOCAL_LISTENER, REMOTE_LISTENER."
,
              "doc-refs": [
                {
                  "-title": "Snnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Dnnn (Dispatchers)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "438,847,536,944",
              "-desc": "In the shared server architecture, clients connect to a dispatcher process, which creates a virtual circuit for each connection. When the client sends data to the server, the dispatcher receives the data into the virtual circuit and places the active circuit on the common queue to be picked up by an idle shared server. The shared server then reads the data from the virtual circuit and performs the database work necessary to complete the request. When the shared server must send data to the client, the server writes the data back into the virtual circuit and the dispatcher sends the data to the client. After the shared server completes the client request, the server releases the virtual circuit back to the dispatcher and is free to handle other clients. Several initialization parameters relate to shared servers. The principal parameters are: DISPATCHERS, SHARED_SERVERS, MAX_SHARED_SERVERS, LOCAL_LISTENER, REMOTE_LISTENER."
,
              "doc-refs": [
                {
                  "-title": "Dnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LREG (Listener Registration Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "597,869,695,968",
              "-desc": "LREG notifies the listeners about instances, services, handlers and endpoints."
,
              "doc-refs": [
                {
                  "-title": "LREG",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RVWR (Recovery Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "553,581,652,679",
              "-desc": "RVWR writes flashback data from the flashback buffer in the SGA to the flashback logs. RVWR also creates flashback logs and performs some tasks for flashback log automatic management."
,
              "doc-refs": [
                {
                  "-title": "RVWR",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "TMON (Transport Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "670,583,770,682",
              "-desc": "TMON starts the TT processes and monitors a number of redo transport processes for hangs and death."
,
              "doc-refs": [
                {
                  "-title": "TMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "FBDA (Flashback Data Archive)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "801,583,900,681",
              "-desc": "When a transaction that modifies a tracked table commits, FBDA stores the pre-image of the rows in the archive. FDBA maintains metadata on the current rows and tracks how much data has been archived. FBDA is also responsible for automatically managing the flashback data archive for space, organization (partitioning tablespaces), and retention. FBDA also keeps track of how far the archiving of tracked transactions has progressed."
,
              "doc-refs": [
                {
                  "-title": "FBDA",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DBW0-j (Database Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "922,581,1021,682",
              "-desc": "The primary responsibility of the Database Writer Process is to write data blocks to disk. It also handles checkpoints, file open synchronization, and logging of Block Written records. In many cases the blocks that the Database Writer Process writes are scattered throughout the disk. Thus, the writes tend to be slower than the sequential writes performed by LGWR. The Database Writer Process performs multiblock writes when possible to improve efficiency. The number of blocks written in a multiblock write varies by operating system. The DB_WRITER_PROCESSES initialization parameter specifies the number of Database Writer Processes. There can be 1 to 100 Database Writer Processes. The names of the first 36 Database Writer Processes are DBW0-DBW9 and DBWa-DBWz. The names of the 37th through 100th Database Writer Processes are BW36-BW99. The database selects an appropriate default setting for the DB_WRITER_PROCESSES parameter or adjusts a user-specified setting based on the number of CPUs and processor groups. BW36-99 slaves"
,
              "doc-refs": [
                {
                  "-title": "DBW0-j",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "CKPT (Checkpoint Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1049,583,1149,681",
              "-desc": "At specific times CKPT starts a checkpoint request by messaging DBWn to begin writing dirty buffers. On completion of individual checkpoint requests, CKPT updates data file headers and control files to record most recent checkpoint. CKPT also checks every three seconds to see whether the amount of memory exceeds the value of the PGA_AGGREGATE_LIMIT initialization parameter, and if so, takes the following actions: The sessions using the most memory will have their calls aborted. Parallel queries will be treated as a unit. If the total PGA memory usage is still over the limit, then sessions using the most memory will be terminated. SYS processes and fatal background processes will not be subjected to any of the actions described here."
,
              "doc-refs": [
                {
                  "-title": "CKPT",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LGWR (Redo Log Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1300,582,1398,680",
              "-desc": "LG00-99 slaves: On multiprocessor systems, LGWR creates slave processes to improve the performance of writing to the redo log. LGWR slaves are not used when there is a SYNC standby destination. Each LGWR slave is responsible for writing the redo from one or more redo log buffer strands, which speeds up the performance of each redo write requested. Moreover, LGWR slaves are created to support multiple outstanding redo writes, thus increasing the overall throughput of redo writes. "
,
              "doc-refs": [
                {
                  "-title": "LGWR",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "TT00-zz (Redo Transport Slave)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1428,583,1527,683",
              "-desc": "This process ships redo from current online and standby redo logs to remote standby destinations configured for ASYNC transport. TTnn can run as multiple processes, where nn is 00 to ZZ."
,
              "doc-refs": [
                {
                  "-title": "TT00",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "ARCHn (Archiver Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1549,582,1649,681",
              "-desc": "ARCn processes exist only when the database is in ARCHIVELOG mode and automatic archiving is enabled, in which case ARCn automatically archives online redo log files. LGWR cannot reuse and overwrite an online redo log group until it has been archived. The database starts multiple archiver processes as needed to ensure that the archiving of filled online redo logs does not fall behind. Possible processes include ARC0-ARC9 and ARCa-ARCt. The LOG_ARCHIVE_MAX_PROCESSES initialization parameter specifies the number of ARCn processes that the database initially invokes."
,
              "doc-refs": [
                {
                  "-title": "ARCH",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "CTWR (Change Tracking Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1240,781,1339,881",
              "-desc": "Tracks changed data blocks as part of the Recovery Manager block change tracking feature."
,
              "doc-refs": [
                {
                  "-title": "CTWR",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Flashback Logs",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "607,767,57",
              "-desc": "Oracle-generated logs used to perform flashback database operations. The database can only write flashback logs to the fast recovery area. Flashback logs are written sequentially and are not archived. They cannot be backed up to disk."
,
              "doc-refs": [
                {
                  "-title": "Flashback Logs",
                  "-url": "http://docs.oracle.com/cd/E16655_01/backup.121/e17630/glossary.htm#BRADV90169"
                }
              ]
            }
            ,{
              "-name": "Data and Temp Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "864,776,62",
              "-desc": "A Data File is a physical file on disk that was created by Oracle Database and contains &quot;permanent&quot; data for a database. The data files can be located either in an operating system file system or Oracle ASM disk group. A Temp File is a file that belongs to a temporary tablespace. The temp files in temporary tablespaces cannot contain permanent database objects."
,
              "doc-refs": [
                {
                  "-title": "Data and Temp Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/physical.htm#CNCPT401"
                }
              ]
            }
            ,{
              "-name": "Fast Recovery Area",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1036,705,1077,828",
              "-desc": "An optional disk location that you can use to store recovery-related files such as control file and online redo log copies, archived redo log files, flashback logs, and RMAN backups. Oracle Database and RMAN manage the files in the fast recovery area automatically. You can specify the disk quota, which is the maximum size of the fast recovery area. Formerly referred to as flash recovery area."
,
              "doc-refs": [
                {
                  "-title": "Fast Recovery Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/backrest.htm#ADMQS09113"
                }
              ]
            }
            ,{
              "-name": "Database Area",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1158,704,1197,774",
              "-desc": "A location for the Oracle managed data files, control files, and online redo log files. The database area is specified by the DB_CREATE_FILE_DEST initialization parameter."
,
              "doc-refs": [
                {
                  "-title": "Database Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/backup.121/e17630/glossary.htm#BRADV90144"
                }
              ]
            }
            ,{
              "-name": "Control Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1142,798,33",
              "-desc": "A binary file that records the physical structure of a database and contains the names and locations of redo log files, the time stamp of the database creation, the current log sequence number, checkpoint information, and so on."
,
              "doc-refs": [
                {
                  "-title": "Control Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/physical.htm#CNCPT404"
                }
              ]
            }
            ,{
              "-name": "Change Tracking Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1152,891,37",
              "-desc": "A binary file used by RMAN to record changed blocks to improve incremental backup performance. You create and rename this file with the ALTER DATABASE statement."
,
              "doc-refs": [
                {
                  "-title": "Change Tracking Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/backrest.htm#ADMQS12437"
                }
              ]
            }
            ,{
              "-name": "Server Parameter File",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1030,910,45",
              "-desc": "A server-side binary file containing initialization parameter settings that is read and written to by the database."
,
              "doc-refs": [
                {
                  "-title": "Server Parameter Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/startup.htm#CNCPT89055"
                }
              ]
            }
            ,{
              "-name": "Redo Log Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1443,783,45",
              "-desc": "The online redo log is a set of two or more files that record all changes made to the database. Whenever a change is made to the database, Oracle generates a redo record in the redo buffer. The LGWR process writes the contents of the redo buffer into the online redo log. The current online redo log is the one being written to by LGWR. When LGWR gets to the end of the file, it performs a log switch and begins writing to a new log file. If you run the database in ARCHIVELOG mode, then each filled online redo log file must be copied to one or more archiving locations before LGWR can overwrite them. The Oracle online redo log consists of two or more online redo log groups. Each group contains one or more identical online redo log members."
,
              "doc-refs": [
                {
                  "-title": "Online Redo Log Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/storage.htm#ADMQS12049"
                }
              ]
            }
            ,{
              "-name": "Archived Redo Log Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1608,794,48",
              "-desc": "A copy of a filled member of an online redo log group made when the database is in ARCHIVELOG mode. After the LGWR process fills each online redo log with redo records, the archiver process copies the log to one or more redo log archiving destinations. This copy is the archived redo log. RMAN does not distinguish between an original archived redo log and an image copy of an archived redo log; both are considered image copies."
,
              "doc-refs": [
                {
                  "-title": "Archived Redo Log Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/storage.htm#ADMQS12050"
                }
              ]
            }
            ,{
              "-name": "Image Copies or Backup Sets",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1061,1081,1216,1208",
              "-desc": "An Image Copy is a bit-for-bit copy of a single data file, archived redo log file, or control file that is: - Usable as-is to perform recovery (unlike a backup set, which uses unused block compression and is in an RMAN-specific format) - Generated with the RMAN BACKUP AS COPY command, an operating system command such as the UNIX cp, or by the Oracle archiver process. A Backup Set is a backup of one or more data files, control files, server parameter files, and archived redo log files. Each backup set consists of one or more binary files. Each binary file is called a backup piece. Backup pieces are written in a proprietary format that can only be created or restored by RMAN. Backup sets are produced by the RMAN BACKUP command. A backup set usually consists of only one backup piece. RMAN divides the contents of a backup set among multiple backup pieces only if you limit the backup piece size using the MAXPIECESIZE option of the ALLOCATE CHANNEL or CONFIGURE CHANNEL command."
,
              "doc-refs": [
                {
                  "-title": "Backup Sets and Image Copies",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cncptdba.htm#CNCPT1430"
                }
              ]
            }
            ,{
              "-name": "Automatic Diagnostic Repository (ADR)",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1388,1063,1527,1202",
              "-desc": "A system-managed repository for storing and organizing database trace files and other diagnostic data. ADR provides a comprehensive view of all the serious errors encountered by the database and maintains all relevant data needed for problem diagnostic and their eventual resolution. The repository contains data describing incidents, traces, dumps, alert messages, data repair records, data integrity check records, SQL trace information, core dumps, and so on. The initialization parameter DIAGNOSTIC_DEST specifies the location of the ADR base, which is the directory that contains one or more ADR homes. Each ADR home is used by a product or a product instance to store diagnostic data in well-defined subdirectories. For example, diagnostic data for an Oracle database instance is stored in its ADR home, which includes an alert subdirectory for alert messages, a trace subdirectory for trace files, and so on. The easiest way to locate trace files and the alert log is to run the following SQL query: SELECT NAME, VALUE FROM V$DIAG_INFO."
,
              "doc-refs": [
                {
                  "-title": "Automatic Diagnostic Repository",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/startup.htm#CNCPT1913"
                }
              ]
            }
            ,{
              "-name": "MML or OSB; Tape Backup; Amazon S3 Cloud",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1219,944,1386,1220",
              "-desc": "The Oracle Media Management Layer (MML) API lets third-party vendors build a media manager, software that works with RMAN and the vendor's hardware to allow backups to sequential media devices such as tape drives. A media manager handles loading, unloading, and labeling of sequential media such as tapes. You must install media manager software to use RMAN with sequential media devices. Oracle Secure Backup (OSB) is an Oracle media manager that supplies reliable data protection through file system backup to tape. The Oracle Secure Backup SBT interface also enables you to use RMAN to back up Oracle databases. All major tape drives and tape libraries in SAN, Gigabit Ethernet, and SCSI environments are supported. The OSB Cloud Module is part of the OSB product family and provides the flexibility to back up your database to the Amazon S3 Cloud."
,
              "doc-refs": [
                {
                  "-title": "Media Management Software",
                  "-url": "http://docs.oracle.com/cd/E16655_01/backup.121/e17630/rcmconfb.htm#BRADV89411"
                }
              ]
            }
          ]
        },
        {
          "-name": "Multitenant Architecture",
          "-style": "diagram",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "-nimage": "cdb_full.png",
          "-zimage": "",
          "hotspots": [
            {
              "-name": "Multitenant Database Architecture",
              "-subsystem": "Multitenant Architecture Detail",
              "-shape": "rect",
              "-coords": "0,0,739,528",
              "-desc": "This is the full diagram of the architecture. Double click the image to view the diagram in more detail. "
,
              "doc-refs": [
                {
                  "-title": "Multitenant Architecture",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdbovrvw.htm#CNCPT89235"
                },
                {
                  "-title": "Performing Basic Tasks in Oracle Multitenant",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:1143847154535:PRODUCT:::P24_CONTENT_ID,P24_PREV_PAGE,P24_PROD_SECTION_GRP_ID:6767,141,111"
                },
                {
                  "-title": "Unplugging and Plugging Pluggable Databases",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:1143847154535:PRODUCT:::P24_CONTENT_ID,P24_PREV_PAGE,P24_PROD_SECTION_GRP_ID:6768,141,111"
                },
                {
                  "-title": "Performing Recovery for a Pluggable Database",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:1143847154535:PRODUCT:::P24_CONTENT_ID,P24_PREV_PAGE,P24_PROD_SECTION_GRP_ID:6771,141,111"
                },
                {
                  "-title": "Cloning Pluggable Databases",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:1143847154535:PRODUCT:::P24_CONTENT_ID,P24_PREV_PAGE,P24_PROD_SECTION_GRP_ID:6769,141,111"
                },
                {
                  "-title": "Managing Pluggable Databases ",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:1143847154535:PRODUCT:::P24_CONTENT_ID,P24_PREV_PAGE,P24_PROD_SECTION_GRP_ID:7649,141,111"
                }
              ]
            }
          ]
        },
        {
          "-name": "Multitenant Architecture Detail",
          "-style": "nested",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "-nimage": "cdb_normal.png",
          "-zimage": "cdb_large.png",
          "hotspots": [
            {
              "-name": "Background Processes",
              "-subsystem": "Not sure",
              "-shape": "rect",
              "-coords": "590,107,824,182",
              "-desc": "A multiprocess Oracle database uses some additional processes called background processes. The background processes perform maintenance tasks required to operate the database and to maximize performance for multiple users.Oracle Database creates background processes automatically when a database instance starts. An instance can have many background processes, not all of which always exist in every database configuration."
,
              "doc-refs": [
                {
                  "-title": "Background Processes Overview",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/process.htm#CNCPT1249"
                },
                {
                  "-title": "Background Processes Details",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Database Architecture",
              "-subsystem": "Database Architecture Detailtab_6",
              "-shape": "rect",
              "-coords": "529,98,1223,337",
              "-desc": "A database instance is a set of memory structures that manage database files. A database is a set of physical files on disk created by the CREATE DATABASE statement. The instance manages its associated data and serves the users of the database.Every running Oracle database is associated with at least one Oracle database instance. Because an instance exists in memory and a database exists on disk, an instance can exist without a database and a database can exist without an instance."
,
              "doc-refs": [
                {
                  "-title": "Introduction to the Oracle Database Instance",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/startup.htm#CNCPT601"
                }
              ]
            }
            ,{
              "-name": "PDB$SEED",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "149,648,350,973",
              "-desc": "The seed, named PDB$SEED, is a template that you can use to create new PDBs. You cannot add objects to or modify objects in the seed. The seed is associated with the container id 2. The seed contains a system and sysaux tablespaces, as well as a temporary tablespace."
,
              "doc-refs": [
                {
                  "-title": "Seed PDB",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/glossary.htm#BGBGICCI"
                }
              ]
            }
            ,{
              "-name": "PDB Files",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "449,836,840,965",
              "-desc": "There are separate SYSTEM and SYSAUX tablespaces for the root and for each PDB. You can specify a separate default tablespace for the root and for each PDB. Although there is a default temporary tablespace for the entire CDB, you can optionally create additional temporary tablespaces for use by individual PDBs."
,
              "doc-refs": [
                {
                  "-title": "Overview of Database Files in a CDB",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#CNCPT89268"
                }
              ]
            }
            ,{
              "-name": "CDB Instance",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1175,399,1297,430",
              "-desc": "One resource shared by a CDB is the CDB instance. Like a non-CDB instance, a CDB instance is composed of an SGA; background processes; and files like the alert log, the SPFILE, and, for example, a wallet. A CDB instance uses a single SPFILE or a single text initialization parameter file (PFILE). Values of initialization parameters are set for the root container, and these values are the default values for all PDBs. However, you can set some initialization parameters for a PDB to nondefault values by using the ALTER SYSTEM statement. Starting with Oracle Database 12c, the SGA components use additional flags to represent references to the various containers. This is also true in the non-CDB case, where this CON_ID is always 0. The CDB and its instance represent a special container associated with container ID 0. The standard block size applies to the entire CDB. In addition to background processes, foreground processes also interact with the CDB instance. Foreground processes represent sessions running in the different PDBs. However, foreground processes are not strictly part of the instance."
,
              "doc-refs": [
                {
                  "-title": "CDB Instance",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17636/cdb_create.htm#ADMIN13529"
                }
              ]
            }
            ,{
              "-name": "Common User",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1538,678,1683,703",
              "-desc": "A CDB supports common users. A common user is a user that has the same identity in the root and in every existing and future PDB. A common user can log in to the root and any PDB in which it has privileges. The operations that a common user can perform depend on the privileges granted to the common user. Some administrative tasks, such as creating a PDB or unplugging a PDB, must be performed by a common user. By default there are 36 common users created in each PDB and Root containers: SYS, SYSTEM, SYSKM, SYSBACKUP, SYSDG, OUTLN, DBSNMP, AUDSYS, XDB and so on. You cannot have common users and local users with the same name, nor can you have multiple common user accounts with the same name. However, you can use the same name for multiple local users in different PDBs.The CONTAINER_DATA clause of the SQL ALTER USER statement is used to set and modify users' CONTAINER_DATA attribute. These settings can be viewed through CDB|DBA_CONTAINER_DATA view."
,
              "doc-refs": [
                {
                  "-title": "Common User",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#CNCPT89259"
                }
              ]
            }
            ,{
              "-name": "Local User",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1292,774,1366,832",
              "-desc": "A CDB also supports local users. A local user is a user that exists in exactly one PDB. The Seed does not contain any local user. However, each time you create a new PDB from the Seed, the PDBADMIN local user is automatically created. PDB_DBA role is granted automatically to the local user that is created when you create a new pluggable database (PDB) from the seed PDB. No privileges are provided with this role by default, but when you create a new PDB from the Seed, you can grant predefined Oracle roles to the PDB_DBA role. When using DBCA to create a new CDB, you can ask it to create sample schemas as local users in your new PDBs. Note that the seed PDB does not have any local users."
,
              "doc-refs": [
                {
                  "-title": "Local User",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#CNCPT89260"
                }
              ]
            }
            ,{
              "-name": "Common Role",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1460,773,1580,804",
              "-desc": "A common role contains privileges that apply across the container database (CDB), that is, common privileges. It can also contain privileges that apply only to an individual PDB (local privileges). All Oracle-supplied predefined roles are common roles. If you grant a common role to a local user, then the privileges of that common role apply only to the local user's PDB. When you grant a common role to a common user, the privileges of the common role also apply to the current PDB but can be used across the CDB as well."
,
              "doc-refs": [
                {
                  "-title": "Common Role",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#CNCPT89265"
                }
              ]
            }
            ,{
              "-name": "Local Role",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1307,693,1365,732",
              "-desc": "A local role exists in only one PDB and does not contain any common privileges. The local role can only be used within its PDB. If you grant a local role to a common user, then the privileges of the local role apply only to the PDB in which the local role belongs. Common users can both create and grant common roles to other common and local users. Local users cannot create common roles, but can grant them to other common and local users. The local user who is granted a common role can exercise the privileges associated with this common role only within the local user's PDB."
,
              "doc-refs": [
                {
                  "-title": "Local Role",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#CNCPT89354"
                }
              ]
            }
            ,{
              "-name": "CDB Resource Plan",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1534,549,1705,606",
              "-desc": "A CDB resource plan allocates resources to its PDBs according to its set of resource plan directives (directives). There is a parent-child relationship between a CDB resource plan and its directives. Each directive references one PDB, and no two directives for the currently active plan can reference the same PDB. The directives control allocation of the CPU and Parallel Execution Servers of the PDBs. A directive can control the allocation of resources to PDBs based on the share value that you specify for each PDB. A higher share value for a PDB results in more resources for that PDB. For example, you can specify that one PDB is allocated double the resources allocated to a second PDB by setting the share value for the first PDB twice as high as the share value for the second PDB. You can also specify utilization limits for PDBs. The utilization limit for a PDB limits resource allocation to the PDB. For example, it can control how much CPU the PDB gets as a percentage of total CPU. You can use both shares and utilization limits together for precise control over the resources allocated to each PDB in a CDB. When you do not explicitly define directives for a PDB, or plub a new PDB with no associated directives, the PDB uses the default directive for PDBs."
,
              "doc-refs": [
                {
                  "-title": "CDB Resource Plans",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17636/cdb_dbrm.htm#ADMIN13778"
                }
              ]
            }
            ,{
              "-name": "PDB Resource Plan",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "984,770,1154,827",
              "-desc": "A PDB resource plan determines how the resources allocated to a specific PDB are allocated to consumer groups within that PDB. A PDB resource plan is similar to a resource plan for a non-CDB. In a CDB, the following restrictions apply to PDB resource plans: - A PDB resource plan cannot have subplans - A PDB resource plan can have a maximum of eight consumer groups - A PDB resource plan cannot have a multiple-level scheduling policy. For Resource Manager to enforce the directives in a PDB resource plan, a CDB resource plan must exist and must contain certain directives regarding resource allocation for the PDB. Without a CDB resource plan with the required directives, some PDB resource plan directives are not enforced."
,
              "doc-refs": [
                {
                  "-title": "PDB Resource Plan",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17636/cdb_dbrm.htm#ADMIN13807"
                }
              ]
            }
            ,{
              "-name": "Root Files",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "287,995,1521,1196",
              "-desc": "At the physical level, the Root container contains a set of files like in the non-CDB case. That is: - control files - redo log files - datafiles associated with the SYSTEM and SYSAUX tablespaces, undo files, temporary files, and user datafiles. In addition, the root container can have flashback logs and archive log files if the associated functionality is used. Note there is one redo log thread for a single-instance CDB, or one redo log thread for each instance for an Oracle Real Application Clusters (Oracle RAC) CDB. Same is true for flashback logs and archived log files. There is also a single set of mirrored controle files for an entire CDB. Although there is a default temporary tablespace for the entire CDB, you can optionally create additional temporary tablespaces for use by individual PDBs."
,
              "doc-refs": [
                {
                  "-title": "Root Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17636/cdb_create.htm#ADMIN14083"
                }
              ]
            }
            ,{
              "-name": "listener.ora",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1295,245,1429,302",
              "-desc": "There is a single listener.ora, tnsnames.ora, and sqlnet.ora file for an entire CDB."
,
              "doc-refs": [
                {
                  "-title": "listener.ora",
                  "-url": "http://docs.oracle.com/cd/E16655_01/install.121/e17720/glossary.htm#CHDHBEGI"
                }
              ]
            }
            ,{
              "-name": "Dictionary Object Data",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "432,421,622,491",
              "-desc": "Dictionary tables containing dictionary data."
,
              "doc-refs": [
                {
                  "-title": "Contents of the Data Dictionary",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/datadict.htm#CNCPT1209"
                }
              ]
            }
            ,{
              "-name": "Dictionary Object Definitions (Metadata)",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "668,418,922,448",
              "-desc": "Dictionary structure definitions like views, packages and so on."
,
              "doc-refs": [
                {
                  "-title": "Overview of the Data Dictionary",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/datadict.htm#CNCPT2140"
                }
              ]
            }
            ,{
              "-name": "Metadata links and Object links",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "382,563,417,707",
              "-desc": "At the logical level, a PDB has a data dictionary like any Oracle Database. However, instead of redefining all the data dictionary objects, the idea is to create pointers to objects that are created and defined in the root dictionary. This is done to avoid duplication as much as possible. Two type of pointers exist: Metadata links which are pointers to data dictionary object's definitions like the the dictionary view definitions, or the DBMS packages, and object links which are pointers to data dictionary object's data. For example, AWR table's content is stored only in the root. The vast majority of the space savings is due to the sharing of the metadata. This is significant if you think that the complete original dictionary definition occupied around 700MB in the root, but represents only 200MB in each PDB because of this pointer business."
,
              "doc-refs": [
                {
                  "-title": "Metadata and Object Links",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#CNCPT89348"
                }
              ]
            }
            ,{
              "-name": "CDB Views",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "1249,454,1316,517",
              "-desc": "In the root of a CDB, CDB views can be used to obtain information about tables, tablespaces, users, privileges, parameters, and so on contained in the root and in pluggable databases (PDBs). CDB views are CONTAINER_DATA objects. This means that when a user connected to the root queries a CDB view, the query results will depend on the CONTAINER_DATA attribute set for that user for the view. This attribute can be set using the ALTER USER SQL statement. When you create a PDB, a new default service for the PDB is created automatically. The service has the same name as the PDB. This is reflected in CDB_SERVICES. The maximum number of services supported in a CDB is 253 and within one CDB, a service name be unique."
,
              "doc-refs": [
                {
                  "-title": "CDB Views",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/refrn009.htm#REFRN009"
                }
              ]
            }
            ,{
              "-name": "PDB Container n",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "958,647,1397,973",
              "-desc": "A PDB appears to users and applications as if it were a non-CDB. For example, a PDB can contain the data and code required to support a specific application. A PDB is fully backward compatible with Oracle databases prior to Oracle Database 12c. Each PDB has a globally unique identifier (GUID). The PDB GUID is primarily used to generate names for directories that store the PDB's files, including both Oracle Managed Files directories and non-Oracle Managed Files directories."
,
              "doc-refs": [
                {
                  "-title": "Overview of Containers in a CDB",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#autoId0"
                }
              ]
            }
            ,{
              "-name": "PDB Container 1",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "431,649,855,975",
              "-desc": "A PDB appears to users and applications as if it were a non-CDB. For example, a PDB can contain the data and code required to support a specific application. A PDB is fully backward compatible with Oracle databases prior to Oracle Database 12c. Each PDB has a globally unique identifier (GUID). The PDB GUID is primarily used to generate names for directories that store the PDB's files, including both Oracle Managed Files directories and non-Oracle Managed Files directories."
,
              "doc-refs": [
                {
                  "-title": "Overview of Containers in a CDB",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#autoId0"
                }
              ]
            }
            ,{
              "-name": "Root Container",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "62,399,1782,1209",
              "-desc": "The root is a collection of schemas, schema objects, and nonschema objects to which all PDBs belong. A CDB has exactly one root associated with the container id 1. Each PDB is a child of the root, and the root's data dictionary contains information about each of its PDBs."
,
              "doc-refs": [
                {
                  "-title": "Overview of Containers in a CDB",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#autoId0"
                }
              ]
            }
            ,{
              "-name": "Multitenant Container Database",
              "-subsystem": "",
              "-shape": "rect",
              "-coords": "42,333,1804,1226",
              "-desc": "A multitenant container database that we also call a CDB, as opposed to a non-CDB, is simply the recipient for multiple databases sharing certain resources. A CDB is an Oracle database that includes one or more PDBs. In a CDB, each of these components is called a container. Therefore, the CDB itself is a container, the root is a container, the seed is a container, and each PDB is a container. Each container has a unique container ID within a CDB. One CDB can contain 253 PDBs including the seed. The additional two possible containers being the CDB itself and the root. Note that a CDB uses a single character set. You can set the time zones for the entire CDB (including all PDBs). You can also set the time zones individually for each PDB."
,
              "doc-refs": [
                {
                  "-title": "Overview of Containers in a CDB",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cdblogic.htm#autoId0"
                },
                {
                  "-title": "Adopting a Non CDB as a Pluggable Database in a Multitenant Container Database",
                  "-url": "http://apex.oracle.com/pls/apex/f?p=44785:24:1143847154535:PRODUCT:::P24_CONTENT_ID,P24_PREV_PAGE,P24_PROD_SECTION_GRP_ID:6770,141,111"
                }
              ]
            }
          ]
        },
        {
          "-name": "Database Architecture Detailtab_6",
          "-style": "nested",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "-nimage": "Oracle 12c Architecture_normal.png",
          "-zimage": "Oracle 12c Architecture_large.png",
          "hotspots": [
            {
              "-name": "SGA",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "541,222,1419,262",
              "-desc": "System Global Area (SGA): The SGA is a group of shared memory structures that contain data and control information for one database instance. Examples of SGA components include cached data blocks and shared SQL areas. "
,
              "doc-refs": [
                {
                  "-title": "System Global Area (SGA) Overview",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT802"
                }
              ]
            }
            ,{
              "-name": "User Global Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "203,369,345,405",
              "-desc": "Shared Server only (see UGA definition below)"
,
              "doc-refs": [
                {
                  "-title": "User Global Area Overview",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "Shared SQL Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "204,297,320,363",
              "-desc": "An area in the shared pool that contains the parse tree and execution plan for a SQL statement. Only one shared SQL area exists for a unique statement."
,
              "doc-refs": [
                {
                  "-title": "Shared SQL Areas",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1228"
                }
              ]
            }
            ,{
              "-name": "Library Cache",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,265,351,412",
              "-desc": "An area of memory in the shared pool. This cache includes the shared SQL areas, private SQL areas (in a shared server configuration), PL/SQL procedures and packages, and control structures such as locks and library cache handles."
,
              "doc-refs": [
                {
                  "-title": "Library Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1227"
                }
              ]
            }
            ,{
              "-name": "Reserved Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,417,496,446",
              "-desc": "The reserved pool is a memory area in the shared pool that Oracle Database can use to allocate large contiguous chunks of memory. Allocation of memory from the shared pool is performed in chunks. Chunking allows large objects (over 5 KB) to be loaded into the cache without requiring a single contiguous area. In this way, the database reduces the possibility of running out of contiguous memory because of fragmentation. Infrequently, Java, PL/SQL, or SQL cursors may make allocations out of the shared pool that are larger than 5 KB. To allow these allocations to occur most efficiently, the database segregates a small amount of the shared pool for the reserved pool."
,
              "doc-refs": [
                {
                  "-title": "Reserved Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT9835"
                }
              ]
            }
            ,{
              "-name": "Data Dictionary Cache",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,451,496,479",
              "-desc": "A memory area in the shared pool that holds data dictionary information. The data dictionary cache is also known as the row cache because it holds data as rows instead of buffers, which hold entire data blocks."
,
              "doc-refs": [
                {
                  "-title": "Data Dictionary Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e15857/tune_shared_pool.htm#TGDBA563"
                }
              ]
            }
            ,{
              "-name": "Server Result Cache",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,484,496,511",
              "-desc": "The server result cache stores the results of queries and PL/SQL function results. The server result cache contains the SQL query result cache and PL/SQL function result cache, which share the same infrastructure."
,
              "doc-refs": [
                {
                  "-title": "Server Result Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e15857/tune_result_cache.htm#TGDBA618"
                }
              ]
            }
            ,{
              "-name": "Enqueues",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "196,513,345,536",
              "-desc": "Enqueues are shared memory structures (locks) that serialize access to database resources. They can be associated with a session or transaction. Examples are: Controlfile Transaction, Datafile, Instance Recovery, Media Recovery, Transaction Recovery, Job Queue, ... "
,
              "doc-refs": [
                {
                  "-title": "Enqueues",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/enqueues.htm#REFRN102"
                }
              ]
            }
            ,{
              "-name": "Latches",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,540,345,562",
              "-desc": "Latches are used as a low-level serialization control mechanism used to protect shared data structures in the SGA from simultaneous access. Examples are: cache buffers lru chain, row cache objects, library cache pin, log file parallel write, and so on."
,
              "doc-refs": [
                {
                  "-title": "Latches",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/consist.htm#CNCPT1358"
                }
              ]
            }
            ,{
              "-name": "Other",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "348,539,493,563",
              "-desc": ""
            }
            ,{
              "-name": "ASH Buffers",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "356,376,496,412",
              "-desc": "The Active Session History (ASH) statistics are samples of session activity in the database. The database samples active sessions every second and stores them in a circular buffer in the System Global Area (SGA). Any session that is connected to the database and using CPU, or is waiting for an event that does not belong to the idle wait class, is considered an active session."
,
              "doc-refs": [
                {
                  "-title": "Active Session History (ASH)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cncptdba.htm#CNCPT852"
                }
              ]
            }
            ,{
              "-name": "Global Resource Directory",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "195,565,497,781",
              "-desc": "To ensure that each Oracle RAC database instance obtains the block that it requires to satisfy a query or transaction, Oracle RAC instances use two services, the Global Cache Service (GCS) and the Global Enqueue Service (GES). The GCS and GES maintain records of the statuses of each data file and each cached block using a Global Resource Directory (GRD). The GRD contents are distributed across all of the active instances, which effectively increases the size of the SGA for an Oracle RAC instance. After one instance caches data, any other instance within the same cluster database can acquire a block image from another instance in the same database faster than by reading the block from disk. Therefore, Cache Fusion moves current blocks between instances rather than re-reading the blocks from disk. When a consistent block is needed or a changed block is required on another instance, Cache Fusion transfers the block image directly between the affected instances. Oracle RAC uses the private interconnect for interinstance communication and block transfers. The GES Monitor and the Instance Enqueue Process manage access to Cache Fusion resources and enqueue recovery processing."
,
              "doc-refs": [
                {
                  "-title": "Global resource Directory",
                  "-url": "http://docs.oracle.com/cd/E16655_01/rac.121/e17887/admcon.htm#RACAD7274"
                }
              ]
            }
            ,{
              "-name": "Shared Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "190,234,504,792",
              "-desc": "Portion of the SGA that contains shared memory constructs such as shared SQL areas."
,
              "doc-refs": [
                {
                  "-title": "Shared Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1226"
                }
              ]
            }
            ,{
              "-name": "Database Buffer Cache",
              "-subsystem": "MEMORY",
              "-shape": "",
              "-coords": "",
              "-desc": "The portion of the system global area (SGA) that holds copies of data blocks. All client processes concurrently connected to the instance share access to the buffer cache."
,
              "doc-refs": [
                {
                  "-title": "Database Buffer Cache",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1222"
                }
              ]
            }
            ,{
              "-name": "Default Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "824,349,1015,435",
              "-desc": "This pool is the location where blocks are normally cached. Unless you manually configure separate pools, the default pool is the only buffer pool."
,
              "doc-refs": [
                {
                  "-title": "Default Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Keep pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "845,446,910,511",
              "-desc": "This pool is intended for blocks that were accessed frequently, but which aged out of the default pool because of lack of space. The goal of the keep buffer pool is to retain objects in memory, thus avoiding I/O operations."
,
              "doc-refs": [
                {
                  "-title": "Keep Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Recycle pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "924,446,989,510",
              "-desc": "This pool is intended for blocks that are used infrequently. A recycle pool prevent objects from consuming unnecessary space in the cache."
,
              "doc-refs": [
                {
                  "-title": "Recycle Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Buffer Pools",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "813,300,1026,528",
              "-desc": "A buffer pool is a collection of buffers. The database buffer cache is divided into one or more buffer pools."
,
              "doc-refs": [
                {
                  "-title": "Buffer Pools",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#autoId14"
                }
              ]
            }
            ,{
              "-name": "Nondefault block size pools",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1036,300,1241,509",
              "-desc": "A database has a standard block size of 8KB. You can create a tablespace with a block size that differs from the standard size. Each nondefault block size has its own pool. Oracle Database manages the blocks in these pools in the same way as in the default pool."
,
              "doc-refs": [
                {
                  "-title": "Nondefault Block Size Pools",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT9832"
                }
              ]
            }
            ,{
              "-name": "Flash Buffer Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "702,301,804,471",
              "-desc": "When Database Smart Flash Cache (flash cache) is enabled, part of the buffer cache can reside in the flash cache. This buffer cache extension is stored on flash disk devices (a maximum of 16 files is supported) , which is a solid state storage device that uses flash memory. The database can improve performance by caching buffers in flash memory instead of reading from magnetic disk. You must configure a flash cache on either all or none of the instances in an Oracle Real Application Clusters environment."
,
              "doc-refs": [
                {
                  "-title": "Flash Buffer Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT89073"
                }
              ]
            }
            ,{
              "-name": "Redo Log Buffer",
              "-subsystem": "MEMORY",
              "-shape": "circle",
              "-coords": "1348,403,44",
              "-desc": "The redo log buffer is a circular buffer in the SGA that stores redo entries describing changes made to the database. Redo entries contain the information necessary to reconstruct, or redo, changes made to the database by DML or DDL operations. Database recovery applies redo entries to data files to reconstruct lost changes."
,
              "doc-refs": [
                {
                  "-title": "Redo Log Buffer",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1225"
                }
              ]
            }
            ,{
              "-name": "Flashback Buffer",
              "-subsystem": "MEMORY",
              "-shape": "circle",
              "-coords": "597,403,44",
              "-desc": "When Flashback Database is enabled, the background process recovery writer, RVWR, is started. This background process periodically copies modified blocks from the buffer cache to the flashback buffer, and sequentially writes Flashback Database data from the flashback buffer to the Flashback Database logs which are circularly reused."
,
              "doc-refs": [
                {
                  "-title": "Flashback Buffer",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "I/O Buffer Areas",
              "-subsystem": "MEMORY",
              "-shape": "",
              "-coords": "",
              "-desc": "Recovery Manager uses the Large Pool to cache I/O buffers during backup and restore operations. For I/O server processes and backup and restore operations, RMAN allocates buffers that are a few hundred kilobytes in size."
            }
            ,{
              "-name": "PX Message Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,507,1533,539",
              "-desc": "Message buffers used in the parallel execution of statements"
            }
            ,{
              "-name": "Response Queues",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,275,1533,306",
              "-desc": "When the server completes the request, it places the response on the calling dispatcher's response queue. Each dispatcher has its own response queue. The dispatcher returns the completed request to the appropriate client process."
,
              "doc-refs": [
                {
                  "-title": "Response Queues",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/dist_pro.htm#autoId25"
                }
              ]
            }
            ,{
              "-name": "Request Queue",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1426,310,1533,346",
              "-desc": "A dispatcher places a request on the request queue, where it is picked up by the next available shared server process. A request from a user is a single API call that is part of the user's SQL statement. The shared server processes check the common request queue for new requests, picking up new requests on a first-in-first-out basis."
,
              "doc-refs": [
                {
                  "-title": "Request Queue",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/dist_pro.htm#autoId25"
                }
              ]
            }
            ,{
              "-name": "Oracle XA Interface Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,354,1533,387",
              "-desc": "This memory area is used when Oracle XA interface is used. This interface is an external interface that allows global transactions to be coordinated by a transaction manager other than Oracle Database."
            }
            ,{
              "-name": "Java Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1543,343,1649,494",
              "-desc": "The Java pool is an area of memory that stores all session-specific Java code and data within the Java Virtual Machine (JVM). This memory includes Java objects that are migrated to the Java session space at end-of-call."
,
              "doc-refs": [
                {
                  "-title": "Java Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1234"
                }
              ]
            }
            ,{
              "-name": "Streams Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1544,295,1649,338",
              "-desc": "The Streams pool stores buffered queue messages and provides memory for Oracle Streams capture processes and apply processes. The Streams pool is used exclusively by Oracle Streams. Unless you specifically configure it, the size of the Streams pool starts at zero. The pool size grows dynamically as required by Oracle Streams."
,
              "doc-refs": [
                {
                  "-title": "Streams Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1235"
                }
              ]
            }
            ,{
              "-name": "Shared I/O Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1542,242,1648,291",
              "-desc": "The shared I/O pool is used for large I/O operations on securefile LOBs. This pool can be sized using undocumented initialization parameters. In any case, if it is too small, the database uses PGA memory."
            }
            ,{
              "-name": "Fixed SGA",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1542,498,1649,544",
              "-desc": "The fixed SGA is an internal housekeeping area. For example, the fixed SGA contains general information about the state of the database and the instance, which the background processes need to access and information communicated between processes, such as information about locks. The size of the fixed SGA is set by Oracle Database and cannot be altered manually. The fixed SGA size can change from release to release."
,
              "doc-refs": [
                {
                  "-title": "Fixed SGA",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT9837"
                }
              ]
            }
            ,{
              "-name": "OLAP Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "797,1128,862,1166",
              "-desc": "The OLAP page pool is also stored in the UGA. This pool manages OLAP data pages, which are equivalent to data blocks. The page pool is allocated at the start of an OLAP session and released at the end of the session. An OLAP session opens automatically whenever a user queries a dimensional object such as a cube."
,
              "doc-refs": [
                {
                  "-title": "OLAP Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "Session Variables",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "729,1127,793,1165",
              "-desc": "For example, if a session loads a PL/SQL package into memory, then the UGA contains the package state, which is the set of values stored in all the package variables at a specific time "
,
              "doc-refs": [
                {
                  "-title": "Session Variables",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "User Global Area (UGA)",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "724,1105,869,1172",
              "-desc": "The UGA is session memory, which is memory allocated for session variables, such as logon information, and other information required by a database session. Essentially, the UGA stores the session state. The UGA must be available to a database session for the life of the session. For this reason, the UGA cannot be stored in the PGA when using a shared server connection because the PGA is specific to a single process. Therefore, the UGA is stored in the SGA when using shared server connections, enabling any shared server process access to it. When using a dedicated server connection, the UGA is stored in the PGA. "
,
              "doc-refs": [
                {
                  "-title": "User Global Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1238"
                }
              ]
            }
            ,{
              "-name": "Private SQL Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1427,447,1533,500",
              "-desc": "A private SQL area holds information about a parsed SQL statement and other session-specific information for processing. When a server process executes SQL or PL/SQL code, the process uses the private SQL area to store bind variable values, query execution state information, and query execution work areas. Do not confuse a private SQL area, which is in the UGA, with the shared SQL area, which stores execution plans in the SGA. Multiple private SQL areas in the same or different sessions can point to a single execution plan in the SGA. "
,
              "doc-refs": [
                {
                  "-title": "Private SQL Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "Large Pool",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "1422,243,1537,547",
              "-desc": "The large pool is an optional memory area intended for memory allocations that are larger than is appropriate for the shared pool. The large pool is different from reserved space in the shared pool, which uses the same LRU list as other memory allocated from the shared pool. The large pool does not have an LRU list. Pieces of memory are allocated and cannot be freed until they are done being used. "
,
              "doc-refs": [
                {
                  "-title": "Large Pool",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1233"
                }
              ]
            }
            ,{
              "-name": "Persistent Area",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "878,1128,943,1167",
              "-desc": "This area contains bind variable values. A bind variable value is supplied to a SQL statement at run time when the statement is executed. The persistent area is freed only when the cursor is closed."
,
              "doc-refs": [
                {
                  "-title": "Persistent Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "SQL Work Areas",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "724,1053,1018,1101",
              "-desc": "A work area is a private allocation of PGA memory used for memory-intensive operations. For example, a sort operator uses the sort area to sort a set of rows. Similarly, a hash join operator uses a hash area to build a hash table from its left input, whereas a bitmap merge uses the bitmap merge area to merge data retrieved from scans of multiple bitmap indexes."
,
              "doc-refs": [
                {
                  "-title": "SQL Work Areas",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1242"
                }
              ]
            }
            ,{
              "-name": "Program Global Area (PGA)",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "714,1029,1030,1191",
              "-desc": "The PGA is memory specific to an operating process or thread that is not shared by other processes or threads on the system. Because the PGA is process-specific, it is never allocated in the SGA."
,
              "doc-refs": [
                {
                  "-title": "Program Global Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT803"
                }
              ]
            }
            ,{
              "-name": "Cursor",
              "-subsystem": "MEMORY",
              "-shape": "rect",
              "-coords": "162,1083,208,1103",
              "-desc": "A cursor is a name or handle to a specific private SQL area. You can think of a cursor as a pointer on the client side and as a state on the server side. Because cursors are closely associated with private SQL areas, the terms are sometimes used interchangeably."
,
              "doc-refs": [
                {
                  "-title": "Cursor",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "User Process",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "178,985,277,1085",
              "-desc": "The client process is responsible for managing private SQL areas. The allocation and deallocation of private SQL areas depends largely on the application, although the number of private SQL areas that a client process can allocate is limited by the initialization parameter OPEN_CURSORS."
,
              "doc-refs": [
                {
                  "-title": "User Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/memory.htm#CNCPT1239"
                }
              ]
            }
            ,{
              "-name": "LMS0-z (Global Cache Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "39,1121,137,1217",
              "-desc": "LMS, where n is 0-9 or a-z, maintains a lock database for Global Cache Service (GCS) and buffer cache resources. This process receives, processes, and sends GCS requests, block transfers, and other GCS-related messages. Theses processes are Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "(LMS) Global Cache Service",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LMON (Global Enqueue Service Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "37,1017,137,1115",
              "-desc": "LMON maintains instance membership within Oracle RAC. The process detects instance transitions and performs reconfiguration of GES and GCS resources."
,
              "doc-refs": [
                {
                  "-title": "LMON (Global Enqueue Service Monitor)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PING (Interconnect Latency Measurement)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,915,136,1012",
              "-desc": "Every few seconds, the process in one instance sends messages to each instance. The message is received by PING on the target instance. The time for the round trip is measured and collected. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "PING (Interconnect Latency Measurement)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RMSn (RAC Management Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,814,137,911",
              "-desc": "RMSn performs a variety of tasks, including creating resources related to Oracle RAC when new instances are added to a cluster. These processes are Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "RAC Management Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LMHB (Global Cache/Enqueue Heartbeat Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,711,136,809",
              "-desc": "LMHB monitors LMON, LMD, and LMSn processes to ensure they are running normally without blocking or spinning. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "LMHB (Global Cache/Enqueue Heartbeat Monitor)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LMD0-z (Global Enqueue Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,609,136,706",
              "-desc": "LMDn backgrounds process enqueue resources managed under the Global Enqueue Service. In particular, they process incoming enqueue request messages and control access to global enqueues. They also perform distributed deadlock detections. There can be up to 36 of these processes (LMD0-LMDz).Note that LMD0 already existed before 12c. Only LMD1-LMDz are new. LDD0-z: LDDn are slave processes spawned on demand by LMDn processes. They are spawned to help the dedicated LMDn processes with various tasks when certain workloads start creating performance bottlenecks. These slave processes are transient as they are started on demand and they can be shut down when no longer needed.. There can be up to 36 of theses slave processes (LDD0-LDDz)."
,
              "doc-refs": [
                {
                  "-title": "Global Enqueue Service Daemon",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LCK0,1 (Lock Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,507,138,604",
              "-desc": "Manages global enqueue requests and cross-instance broadcasts. The process handles all requests for resources other than data blocks. For examples, LCKn manages library and row cache requests. Possible processes are LCK0 and LCK1."
,
              "doc-refs": [
                {
                  "-title": "LCK0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "IPC0 (IPC Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "37,405,138,502",
              "-desc": "IPC0 handles very high rates of incoming connect requests, as well as, completing reconfigurations to support basic messaging and RDMA primitives over several transports such as UDP, RDS, InfiniBand and RC. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "IPC0 (IPC Service)",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RSMN (Remote Slave Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "39,302,137,401",
              "-desc": "This background process manages the creation of slave processes and the communication with their coordinators and peers. These background slave processes perform tasks on behalf of a coordinating process running in another cluster instance. This process is Oracle RAC specific."
,
              "doc-refs": [
                {
                  "-title": "RSMN",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "ACMS (Atomic Control File to Memory Service)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1174,583,1274,680",
              "-desc": "Coordinates consistent updates to a control file resource with its SGA counterpart on all instances in an Oracle RAC environment. The ACMS process works with a coordinating caller to ensure that an operation is executed on every instance in Oracle RAC despite failures. ACMS is the process in which a distributed operation is called. As a result, this process can exhibit a variety of behaviors. In general, ACMS is limited to small, nonblocking state changes for a limited set of cross-instance operations."
,
              "doc-refs": [
                {
                  "-title": "ACMS",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "SMCO (Space Manager Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "39,201,137,300",
              "-desc": "This background process coordinates the execution of various space management tasks, including proactive space allocation and space reclamation. SMCO dynamically spawns slave processes (Wnnn) to implement these tasks."
,
              "doc-refs": [
                {
                  "-title": "SMCO",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "VKRM (Virtual Scheduler for Resource Manager)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "38,98,137,198",
              "-desc": "VKRM manages the CPU scheduling for all managed Oracle processes. The process schedules managed processes in accordance with an active resource plan."
,
              "doc-refs": [
                {
                  "-title": "VKRM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RCBG (Result Cache)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "157,97,256,197",
              "-desc": "This process is used for handling invalidation and other messages generated by server processes attached to other instances in Oracle RAC."
,
              "doc-refs": [
                {
                  "-title": "RCBG",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MMAN (Memory Manager)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "276,96,376,197",
              "-desc": "This process performs the resizing of memory components on the instance and serves as the instance memory manager."
,
              "doc-refs": [
                {
                  "-title": "MMAN",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MMON (Manageability Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "396,98,495,195",
              "-desc": "MMON performs many tasks related to manageability, including taking Automatic Workload Repository snapshots and performing Automatic Database Diagnostic Monitor analysis. Mnnn performs manageability tasks dispatched to them by MMON."
,
              "doc-refs": [
                {
                  "-title": "MMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MMNL (Manageability Monitor Lite)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "516,97,614,195",
              "-desc": "MMNL performs many tasks relating to manageability, including Active Session History (ASH) capture and metrics computation."
,
              "doc-refs": [
                {
                  "-title": "MMNL",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PMON (Process Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "633,97,734,197",
              "-desc": "PMON periodically performs cleanup of all the following: - Processes that died abnormally - Sessions that were killed - Detached transactions that have exceeded their idle timeout - Detached network connections which have exceeded their idle timeout. In addition, PMON monitors, spawns, and stops the following as needed: - Dispatcher and shared server processes - Job queue processes - Pooled server processes for database resident connection pooling - Restartable background processes."
,
              "doc-refs": [
                {
                  "-title": "PMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "SMON (System Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "754,96,852,196",
              "-desc": "SMON performs many database maintenance tasks, including the following: - Creates and manages the temporary tablespace metadata - Reclaims space used by orphaned temporary segments - Maintains the undo tablespace by onlining, offlining, and shrinking the undo segments based on undo space usage statistics - Cleans up the data dictionary when it is in a transient and inconsistent state - Maintains the SCN to time mapping table used to support Oracle Flashback features. In an Oracle RAC database, the SMON process of one instance can perform instance recovery for other instances that have failed. SMON is resilient to internal and external errors raised during background activities."
,
              "doc-refs": [
                {
                  "-title": "SMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RECO (Recovery Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "872,97,971,196",
              "-desc": "RECO uses the information in the pending transaction table to finalize the status of in-doubt transactions. At timed intervals, the local RECO attempts to connect to remote databases and automatically complete the commit or rollback of the local portion of any pending distributed transactions. All transactions automatically resolved by RECO are removed from the pending transaction table."
,
              "doc-refs": [
                {
                  "-title": "RECO",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "SAnn (SGA Allocator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "991,96,1091,196",
              "-desc": "A small fraction of SGA is allocated during instance startup. The SAnn process allocates the rest of SGA in small chunks. The process exits upon completion of SGA allocation. The possible processes are SA00 - SAzz."
,
              "doc-refs": [
                {
                  "-title": "Sann",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DBRM (Database Resource Manager)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1111,97,1210,196",
              "-desc": "This process sets resource plans and performs other tasks related to the Database Resource Manager. If a resource plan is not enabled, then this process is idle."
,
              "doc-refs": [
                {
                  "-title": "DBRM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "EMNC (EMON coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1231,98,1329,194",
              "-desc": "EMNC coordinates event management and notification activity in the database, including Streams Event Notifications, Continuous Query Notifications, and Fast Application Notifications."
,
              "doc-refs": [
                {
                  "-title": "EMNC",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "GEN0 (Generic Task Execution)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1351,98,1449,195",
              "-desc": "Performs general tasks on behalf of other background processes mainly to offload some potential blocking tasks."
,
              "doc-refs": [
                {
                  "-title": "GEN0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "VKTM (Virtual Keeper of TiMe)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1470,97,1568,196",
              "-desc": "VKTM acts as a time publisher for an Oracle instance. VKTM publishes two sets of time: a wall clock time using a seconds interval and a higher resolution time (which is not wall clock time) for interval measurements. The VKTM timer service centralizes time tracking and offloads multiple timer calls from other clients."
,
              "doc-refs": [
                {
                  "-title": "VKTM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PSP0 (Process Spawner)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1590,96,1688,196",
              "-desc": "Spawns Oracle background processes after initial instance startup."
,
              "doc-refs": [
                {
                  "-title": "PSP0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "AQPC (AQ Process Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,97,1800,197",
              "-desc": "AQPC is responsible for performing administrative tasks for AQ Master Class Processes including commands like starting, stopping, and other administrative tasks. This process is automatically started on instance startup."
,
              "doc-refs": [
                {
                  "-title": "AQPC",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "QMnn (AQ Master Class)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,200,1801,299",
              "-desc": "Each of this type of process represents a single class of work item such as AQ notification, queue monitors, and cross process."
,
              "doc-refs": [
                {
                  "-title": "QMnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Qnnn (AQ Server Class)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,304,1800,401",
              "-desc": "Each server class process acts on behalf of an AQ master class process. This relationship is maintained until the master requires services of a particular service process. Once released, the server class processes are moved to a free server pool."
,
              "doc-refs": [
                {
                  "-title": "Qnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "CJQ0 (Job Queue Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1700,404,1799,502",
              "-desc": "CJQ0 is automatically started and stopped as needed by Oracle Scheduler. The JOB_QUEUE_PROCESSES initialization parameter specifies the maximum number of processes that can be created for the execution of jobs. CJQ0 starts only as many job queue processes as required by the number of jobs to run and available resources. Job slave processes (Jnnn) are created or awakened by the job coordinator when it is time for a job to be executed. Job slaves gather all the metadata required to run the job from the data dictionary. The slave processes start a database session as the owner of the job, execute triggers, and then execute the job. After the job is complete, the slave processes commit and then execute appropriate triggers and close the session. The slave can repeat this operation in case additional jobs need to be run. "
,
              "doc-refs": [
                {
                  "-title": "CJQ0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "OFSD (Oracle File Server)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,507,1799,605",
              "-desc": "Serve file system requests submitted to an Oracle Instance. This background process listens for new file system requests, both management (like mount, unmount, and export) and I/O requests, and executes them using Oracle threads."
,
              "doc-refs": [
                {
                  "-title": "OFSD",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RM (RAT Masking Slave)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,608,1801,707",
              "-desc": "This background process is used with Data Masking and Real Application Testing. It Extracts and masks bind values from workloads like SQL tuning sets and DB Replay capture files."
,
              "doc-refs": [
                {
                  "-title": "RM",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RPnn (Capture Processing Worker)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,712,1799,808",
              "-desc": "RPnn are worker processes spawned by calling DBMS_WORKLOAD_REPLAY.PROCESS_CAPTURE(capture_dir,parallel_level). Each worker process is assigned a set of workload capture files to process. Worker processes execute in parallel without needing to communicate with each other. After each process is finished processing its assigned files, it exits and informs its parent process. The number of worker processes is controlled by the parallel_level parameter of DBMS_WORKLOAD_REPLAY.PROCESS_CAPTURE. By default, parallel_level is null which means that the number of processes is determined by CPU_COUNT. When parallel_level is 1, no worker processes are spawned."
,
              "doc-refs": [
                {
                  "-title": "RPnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "MARK (Mark AU for Resynchronization Coordinator)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1702,812,1800,910",
              "-desc": "MARK essentially tracks which extents require resynchronization for offline ASM disks. This process runs in the database instance and is started when the database instance first begins using the Oracle ASM instance. If required, MARK can also be started on demand when disks go offline in the Oracle ASM redundancy disk group."
,
              "doc-refs": [
                {
                  "-title": "MARK",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "OCFn (ASM CF Connection Pool)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,916,1801,1012",
              "-desc": "Maintains a connection to the Oracle ASM instance for metadata operations."
,
              "doc-refs": [
                {
                  "-title": "OCFn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RBAL (ASM Rebalancing Master)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1703,1018,1799,1115",
              "-desc": "In an Oracle ASM instance, this process coordinates rebalance activity for disk groups. In a database instances, it manages Oracle ASM disk groups."
,
              "doc-refs": [
                {
                  "-title": "RBAL",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Onnn (ASM Connection Pool)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1701,1118,1800,1218",
              "-desc": "This process maintains a connection to the Oracle ASM instance for metadata operations. Onnn slave processes are spawned on demand."
,
              "doc-refs": [
                {
                  "-title": "Onnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "PRnn (Parallel Recovery Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1546,1063,1645,1160",
              "-desc": "PRnn serves as a slave process for the coordinator process performing parallel media recovery and carries out tasks assigned by the coordinator. The default number of these processes is based on number of CPUs."
,
              "doc-refs": [
                {
                  "-title": "PRnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DIA0 (Diagnostic Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1546,944,1645,1042",
              "-desc": "Detects and resolves hangs and deadlocks."
,
              "doc-refs": [
                {
                  "-title": "DIA0",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DIAG (Diagnostic Capture Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1403,944,1501,1041",
              "-desc": "DIAG performs diagnostic dumps requested by other processes and dumps triggered by process or instance termination. In Oracle RAC, DIAG performs global diagnostic dumps requested by remote instances."
,
              "doc-refs": [
                {
                  "-title": "DIAG",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RMAN Process",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1105,961,1203,1059",
              "-desc": "This is a server process running RMAN"
,
              "doc-refs": [
                {
                  "-title": "RMAN Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Server Process",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "597,1001,696,1101",
              "-desc": "An Oracle process that communicates with a client process and Oracle Database to fulfill user requests. The server processes are associated with a database instance, but are not part of the instance."
,
              "doc-refs": [
                {
                  "-title": "Server Process",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Nnnn (Connection Broker Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "434,1102,533,1201",
              "-desc": "In Database Resident Connection Pooling, clients connect to a connection broker process. When a connection becomes active, the connection broker hands off the connection to a compatible pooled server process. The pooled server process performs network communication directly on the client connection and processes requests until the client releases the server. After being released, the connection is returned to the broker for monitoring, leaving the server free to handle other clients."
,
              "doc-refs": [
                {
                  "-title": "Nnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Lnnn (Pooled Server Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "287,1103,385,1202",
              "-desc": "In Database Resident Connection Pooling, clients connect to a connection broker process. When a connection becomes active, the connection broker hands off the connection to a compatible pooled server process. The pooled server process performs network communication directly on the client connection and processes requests until the client releases the server. After being released, the connection is returned to the broker for monitoring, leaving the server free to handle other clients."
,
              "doc-refs": [
                {
                  "-title": "Lnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Pnnn (Parallel Query Slave)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "175,819,273,917",
              "-desc": "Parallel Query has two components: a foreground process that acts as query coordinator and a set of parallel slaves (Pnnn) that are background processes. These background processes are spawned or reused during the start of a parallel statement. They receive and carry out units of work sent from the query coordinator. The maximum number of Pnnn processes is controlled by the initialization parameter PARALLEL_MAX_SERVERS. Slave processes are numbered from 0 to the PARALLEL_MAX_SERVERS setting. If the query is a GV$ query, then these background processes are numbered backward, starting from PZ99."
,
              "doc-refs": [
                {
                  "-title": "Pnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Snnn (Shared Servers)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "285,846,384,944",
              "-desc": "In the shared server architecture, clients connect to a dispatcher process, which creates a virtual circuit for each connection. When the client sends data to the server, the dispatcher receives the data into the virtual circuit and places the active circuit on the common queue to be picked up by an idle shared server. The shared server then reads the data from the virtual circuit and performs the database work necessary to complete the request. When the shared server must send data to the client, the server writes the data back into the virtual circuit and the dispatcher sends the data to the client. After the shared server completes the client request, the server releases the virtual circuit back to the dispatcher and is free to handle other clients. Several initialization parameters relate to shared servers. The principal parameters are: DISPATCHERS, SHARED_SERVERS, MAX_SHARED_SERVERS, LOCAL_LISTENER, REMOTE_LISTENER."
,
              "doc-refs": [
                {
                  "-title": "Snnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Dnnn (Dispatchers)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "438,847,536,944",
              "-desc": "In the shared server architecture, clients connect to a dispatcher process, which creates a virtual circuit for each connection. When the client sends data to the server, the dispatcher receives the data into the virtual circuit and places the active circuit on the common queue to be picked up by an idle shared server. The shared server then reads the data from the virtual circuit and performs the database work necessary to complete the request. When the shared server must send data to the client, the server writes the data back into the virtual circuit and the dispatcher sends the data to the client. After the shared server completes the client request, the server releases the virtual circuit back to the dispatcher and is free to handle other clients. Several initialization parameters relate to shared servers. The principal parameters are: DISPATCHERS, SHARED_SERVERS, MAX_SHARED_SERVERS, LOCAL_LISTENER, REMOTE_LISTENER."
,
              "doc-refs": [
                {
                  "-title": "Dnnn",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LREG (Listener Registration Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "597,869,695,968",
              "-desc": "LREG notifies the listeners about instances, services, handlers and endpoints."
,
              "doc-refs": [
                {
                  "-title": "LREG",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "RVWR (Recovery Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "553,581,652,679",
              "-desc": "RVWR writes flashback data from the flashback buffer in the SGA to the flashback logs. RVWR also creates flashback logs and performs some tasks for flashback log automatic management."
,
              "doc-refs": [
                {
                  "-title": "RVWR",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "TMON (Transport Monitor)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "670,583,770,682",
              "-desc": "TMON starts the TT processes and monitors a number of redo transport processes for hangs and death."
,
              "doc-refs": [
                {
                  "-title": "TMON",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "FBDA (Flashback Data Archive)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "801,583,900,681",
              "-desc": "When a transaction that modifies a tracked table commits, FBDA stores the pre-image of the rows in the archive. FDBA maintains metadata on the current rows and tracks how much data has been archived. FBDA is also responsible for automatically managing the flashback data archive for space, organization (partitioning tablespaces), and retention. FBDA also keeps track of how far the archiving of tracked transactions has progressed."
,
              "doc-refs": [
                {
                  "-title": "FBDA",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "DBW0-j (Database Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "922,581,1021,682",
              "-desc": "The primary responsibility of the Database Writer Process is to write data blocks to disk. It also handles checkpoints, file open synchronization, and logging of Block Written records. In many cases the blocks that the Database Writer Process writes are scattered throughout the disk. Thus, the writes tend to be slower than the sequential writes performed by LGWR. The Database Writer Process performs multiblock writes when possible to improve efficiency. The number of blocks written in a multiblock write varies by operating system. The DB_WRITER_PROCESSES initialization parameter specifies the number of Database Writer Processes. There can be 1 to 100 Database Writer Processes. The names of the first 36 Database Writer Processes are DBW0-DBW9 and DBWa-DBWz. The names of the 37th through 100th Database Writer Processes are BW36-BW99. The database selects an appropriate default setting for the DB_WRITER_PROCESSES parameter or adjusts a user-specified setting based on the number of CPUs and processor groups. BW36-99 slaves"
,
              "doc-refs": [
                {
                  "-title": "DBW0-j",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "CKPT (Checkpoint Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1049,583,1149,681",
              "-desc": "At specific times CKPT starts a checkpoint request by messaging DBWn to begin writing dirty buffers. On completion of individual checkpoint requests, CKPT updates data file headers and control files to record most recent checkpoint. CKPT also checks every three seconds to see whether the amount of memory exceeds the value of the PGA_AGGREGATE_LIMIT initialization parameter, and if so, takes the following actions: The sessions using the most memory will have their calls aborted. Parallel queries will be treated as a unit. If the total PGA memory usage is still over the limit, then sessions using the most memory will be terminated. SYS processes and fatal background processes will not be subjected to any of the actions described here."
,
              "doc-refs": [
                {
                  "-title": "CKPT",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "LGWR (Redo Log Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1300,582,1398,680",
              "-desc": "LG00-99 slaves: On multiprocessor systems, LGWR creates slave processes to improve the performance of writing to the redo log. LGWR slaves are not used when there is a SYNC standby destination. Each LGWR slave is responsible for writing the redo from one or more redo log buffer strands, which speeds up the performance of each redo write requested. Moreover, LGWR slaves are created to support multiple outstanding redo writes, thus increasing the overall throughput of redo writes. "
,
              "doc-refs": [
                {
                  "-title": "LGWR",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "TT00-zz (Redo Transport Slave)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1428,583,1527,683",
              "-desc": "This process ships redo from current online and standby redo logs to remote standby destinations configured for ASYNC transport. TTnn can run as multiple processes, where nn is 00 to ZZ."
,
              "doc-refs": [
                {
                  "-title": "TT00",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "ARCHn (Archiver Process)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1549,582,1649,681",
              "-desc": "ARCn processes exist only when the database is in ARCHIVELOG mode and automatic archiving is enabled, in which case ARCn automatically archives online redo log files. LGWR cannot reuse and overwrite an online redo log group until it has been archived. The database starts multiple archiver processes as needed to ensure that the archiving of filled online redo logs does not fall behind. Possible processes include ARC0-ARC9 and ARCa-ARCt. The LOG_ARCHIVE_MAX_PROCESSES initialization parameter specifies the number of ARCn processes that the database initially invokes."
,
              "doc-refs": [
                {
                  "-title": "ARCH",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "CTWR (Change Tracking Writer)",
              "-subsystem": "PROCESSES",
              "-shape": "rect",
              "-coords": "1240,781,1339,881",
              "-desc": "Tracks changed data blocks as part of the Recovery Manager block change tracking feature."
,
              "doc-refs": [
                {
                  "-title": "CTWR",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17615/bgprocesses.htm#REFRN104"
                }
              ]
            }
            ,{
              "-name": "Flashback Logs",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "607,767,57",
              "-desc": "Oracle-generated logs used to perform flashback database operations. The database can only write flashback logs to the fast recovery area. Flashback logs are written sequentially and are not archived. They cannot be backed up to disk."
,
              "doc-refs": [
                {
                  "-title": "Flashback Logs",
                  "-url": "http://docs.oracle.com/cd/E16655_01/backup.121/e17630/glossary.htm#BRADV90169"
                }
              ]
            }
            ,{
              "-name": "Data and Temp Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "864,776,62",
              "-desc": "A Data File is a physical file on disk that was created by Oracle Database and contains &quot;permanent&quot; data for a database. The data files can be located either in an operating system file system or Oracle ASM disk group. A Temp File is a file that belongs to a temporary tablespace. The temp files in temporary tablespaces cannot contain permanent database objects."
,
              "doc-refs": [
                {
                  "-title": "Data and Temp Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/physical.htm#CNCPT401"
                }
              ]
            }
            ,{
              "-name": "Fast Recovery Area",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1036,705,1077,828",
              "-desc": "An optional disk location that you can use to store recovery-related files such as control file and online redo log copies, archived redo log files, flashback logs, and RMAN backups. Oracle Database and RMAN manage the files in the fast recovery area automatically. You can specify the disk quota, which is the maximum size of the fast recovery area. Formerly referred to as flash recovery area."
,
              "doc-refs": [
                {
                  "-title": "Fast Recovery Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/backrest.htm#ADMQS09113"
                }
              ]
            }
            ,{
              "-name": "Database Area",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1158,704,1197,774",
              "-desc": "A location for the Oracle managed data files, control files, and online redo log files. The database area is specified by the DB_CREATE_FILE_DEST initialization parameter."
,
              "doc-refs": [
                {
                  "-title": "Database Area",
                  "-url": "http://docs.oracle.com/cd/E16655_01/backup.121/e17630/glossary.htm#BRADV90144"
                }
              ]
            }
            ,{
              "-name": "Control Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1142,798,33",
              "-desc": "A binary file that records the physical structure of a database and contains the names and locations of redo log files, the time stamp of the database creation, the current log sequence number, checkpoint information, and so on."
,
              "doc-refs": [
                {
                  "-title": "Control Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/physical.htm#CNCPT404"
                }
              ]
            }
            ,{
              "-name": "Change Tracking Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1152,891,37",
              "-desc": "A binary file used by RMAN to record changed blocks to improve incremental backup performance. You create and rename this file with the ALTER DATABASE statement."
,
              "doc-refs": [
                {
                  "-title": "Change Tracking Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/backrest.htm#ADMQS12437"
                }
              ]
            }
            ,{
              "-name": "Server Parameter File",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1030,910,45",
              "-desc": "A server-side binary file containing initialization parameter settings that is read and written to by the database."
,
              "doc-refs": [
                {
                  "-title": "Server Parameter Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/startup.htm#CNCPT89055"
                }
              ]
            }
            ,{
              "-name": "Redo Log Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1443,783,45",
              "-desc": "The online redo log is a set of two or more files that record all changes made to the database. Whenever a change is made to the database, Oracle generates a redo record in the redo buffer. The LGWR process writes the contents of the redo buffer into the online redo log. The current online redo log is the one being written to by LGWR. When LGWR gets to the end of the file, it performs a log switch and begins writing to a new log file. If you run the database in ARCHIVELOG mode, then each filled online redo log file must be copied to one or more archiving locations before LGWR can overwrite them. The Oracle online redo log consists of two or more online redo log groups. Each group contains one or more identical online redo log members."
,
              "doc-refs": [
                {
                  "-title": "Online Redo Log Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/storage.htm#ADMQS12049"
                }
              ]
            }
            ,{
              "-name": "Archived Redo Log Files",
              "-subsystem": "STORAGE",
              "-shape": "circle",
              "-coords": "1608,794,48",
              "-desc": "A copy of a filled member of an online redo log group made when the database is in ARCHIVELOG mode. After the LGWR process fills each online redo log with redo records, the archiver process copies the log to one or more redo log archiving destinations. This copy is the archived redo log. RMAN does not distinguish between an original archived redo log and an image copy of an archived redo log; both are considered image copies."
,
              "doc-refs": [
                {
                  "-title": "Archived Redo Log Files",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17643/storage.htm#ADMQS12050"
                }
              ]
            }
            ,{
              "-name": "Image Copies or Backup Sets",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1061,1081,1216,1208",
              "-desc": "An Image Copy is a bit-for-bit copy of a single data file, archived redo log file, or control file that is: - Usable as-is to perform recovery (unlike a backup set, which uses unused block compression and is in an RMAN-specific format) - Generated with the RMAN BACKUP AS COPY command, an operating system command such as the UNIX cp, or by the Oracle archiver process. A Backup Set is a backup of one or more data files, control files, server parameter files, and archived redo log files. Each backup set consists of one or more binary files. Each binary file is called a backup piece. Backup pieces are written in a proprietary format that can only be created or restored by RMAN. Backup sets are produced by the RMAN BACKUP command. A backup set usually consists of only one backup piece. RMAN divides the contents of a backup set among multiple backup pieces only if you limit the backup piece size using the MAXPIECESIZE option of the ALLOCATE CHANNEL or CONFIGURE CHANNEL command."
,
              "doc-refs": [
                {
                  "-title": "Backup Sets and Image Copies",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/cncptdba.htm#CNCPT1430"
                }
              ]
            }
            ,{
              "-name": "Automatic Diagnostic Repository (ADR)",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1388,1063,1527,1202",
              "-desc": "A system-managed repository for storing and organizing database trace files and other diagnostic data. ADR provides a comprehensive view of all the serious errors encountered by the database and maintains all relevant data needed for problem diagnostic and their eventual resolution. The repository contains data describing incidents, traces, dumps, alert messages, data repair records, data integrity check records, SQL trace information, core dumps, and so on. The initialization parameter DIAGNOSTIC_DEST specifies the location of the ADR base, which is the directory that contains one or more ADR homes. Each ADR home is used by a product or a product instance to store diagnostic data in well-defined subdirectories. For example, diagnostic data for an Oracle database instance is stored in its ADR home, which includes an alert subdirectory for alert messages, a trace subdirectory for trace files, and so on. The easiest way to locate trace files and the alert log is to run the following SQL query: SELECT NAME, VALUE FROM V$DIAG_INFO."
,
              "doc-refs": [
                {
                  "-title": "Automatic Diagnostic Repository",
                  "-url": "http://docs.oracle.com/cd/E16655_01/server.121/e17633/startup.htm#CNCPT1913"
                }
              ]
            }
            ,{
              "-name": "MML or OSB; Tape Backup; Amazon S3 Cloud",
              "-subsystem": "STORAGE",
              "-shape": "rect",
              "-coords": "1219,944,1386,1220",
              "-desc": "The Oracle Media Management Layer (MML) API lets third-party vendors build a media manager, software that works with RMAN and the vendor's hardware to allow backups to sequential media devices such as tape drives. A media manager handles loading, unloading, and labeling of sequential media such as tapes. You must install media manager software to use RMAN with sequential media devices. Oracle Secure Backup (OSB) is an Oracle media manager that supplies reliable data protection through file system backup to tape. The Oracle Secure Backup SBT interface also enables you to use RMAN to back up Oracle databases. All major tape drives and tape libraries in SAN, Gigabit Ethernet, and SCSI environments are supported. The OSB Cloud Module is part of the OSB product family and provides the flexibility to back up your database to the Amazon S3 Cloud."
,
              "doc-refs": [
                {
                  "-title": "Media Management Software",
                  "-url": "http://docs.oracle.com/cd/E16655_01/backup.121/e17630/rcmconfb.htm#BRADV89411"
                }
              ]
            }
          ]
        },
        {
          "-name": "Oracle Database 12c", "-style": "background_processes",
          "-description": "Oracle Database 12c: INTERACTIVE QUICK REFERENCE",
          "processes": [
            {
              "-name": "ASM Cluster File System CSS Process",
              "-category": "Automatic Storage Management",
              "-acronym": "ACFS",
              "-desc": "Tracks the cluster membership in CSS and informs the file system driver of membership changes.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Rebalance Process (11 possible)",
              "-category": "Automatic Storage Management",
              "-acronym": "ARB 0..A",
              "-desc": "Rebalances data extents across the ASM file systems.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Recovery Slave Process (10 possible)",
              "-category": "Automatic Storage Management",
              "-acronym": "ARSn",
              "-desc": "The ASM RBAL background process coordinates and spawns one or more of these slave processes to recover aborted ASM transactional operations. These processes run only in the Oracle ASM instance.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Background Process",
              "-category": "Automatic Storage Management",
              "-acronym": "ASMB",
              "-desc": "Communicates with the ASM instance, managing storage and providing statistics",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Blocking Slave Process for GMON",
              "-category": "Automatic Storage Management",
              "-acronym": "B00 0..4",
              "-desc": "Performs maintenance actions on ASM disk groups",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Blocking Slave Process for GMON",
              "-category": "Automatic Storage Management",
              "-acronym": "Bnnn",
              "-desc": "Performs maintenance actions on Oracle ASM disk groups. Bnnn performs actions that require waiting for resources on behalf of GMON. GMON must be highly available and cannot wait.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Fence Monitor Process",
              "-category": "Automatic Storage Management",
              "-acronym": "FENC",
              "-desc": "Processes fence requests for RDBMS instances which are using Oracle ASM IOServer instances",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Disk Group Monitor Process",
              "-category": "Automatic Storage Management",
              "-acronym": "GMON",
              "-desc": "Maintains disk membership in ASM disk groups.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Mark AU for Resynchronization Coordinator Process",
              "-category": "Automatic Storage Management",
              "-acronym": "MARK",
              "-desc": "Marks ASM Allocation Units as stale following a missed write to an offline disk",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM CF Connection Pool Process",
              "-category": "Automatic Storage Management",
              "-acronym": "OCFn",
              "-desc": "Maintains a connection to the ASM instance for metadata operations",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Connection Pool Process",
              "-category": "Automatic Storage Management",
              "-acronym": "Onnn",
              "-desc": "Maintains a connection to the ASM instance for metadata operations",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Rebalance Master Process",
              "-category": "Automatic Storage Management",
              "-acronym": "RBAL",
              "-desc": "In an Oracle ASM instance, it coordinates rebalance activity for disk groups. In a database instances, it manages Oracle ASM disk groups.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Rolling Migration Monitor Process",
              "-category": "Automatic Storage Management",
              "-acronym": "RMON",
              "-desc": "Manages the rolling migration procedure for an Oracle ASM cluster (The RMON process is spawned on demand to run the protocol for transitioning an ASM cluster in and out of rolling migration mode.",
              "-required": "Yes",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Block Remap Slave Process",
              "-category": "Automatic Storage Management",
              "-acronym": "Rnnn",
              "-desc": "A database instance reading from an Oracle ASM disk group can encounter an error during a read. If possible, Oracle ASM asynchronously schedules a Rnnn slave process to remap this bad block from a mirror copy.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "ASM Disk Scrubbing Slave Check Process",
              "-category": "Automatic Storage Management",
              "-acronym": "SCCn",
              "-desc": "SCCn acts as a slave process for SCRB and performs the checking operations.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Disk Scrubbing Master Process",
              "-category": "Automatic Storage Management",
              "-acronym": "SCRB",
              "-desc": "SCRB runs in an Oracle ASM instance and coordinates Oracle ASM disk scrubbing operations.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Disk Scrubbing Slave Repair Process",
              "-category": "Automatic Storage Management",
              "-acronym": "SCRn",
              "-desc": "SCRn acts as a slave process for SCRB and performs the repairing operations.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Disk Scrubbing Slave Verify Process",
              "-category": "Automatic Storage Management",
              "-acronym": "SCVN",
              "-desc": "Performs Oracle ASM disk scrubbing verify operation. SCVn acts as a slave process for SCRB and performs the verifying operations. The possible processes are SCV0-SCV9.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Disk Test Error Emulation Process",
              "-category": "Automatic Storage Management",
              "-acronym": "TEMn",
              "-desc": "Emulates I/O errors on ASM disks through named events.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Volume Background Process",
              "-category": "Automatic Storage Management",
              "-acronym": "VBGn",
              "-desc": "Communicates between the ASM instance and the operating system volume driver.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Volume Driver Process",
              "-category": "Automatic Storage Management",
              "-acronym": "VDBG",
              "-desc": "Forwards ASM request to perform various volume-related tasks.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Volume Membership Process",
              "-category": "Automatic Storage Management",
              "-acronym": "VMBO",
              "-desc": "Maintains cluster membership on behalf of the ASM volume drivers",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Volume drive Umbilicus Background",
              "-category": "Automatic Storage Management",
              "-acronym": "VUBG",
              "-desc": "Relays messages between Oracle ASM instance and Oracle ASM Proxy instance that is used by ADVM (for ACFS)",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "ASM Disk Expel Slave Process",
              "-category": "Automatic Storage Management",
              "-acronym": "Xnnn",
              "-desc": "Performs Oracle ASM post-rebalance activities. This process expels dropped disks at the end of an Oracle ASM rebalance.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Slave Diskmon Process",
              "-category": "Exadata",
              "-acronym": "DSKM",
              "-desc": "Acts as conduit between RDBMS and ASM instances and the Master Diskmon daemon to communicate I/O Fencing information, I/O Resource Manager Plans, and Transaction Commit Cache information to Exadata storage. If no Exadata storage is used, the slave diskmon process will exit silently after startup of the instance. Only active if Exadata storage is used.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Exadata Automation Manager",
              "-category": "Exadata",
              "-acronym": "XDMG",
              "-desc": "Initiates automation tasks involved in managing Exadata storage",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Exadata Automation Worker",
              "-category": "Exadata",
              "-acronym": "XDWK",
              "-desc": "Performs automation tasks requested by XDMG",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Auto BMR Background Process",
              "-category": "General",
              "-acronym": "ABMR",
              "-desc": "Coordinates execution of tasks such as filtering duplicate block media recovery requests and performing flood control.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Logical Standby / Streams Apply Process Coordinator Process",
              "-category": "General",
              "-acronym": "APnn",
              "-desc": "Obtains transactions from the reader server and passes them to apply servers",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Archiver Process (30 possible)",
              "-category": "General",
              "-acronym": "ARC 0..t",
              "-desc": "Copies the redo log files to archival storage when they are full or an online redo log switch occurs",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Automatic Block Media Recovery Slave Pool Process",
              "-category": "General",
              "-acronym": "BMRn",
              "-desc": "Fetches blocks from a real-time readable standby database",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Database Writer Process (20 possible)",
              "-category": "General",
              "-acronym": "BW nn",
              "-desc": "Writes modified blocks from the database buffer cache to the data files. The names of the 37th through 100th Database Writer Processes are BW36-BW99. See DBWn for more information on these processes.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Job Queue Coordinator Process",
              "-category": "General",
              "-acronym": "CJQ0",
              "-desc": "Spawns slave processes (Jnnn) to execute jobs in the queue.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Checkpoint Process",
              "-category": "General",
              "-acronym": "CKPT",
              "-desc": "Signals DBWn at checkpoints and updates all the data files and control files of the database to indicate the most recent checkpoint",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Database Capture Process",
              "-category": "General",
              "-acronym": "CPnn",
              "-desc": "Captures database changes from the redo log by using the infrastructure of LogMiner.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Streams Propagation Sender Process",
              "-category": "General",
              "-acronym": "CSnn",
              "-desc": "Sends LCRs to a propagation receiver.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "I/O Calibration Process",
              "-category": "General",
              "-acronym": "CSnn",
              "-desc": "Issues I/Os to storage as part of storage calibration. There is one slave process per CPU on each node of the database.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Change Tracking Writer Process",
              "-category": "General",
              "-acronym": "CTWR",
              "-desc": "Tracks changed data blocks as part of the Recovery Manager block change tracking feature",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Database Resource Manager Process",
              "-category": "General",
              "-acronym": "DBRM",
              "-desc": "Sets resource plans and performs other Resource Manager tasks.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Database Writer Process",
              "-category": "General",
              "-acronym": "DBW 0..j",
              "-desc": "Writes modified blocks from the database buffer cache to the data files. There can be 1 to 100 Database Writer Processes. The names of the first 36 Database Writer Processes are DBW0-DBW9 and DBWa-DBWz. The names of the 37th through 100th Database Writer Processes are BW36-BW99.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Diagnostic Process 0 (although 10 possible, only 0 is currently used)",
              "-category": "General",
              "-acronym": "DIA0",
              "-desc": "Responsible for hang detection and deadlock resolution. Triggers DIAG to perform diagnostic tasks.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Diagnostic Capture Process",
              "-category": "General",
              "-acronym": "DIAG",
              "-desc": "Performs diagnostic dumps and executes global oradebug commands.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Pump Master Process",
              "-category": "General",
              "-acronym": "DMnn",
              "-desc": "Coordinates the Data Pump job tasks performed by Data Pump worker processes and handles client interactions.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Dispatcher Process",
              "-category": "General",
              "-acronym": "Dnnn",
              "-desc": "In a Shared Server configuration, dispatchers place connection requests in a connection request queue.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Pump Worker Process",
              "-category": "General",
              "-acronym": "DWnn",
              "-desc": "Performs Data Pump tasks as assigned by the Data Pump Master Process.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "EMON Coordinator Process",
              "-category": "General",
              "-acronym": "EMNC",
              "-desc": "Coordinates the event management and notification activity in the database, including Streams Event Notifications, Continuous Query Notifications, and Fast Application Notifications. Spawns Ennn processes.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "EMON Slave Process",
              "-category": "General",
              "-acronym": "Ennn",
              "-desc": "Performs database event management and notifications.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Flashback Data Archiver Process",
              "-category": "General",
              "-acronym": "FBDA",
              "-desc": "Archives historical rows for tracked tables into flashback data archives and manages archive space, organization, and retention",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "File Mapping Monitor Process",
              "-category": "General",
              "-acronym": "FMON",
              "-desc": "Spawns FMPUTL, an external non-Oracle Database process that communicates with the mapping libraries provided by storage vendors. Responsible for managing the mapping information.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "General Task Execution Process",
              "-category": "General",
              "-acronym": "GEN0",
              "-desc": "Performs required tasks including SQL and DML.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Disk and Tape I/O Slave Process",
              "-category": "General",
              "-acronym": "Innn",
              "-desc": "Serves as an I/O slave process spawned on behalf of DBWR, LGWR, or an RMAN backup session.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Job Queue Slave Processes",
              "-category": "General",
              "-acronym": "Jnnn",
              "-desc": "Processes jobs in the queue. Spawned by CJQ0.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Log Writer Slave",
              "-category": "General",
              "-acronym": "LGn",
              "-desc": "On multiprocessor systems, LGWR creates slave processes to improve the performance of writing to the redo log. LGWR slaves are not used when there is a SYNC standby destination.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Log Writer Process",
              "-category": "General",
              "-acronym": "LGWR",
              "-desc": "Writes the log buffer out to the redo logs.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Pooled Server Process",
              "-category": "General",
              "-acronym": "Lnnn",
              "-desc": "Handles client requests in Database Resident Connection Pooling.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Listener Registration Process",
              "-category": "General",
              "-acronym": "LREG",
              "-desc": "LREG notifies the listeners about instances, services, handlers, and endpoint.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Memory Manager Process",
              "-category": "General",
              "-acronym": "MMAN",
              "-desc": "Serves as the SGA Memory Broker and coordinates the sizing of the memory components.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Manageability Monitor Lite Process",
              "-category": "General",
              "-acronym": "MMNL",
              "-desc": "Performs frequent and lightweight manageability-related tasks, such as session history capture and metrics computation.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Manageability Monitor Process",
              "-category": "General",
              "-acronym": "MMON",
              "-desc": "Collects statistics for the Automatic Workload Repository.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "MMON Slave Process",
              "-category": "General",
              "-acronym": "Mnnn",
              "-desc": "Performs manageability tasks on behalf of MMON.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "LogMiner Worker Process",
              "-category": "General",
              "-acronym": "MSnn",
              "-desc": "Reads redo log files and translates and assembles into transactions.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Connection Broker Process",
              "-category": "General",
              "-acronym": "Nnnn",
              "-desc": "Monitors idle connections and hands off active connections in Database Resident Connection Pooling",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Oracle File Server Background Process",
              "-category": "General",
              "-acronym": "OFSD",
              "-desc": "This background process listens for new file system requests, both management (like mount, unmount, and export) and I/O requests, and executes them using Oracle threads.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Process Monitor",
              "-category": "General",
              "-acronym": "PMON",
              "-desc": "Recovers failed process resources. If Shared Server architecture is used, PMON monitors and restarts any failed dispatcher or server processes.",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Parallel Query Slave Process",
              "-category": "General",
              "-acronym": "Pnnn",
              "-desc": "Started and stopped as needed to participate in parallel query operations.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Parallel Recovery Process",
              "-category": "General",
              "-acronym": "PRnn",
              "-desc": "Performs tasks assigned by the coordinator process performing parallel recovery",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Process Spawner Process",
              "-category": "General",
              "-acronym": "PSP0",
              "-desc": "Starts and stops Oracle processes. Reduces workload of RBAL by starting / stopping ASM rebalance slaves.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Result Cache Background Process",
              "-category": "General",
              "-acronym": "RCBG",
              "-desc": "Supports SQL query and PL/SQL function result caches.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Recoverer Process",
              "-category": "General",
              "-acronym": "RECO",
              "-desc": "Resolves failures involving distributed transactions.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "RAT Masking Slave Process",
              "-category": "General",
              "-acronym": "RM",
              "-desc": "This background process is used with Data Masking and Real Application Testing.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Capture Processing Worker Process",
              "-category": "General",
              "-acronym": "RPnn",
              "-desc": "Processes a set of workload capture files.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Instant Recovery Repopulation Daemon",
              "-category": "General",
              "-acronym": "RPOP",
              "-desc": "Responsible for re-creating and/or repopulating data files from snapshot files and backup files. The RPOP process is responsible for re-creating and repopulating data files from snapshots files. It works with the instant recovery feature to ensure immediate data file access. The local instance has immediate access to the remote snapshot file's data, while repopulation of the recovered primary data files happens concurrently. Any changes in the data are managed between the instance's DBW processes and RPOP to ensure the latest copy of the data is returned to the user.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Recovery Writer Process",
              "-category": "General",
              "-acronym": "RVWR",
              "-desc": "Writes flashback data to flashback database logs in the flash recovery area.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "SG Allocator",
              "-category": "General",
              "-acronym": "SAnn",
              "-desc": "A small fraction of SGA is allocated during instance startup. The SAnn process allocates the rest of SGA in small chunks. The process exits upon completion of SGA allocation.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Space Management Coordinator Process",
              "-category": "General",
              "-acronym": "SMCO",
              "-desc": "Coordinates the execution of various space management related tasks, such as proactive space allocation and space reclamation.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "System Monitor Process",
              "-category": "General",
              "-acronym": "SMON",
              "-desc": "Performs critical tasks such as instance recovery and dead transaction recovery, and maintenance tasks such as temporary space reclamation, data dictionary cleanup, and undo tablespace management",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Shared Server Process",
              "-category": "General",
              "-acronym": "Snnn",
              "-desc": "In a Shared Server configuration, shared servers check a connection request queue (populated by dispatchers) and services the connection requests.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Virtual Scheduler for Resource Manager Process",
              "-category": "General",
              "-acronym": "VKRM",
              "-desc": "Serves as centralized scheduler for Resource Manager activity.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Virtual Keeper of Time Process",
              "-category": "General",
              "-acronym": "VKTM",
              "-desc": "Responsible for providing a wall-clock time (updated every second) and reference-time counter (updated every 20ms and available only when running at elevated priority).",
              "-required": "Yes",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Space Management Slave Process",
              "-category": "General",
              "-acronym": "Wnnn",
              "-desc": "These are slave processes spawned by SMCO to execute space management tasks.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Advanced Queueing Process Coordinator",
              "-category": "Oracle Advanced Queueing",
              "-acronym": "AQPC",
              "-desc": "AQPC is responsible for performing administrative tasks for AQ Master Class Processes including commands like starting, stopping, and other administrative tasks. This process is automatically started on instance startup.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "AQ Coordinator Process",
              "-category": "Oracle Advanced Queuing",
              "-acronym": "QMNC",
              "-desc": "Monitors message queues. Spawns Qnnn slave processes.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "AQ Master Class Process",
              "-category": "Oracle Advanced Queuing",
              "-acronym": "QMnn",
              "-desc": "Each of this type of process represents a single class of work item such as AQ notification, queue monitors, and cross process.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "AQ Server Class Process",
              "-category": "Oracle Advanced Queuing",
              "-acronym": "Qnnn",
              "-desc": "Processes messages in the Streams AQ queue. Spawned by QMNC.",
              "-required": "No",
              "-start_by_default": "Yes",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Database Apply Reader or Apply Server",
              "-category": "Oracle Data Guard",
              "-acronym": "ASnn",
              "-desc": "As the Reader Server, computes dependencies between LCRs and assembles messages into transactions. As the Apply Server, applies LCRs to database objects, or passes LCRs to the appropriate apply handlers.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Guard Broker Monitor Process",
              "-category": "Oracle Data Guard",
              "-acronym": "DMON",
              "-desc": "Starts when Data Guard Broker is started. The server-side component that interacts with the local database and the DMON processes of the other databases to perform the requested function. Also responsible for monitoring the health of the broker configuration and for ensuring that every database has a consistent description of the configuration.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Guard Broker Fast Start Failover Pinger Process",
              "-category": "Oracle Data Guard",
              "-acronym": "FSFP",
              "-desc": "Observer process integrated in the DGMGRL client-side component. It monitors the DG Broker environment and initiates the failover on detecting a problem with Primary.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Guard Broker Instance Slave Process",
              "-category": "Oracle Data Guard",
              "-acronym": "INSV",
              "-desc": "Performs Data Guard Broker communication between instances of a RAC database.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Logical Standby Coordinator Process",
              "-category": "Oracle Data Guard",
              "-acronym": "LSP0",
              "-desc": "Assigns transactions to different Data Guard appliers and coordinates among them to ensure that dependencies between transactions are honored.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Logical Standby Dictionary Build Process",
              "-category": "Oracle Data Guard",
              "-acronym": "LSP1",
              "-desc": "Builds the data dictionary for the Logical Standby.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Logical Standby Set Guard Process",
              "-category": "Oracle Data Guard",
              "-acronym": "LSP2",
              "-desc": "Maintains Guard Standby information for the Logical Standby.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Managed Standby Recovery Process",
              "-category": "Oracle Data Guard",
              "-acronym": "MRP0",
              "-desc": "Provides transparent support for XA global transactions in RAC",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Network Server Sync Process",
              "-category": "Oracle Data Guard",
              "-acronym": "NSSn",
              "-desc": "Transfers redo from current online redo logs to remote standby destinations configured for SYNC transport",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Guard Broker NetSlave Process (10 possible)",
              "-category": "Oracle Data Guard",
              "-acronym": "NSV 0..9",
              "-desc": "Performs broker network communications between databases in a Data Guard configuration.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Data Guard Broker Worker Server Process",
              "-category": "Oracle Data Guard",
              "-acronym": "RSM0",
              "-desc": "Used by the DMON process to manage and monitor the database.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Transport Monitor",
              "-category": "Oracle Data Guard",
              "-acronym": "TMON",
              "-desc": "TMON starts the TMON slave (called the TT processes) and monitors a number of redo transport processes for hangs and death.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Redo Transport Slave Process",
              "-category": "Oracle Data Guard",
              "-acronym": "TTnn",
              "-desc": "Ships redo from current online and standby redo logs to remote standby destinations configured for ASYNC transport",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Atomic Control File to Memory Server Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "ACMS",
              "-desc": "Coordinates consistent updates to a control file resource with its SGA counterpart on all instances in an Oracle RAC environment",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Global Transaction Process (20 possible)",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "GTX 0..j",
              "-desc": "Provides transparent support for XA global transactions in an Oracle RAC environment. The database auto tunes the number of these processes based on the workload of XA global transactions.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "IPC Service Background Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "IPC0",
              "-desc": "IPC0 handles very high rates of incoming connect requests, as well as, completing reconfigurations to support basic messaging and RDMA primitives over several transports such as UDP, RDS, InfiniBand and RC.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Lock Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "LCKn",
              "-desc": "Manages the global enqueue requests and the cross-instance broadcast. Handles all requests for resources other than data blocks.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Global Enqueue Service Daemon Helper Slave",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "LDDn",
              "-desc": "Helps the LMDn processes with various tasks. LDDn processes are slaves processes spawned on demand by LMDn processes. They are spawned to help the dedicated LMDn processes with various tasks when certain workloads start creating performance bottlenecks.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "Yes"
            }
            ,{
              "-name": "Global Enqueue Service Daemon Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "LMDn",
              "-desc": "Manages enqueue manager service requests for Global Cache Service enqueues to control access to global enqueues and resources. The LMD process also handles deadlock detection and remote enqueue requests. Remote resource requests are the requests originating from another instance.LMDn processes enqueue resources managed under Global Enqueue Service. In particular, they process incoming enqueue request messages and control access to global enqueues. They also perform distributed deadlock detections. There can be up to 36 of these processes (LMD0-LMDz).",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Global Cache / Enqueue Service Heartbeat Monitor",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "LMHB",
              "-desc": "Monitors the heartbeat of LMON, LMD, and LMSn processes.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Global Enqueue Service Monitor Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "LMON",
              "-desc": "Monitors the entire cluster to manage the global enqueues and the resources. Manages instance and process failures and the associated recovery for the Global Cache Service (GCS) and Global Enqueue Service (GES). In particular, LMON handles the part of recovery associated with global resources. LMON-provided services are also known as cluster group services (CGS).",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Global Cache Service Process (36 possible)",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "LMS 0..z",
              "-desc": "Handles remote Global Cache Service (GCS) messages. The number of LMS processes varies depending on the amount of messaging traffic among nodes in the cluster.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Interconnect Latency Measurement Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "PING",
              "-desc": "Assesses the latencies associated with communications for each pair of instances. Every few seconds, the process in one instance (INSTANCE_NUMBER value) sends two messages to each instance (TARGET_INSTANCE value). One message has a size of 500 bytes and the other has a size of 8 KB. The message is received by the PING process on the target instance and is immediately acknowledged. The time for the round-trip is measured and collected.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Oracle RAC Management Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "RMSn",
              "-desc": "RMSn performs a variety of tasks, including creating resources related to Oracle RAC when new instances are added to a cluster.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Remote Slave Monitor Process",
              "-category": "Oracle Real Application Clusters",
              "-acronym": "RSMN",
              "-desc": "Manages background slave process creation and communication on remote instances.",
              "-required": "No",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
            ,{
              "-name": "Global Conflict Resolution Slave Process",
              "-category": "RAC",
              "-acronym": "GCRn",
              "-desc": "GCRn processes are transient slaves that are started and stopped as required by LMHB to perform synchronous or resource intensive tasks.",
              "-required": "Yes",
              "-start_by_default": "No",
              "-new_this_release": "No"
            }
          ]
        },
        {
          "-name": "Credits",
          "-style": "credits",
          "-description": "The following people and products helped make this Oracle Interactive Quick Reference tool a reality:",
          "credits": {
            "title": "Oracle Database 12c: Interactive Quick Reference",
            "desc": "The following people and products helped make this Oracle Interactive Quick Reference tool a reality:",
            "development": "Nancy Greenberg, Dee Matishak, Ramaa, Mani, Priya Shridhar, JF Verrier",
            "infrastructure": "Mark Lindros, Al Saganich, Glenn Stokol, Mike Williams",
            "devsupport": "Jenny Tsai-Smith, Valli Patabala, Rebecca Sly, Linda Ross, Al Loper, Iris Li",
            "builtons": [
              "<span style=\"color:#A31919\">Mapz jQuery Plug-in</span> by Dannu van Kooten;http://dannyvankooten.com/jquery-plugins/mapz;We used Danny's base open source offering, then extended it to serve our purposes."
              ,"<span style=\"color:#A31919\">Maphilight jQuery Plug-in</span> by David Lynch;http://davidlynch.org/projects/maphilight/docs;We used David's base open source offering, then set some options to make it work with our poster. This plug-in initially made the Mapz plug-in stop working properly, especially when trying to zoom in on images, but some creative coding got around those issues."
              ,"<span style=\"color:#A31919\">Mousewheel jQuery Plug-in</span> by Brandon Aaron;http://brandonaaron.net/code/mousewheel/docs;The Mapz plug-in uses Brandon's open source mousewheel plug-in to allow users to use the mouse to zoom in and out of images."
              ,"<span style=\"color:#A31919\">Touch-Punch jQuery Plug-in</span> by David Furfero;http://touchpunch.furf.com;We used David's open source plug-in to map touch events of certain devices, such as iPads and iPhones, to regular mouse events that are handled by our code. This allows us to support touch devices."
              ,"<span style=\"color:#A31919\">.FixedTableHeader jQuery Plug-in</span> by Mark Malek;http://fixedheadertable.com/;We used Mark's open source plug-in to format all the tables used by the poster framework. This makes our tables all consistent, polished, and cross-browser friendly."
            ]
          }
        }
  ]
 }
